//  Persistence of Vision Raytracer V3.5
//  World definition file.
//
//  Contains 1 lights, 5 materials and 44 primitives.
//
//  This file was generated for POV-Ray V3.5 by
//  Moray V3.5 For Windows Copyright (c) 1993-2003 Lutz + Kretzschmar
//

//  Date : 10/29/2004    (29.10.2004)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

default {
  texture {
    pigment { rgb <1,0,0> }
  }
}  



#declare Papier = 
   material  // Papier
   {   
      texture
      {      
         pigment
         {
            color rgb <0.979167, 0.958333, 0.906233>*2
         }      
         normal
         {
            bozo , 5.0
            scale  <0.07, 0.07, 1.2>
         }      
         finish
         {
            ambient 0.15
            specular 0.201433
            roughness 0.006139
            crand 0.014367
         }
      }
   }


//  $MRY$: 'T_Wood7'


#declare _auto_name_no_1_ = 
   texture  // txt_75
   {   
      pigment
      {
         wood
         color_map
         {
            [ 0.0     rgbft <0.6, 0.35, 0.2, 0.0, 0.0> ]
            [ 0.1     rgbft <0.6, 0.35, 0.2, 0.0, 0.0> ]
            [ 0.9     rgbft <0.9, 0.65, 0.3, 0.0, 0.0> ]
            [ 1.0     rgbft <0.6, 0.35, 0.2, 0.0, 0.0> ]
         }
         turbulence 0.05
         octaves 4
         ramp_wave
         scale  <0.15, 0.15, 1.0>
      }   
      finish
      {
         ambient 0.1
         diffuse 0.3525
         phong 0.273367
      }
   }
   texture  // txt_76
   {   
      pigment
      {
         bozo
         color_map
         {
            [ 0.0     rgbft <0.9, 0.65, 0.3, 0.0, 0.0> ]
            [ 0.1     rgbft <0.9, 0.65, 0.3, 0.3, 0.0> ]
            [ 1.0     rgbft <1.0, 1.0, 1.0, 1.0, 0.0> ]
         }
         scale  <0.01, 0.01, 100000.0>
      }   
      normal
      {
         wood , 0.5
      }   
      finish
      {
         ambient 0.1
         diffuse 0.323733
         phong 0.201433
      }
   }

#declare T_Wood7 = 
   material  // T_Wood7
   {   
      texture { _auto_name_no_1_ }
   }


//  $MRY$: 'T_Wood11'


#declare _auto_name_no_1_ = 
   texture  // txt_87
   {   
      pigment
      {
         wood
         color_map
         {
            [ 0.0     rgbft <0.8, 0.67, 0.25, 0.0, 0.0> ]
            [ 0.222   rgbft <0.8, 0.67, 0.25, 0.0, 0.0> ]
            [ 0.342   rgbft <0.6, 0.34, 0.04, 0.0, 0.0> ]
            [ 0.393   rgbft <0.8, 0.67, 0.25, 0.0, 0.0> ]
            [ 0.709   rgbft <0.8, 0.67, 0.25, 0.0, 0.0> ]
            [ 0.821   rgbft <0.53, 0.29, 0.02, 0.0, 0.0> ]
            [ 1.0     rgbft <0.8, 0.67, 0.25, 0.0, 0.0> ]
         }
         turbulence 0.02
         ramp_wave
         scale  0.1
         translate 10.0 * x
      }   
      finish
      {
         ambient 0.1
         brilliance 2.105
         phong 0.302133
         phong_size 10.593333
         roughness 0.0
      }
   }
   texture  // txt_88
   {   
      pigment
      {
         wood
         color_map
         {
            [ 0.0     rgbft <1.0, 1.0, 1.0, 1.0, 0.0> ]
            [ 0.12    rgbft <0.7, 0.41, 0.11, 0.6, 0.0> ]
            [ 0.231   rgbft <0.7, 0.46, 0.11, 0.6, 0.0> ]
            [ 0.496   rgbft <1.0, 1.0, 1.0, 1.0, 0.0> ]
            [ 0.701   rgbft <1.0, 1.0, 1.0, 1.0, 0.0> ]
            [ 0.829   rgbft <0.7, 0.46, 0.11, 0.6, 0.0> ]
            [ 1.0     rgbft <1.0, 1.0, 1.0, 1.0, 0.0> ]
         }
         turbulence 0.01
         ramp_wave
         scale  0.5
         translate 10.0 * x
      }   
      finish
      {
         ambient 0.1
         phong 0.179833
      }
   }

#declare T_Wood11 = 
   material  // T_Wood11
   {   
      texture { _auto_name_no_1_ }
   }


//  $MRY$: 'Glass'


#declare Glass = 
   material  // Glass
   {   
      texture
      {      
         pigment
         {
            color rgbf <1.0, 1.0, 1.0, 0.8854>
         }      
         normal
         {
            bumps , 0.05
         }      
         finish
         {
            ambient 0.0
            diffuse 0.0
            specular 1.0
            roughness 0.001
            reflection
            {
               0.0392 , 0.1
               fresnel  off
               falloff  1.0
               exponent 1.0
               metallic 0.0
            }
         }
      }   
      interior
      {
         ior 1.5
      }
   }


//  $MRY$: 'avacadogreen_txt'


#declare avacadogreen_txt = 
   material  // avacadogreen_txt
   {   
      texture
      {      
         pigment
         {
            color rgb <0.4, 0.5, 0.2>*2
         }      
         finish
         {
            ambient 0.1
            diffuse 0.9
         }
      }
   }





//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//

#declare CSG001 = union {
  cylinder { // Cylndr002
    <0,0,1>, <0,0,0>, 1 
    translate  <1.684209, -1.030147, 0.0>
  }
  cylinder { // Cylndr003
    <0,0,1>, <0,0,0>, 1 
    scale <0.5, 0.5, 1.0>
    translate  <-0.525526, -1.336, 0.0>
  }
  box { // Cube001
    <-1, -1, -1>, <1, 1, 1>
    scale <1.0, 1.0, 0.5>
    translate  <0.768523, -1.578609, 0.5>
  }
}
#declare CSG002 = difference {
  object { CSG001 }
  cylinder { // Cylndr001
    <0,0,1>, <0,0,0>, 1 
    scale <1.0, 1.0, 1.2>
    translate  <0.01, 0.04, -0.1>
  }
  material {
    T_Wood7
  }
}
#declare CSG004 = union {
  object { CSG002 }
  cylinder { // Cylndr004
    <0,0,1>, <0,0,0>, 1 
    material {
      T_Wood11
    }
    scale <0.1, 0.1, 2.0>
    translate  <-0.143274, -0.931283, 0.0>
  }
  cylinder { // Cylndr005
    <0,0,1>, <0,0,0>, 1 
    material {
      T_Wood11
    }
    scale <0.1, 0.1, 2.0>
    translate  <0.802336, -0.573097, 0.0>
  }
  cylinder { // Cylndr006
    <0,0,1>, <0,0,0>, 1 
    material {
      T_Wood11
    }
    scale <0.1, 0.1, 2.0>
    translate  <2.478645, -0.544442, 0.0>
  }
}
#declare CSG003 = intersection {
  box { // Cube002
    <-1, -1, -1>, <1, 1, 1>
    material {
      T_Wood11
    }
    scale <2.0, 1.5, 0.49>
    translate  <0.8, 0.2, 0.505>
  }
  object { CSG004 }
  scale <1.0, 1.0, 40.0>
  translate  <1.017247, 1.303796, -5.0>
}
#declare PetitMontant = difference {
  object { CSG003 }
  box { // Cube003
    <-1, -1, -1>, <1, 1, 1>
    material {
      T_Wood7
    }
    scale 4.0
    rotate -45.0*y
    translate  <-0.191045, 0.0, -5.654937>
  }
  box { // Cube004
    <-1, -1, -1>, <1, 1, 1>
    material {
      T_Wood7
    }
    scale 4.0
    rotate -45.0*y
    translate  <-0.228416, 0.0, 35.630829>
  }
}
#declare CSG005 = union {
  cylinder { // Cylndr007
    <0,0,1>, <0,0,0>, 1 
    translate  <1.684209, -1.030147, 0.0>
  }
  cylinder { // Cylndr008
    <0,0,1>, <0,0,0>, 1 
    scale <0.5, 0.5, 1.0>
    translate  <-0.525526, -1.336, 0.0>
  }
  box { // Cube006
    <-1, -1, -1>, <1, 1, 1>
    scale <1.0, 1.0, 0.5>
    translate  <0.768523, -1.578609, 0.5>
  }
}
#declare CSG006 = difference {
  object { CSG005 }
  cylinder { // Cylndr009
    <0,0,1>, <0,0,0>, 1 
    scale <1.0, 1.0, 1.2>
    translate  <0.01, 0.04, -0.1>
  }
  material {
    T_Wood7
  }
}
#declare CSG007 = union {
  object { CSG006 }
  cylinder { // Cylndr010
    <0,0,1>, <0,0,0>, 1 
    material {
      T_Wood11
    }
    scale <0.1, 0.1, 2.0>
    translate  <-0.143274, -0.931283, 0.0>
  }
  cylinder { // Cylndr011
    <0,0,1>, <0,0,0>, 1 
    material {
      T_Wood11
    }
    scale <0.1, 0.1, 2.0>
    translate  <0.802336, -0.573097, 0.0>
  }
  cylinder { // Cylndr012
    <0,0,1>, <0,0,0>, 1 
    material {
      T_Wood11
    }
    scale <0.1, 0.1, 2.0>
    translate  <2.478645, -0.544442, 0.0>
  }
}
#declare CSG008 = intersection {
  box { // Cube005
    <-1, -1, -1>, <1, 1, 1>
    material {
      T_Wood11
    }
    scale <2.0, 1.5, 0.49>
    translate  <0.8, 0.2, 0.505>
  }
  object { CSG007 }
  scale <1.0, 1.0, 40.0>
  translate  <1.017247, 1.303796, -5.0>
}
#declare PetitMontant1 = difference {
  object { CSG008 }
  box { // Cube007
    <-1, -1, -1>, <1, 1, 1>
    material {
      T_Wood7
    }
    scale 4.0
    rotate -45.0*y
    translate  <-0.191045, 0.0, -5.654937>
  }
  box { // Cube008
    <-1, -1, -1>, <1, 1, 1>
    material {
      T_Wood7
    }
    scale 4.0
    rotate -45.0*y
    translate  <-0.228416, 0.0, 35.630829>
  }
  scale -1.0
  rotate -180.0*x
  translate  -45.0*x
}
#declare CSG009 = union {
  cylinder { // Cylndr013
    <0,0,1>, <0,0,0>, 1 
    translate  <1.684209, -1.030147, 0.0>
  }
  cylinder { // Cylndr014
    <0,0,1>, <0,0,0>, 1 
    scale <0.5, 0.5, 1.0>
    translate  <-0.525526, -1.336, 0.0>
  }
  box { // Cube010
    <-1, -1, -1>, <1, 1, 1>
    scale <1.0, 1.0, 0.5>
    translate  <0.768523, -1.578609, 0.5>
  }
}
#declare CSG010 = difference {
  object { CSG009 }
  cylinder { // Cylndr015
    <0,0,1>, <0,0,0>, 1 
    scale <1.0, 1.0, 1.2>
    translate  <0.01, 0.04, -0.1>
  }
  material {
    T_Wood7
  }
}
#declare CSG011 = union {
  object { CSG010 }
  cylinder { // Cylndr016
    <0,0,1>, <0,0,0>, 1 
    material {
      T_Wood11
    }
    scale <0.1, 0.1, 2.0>
    translate  <-0.143274, -0.931283, 0.0>
  }
  cylinder { // Cylndr017
    <0,0,1>, <0,0,0>, 1 
    material {
      T_Wood11
    }
    scale <0.1, 0.1, 2.0>
    translate  <0.802336, -0.573097, 0.0>
  }
  cylinder { // Cylndr018
    <0,0,1>, <0,0,0>, 1 
    material {
      T_Wood11
    }
    scale <0.1, 0.1, 2.0>
    translate  <2.478645, -0.544442, 0.0>
  }
}
#declare CSG012 = intersection {
  box { // Cube009
    <-1, -1, -1>, <1, 1, 1>
    material {
      T_Wood11
    }
    scale <2.0, 1.5, 0.49>
    translate  <0.8, 0.2, 0.505>
  }
  object { CSG011 }
  scale <1.0, 1.0, 55.0>
  translate  <1.017247, 1.303796, -5.0>
}
#declare GrandMontant = difference {
  object { CSG012 }
  box { // Cube011
    <-1, -1, -1>, <1, 1, 1>
    material {
      T_Wood7
    }
    scale 4.0
    rotate -45.0*y
    translate  <-0.191045, 0.0, -5.460021>
  }
  box { // Cube012
    <-1, -1, -1>, <1, 1, 1>
    material {
      T_Wood7
    }
    scale 4.0
    rotate -45.0*y
    translate  <-0.228416, 0.0, 50.477993>
  }
  scale -1.0
  rotate <180.0, 90.0, 0.0>
  translate  <-45.0, 0.0, 30.2>
}
#declare CSG013 = union {
  cylinder { // Cylndr019
    <0,0,1>, <0,0,0>, 1 
    translate  <1.684209, -1.030147, 0.0>
  }
  cylinder { // Cylndr020
    <0,0,1>, <0,0,0>, 1 
    scale <0.5, 0.5, 1.0>
    translate  <-0.525526, -1.336, 0.0>
  }
  box { // Cube014
    <-1, -1, -1>, <1, 1, 1>
    scale <1.0, 1.0, 0.5>
    translate  <0.768523, -1.578609, 0.5>
  }
}
#declare CSG014 = difference {
  object { CSG013 }
  cylinder { // Cylndr021
    <0,0,1>, <0,0,0>, 1 
    scale <1.0, 1.0, 1.2>
    translate  <0.01, 0.04, -0.1>
  }
  material {
    T_Wood7
  }
}
#declare CSG015 = union {
  object { CSG014 }
  cylinder { // Cylndr022
    <0,0,1>, <0,0,0>, 1 
    material {
      T_Wood11
    }
    scale <0.1, 0.1, 2.0>
    translate  <-0.143274, -0.931283, 0.0>
  }
  cylinder { // Cylndr023
    <0,0,1>, <0,0,0>, 1 
    material {
      T_Wood11
    }
    scale <0.1, 0.1, 2.0>
    translate  <0.802336, -0.573097, 0.0>
  }
  cylinder { // Cylndr024
    <0,0,1>, <0,0,0>, 1 
    material {
      T_Wood11
    }
    scale <0.1, 0.1, 2.0>
    translate  <2.478645, -0.544442, 0.0>
  }
}
#declare CSG016 = intersection {
  box { // Cube013
    <-1, -1, -1>, <1, 1, 1>
    material {
      T_Wood11
    }
    scale <2.0, 1.5, 0.49>
    translate  <0.8, 0.2, 0.505>
  }
  object { CSG015 }
  scale <1.0, 1.0, 55.0>
  translate  <1.017247, 1.303796, -5.0>
}
#declare GrandMontant1 = difference {
  object { CSG016 }
  box { // Cube015
    <-1, -1, -1>, <1, 1, 1>
    material {
      T_Wood7
    }
    scale 4.0
    rotate -45.0*y
    translate  <-0.191045, 0.0, -5.460021>
  }
  box { // Cube016
    <-1, -1, -1>, <1, 1, 1>
    material {
      T_Wood7
    }
    scale 4.0
    rotate -45.0*y
    translate  <-0.228416, 0.0, 50.477993>
  }
  rotate 90.0*y
  translate  <-45.0, 0.0, -0.23>
}
#declare Cadre = union {
  object { PetitMontant }
  object { PetitMontant1 }
  object { GrandMontant }
  object { GrandMontant1 }
  scale 0.9
  rotate -90.0*x
  translate  <0.000962, -27.172895, -0.092469>
} 


#declare cadre01 = union { // Cadre_dessin
  box { // Dessin
    <0,0,0>, <1, 1, 1>
    texture {
      pigment {
                      image_map {tga "textures\ttableau01.tga"}   
                      
                    } 
                    finish
      {
         ambient 0.4
         diffuse 1
         
      }
                    //rotate z*180 scale -y
    }
    scale 2    
    translate <-1, -1, -1>
    
    scale <16.0, 11.0, 0.02>
    translate  <-20.269493, -13.618688, -0.088>
  }
  box { // Fond
    <-1, -1, -1>, <1, 1, 1>
    material {
      Papier
    }
    scale <21.0, 16.0, 0.02>
    translate  <-20.269493, -13.618688, -0.08755>
  }
  
  box { // VereeC
    <-1, -1, -1>, <1, 1, 1>
    material {
      Glass
    }
    scale <20.5, 14.1, 0.1>
    translate  <-20.269493, -13.618688, -0.145856>
  } 
  
  object { Cadre }
  material {
    Papier
  }
}




