// cat tail rocker by Lewis Sellers, 1998.
// lsellers@usit.net http://www.public.usit.net/~lsellers http://www.intrafoundation.com

#declare highquality=0; //0=fast low quality, 1=realistic computational expensive model/lighting (slow)


// define textures    
#declare T_OakWood =
texture {
    pigment {
        wood
        color_map {
            [0.0 color rgb<.85, .65, .51>]
            [0.9 color rgb<.75, .50, .45>]
            [1.0 color rgb<.55, .36, .34>]
        }
        turbulence 0.12
        octaves 3
        scale <0.05, .05, 1>
        rotate <4,3,0>
    }
    finish {
        diffuse 0.9
        //reflection 0.1
        brilliance 1
        specular .2
        roughness .05
    }
}
        
#declare T_SmoothOakWood =
texture {
    pigment {
        wood
        color_map {
            [0.0 color rgb<.85,  .65, .51>]
            [0.9 color rgb<.75,  .50, .45>]
            [1.0 color rgb<.55, .36, .34>]
        }
        turbulence 0.12
        octaves 3
        scale <0.05, .05, 1>
        rotate <4,3,0>
    }
    finish {
        diffuse .7
        //reflection 0.2
        brilliance 1
        specular .2
        roughness .05
    }
}
/*
#declare T_Stucco =
texture {
    pigment {
       wrinkles
        color_map {
            [0.0 color rgb<.7,.7,.7>]
            [0.9 color rgb<.6,.6,.6>]
            [1.0 color rgb<.4,.4,.4>]
        }
        turbulence 0.3
        octaves 3
        scale <1,1,1>
        rotate <8,4,2>
    }
    finish {
        diffuse 0.9
    }
}


*/
/*
//the simple room
//floor
box {<-10,-1,-10>,<5,0,4> texture {T_HardWood} }
//the walls
box {<-11,-1,3>,<5,8,4> texture {T_Stucco} }
box {<-10,-1,3>,<-11,8,-17> texture {T_Stucco} }

*/

box {<-10,-1,-10>,<5,0,4> pigment {rgb<.5,.5,.5>} }


//rocking chair. all struts are .05w slats are .2w
#declare rc_rearpost = union {
    difference {
        cylinder {<0,0,0><0,5,0>,0.1}
        torus {.1, .05 scale <1, 2.5, 1>translate <0,5,0>}
        torus {.1, .02 scale <1, 2.7, 1>translate <0,4.775,0>}
        torus {.1, .02 scale <1, 1.4, 1>translate <0,4.2,0>}
                torus {.1, .02 scale <1, 23, 1>translate <0,3.50,0>}
    }
    sphere {<0,0,0>,.1 translate <0,5.07,0> texture{T_OakWood rotate<0,90,0>}}
    
    torus {.1, .02 scale <1,1,1>translate <0, 4.85, 0>}
    torus {.1, .02 scale <1,1,1>translate <0, 4.70, 0>}
    
    torus {.1, .015 scale <1,1,1>translate <0, 4.24, 0>}
    torus {.1, .015 scale <1,1,1>translate <0, 4.16, 0>}
    
    torus {.1, .015 scale <1,1,1>translate <0, 3.95, 0>}
    
    
    texture{T_OakWood rotate<90,90,0>}
    
}


#declare rc_forepost = lathe {
    linear_spline                 
    6,
    <0,0>, <.05,0>, <.1,.5>, <.1,2.25>, <.05,2.5>, <0,2.5>
    texture{T_OakWood rotate<90,90,0>}
}

#declare rc_slat =
union {
        
        box { //slat n
            <-.1,2.2,.97>,<.1,4.0,1.03>
            }
        
        cylinder{<-.1,2.2,1.00>,<-.1,4.0,1.00>,.03}
        cylinder{<.1,2.2,1.00>,<.1,4.0,1.00>,.03}
            texture{T_OakWood rotate<90,90,0>}
            //texture {pigment{rgb<1,1,0>}}
            
}


#declare rc_seatslat = 
difference {
    box {<-.09,0,-.93>,<.09,.1,.93>}
    box {<-.1,0,0>,<.1,.1,.5> rotate<-15,0,0> translate<0,0,-.93>}
   texture{T_SmoothOakWood}
}

#declare rc_leftarm = union {
    difference {
        box {<-.2,0,0>,<.1,.1,2.4>}   
        box {<-.21,-.1,1>,<-.1,.2,2.6>}   
        cylinder {<-.15,-.11,1>,<-.15,.11,1>,.05}
    }
    cylinder {<-.05,0,0>,<-.05,.1,0>,.15}
    texture{T_SmoothOakWood}
}
#declare rc_rightarm = union {
    difference {
        box {<.2,0,0>,<-.1,.1,2.4>}   
        box {<.21,-.1,1>,<.1,.2,2.6>}   
        cylinder {<.15,-.11,1>,<.15,.11,1>,.05}
    }
    cylinder {<.05,0,0>,<.05,.1,0>,.15}
    texture{T_SmoothOakWood}
}
#declare rc_roundbrace =
intersection {
    difference {
        cylinder {<0,0,-.05>,<0,0,.05>,2.1}
        cylinder {<0,0,-.06>,<0,0,.06>,2.0}
        translate<0,2.1,0>
    }
    box {<-1,-1,-.2>,<1,1,.2> rotate<0,0,45>}
}
#declare rc_rocker = union {
    intersection {
        difference {
            cylinder {<0,0,-.05>,<0,0,.05>,2.1}
            cylinder {<0,0,-.06>,<0,0,.06>,2.0}
            translate<0,2.1,0>
        }
        box {<-1.75,-1.75,-.2>,<1.75,1.75,.2> rotate<0,0,45>}
    }             
    rotate<0,90,0>
}
#declare rockingchair = union {
    union {
    //rear
    object {rc_rearpost translate<-.9,0,1>}
    object {rc_rearpost translate<.9,0,1>}
          
    //fore
    object {rc_forepost translate<-.9,0,-1>}
    object {rc_forepost translate<.9,0,-1>}

    //struts
    cylinder {<-.9,.5,-1>,<.9,.5,-1>,.05} //low fore
    cylinder {<-.9,1.5,-1>,<.9,1.5,-1>,.05} //high fore
    cylinder {<-.9,1,1>,<-.9,1,-1>,.05} //left
    cylinder {<.9,1,1>,<.9,1,-1>,.05} //right
          
    //seat
    //box {<-.9,1.6,-1>,<.9,1.7,1>}
    object {rc_seatslat rotate<0,0,-20> translate<-.8,1.6+.20,0>}
    object {rc_seatslat rotate<0,0,-15> translate<-.6,1.6+.13,0>}
    object {rc_seatslat rotate<0,0,-10> translate<-.4,1.6+.07,0>}
    object {rc_seatslat rotate<0,0,-5> translate<-.2,1.6+.05,0>}
    object {rc_seatslat rotate<0,0,0> translate<0,1.6+0,0>}
    object {rc_seatslat rotate<0,0,5> translate<.2,1.6+.05,0>}
    object {rc_seatslat rotate<0,0,10> translate<.4,1.6+.07,0>}
    object {rc_seatslat rotate<0,0,15> translate<.6,1.6+.13,0>}
    object {rc_seatslat rotate<0,0,20> translate<.8,1.6+.20,0>}


    #declare back_lattice_hor = intersection {
            union {
                 torus{7,.05 scale <1,.5,1> translate <0,4.10,-5.95>}
                 
                 difference {
                     cylinder {<0,4.001,0><0,4.099,0>,7.05}
                     cylinder {<0,3.999999,0><0,4.100001,0>,6.95}
                     translate <0,0,-5.95>
                     //texture {pigment{rgb<1,0,1>}}
                 }
                 
                 torus{7,.05 scale <1,.5,1> translate <0,4.0,-5.95>}
                              
            }
            box {<-.8,3.8,.95>,<.8,4.2,1.05>}
    }
    
    //back lattice
    //box {<-.8,4.0,.95>,<.8,4.1,1.05>} //top
    object {back_lattice_hor }
    object {rc_slat rotate<0,-7,0> translate<-.4,0,0.03>}
    object {rc_slat rotate<0,-2.5,0>  translate<-.15,0,0.05>}
    object {rc_slat rotate<0, 2.5,0>  translate<.15,0,0.05>}
    object {rc_slat rotate<0, 7,0> translate<.4,0,0.03>}
    object {back_lattice_hor translate -y*1.9}
    //box {<-.8,2.1,.95>,<.8,2.2,1.05>} //bottom

    //back head board
    intersection {
            union {
                 torus{7,.05 scale <1,.5,1> translate <0,4.65,-5.95>}
                 difference {
                     cylinder {<0,4.3,0><0,4.65,0>,7.05}
                     cylinder {<0,4.19,0><0,4.81,0>,6.95}
                     translate <0,0,-5.95>
                 }
                 torus{7,.05 scale <1,.5,1> translate <0,4.3,-5.95>}
                              
            }
            box {<-.85,4.1,.7>,<.85,4.8,1.3>}
    }

    //left arm
    object {rc_leftarm translate<-.9,2.5,-1.5>}

    //right arm
    object {rc_rightarm translate<.9,2.5,-1.5>}

    //back brace
    object {rc_roundbrace translate<0,1.5,-.9>}

    //fore brace
    object {rc_roundbrace translate<0,1.5,.9>}

    rotate<0,0,0>
    translate<0,.3,0>
    }  
    //rockers
    object {rc_rocker translate<-.9,0,0>}
    object {rc_rocker translate<.9,0,0>}

    texture {T_OakWood}
}




 /*

//ok. put the chairs on the floor
object{rockingchair rotate<0,0,0> translate<0,0,0> }   

   
cylinder{<0,0,0>,<0,5,0>,0.1 pigment {rgb<0,.3,1>}}
//0bject{rockingchair rotate<0,-42,0> translate<-5,0,0> }
//object{rockingchair rotate<-90,45,0> translate<-2,1,-2> }
//object{rockingchair rotate<0,-45,0> translate<3,0,0>}




//our lighting.... we have two choices

//this renders quickly
#if (highquality=0)
    light_source { <5,5,-5> color rgb<1,1,1> fade_distance 5}
#end
                      
//this renders slowly, but looks much better
#if (highquality=1)
    light_source { <10,10,-9.5>, color rgb<1,.99,.9> area_light x*6,y*6,3,3 jitter fade_distance 5} 
    media { scattering { 3 rgb<.1,.1,.1> }}
#end


camera {
//	location <2,4,-1>
//	look_at  <0,2.5,-1>

//	location <2,4,-1>
//	look_at  <0,2.5,0>

//	location <.5,3,-1>
//	look_at  <0,2.5,0>

	location  <0, 4, -6>
	look_at   <0, 2.5, 0>

	//location  <11, 11, -6>
	//look_at   <-.5, 2.5, 0>
}

*/