#include "constfleet.prm"  
#include "colors.inc"    
#include "SunPos.inc"
#include "macrofleet.inc"  
#include "textures"
#include "texturefleet.inc"
#include "objfleet.inc"  
#include "ws_chair.inc"
#include "rockingchairSTD.inc"       
#include "cadre01.inc"     


#include "giantessr\ObjGiantessR.inc"
#include "colonnes\13_col.inc"


#include "giantessr\ObjGiantessR.inc"
#include "colonnes\13_col.inc"  
//#include "menagerie\chatperche_pov.inc"
//#include "chien.inc"


default {
  texture {
    pigment { rgb <1,0,0> }
  }
}
//////////////////////////////////////////////////////////
//                                                      //
// Main file for St Dunstan neighbourhood project       //
//                                                      //
// Define here the geo coordinates, scales              //
//


// User defined parameters

// Put here the wished time and date to get the appropriate lighting
#declare date_year = 1800;
#declare date_month = 04;  //From 1 to 12;
#declare date_day = 15;    //Max date from wished month



#declare time_hour = 7; // From 0 to 23
#declare time_min  = 15;  // From 0 to 59       



// Put here the wished weather factor for lighting
// 1 is a full sunshine
// 0 is full overcast cloudy sky

#declare weather_fact = .80;  

//remove area light effect for MUCH FASTER test rendering with modelight = 0; 
#declare modelight = 1; // 1:slow high quality   - 0:Quickly dirty
    

 
fog {
    distance 750
    color rgbft<0.2, 0.17, 0.2, 0.0,.2>
    //turbulence 5
    //turb_depth 0.99  
    fog_type 2
    fog_offset 50
    fog_alt 15 
    
    

  }

      
fog {
    distance 1450
    color rgbft<0.4, 0.35, 0.45>//, .2,.6>
    turbulence 5 omega .2
    turb_depth 0.99  
     
    fog_type 2
    fog_offset 800
    fog_alt 150 

    

  }      

 



//Our world center is located at the West South (bottom left) corner of St Dunstan Church
//the x axis define the west to east position (the West South corner of St Dunstan Church is at x=0)
//the y axis define the eight position (the pavement is at origin, y=0)
//the z axis define the south to north position (the West South corner of St Dunstan Church is at z=0)


// !!!!!!!   ALL DISTANCE AND LENGTH MUST BE IN centimeters   !!!!   
// !!!!!!!   ALL ANGLES MUST BE IN Degrees !!!!!    
// SOME CONVERSION TOOLS URL IF NEEDED
// http://www.wihatools.com/conversion.htm 
// http://www.ilpi.com/msds/ref/distanceunits.html
//  

 
// View parameters like observer position, focused point and width angle of view


//TOP VIEW
// Put below the <x,y,z> Observator position
//Eight in centimeters
#declare obs_y = 100000;  //eyes at 180 cm (5' 4")
//how much cm EAST observztor is from origin (the West South corner of St Dunstan Church)
#declare obs_x = 60*upf;
//how much cm NORTH from origin (the West South corner of St Dunstan Church)
#declare obs_z = -50*upf;  

//Width of visual field
#declare obs_angle = 5;

// Put here the <x,y,z> of focused point  (where observator is looking at)
#declare focus_x = 60*upf;
#declare focus_y = 0;
#declare focus_z = 10*upf;

///////////////////////////////////////////////////
//ST DUNSTAN VUE GEN FACADES

// Put here the <x,y,z> of focused point  (where observator is looking at)
#declare focus_x = (20)*upf;
#declare focus_y = 360;
#declare focus_z = 0*upf;     
                          
                          
#declare obs_y = 5360;  //eyes at 180 cm (5' 4")
//how much cm EAST observztor is from origin (the West South corner of St Dunstan Church)
#declare obs_x = 0;
//how much cm NORTH from origin (the West South corner of St Dunstan Church)
#declare obs_z = -2500;  

//Width of visual field
#declare obs_angle = 50;            


///////////////////////////////////////////////////
//ST DUNSTAN Full South VIEW

// Put here the <x,y,z> of focused point  (where observator is looking at)
#declare focus_x = (20)*upf;
#declare focus_y = 360;
#declare focus_z = 0*upf;     
                          
                          
#declare obs_y = 2360;  //eyes at 180 cm (5' 4")
//how much cm EAST observztor is from origin (the West South corner of St Dunstan Church)
#declare obs_x = (100+00)*upf;
//how much cm NORTH from origin (the West South corner of St Dunstan Church)
#declare obs_z = -250 *upf;  

//Width of visual field
#declare obs_angle = 50;            



//// FACADES EST EGLISES

// Put here the <x,y,z> of focused point  (where observator is looking at)
#declare focus_x = (100)*upf;
#declare focus_y = 460;
#declare focus_z = 30*upf;     
                          
                          
#declare obs_y = 460;  //eyes at 180 cm (5' 4")
//how much cm EAST observztor is from origin (the West South corner of St Dunstan Church)
#declare obs_x = (40)*upf;
//how much cm NORTH from origin (the West South corner of St Dunstan Church)
#declare obs_z = -10 *upf;  

//Width of visual field
#declare obs_angle = 55;    

 
///////////////////////////////////////////////////
//ST DUNSTAN CLOCK HOUSE VIEW

// Put here the <x,y,z> of focused point  (where observator is looking at)
#declare focus_x = (8)*upf;
#declare focus_y = 860;
#declare focus_z = 5*upf;     
                          
                          
#declare obs_y = 860;  //eyes at 180 cm (5' 4")
//how much cm EAST observztor is from origin (the West South corner of St Dunstan Church)
#declare obs_x = -5*upf;
//how much cm NORTH from origin (the West South corner of St Dunstan Church)
#declare obs_z = -25 *upf;  

//Width of visual field
#declare obs_angle = 45;    

 
// Malcolm View

// Put here the <x,y,z> of focused point  (where observator is looking at)
#declare focus_x = 0*upf;
#declare focus_y = 170;
#declare focus_z = 5*upf;     
                         
                          
#declare obs_y = 170;  //eyes at 180 cm (5' 4")
//how much cm EAST observztor is from origin (the West South corner of St Dunstan Church)
#declare obs_x = (-28)*upf;
//how much cm NORTH from origin (the West South corner of St Dunstan Church)
#declare obs_z = (-46+2) *upf;  

//Width of visual field
#declare obs_angle = 75;     

 

///////// Shop View


// Put here the <x,y,z> of focused point  (where observator is looking at)
#declare focus_x = -10*upf;
#declare focus_y = 450;
#declare focus_z = 0*upf;     
                         
                          
#declare obs_y = 450;  //eyes at 180 cm (5' 4")
//how much cm EAST observztor is from origin (the West South corner of St Dunstan Church)
#declare obs_x = -4*upf;
//how much cm NORTH from origin (the West South corner of St Dunstan Church)
#declare obs_z = -75 *upf;  

//Width of visual field
#declare obs_angle = 65;   

#declare  pMurApart = obs_y - 155;
#declare  gMurApart = obs_x -199;
#declare  dMurApart = obs_x +200;  
#declare  hMurApart = pMurApart + 300; 
#declare  zMurApart = obs_z + 140; 
#declare  eMurApart = zMurApart + 15;

#declare  rMurApart = asin((focus_x-obs_x)/(focus_z-obs_z))*180/pi;

#declare murapart=union {
        box {   <0,0,0>,
        
                <dMurApart-gMurApart,hMurApart-pMurApart,eMurApart-zMurApart>
                //rotate y* rMurApart
                //translate <gMurApart,pMurApart,zMurApart> 
                //pigment{rgb <3,2.7,2.9>*.5}
                //texture {TWhiteMortar}
                texture {
                     
                    pigment {
                      image_map {gif "papierpeint\pp30.gif"     //transmit    192, 1.0
                      //image_map {gif "papierpeint\pp10b.gif"     //transmit    192, 1.0            
                      } 
                      
                    } 
                    finish {
                        ambient 0.25
                        diffuse 0.78
                    }
                    scale 30 
                    rotate z*00
               } 

        
        }
        box {   <0,0,0>,
                <dMurApart-gMurApart,hMurApart-pMurApart,eMurApart-zMurApart>
                texture {
                     
                    pigment {
                      image_map {gif "papierpeint\pp30.gif"     //transmit    192, 1.0
                      //image_map {gif "papierpeint\pp10b.gif"     //transmit    192, 1.0            
                      } 
                      
                    } 
                    finish {
                        ambient 0.05
                        diffuse 0.58
                    }
                    scale 30 
                    rotate z*00
               } 
                translate <0,0,-500>
        }
        
        
        
        ///Ombre de reflexion 
        union{
        box {   <0,0,0>,
                <(dMurApart-gMurApart)*2,(hMurApart-pMurApart)*2,eMurApart-zMurApart> 
                
                texture {
                         pigment {
                              image_map {tga "textures\imgBrick3Pigment.tga" }           
                              
                              } 
                        scale (dMurApart-gMurApart)*1
                }  
                
                
        }  
            object{toiTer03 scale(dMurApart-gMurApart)*2 translate y*(hMurApart-pMurApart)*2 pigment {rgb <.5,.5,.1>}}
            
            translate <-400,300,0>
        }
        
        box {   <0,0,0>,
                <dMurApart-gMurApart,5,-500>
                
        }
        box {   <0,0,0>,
                <dMurApart-gMurApart,5,-500>
                translate <0,hMurApart-pMurApart-5,0>
        }  
        
        box {   <0,0,0>,
                <5,hMurApart-pMurApart,-500>
                
        }
        box {   <0,0,0>,
                <5,hMurApart-pMurApart,-500>
                translate <dMurApart-gMurApart-5,0,0>
        }
        
} 

//Eclairage inter chaise
light_source
    {
        <obs_x-40,obs_y-30,obs_z+10>, <.65,.45,.35> 
        //shadowless
        area_light
        x*45, y*90, 6, 4 
        jitter
        adaptive 0

        
    }     

//Eclairage inter etagre
light_source
    {
        //<obs_x+50,obs_y+30,obs_z+70>, <.65,.45,.35>*.5
        <obs_x+30,obs_y+40,obs_z+70>, <.65,.45,.35>*0.70
        //shadowless
        area_light
        x*35, y*35, 5, 5 
        jitter
        adaptive 0
        
              looks_like  { 
                        sphere    { 
                                   <0,0,0>,.5
                                   pigment {
                                        wood
                                        color_map {
                                          [0.0 rgbt <1,1,.5,0>*1.5]
                                          [0.6 rgbt <.65,.45,.35,.5>*1.2]
                                          [0.9 rgbt <.65,.45,.35, .95>]
                                          [1.0 rgbt <.65,.45,.35, 1>]
                                        }
                                        //turbulence 0.008
                                        scale <1, 1, 1> rotate <10,-10,0>
                                   } 
                                   finish { ambient 1 }
                                   scale 30 
                                   translate <10,10,0>
            
                        }
               }


        
    }  
    
       


//eclairage rebord fen    
light_source
    {
        <obs_x+70,obs_y+20,obs_z+200>, <.40,.60,.95>*.6 
        //shadowless
        area_light
        x*45, y*90, 4, 4 
        jitter
        //adaptive 0

        
    }

/*    
box {   <-1000,0,0>,
                <dMurApart-gMurApart+1000,5,-500>
                translate <0,hMurApart-pMurApart-5,500>
        }         
*/    

#declare xFenApart = 80;
#declare yFenApart = 125;
#declare dyFenApart = 95;
#declare dxFenApart = 160;

#declare dFenApart=box {   <0,0,-.1>,
        <xFenApart,yFenApart,eMurApart-zMurApart+.1>
        translate <dxFenApart,dyFenApart,0>
}
        


#declare exPatch = box {  <0,0,0><40,60,.5>
        
        texture {
                 pigment { 
                     //rgbt <0.45+rand(RP)/7, 0.50+rand(RP)/7, 0.5+rand(RP)/10, 0.95+rand(RP)/7>
                     //rgbt <0.25+rand(RP)/7, 0.30+rand(RP)/7, 0.3+rand(RP)/10, 0.95+rand(RP)/7>
                     //rgbt <0.10+rand(RP)/7, 0.12+rand(RP)/7, 0.13+rand(RP)/10, 0.98+rand(RP)/7>
                     rgbt <0.04, 0.06, 0.075, 0.78>        
                 } 
                 finish   { 
                     phong 0.07 phong_size 40  // A highlight
                     reflection { 0.22, rgb <1,0.8,0.9> * 0.77}  // Glass reflects a bit
                 }
                 
                 normal { 
                     bumps 0.02 scale <10,10,.3> 
                 }    
                 
                  
        }  
        
        //texture {Tframe}
        translate <dxFenApart+20,dyFenApart+15,0>
}        
        
#declare difMurApart = difference { object{ murapart}
             object{dFenApart}        
        
           // rotate y* rMurApart 
           //translate <gMurApart,pMurApart,zMurApart> 
           pigment{White}
           //pigment{rgb <5,5,5>}
           //texture {TWhiteMortar}
        
}          
 

//Outside dimension of the window 
#declare swcx = xFenApart; //cm Width made of 2 * case width +  panel width;
#declare swcy = yFenApart; //cm height made of stool eigth + 2 * panel height - panel overlap  + case height; 

//Dimensions for the case
#declare xycase = 3; //cm width of the case
#declare zcase =  eMurApart-zMurApart;//18; //cm deepth of the case       

//dimension for the stool
#declare ystool=4;   //cm height
#declare zstool= eMurApart-zMurApart+5;  //cm deepth
#declare xstool= swcx + 10 ;//7.5 cm wider on each side than the outside window dimension

//how thick is the panel frame
#declare thframe = 5;   //the panel frame has a square section of thframe cm side

//how thick are the patch frames square section too
#declare thbp = 3.5;     

// number of patches per panel
#declare npx = 3; //patches on width
#declare npy = 2; //patches on height for one panel (2 panels one above the other for a hung window 

//how open is the window. from 0 closed to 1 fully open
#declare howopen=0.0;  

//overlap between frames when window is fully closed
#declare rec = 4;

#declare perfactor = 1;
#declare Tframe = TframeW;
#declare typepatch = 1;




//#declare angleAZ= 0;

#declare howopen=.62;
#declare tbwp = hungwindow(howopen,xstool,ystool,zstool,xycase,zcase,rec, npx,npy, swcx,swcy,thframe,thbp,perfactor,Tframe,typepatch)


union {
object  {tbwp   
        scale <1,1,-1>
        translate <dxFenApart,dyFenApart,zcase/2>
}
object {difMurApart}           
//object{exPatch} 

/*
object { WindsorChair scale 3.7 rotate 30*y 
        translate <dxFenApart-30,0,-60>} 
*/ 
union {       
        object{rockingchair scale 24 rotate<0,-10,0> translate<dxFenApart-50,0,-35> }            
        object {torchebal scale <1.8,1.65,1.8>  rotate<0,-10,0> translate<dxFenApart-40-12,118.7,-10>}
        translate <5,5,0>
}        

object {tassedethe scale 7 translate <dxFenApart+xFenApart*2/3,dyFenApart+ystool,zcase*3/4>}        
        
#declare xcm = xFenApart+15;
#declare ycm = yFenApart+10;
#declare howclosed = .2;
#declare nrd = 2;
#declare textex = Tx_RedCurt2;
//#declare textex = qRed;
#declare zplis = 1;
#declare qMode =1;        
object {
                RideauVar(xcm,ycm,zplis,howclosed,nrd,textex,qMode)      
                translate <dxFenApart-7.5,dyFenApart+yFenApart,-4.5>
                
        } 
        
object {uEtagerLivres
        scale <105,105*.97,105>
        translate <dxFenApart+xFenApart+16,80,0>
} 


object {objPebrok scale <-100,101,100>*.8 rotate <4,0,7> translate <dxFenApart+xFenApart+19,210.5*.97+2.5,-15>}


object {objBouteilleGin scale 4.3 rotate y*-0 translate <dxFenApart+xFenApart+27,200*.97+2.5,-12>} 



//User defined size  

//Outer frame size
#declare FWidth = 85;
#declare FHeight = 240; 
#declare AngleOpen = -00;

//Deepth of door frame (should fit with the wall thickness)
#declare FDeepth = 30;

//Deepth (or thickness) of door panel (z)
#declare DDeepth = 15; 

// how much the door goes deepin the frame from 0 to 1
#declare DShift = .3;


//thickness of door frame (x,y)
#declare FThick = 8; 

//width for side verticals
#declare VsWidth = 13;

//width for middle vertical
#declare VmWidth = 13;       

//Height of low and high transversals
#declare TeHeight = 18; 

//Height of middle low and high transversal
#declare TmHeight = 13;                
//Lock altitude above doors bottom will place the low transversal
//in such altitude the lock is at middle height of this transvrsal

//This transversal position will also determine the heights and altitudes of 
//low and middle panels  
#declare LckAlt = 95;
#declare  LckScale = <1,1,1>;

#declare doorApart = britishdoor1(FWidth, FHeight, FDeepth, FThick ,DDeepth, DShift, AngleOpen, VsWidth, VmWidth, TeHeight, TmHeight, LckAlt, LckScale, TexSTDDoor)           
object {
        doorApart
        translate <300,0,-450>
        
}

box {   <0,0,0>,<1,1,.2>
        texture {
                     
                    pigment {
                      image_map {tga "textures\texbiblio2.tga"      
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 

        scale <150,150,150>
        translate <70,70,-480>

}
/*
object{
      hommequibaille scale 180 rotate y*180
      translate <obs_x+30,obs_y-150,obs_z-20>
      }

*/
           
           rotate y* rMurApart 
           translate <gMurApart,pMurApart,zMurApart> 
           //pigment{White}

}







object {cadre01  
   scale 1.7
   rotate -x*4
   translate <dxFenApart-20,200,-4>
   rotate y* rMurApart 
           translate <gMurApart,pMurApart,zMurApart>


}



 

 /* 
///////// Door debug


// Put here the <x,y,z> of focused point  (where observator is looking at)
#declare focus_x = -15*upf;
#declare focus_y = 120;
#declare focus_z = 0*upf;     
                         
                          
#declare obs_y = 120;  //eyes at 180 cm (5' 4")
//how much cm EAST observztor is from origin (the West South corner of St Dunstan Church)
#declare obs_x = -4*upf;
//how much cm NORTH from origin (the West South corner of St Dunstan Church)
#declare obs_z = -25 *upf;  

//Width of visual field
#declare obs_angle = 15;     
   



///////// Internal Shop View


// Put here the <x,y,z> of focused point  (where observator is looking at)
#declare focus_x = -13*upf;
#declare focus_y = 170;
#declare focus_z = -3*upf;     
                         
                          
#declare obs_y = 170;  //eyes at 180 cm (5' 4")
//how much cm EAST observztor is from origin (the West South corner of St Dunstan Church)
#declare obs_x = -14*upf;
//how much cm NORTH from origin (the West South corner of St Dunstan Church)
#declare obs_z = 08 *upf;  

//Width of visual field
#declare obs_angle = 80;     

*/


//Ambient light factor at night (1 hour before/after sunrise or sunset)
#declare amb_light_f=1.1;    

//Sun light factor (ponctual light ; 
#declare sun_light_f = 3.7; 

//sky light factor; 
#declare sky_light_f = 3.3;



  
#declare eMin = 0;
#declare eMax = 10;
#declare pOrg=<0,0,0>;
#declare dAxe=<0,1,0>;
#declare uLng=2;
#declare fEc = 1;

//toise (eMin, eMax, pOrg, dAxe, uLng, fEc)  

/// These parameters are used for animation only //////////////////////////////////

// Activate the animation
#declare do_animation = 0;
#declare  length_min = 16 * 60;

#declare start_min =  time_hour *60 + time_min;
#declare cur_min = start_min + clock * length_min;        

#if (do_animation = 1)
  #declare time_hour = int(cur_min/60);
  #declare time_min = cur_min -  time_hour * 60; 
  #debug concat("curmin is:",str(cur_min,5,0),"\n")
  #debug concat("Hour is:",str(time_hour,5,0),"\n")
  #debug concat("min is:",str(time_min,5,0),"\n")
#end

///// NEVER EDIT BELOW THIS LINE PLEASE !!!!!! ///////////////////////////////////////////////    
// Get Altitude of the sun for lighting colors and intensity
#declare sun_coord = SunPos6(date_year, date_month, date_day, time_hour, time_min, 0, london_lat, london_lng);
#declare alt_sun = Al;
#declare azm_sun = Az; 
#debug concat("Sun altitude is:",str(alt_sun,5,5),"\n") 
#debug concat("Sun azimuth is:",str(azm_sun,5,5),"\n")

#declare distinat = distinatmos(earth_ray,atmos_height,alt_sun);
#debug concat("Km in atmosphere for sun light  :",str(distinat,10,10),"\n") 

// The sun light goes from white at noon to orange at sunset or sunrise
#declare att_sun_b = (distinat - atmos_height) * coef_att_sun_b;
#declare att_sun_g = (distinat - atmos_height) * coef_att_sun_g;
#declare att_sun_r = (distinat - atmos_height) * coef_att_sun_r;

#declare  solar_color_r = 1.1/(1+att_sun_r);
#declare  solar_color_g = 0.95/(1+att_sun_g);
#declare  solar_color_b = .85/(1+att_sun_b);

#declare solar_color =  <solar_color_r,solar_color_g,solar_color_b>;


#debug concat("Red for sun light  :",str(solar_color.red,10,10),"\n")  
#debug concat("green for sun light  :",str(solar_color.green,10,10),"\n")
#debug concat("Blue for sun light  :",str(solar_color.blue,10,10),"\n")      


#if (alt_sun > angle_ext)
        //day sky 
        #declare alt_cor = alt_sun - angle_ext * correct_alt; 
        #declare sky_zenith_color_r = sky_zenith_color_min.red + sky_zenith_color_dif_r * sin(alt_cor*pi/180); 
        #declare sky_zenith_color_g = sky_zenith_color_min.green + sky_zenith_color_dif_g * sin(alt_cor*pi/180);
        #declare sky_zenith_color_b = sky_zenith_color_min.blue + sky_zenith_color_dif_b * sin(alt_cor*pi/180);
        #declare sky_zenith_color = <sky_zenith_color_r,sky_zenith_color_g,sky_zenith_color_b>;
        
#else   
        //night sky
        #declare sky_zenith_color = sky_zenith_color_night;
#end         
        

#declare hue_sky_zenith_color = CRGB2HSL(sky_zenith_color).red ;
#declare sat_sky_zenith_color = CRGB2HSL(sky_zenith_color).green * weather_fact * weather_fact * weather_fact * weather_fact ;
#declare lit_sky_zenith_color = CRGB2HSL(sky_zenith_color).blue;
#debug concat("hue Zenith col   :",str(hue_sky_zenith_color,10,10),"\n")
#debug concat("sat Zenith col   :",str(sat_sky_zenith_color,10,10),"\n")
#debug concat("lum Zenith col   :",str(lit_sky_zenith_color,10,10),"\n") 

#declare sky_zenith_color = CHSL2RGB(<hue_sky_zenith_color,sat_sky_zenith_color,lit_sky_zenith_color>);


                                                 
#declare hue_sky_horizon_color = hue_sky_zenith_color;
#declare sat_sky_horizon_color = sat_sky_zenith_color/3;
#declare lit_sky_horizon_color = lit_sky_zenith_color*1.5;

#declare sky_horizon_color = CHSL2RGB(<hue_sky_horizon_color,sat_sky_horizon_color,lit_sky_horizon_color>);

#declare sky_hor_zenith = pigment {
      gradient y
      pigment_map {
        [0 rgb sky_horizon_color]
        [1 rgb sky_zenith_color]
      }
      scale 1
      translate -0   
    } 


#declare sky_solar_map = color_map {
      //[0.0   color sky_horizon_color]
     // [0.4   color sky_horizon_color]
      [0.0   rgb solar_color]
      [0.15   color sky_horizon_color]
      [1.0   color sky_horizon_color]
      
    }

#declare sky_solar_pigment = pigment {
        gradient z
        color_map { sky_solar_map }
        scale 2
        translate 1 
        rotate <+alt_sun,azm_sun+180,0>
}    





global_settings {max_trace_level 7 ambient_light rgb <1,1,1> * amb_light_f }

//Sun position in London at given time and date
light_source {
      //position sun_coord has been calculated above bu calling
      //sun_coord = SunPos6(date_year, date_month, date_day, time_hour, time_min, 0, london_lat, london_lng);
      
      //start at origin 
      <0,0,0> 
      rgb  solar_color * sun_light_f * weather_fact  
      looks_like  { 
         sphere    { 
          <0,0,0>,200000
          pigment  {rgb solar_color*1.1} 
          finish { ambient 1 }
        }
      }
      #if (modelight != 0) 
        area_light<1000000 * (1-weather_fact),0,0>,<0,0,1000000 * (1-weather_fact)>,5,5
        orient
      #end
      translate sun_coord
  
} 

//Global light from the sky   
light_source {
    <0, 10000, -3000>
    color rgb sky_horizon_color * sky_light_f * (1-weather_fact * weather_fact ) 
    #if (modelight != 0)
            area_light <100000000, 0, 0>, <0, 0, 100000000>, 15, 15
            circular
            adaptive 1
            orient
            //jitter
    #else   
            shadowless
    #end
}          
//********* tempo
/*
light_source {
    <-15*upf, 200, 15*upf>
    color rgb <.5,.5,.5>  
      
            shadowless
    
}          
*/   
// This camera always look frop observator pos to the sun   
#declare camera_sun = camera {
    location <obs_x,obs_y,obs_z>
    look_at sun_coord
    angle obs_angle
    
  }

//Normal camera  
#declare camera_focus = camera {perspective  
    location <obs_x+100*0,obs_y+0,obs_z>
    look_at <focus_x-600*0,focus_y,focus_z>
    angle obs_angle
    //normal { bumps 0.01 scale .3}

  } 

//Normal camera  
#declare camera_focus = camera {perspective  
    location <obs_x+100*0,obs_y+0,obs_z>
    look_at <focus_x-40,focus_y-71,focus_z>
    angle 14
    //normal { bumps 0.01 scale .3}

  } 



camera {camera_focus}    

  
 



// Artificial light for night scene 
/*
#local pos_lamp = <-40,15,-110>;
#local rad_lamp = 15;


 
#if (alt_sun > 15)
        sphere {
             pos_lamp,rad_lamp 
             pigment{Gray70 filter.2} 
             finish{reflection .1 ambient .75} normal{bumps .1 scale <20,10,10>}}
#else
        #declare sdcl = seed(clock*350);
        #declare aleapx = rand(sdcl)*10;
        #declare aleapy = rand(sdcl)*10;
        #declare aleapz = rand(sdcl)*10;
        
        #declare aleaco = rand(sdcl)  * .15;
        
        light_source {pos_lamp 
           color rgb <1,.9-aleaco,.7> * 1.5
           looks_like {
                sphere {
                        
                        <0,0,0>,rad_lamp 
                        pigment{rgbt <1,1-aleaco,.9,.2>} 
                        finish{ ambient .9 diffuse .4} 
                        normal{bumps .1 scale <20,10,10>}
                        

                }
                
           }
           area_light <100,0,0>,<0,100,0>,7,7
           circular
           orient             
           jitter
           fade_distance 200
           fade_power .7
           #debug concat("var col   :",str(aleaco,10,10),"\n")
           #debug concat("var x   :",str(aleapx,10,10),"\n")     
        }
#end   
*/
     

sky_sphere {
    pigment {
      average
      pigment_map {
        [1.0  sky_hor_zenith]
        [.8 * cos(alt_sun*pi/180)  sky_solar_pigment]
        
      }
    }

    scale 1
} 








// to give a clue of positions and distances
/*
union {
cylinder{<0,-1000000,0>,<0,24600,0>,1 pigment{checker Green, Blue  } finish {ambient .7} scale 1 no_shadow   }

#declare ind = -100;
#while (ind <= 200)
        cylinder{<0,-1000000,0>,<0,1000000,0>,6 pigment{Red  } finish {ambient .7}
        scale 1 rotate z*90 no_shadow translate <0,altSW+2000,ind*upf>                 } // axe x
        cylinder{<0,-1000000,0>,<0,1000000,0>,6 pigment{Red  } finish {ambient .7}
        scale 1 rotate x*90 no_shadow translate <ind*upf,altSW+2000,0>                 } // axe z 
        #declare indint = 1;
        #while (indint <= 9)
                cylinder{<0,-1000000,0>,<0,1000000,0>,3 pigment{Gray30  } finish {ambient .7}
                scale 1 rotate z*90 no_shadow translate <0,altSW+2000,(ind+indint)*upf>                 } // axe x
                cylinder{<0,-1000000,0>,<0,1000000,0>,3 pigment{Gray70  } finish {ambient .7}
                scale 1 rotate x*90 no_shadow translate <(ind+indint)*upf,altSW+2000,0 >                 } // axe z 
                #declare indint = indint + 1; 
        #end
        #declare ind  = ind + 10;
#end     
translate y*altSW
}     

*/

plane {<0,1,0>,0 
/*
      texture {
          pigment {bozo
        color_map {
            [0.0 rgbt <.5,.45,.42, 0.1>]
            [0.9 rgbt <0.35, 0.33, 0.31, 0.2>]
            [0.9 rgbt <.45,.35,.32, 0.1>]
        }
    scale 35 
    }
          finish { reflection .35 specular 1 }
          normal { ripples .35 turbulence .5 scale 25 }
      }
*/      
 
 
          texture {           
                    pigment {
                      image_map {tga "textures\imgPave1Pigment.tga"} 
                      
                    } 
                    normal {   
                    bump_map
                        {
                            tga "textures\imgPave1Normal.tga"  
                            bump_size 5.0
                        }
                        
                    } 
                    finish {
                       ambient .17
                       diffuse .5
                       brilliance .5 
                       //reflection {.005, .06}
                       phong .2 
                       phong_size 25
                        
                    }
                    rotate x*90       
                    rotate -y * (90+12)
                    scale <300,0,300>
         }        
          
     
translate y*1.0}

box {<-3000,0,-1000>,<45*upf,1.5,1000>
      texture {
          pigment {bozo                                           
        color_map {
            [0.0 rgbt <.5,.45,.42, 0.1>]
            [0.9 rgbt <0.35, 0.33, 0.31, 0.2>]
            [0.9 rgbt <.45,.35,.32, 0.1>]
        }
    scale 35 
    }
          finish { reflection .35 specular 1 }
          normal { ripples .35 turbulence .5 scale 25 }
      }
}  

//////////////////////////////////////////////////////////////////////////////////////////////////
////BUILDING THE SIDEWALK EDGES /////////////////////////////////////////////////////////////
#declare typeWall=2;            // 1=box ; 2=ellipsoid
#declare pEllipsoid=0.1;        // usual ellipsoid parameter
#declare x1Wall= 0;             // wall length in x
#declare x2Wall= 0;             // wall length in x
#declare z1Wall=-100;             // wall length in x
#declare z2Wall= 100;             // wall length in x
#declare yWall=altSW;              // wall height in y must be larger than the brick height
#declare eMortar=.5;           // mortar thickness
#declare eWall=altSW*1.5;             // mortar depth
#declare xBrickMin=50;             // min brick size
#declare xBrickMax=70;             // max brick size
#declare yBrickMin=altSW-.9;             // min brick height
#declare yBrickMax=altSW-.5;             // max brick height
#declare seedWall=200;              // seed wall
#declare srd1=0.1;                  // randomness amount for brick position (0=no random)
#declare srd2=0.3;                  // randomness amount for brick rotation (0=no random)
#declare srd3=0.18;
#declare srdcol=0.8;                // randomness elips (0=no random)
#declare patternWall=1;             // y color gradient for wall texture
                                    // 0=uniform color
                                    // 1=no color gradient
                                    // 2=from dark to light
                                    // 3=from light to dark     
                                    
#declare doMortar = 1;               // No mortar wishes 0                     

#declare pigWall=rgb<0.89,0.9,0.95>*1.5;    // wall main color
 #declare txtMortar=texture{pigment{rgb<0.74,0.73,0.72>*1.0} normal {
    gradient x       //this is the PATTERN_TYPE
    normal_map {
      [0.3  bumps scale 2]
      [0.3  dents .1]
      [0.6  granite .1]
      [0.9  marble turbulence 1]
    }
  }
}   

//This arrat will store the angles and length of sidewalk
#declare angleslngtrot = array[32][2]
/*
#debug concat("East sidewalk - chancery lane North segment////////////////////////////////","\n")
#declare x1Wall = pnt_trot01[0][0].u;
#declare z1Wall = pnt_trot01[0][0].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x1Wall,-1000000,z1Wall>,<x1Wall,1000000,z1Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }


#declare x2Wall = pnt_trot01[0][1].u;
#declare z2Wall = pnt_trot01[0][1].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x2Wall,-1000000,z2Wall>,<x2Wall,1000000,z2Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }

object{MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)}
#declare  angleslngtrot[0][0] = angleWall;
#declare  angleslngtrot[0][1] = lengthWall;  
#debug concat(" angle   :",str(angleslngtrot[0][0],10,10),"\n") 
#debug concat(" lng   :",str(angleslngtrot[0][1],10,10),"\n")


#debug concat("east sidewalk - chancery lane south segment//////////","\n")
#declare x1Wall = x2Wall;
#declare z1Wall = z2Wall; 

#declare x2Wall = pnt_trot01[0][2].u;
#declare z2Wall = pnt_trot01[0][2].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x2Wall,-1000000,z2Wall>,<x2Wall,1000000,z2Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }

object{MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)}
#declare  angleslngtrot[1][0] = angleWall;
#declare  angleslngtrot[1][1] = lengthWall;  
#debug concat(" angle   :",str(angleslngtrot[1][0],10,10),"\n") 
#debug concat(" lng   :",str(angleslngtrot[1][1],10,10),"\n") 

*/

#debug concat("north sidewalk - fleet street from  south chancery lane to 190//////////////////////////////","\n")
#declare x1Wall = pnt_trot01[1][0].u;
#declare z1Wall = pnt_trot01[1][0].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x1Wall,-1000000,z1Wall>,<x1Wall,1000000,z1Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }


#declare x2Wall = pnt_trot01[1][1].u;
#declare z2Wall = pnt_trot01[1][1].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x2Wall,-1000000,z2Wall>,<x2Wall,1000000,z2Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }

object{MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)}
#declare  angleslngtrot[2][0] = angleWall;
#declare  angleslngtrot[2][1] = lengthWall;  
#debug concat(" angle   :",str(angleslngtrot[2][0],10,10),"\n") 
#debug concat(" lng   :",str(angleslngtrot[2][1],10,10),"\n")

#debug concat("north sidewalk - fleet street from  190 to middle St Dunstan","\n")
#declare x1Wall = x2Wall;
#declare z1Wall = z2Wall; 

#declare x2Wall = pnt_trot01[1][2].u;
#declare z2Wall = pnt_trot01[1][2].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x2Wall,-1000000,z2Wall>,<x2Wall,1000000,z2Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }

object{MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)}
#declare  angleslngtrot[3][0] = angleWall;
#declare  angleslngtrot[3][1] = lengthWall;  
#debug concat(" angle   :",str(angleslngtrot[3][0],10,10),"\n") 
#debug concat(" lng   :",str(angleslngtrot[3][1],10,10),"\n")        


#declare indBollard = 0;
#while (indBollard < 10)
        object {objBollard2 
                scale 110
                translate <300*indBollard,altSW,30>
                rotate -y * angleslngtrot[3][0]
                translate <x1Wall,0,z1Wall>
        }
        #declare indBollard = indBollard+1;
#end


#debug concat("north sidewalk - fleet street middle St Dunstan from south to north ////////////// ","\n")
#declare x1Wall = pnt_trot01[2][0].u;
#declare z1Wall = pnt_trot01[2][0].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x1Wall,-1000000,z1Wall>,<x1Wall,1000000,z1Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }


#declare x2Wall = pnt_trot01[2][1].u;
#declare z2Wall = pnt_trot01[2][1].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x2Wall,-1000000,z2Wall>,<x2Wall,1000000,z2Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }

object{MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)}
#declare  angleslngtrot[4][0] = angleWall;
#declare  angleslngtrot[4][1] = lengthWall;  
#debug concat(" angle   :",str(angleslngtrot[4][0],10,10),"\n") 
#debug concat(" lng   :",str(angleslngtrot[4][1],10,10),"\n")
 

#debug concat("north sidewalk - fleet street frpm middle St Dunstan to east end of St Dunstan ","\n")
#declare x1Wall = x2Wall-20;//<-- gap filling
#declare z1Wall = z2Wall; 

#declare x2Wall = pnt_trot01[2][2].u;
#declare z2Wall = pnt_trot01[2][2].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x2Wall,-1000000,z2Wall>,<x2Wall,1000000,z2Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }

object{MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)}
#declare  angleslngtrot[5][0] = angleWall;
#declare  angleslngtrot[5][1] = lengthWall;  
#debug concat(" angle   :",str(angleslngtrot[5][0],10,10),"\n") 
#debug concat(" lng   :",str(angleslngtrot[5][1],10,10),"\n")


#debug concat("north sidewalk - fleet street east end of St Dunstan south north segment","\n")
#declare x1Wall = pnt_trot01[3][0].u;
#declare z1Wall = pnt_trot01[3][0].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x1Wall,-1000000,z1Wall>,<x1Wall,1000000,z1Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }


#declare x2Wall = pnt_trot01[3][1].u;
#declare z2Wall = pnt_trot01[3][1].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x2Wall,-1000000,z2Wall>,<x2Wall,1000000,z2Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }

object{MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)}
#declare  angleslngtrot[6][0] = angleWall;
#declare  angleslngtrot[6][1] = lengthWall;  
#debug concat(" angle   :",str(angleslngtrot[6][0],10,10),"\n") 
#debug concat(" lng   :",str(angleslngtrot[6][1],10,10),"\n")
 
 
#debug concat("north sidewalk - fleet street east end of St Dunstan to east scene","\n") 
#declare x1Wall = x2Wall;
#declare z1Wall = z2Wall; 

#declare x2Wall = pnt_trot01[3][2].u;
#declare z2Wall = pnt_trot01[3][2].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x2Wall,-1000000,z2Wall>,<x2Wall,1000000,z2Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }

object{MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)}
#declare  angleslngtrot[7][0] = angleWall;
#declare  angleslngtrot[7][1] = lengthWall;  
#debug concat(" angle   :",str(angleslngtrot[7][0],10,10),"\n") 
#debug concat(" lng   :",str(angleslngtrot[7][1],10,10),"\n")



#debug concat("south sidewalk - fleet street west scene to 189","\n")  
#declare x1Wall = pnt_trot01[4][0].u;
#declare z1Wall = pnt_trot01[4][0].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x1Wall,-1000000,z1Wall>,<x1Wall,1000000,z1Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }


#declare x2Wall = pnt_trot01[4][1].u;
#declare z2Wall = pnt_trot01[4][1].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x2Wall,-1000000,z2Wall>,<x2Wall,1000000,z2Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }

object{MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)}
#declare  angleslngtrot[8][0] = angleWall;
#declare  angleslngtrot[8][1] = lengthWall;  
#debug concat(" angle   :",str(angleslngtrot[8][0],10,10),"\n") 
#debug concat(" lng   :",str(angleslngtrot[8][1],10,10),"\n")

#debug concat("south sidewalk - fleet street 189 to middle St Dunstan","\n")
#declare x1Wall = x2Wall;
#declare z1Wall = z2Wall; 

#declare x2Wall = pnt_trot01[4][2].u;
#declare z2Wall = pnt_trot01[4][2].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x2Wall,-1000000,z2Wall>,<x2Wall,1000000,z2Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }

object{MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)}
#declare  angleslngtrot[9][0] = angleWall;
#declare  angleslngtrot[9][1] = lengthWall;  
#debug concat(" angle   :",str(angleslngtrot[9][0],10,10),"\n") 
#debug concat(" lng   :",str(angleslngtrot[9][1],10,10),"\n")

  

#debug concat("south sidewalk - fleet street middle St Dunstan to east end of scene","\n")
#declare x1Wall = x2Wall;
#declare z1Wall = z2Wall; 

#declare x2Wall = pnt_trot01[4][3].u;
#declare z2Wall = pnt_trot01[4][3].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x2Wall,-1000000,z2Wall>,<x2Wall,1000000,z2Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }

object{MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)}
#declare  angleslngtrot[10][0] = angleWall;
#declare  angleslngtrot[10][1] = lengthWall;  
#debug concat(" angle   :",str(angleslngtrot[10][0],10,10),"\n") 
#debug concat(" lng   :",str(angleslngtrot[10][1],10,10),"\n")


/*
// WEST CHANCERY LANE ////////////////////////////////////////////////////////////////
#debug concat("west sidewalk - Chancery lane","\n")
#declare x1Wall = pnt_trot01[5][0].u;
#declare z1Wall = pnt_trot01[5][0].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x1Wall,-1000000,z1Wall>,<x1Wall,1000000,z1Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }


#declare x2Wall = pnt_trot01[5][1].u;
#declare z2Wall = pnt_trot01[5][1].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
cylinder{<x2Wall,-1000000,z2Wall>,<x2Wall,1000000,z2Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }

object{MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)}
#declare  angleslngtrot[11][0] = angleWall;
#declare  angleslngtrot[11][1] = lengthWall;  
#debug concat(" angle   :",str(angleslngtrot[11][0],10,10),"\n") 
#debug concat(" lng   :",str(angleslngtrot[11][1],10,10),"\n")



//North sidewalk Fleet street from chancery lane to west end of scene  ////////////////////////////////   
#debug concat("North sidewalk Fleet street from chancery lane to west end of scene","\n")
#declare x1Wall = pnt_trot01[6][0].u;
#declare z1Wall = pnt_trot01[6][0].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x1Wall,-1000000,z1Wall>,<x1Wall,1000000,z1Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }


#declare x2Wall = pnt_trot01[6][1].u;
#declare z2Wall = pnt_trot01[6][1].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x2Wall,-1000000,z2Wall>,<x2Wall,1000000,z2Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }

object{MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)}
#declare  angleslngtrot[12][0] = angleWall;
#declare  angleslngtrot[12][1] = lengthWall;  
#debug concat(" angle   :",str(angleslngtrot[12][0],10,10),"\n") 
#debug concat(" lng   :",str(angleslngtrot[12][1],10,10),"\n")      


//////// INNS AND COURTS ///////////////////////////////////////////////////////////

#declare yWall=altSW;              // wall height in y must be larger than the brick height
#declare eWall=altSW;             // mortar depth
#declare xBrickMin=60;             // min brick size
#declare yBrickMin=altSW;             // min brick height
#declare yBrickMax=altSW;             // max brick height
#declare doMortar = 0;                     

// Clifford Inn
#declare x1Wall = pnt_trot01[7][0].u;
#declare z1Wall = pnt_trot01[7][0].v; 
#declare x2Wall = pnt_trot01[7][1].u;
#declare z2Wall = pnt_trot01[7][1].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x2Wall,-1000000,z2Wall>,<x2Wall,1000000,z2Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }

object{MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)}
#declare  angleslngtrot[13][0] = angleWall;
#declare  angleslngtrot[13][1] = lengthWall;  
#debug concat(" angle   :",str(angleslngtrot[13][0],10,10),"\n") 
#debug concat(" lng   :",str(angleslngtrot[13][1],10,10),"\n")    


//Flying Horse Inn
#declare x1Wall = pnt_trot01[8][0].u;
#declare z1Wall = pnt_trot01[8][0].v; 
#declare x2Wall = pnt_trot01[8][1].u;
#declare z2Wall = pnt_trot01[8][1].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x2Wall,-1000000,z2Wall>,<x2Wall,1000000,z2Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }

object{MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)}
#declare  angleslngtrot[14][0] = angleWall;
#declare  angleslngtrot[14][1] = lengthWall;  
#debug concat(" angle   :",str(angleslngtrot[14][0],10,10),"\n") 
#debug concat(" lng   :",str(angleslngtrot[14][1],10,10),"\n")        


//King Tavern
#declare x1Wall = pnt_trot01[9][0].u;
#declare z1Wall = pnt_trot01[9][0].v; 
#declare x2Wall = pnt_trot01[9][1].u;
#declare z2Wall = pnt_trot01[9][1].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x2Wall,-1000000,z2Wall>,<x2Wall,1000000,z2Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }

object{MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)}
#declare  angleslngtrot[15][0] = angleWall;
#declare  angleslngtrot[15][1] = lengthWall;  
#debug concat(" angle   :",str(angleslngtrot[14][0],10,10),"\n") 
#debug concat(" lng   :",str(angleslngtrot[14][1],10,10),"\n")   

#declare x1Wall = x2Wall;
#declare z1Wall = z2Wall; 
#declare x2Wall = pnt_trot01[9][2].u;
#declare z2Wall = pnt_trot01[9][2].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x2Wall,-1000000,z2Wall>,<x2Wall,1000000,z2Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }

object{MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)}
#declare  angleslngtrot[16][0] = angleWall;
#declare  angleslngtrot[16][1] = lengthWall;  
#debug concat(" angle   :",str(angleslngtrot[16][0],10,10),"\n") 
#debug concat(" lng   :",str(angleslngtrot[16][1],10,10),"\n")     

// Hen & chicken court
#declare x1Wall = pnt_trot01[10][0].u;
#declare z1Wall = pnt_trot01[10][0].v; 
#declare x2Wall = pnt_trot01[10][1].u;
#declare z2Wall = pnt_trot01[10][1].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x2Wall,-1000000,z2Wall>,<x2Wall,1000000,z2Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }

object{MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)}
#declare  angleslngtrot[17][0] = angleWall;
#declare  angleslngtrot[17][1] = lengthWall;  
#debug concat(" angle   :",str(angleslngtrot[17][0],10,10),"\n") 
#debug concat(" lng   :",str(angleslngtrot[17][1],10,10),"\n")


// Hen & chicken court II
#declare x1Wall = pnt_trot01[11][0].u;
#declare z1Wall = pnt_trot01[11][0].v; 
#declare x2Wall = pnt_trot01[11][1].u;
#declare z2Wall = pnt_trot01[11][1].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x2Wall,-1000000,z2Wall>,<x2Wall,1000000,z2Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }

object{MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)}
#declare  angleslngtrot[18][0] = angleWall;
#declare  angleslngtrot[18][1] = lengthWall;  
#debug concat(" angle   :",str(angleslngtrot[18][0],10,10),"\n") 
#debug concat(" lng   :",str(angleslngtrot[18][1],10,10),"\n")
    

// Inner temple.....
#declare x1Wall = pnt_trot01[12][0].u;
#declare z1Wall = pnt_trot01[12][0].v; 
#declare x2Wall = pnt_trot01[12][1].u;
#declare z2Wall = pnt_trot01[12][1].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x2Wall,-1000000,z2Wall>,<x2Wall,1000000,z2Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }

object{MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)}
#declare  angleslngtrot[19][0] = angleWall;
#declare  angleslngtrot[19][1] = lengthWall;  
#debug concat(" angle   :",str(angleslngtrot[19][0],10,10),"\n") 
#debug concat(" lng   :",str(angleslngtrot[19][1],10,10),"\n")   

// Hercule pillar
#declare x1Wall = pnt_trot01[13][0].u;
#declare z1Wall = pnt_trot01[13][0].v; 
#declare x2Wall = pnt_trot01[13][1].u;
#declare z2Wall = pnt_trot01[13][1].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x2Wall,-1000000,z2Wall>,<x2Wall,1000000,z2Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }

object{MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)}
#declare  angleslngtrot[20][0] = angleWall;
#declare  angleslngtrot[20][1] = lengthWall;  
#debug concat(" angle   :",str(angleslngtrot[20][0],10,10),"\n") 
#debug concat(" lng   :",str(angleslngtrot[20][1],10,10),"\n")       

// Faulcon
#declare x1Wall = pnt_trot01[14][0].u;
#declare z1Wall = pnt_trot01[14][0].v; 
#declare x2Wall = pnt_trot01[14][1].u;
#declare z2Wall = pnt_trot01[14][1].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x2Wall,-1000000,z2Wall>,<x2Wall,1000000,z2Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }

object{MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)}
#declare  angleslngtrot[21][0] = angleWall;
#declare  angleslngtrot[21][1] = lengthWall;  
#debug concat(" angle   :",str(angleslngtrot[21][0],10,10),"\n") 
#debug concat(" lng   :",str(angleslngtrot[21][1],10,10),"\n")   

// Mitre tavern
#declare x1Wall = pnt_trot01[15][0].u;
#declare z1Wall = pnt_trot01[15][0].v; 
#declare x2Wall = pnt_trot01[15][1].u;
#declare z2Wall = pnt_trot01[15][1].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x2Wall,-1000000,z2Wall>,<x2Wall,1000000,z2Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }

object{MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)}
#declare  angleslngtrot[22][0] = angleWall;
#declare  angleslngtrot[22][1] = lengthWall;  
#debug concat(" angle   :",str(angleslngtrot[22][0],10,10),"\n") 
#debug concat(" lng   :",str(angleslngtrot[22][1],10,10),"\n")   

// Bell Yard
#declare x1Wall = pnt_trot01[16][0].u;
#declare z1Wall = pnt_trot01[16][0].v; 
#declare x2Wall = pnt_trot01[16][1].u;
#declare z2Wall = pnt_trot01[16][1].v;    
//#debug concat(" x   :",str(x1Wall,10,10),"\n") 
//#debug concat(" z   :",str(z1Wall,10,10),"\n")
//cylinder{<x2Wall,-1000000,z2Wall>,<x2Wall,1000000,z2Wall>,2 pigment{checker Orange, Blue scale 50 } scale 1 no_shadow  }

object{MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)}
#declare  angleslngtrot[23][0] = angleWall;
#declare  angleslngtrot[23][1] = lengthWall;  
#debug concat(" angle   :",str(angleslngtrot[23][0],10,10),"\n") 
#debug concat(" lng   :",str(angleslngtrot[23][1],10,10),"\n")   

*/
/////////////////////////////////////////////////////////////////////////////////
/// Rounded sidewalk corners

#declare eMortar = .2;
#declare xBrickMin=20;             // min brick size
#declare xBrickMax=21;             // max brick size
#declare tetaWall=90;              // angle (360 = bricks all around)

//chancery lane east corner
#declare rWall = ctr_trot01[0].z;                 // radius 
#declare pigWall=rgb<0.89,0.9,0.95>*1.2;
object{
        MakeRoundWall(typeWall,pEllipsoid,tetaWall,yWall,rWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar) 
        rotate -y*ctr_trot01[0].t/upf
        translate <ctr_trot01[0].x,0,ctr_trot01[0].y>
} 
#declare pigWall=rgb<0.89,0.79,0.80>*1.2;    // wall main color 
#declare hTrot = altSW -.5; 
object {makeroundSideWalk (ctr_trot01[0].z+altSW*3/4, hTrot, pigWall,patternWall)
        rotate -y*ctr_trot01[0].t/upf
        translate <ctr_trot01[0].x,0,ctr_trot01[0].y>
}

//chancery lane west corner
#declare rWall = ctr_trot01[1].z;                 // radius 
#declare pigWall=rgb<0.89,0.9,0.95>*1.2;
object{
        MakeRoundWall(typeWall,pEllipsoid,tetaWall,yWall,rWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar) 
        rotate -y*ctr_trot01[1].t/upf
        translate <ctr_trot01[1].x,0,ctr_trot01[1].y>
}   
#declare pigWall=rgb<0.89,0.79,0.80>*1.2;    // wall main color
object {makeroundSideWalk (ctr_trot01[1].z+altSW*3/4, hTrot, pigWall,patternWall)
        rotate -y*ctr_trot01[1].t/upf
        translate <ctr_trot01[1].x,0,ctr_trot01[1].y>  
}        
        
// St dunstan middle corner
#declare rWall = ctr_trot01[2].z;                 // radius 
#declare pigWall=rgb<0.89,0.9,0.95>*1.2;
object{
        MakeRoundWall(typeWall,pEllipsoid,tetaWall,yWall,rWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar) 
        rotate -y*ctr_trot01[2].t/upf
        translate <ctr_trot01[2].x,0,ctr_trot01[2].y>
} 
#declare pigWall=rgb<0.89,0.79,0.80>*1.2;    // wall main color
object {makeroundSideWalk (ctr_trot01[2].z+altSW*3/4, hTrot, pigWall,patternWall)
        rotate -y*ctr_trot01[2].t/upf
        translate <ctr_trot01[2].x,0,ctr_trot01[2].y>  
} 

#declare rWall = ctr_trot01[3].z;                 // radius 
#declare pigWall=rgb<0.89,0.9,0.95>*1.2;
object{
        MakeRoundWall(typeWall,pEllipsoid,tetaWall,yWall,rWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar) 
        rotate -y*ctr_trot01[3].t/upf
        translate <ctr_trot01[3].x,0,ctr_trot01[3].y>
}  
#declare pigWall=rgb<0.89,0.79,0.80>*1.2;    // wall main color
object {makeroundSideWalk (ctr_trot01[3].z+altSW*2/3, hTrot-.2, pigWall,patternWall)
        rotate -y*ctr_trot01[3].t/upf
        translate <ctr_trot01[3].x,0,ctr_trot01[3].y>  
}   

//////////  BUILDING THE SIDEWALKS  //

#declare typeWall=2;            // 1=box ; 2=ellipsoid
#declare pEllipsoid=0.07;        // usual ellipsoid parameter
#declare xWall= 10;             // wall length in x
#declare yWall=20;              // wall height in y
#declare eMortar=.2;           // mortar thickness
#declare eWall=10;             // mortar depth
#declare xBrickMin=75;             // min brick size
#declare xBrickMax=90;             // max brick size
#declare yBrickMin=60;             // min brick height
#declare yBrickMax=65;             // max brick height
#declare seedWall=200;              // seed wall
#declare srd1=0.1;                  // randomness amount for brick position (0=no random)
#declare srd2=0.2;                  // randomness amount for brick rotation (0=no random)
#declare srdcol=0.25;                // randomness amount for color (0=no random)
#declare patternWall=3;             // y color gradient for wall texture
                                    // 0=uniform color
                                    // 1=no color gradient
                                    // 2=from dark to light
                                    // 3=from light to dark     
                                    
#declare doMortar = 1;               // No mortar wishes 0                     

#declare pigWall=rgb<0.87,0.85,0.85>*1.4;    // wall main color
 #declare txtMortar=texture{pigment{rgb<0.74,0.73,0.72>*0.8} normal {
    gradient x       //this is the PATTERN_TYPE
    normal_map {
      [0.3  bumps scale 2]
      [0.3  dents .1]
      [0.6  granite .1]
      [0.9  marble turbulence 1]
    }
  }
} 



#declare yWall = 10 * upf;
#declare eWall= altSW;


/////// Side walks //////////////////////////////////////////////////////////////////////////////////  
/*
// East Chancery lane north segment
#declare xWall = angleslngtrot[0][1];
object {
   MakeSideWalk(typeWall,pEllipsoid,xWall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar,doMortar)
   rotate x * 90
   translate z*altSW*1.5/2
   translate y*altSW/2 
   rotate -y*angleslngtrot[0][0]
   translate <pnt_trot01[0][0].u,0,pnt_trot01[0][0].v>
} 

// East Chancery lane south segment
#declare xWall = angleslngtrot[1][1];
object {
   MakeSideWalk(typeWall,pEllipsoid,xWall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar,doMortar)
   rotate x * 90
   translate z*altSW*1.5/2
   translate y*altSW/2 
   rotate -y*angleslngtrot[1][0]
   translate <pnt_trot01[0][1].u,0,pnt_trot01[0][1].v>
}  


#declare yWall = 15 * upf;
// North Fleet Street Chancery corner to 190
#declare xWall = angleslngtrot[2][1]+100;
object {
   MakeSideWalk(typeWall,pEllipsoid,xWall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar,doMortar)
   rotate x * 90
   translate z*altSW*1.5/2
   translate y*altSW/2 
   rotate -y*angleslngtrot[2][0]
   translate <pnt_trot01[1][0].u,0,pnt_trot01[1][0].v>
} 
*/
// North Fleet Street 190 to corner middle St Dunstan
#declare xWall = angleslngtrot[3][1]+0;
object {
   MakeSideWalk(typeWall,pEllipsoid,xWall,yWall*7,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar,doMortar)
   rotate x * 90
   translate z*altSW*1.5/2
   translate y*altSW/2 
   rotate -y*angleslngtrot[3][0]
   translate <pnt_trot01[1][1].u,0,pnt_trot01[1][1].v>
} 
 
// North Fleet Street corner middle St Dunstan south North segment
#declare xWall = angleslngtrot[4][1]+500;
object {
   MakeSideWalk(typeWall,pEllipsoid,xWall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar,doMortar)
   rotate x * 90
   translate z*altSW*1.5/2
   translate y*altSW/2 
   rotate -y*angleslngtrot[4][0]
   translate <pnt_trot01[2][0].u,0,pnt_trot01[2][0].v>
}

// North Fleet Street middle St Dunstan West St Dunstan corner
#declare xWall = angleslngtrot[5][1]+20;//<-- gap filling
object {
   MakeSideWalk(typeWall,pEllipsoid,xWall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar,doMortar)
   rotate x * 90
   translate z*altSW*1.5/2
   translate y*altSW/2 
   rotate -y*angleslngtrot[5][0]
   translate <pnt_trot01[2][1].u-20,0,pnt_trot01[2][1].v> //<-- gap filling
}

// North Fleet Street West St Dunstan corner south north segment
#declare xWall = angleslngtrot[6][1]+1000;
object {
   MakeSideWalk(typeWall,pEllipsoid,xWall,yWall*1.5,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar,doMortar)
   rotate x * 90
   translate z*altSW*1.5/2
   translate y*altSW/2 
   rotate -y*angleslngtrot[6][0]
   translate <pnt_trot01[3][0].u,0,pnt_trot01[3][0].v>
}

// North Fleet Street West St Dunstan corner to east end of scene
#declare xWall = angleslngtrot[7][1]+0;
object {
   MakeSideWalk(typeWall,pEllipsoid,xWall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar,doMortar)
   rotate x * 90
   translate z*altSW*1.5/2
   translate y*altSW/2 
   rotate -y*angleslngtrot[7][0]
   translate <pnt_trot01[3][1].u,0,pnt_trot01[3][1].v>
} 


// South Fleet Street West end to 190
#declare xWall = angleslngtrot[8][1]+0;
object {
   MakeSideWalk(typeWall,pEllipsoid,xWall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar,doMortar)
   rotate -x * 90
   translate -z*altSW*1.5/2
   translate y*altSW/2 
   rotate -y*angleslngtrot[8][0]
   translate <pnt_trot01[4][0].u,0,pnt_trot01[4][0].v>
} 

// South Fleet Street 190 middla St Dunstan
#declare xWall = angleslngtrot[9][1]+50;
object {
   MakeSideWalk(typeWall,pEllipsoid,xWall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar,doMortar)
   rotate -x * 90
   translate -z*altSW*1.5/2
   translate y*altSW/2 
   rotate -y*angleslngtrot[9][0]
   translate <pnt_trot01[4][1].u,0,pnt_trot01[4][1].v>
}    

// South Fleet Street middle St Dunstan to east end
#declare xWall = angleslngtrot[10][1]+0;
object {
   MakeSideWalk(typeWall,pEllipsoid,xWall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar,doMortar)
   rotate -x * 90
   translate -z*altSW*1.5/2
   translate y*altSW/2 
   rotate -y*angleslngtrot[10][0]
   translate <pnt_trot01[4][2].u,0,pnt_trot01[4][2].v>
}    


#declare yWall = 10 * upf;
/*
// East Chancery lane
#declare xWall = angleslngtrot[11][1]+0;
object {
   MakeSideWalk(typeWall,pEllipsoid,xWall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar,doMortar)
   rotate -x * 90
   translate -z*altSW*1.5/2
   translate y*altSW/2 
   rotate -y*angleslngtrot[11][0]
   translate <pnt_trot01[5][0].u,0,pnt_trot01[5][0].v>
} 

#declare yWall = 10 * upf;
// North fleet chancery lane to west end 
#declare xWall = angleslngtrot[12][1]+0;
object {
   MakeSideWalk(typeWall,pEllipsoid,xWall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar,doMortar)
   rotate -x * 90
   translate -z*altSW*1.5/2
   translate y*altSW/2 
   rotate -y*angleslngtrot[12][0]
   translate <pnt_trot01[6][0].u,0,pnt_trot01[6][0].v>
}

#declare yWall = 10 * upf;
// Clifford Inn 
#declare xWall = angleslngtrot[13][1]+0;
object {
   MakeSideWalk(typeWall,pEllipsoid,xWall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar,doMortar)
   rotate x * 90
   translate z*altSW*1.5/2
   translate y*altSW/2 
   rotate -y*angleslngtrot[13][0]
   translate <pnt_trot01[7][0].u,0,pnt_trot01[7][0].v>
}





#declare yWall = 10 * upf;
// Flying Horse Inn 
#declare xWall = angleslngtrot[14][1]+0;
object {
   MakeSideWalk(typeWall,pEllipsoid,xWall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar,doMortar)
   rotate x * 90
   translate z*altSW*1.5/2
   translate y*altSW/2 
   rotate -y*angleslngtrot[14][0]
   translate <pnt_trot01[8][0].u,0,pnt_trot01[8][0].v>
} 


#declare yWall = 5 * upf;
// King Tavern 
#declare xWall = angleslngtrot[15][1]+0;
object {
   MakeSideWalk(typeWall,pEllipsoid,xWall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar,doMortar)
   rotate x * 90
   translate z*altSW*1.5/2
   translate y*altSW/2 
   rotate -y*angleslngtrot[15][0]
   translate <pnt_trot01[9][0].u,0,pnt_trot01[9][0].v>
}
#declare xWall = angleslngtrot[16][1]+0;
object {
   MakeSideWalk(typeWall,pEllipsoid,xWall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar,doMortar)
   rotate x * 90
   translate z*altSW*1.5/2
   translate y*altSW/2 
   rotate -y*angleslngtrot[16][0]
   translate <pnt_trot01[9][1].u,0,pnt_trot01[9][1].v>
}

#declare yWall = 10 * upf;
// hen and Chicken court 
#declare xWall = angleslngtrot[17][1]+0;
object {
   MakeSideWalk(typeWall,pEllipsoid,xWall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar,doMortar)
   rotate x * 90
   translate z*altSW*1.5/2
   translate y*altSW/2 
   rotate -y*angleslngtrot[17][0]
   translate <pnt_trot01[10][0].u,0,pnt_trot01[10][0].v>
}  

#declare yWall = 10 * upf;
// hen and Chicken court II 
#declare xWall = angleslngtrot[18][1]+0;
object {
   MakeSideWalk(typeWall,pEllipsoid,xWall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar,doMortar)
   rotate x * 90
   translate z*altSW*1.5/2
   translate y*altSW/2 
   rotate -y*angleslngtrot[18][0]
   translate <pnt_trot01[11][0].u,0,pnt_trot01[11][0].v>
} 

#declare yWall = 10 * upf;
// Inner Temple .....
#declare xWall = angleslngtrot[19][1]+0;
object {
   MakeSideWalk(typeWall,pEllipsoid,xWall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar,doMortar)
   rotate x * 90
   translate z*altSW*1.5/2
   translate y*altSW/2 
   rotate -y*angleslngtrot[19][0]
   translate <pnt_trot01[12][0].u,0,pnt_trot01[12][0].v>
} 

#declare yWall = 5 * upf;
// Hercule pillar .....
#declare xWall = angleslngtrot[20][1]+0;
object {
   MakeSideWalk(typeWall,pEllipsoid,xWall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar,doMortar)
   rotate x * 90
   translate z*altSW*1.5/2
   translate y*altSW/2 
   rotate -y*angleslngtrot[20][0]
   translate <pnt_trot01[13][0].u,0,pnt_trot01[13][0].v>
}

#declare yWall = 35 * upf;
// Faulcon
#declare xWall = angleslngtrot[21][1]+0;
object {
   MakeSideWalk(typeWall,pEllipsoid,xWall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar,doMortar)
   rotate x * 90
   translate z*altSW*1.5/2
   translate y*altSW/2 
   rotate -y*angleslngtrot[21][0]
   translate <pnt_trot01[14][0].u,0,pnt_trot01[14][0].v>
}  

#declare yWall = 18 * upf;
// Mitre Tavern
#declare xWall = angleslngtrot[22][1]+0;
object {
   MakeSideWalk(typeWall,pEllipsoid,xWall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar,doMortar)
   rotate x * 90
   translate z*altSW*1.5/2
   translate y*altSW/2 
   rotate -y*angleslngtrot[22][0]
   translate <pnt_trot01[15][0].u,0,pnt_trot01[15][0].v>
}
#declare yWall = 15 * upf;
// Bell Yard
#declare xWall = angleslngtrot[23][1]+0;
object {
   MakeSideWalk(typeWall,pEllipsoid,xWall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srdcol,patternWall,pigWall,txtMortar,doMortar)
   rotate x * 90
   translate z*altSW*1.5/2
   translate y*altSW/2 
   rotate -y*angleslngtrot[23][0]
   translate <pnt_trot01[16][0].u,0,pnt_trot01[16][0].v>
}


*/


// Roads pavement /////////////
 #declare pigWall=rgb<0.79,0.8,0.82>*2.8; 
 #declare txtMortar=texture{pigment{rgb<0.79,0.8,0.72>*.8} normal {
    gradient x       //this is the PATTERN_TYPE
    normal_map {
      [0.3  bumps scale 2]
      [0.3  dents]
      [0.6  granite]
      [0.9  marble turbulence 1]
    }
  }
}  
  
 #declare srd1=0.3;                  // randomness amount for brick position (0=no random)
 #declare srd2=0.4;                  // randomness amount for brick rotation (0=no random)
 #declare srd3=0.4;
 #declare srdcol=0.8;

 #declare eWall=15;
 #declare pEllipsoid = .2;
 #declare xBrickMin = 19;
 #declare xBrickMax = 1*20.5;
 #declare yBrickMin = 1*14;
 #declare yBrickMax = 15.5;
 ##declare RWidth = 30*upf;
 ##declare MHeight = 12;
 
  

 #declare yWall = angleslngtrot[3][1]+100;
 #object{
    paveroute (typeWall,pEllipsoid,RWidth,MHeight,yWall,rWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar)   
    translate -z*altSW*1.5/2
    rotate -y*angleslngtrot[3][0]
    translate <pnt_trot01[1][1].u,0,pnt_trot01[1][1].v>
 }



 


////////////////////////////////////////////////////////////////////////////////////////////////

// ST DUNSTAN GROUND FLOOR

////////////////////////////////////////////////////////////////////////////////////////////////
#warning concat("++++++++++++++++++++++++++++++++++++ ",str(111,0,0),"\n")    
#declare srd3=0.0;
#declare typeWall=2;            // 1=box ; 2=ellipsoid
#declare pEllipsoid=0.07;        // usual ellipsoid parameter
#declare x1Wall= STDc1.u*upf;             // wall length in x
#declare x2Wall= STDc2.u*upf+eSTDWall/2;             // wall length in x
#declare z1Wall=STDc1.v*upf;             // wall length in x
#declare z2Wall= STDc2.v*upf;             // wall length in x
#declare yWall=hSTDgf+hCrenoh;              // wall height in y must be larger than the brick height
#declare eMortar=0.01;           // mortar thickness   

#declare eWall=eSTDWall;             // mortar depth  
#declare zMortar=eWall-1;           // mortar deepth
#declare xBrickMin=55;             // min brick size
#declare xBrickMax=55.5;             // max brick size
#declare yBrickMin=27;             // min brick height
#declare yBrickMax=27.5;             // max brick height
#declare seedWall=200;              // seed wall
#declare srd1=0.05;                  // randomness amount for brick position (0=no random)
#declare srd2=0.05;                  // randomness amount for brick rotation (0=no random)
#declare srdcol=0.3;                // randomness amount for color between stone(0=no random)  
#declare srdCrand = 0.7;            // randomness amount for color inside a stone
#declare patternWall=3;             // y color gradient for wall texture
                                    // 0=uniform color
                                    // 1=no color gradient
                                    // 2=from dark to light
                                    // 3=from light to dark     
                                    
#declare doMortar = 1;               // No mortar wishes 0



    

//door dimensions
#declare wSTDDoor = 140;  //Width of the door
#declare hSTDDoor = 222;  //Height .....                
#declare xSTDDoor1 = 160; //distance to left side of the wall
#declare ySTDDoor1 = altSW; // Alt of threshold     

//Windows dimensions
//Top door 
#declare xWin =   wSTDDoor;
#declare yWinDoor = 130;
#declare txWinDoor = xSTDDoor1;
#declare tyWinDoor = altSW + 280;  


#declare txWinSW1 = 380;
#declare tyWinSW1 = altSW + 200;
#declare xWin = xWin;
#declare yWinSW = 210;   

#declare wXinSep = 30;

        
         
#declare pigWall= rgb<0.85, 0.675, 0.506>*2.3;  
#declare colSTD = pigWall;     
#declare difamb = <.5,.1>;
#declare txtMortar=TWhiteMortar; // mortar texture 

        
        #declare eWall=eSTDWall;             // mortar depth  
        #declare zMortar=eWall-1;           // mortar deepth

#declare modeImg=1;
#declare modeVtr=1;
#declare txtImgWall = texImgSTD;

#declare angleslngSTDgf = array[8][4]      
//Std Dunstand Ground floor SOUTH West wall
 
#if (modeImg=1)
        # declare gfSWWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*altSW
        }
#else      
        # declare gfSWWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*altSW
        }
#end

#declare  angleslngSTDgf[0][0] = angleWall;
#declare  angleslngSTDgf[0][1] = lengthWall;    
#declare txtLastWall = txtLastBrick;

// opening door holes
#declare difgfSWWallDoor  =      box{<0,altSW+ySTDDoor1,-eSTDWall>,<wSTDDoor,altSW+ySTDDoor1+hSTDDoor,eSTDWall>
                texture {
                                brick texture {TWhiteMortar}, texture {txtLastWall} 
                                brick_size <xBrickMax,yBrickMax,eSTDWall>
                                //mortar eMortar
                                rotate -x*90
                    }
                translate x*xSTDDoor1
                rotate -y*angleslngSTDgf[0][0]   
        }
        
        #declare fLum = 0.66;        // Niveau de luminosit du pigment (rel)
        #declare fNorm = .2;            // Force de l'effet de surface     (rel)
        #declare scNorm = <50,50,-60>;            // Echelle de l'effet de surface   (rel ou vecteur <x,y,z>)
        #declare fTurb = .1;            // Force de turbulence d'effet de surface   (rel ou vecteur <x,y,z>) 
        #declare nType = 4;            // Type de normale
                                        // 1 = agate, 2 = crackle, 3 = cells, 4 = granite,   ....Autres =  bumps
        
        
        #declare cmpR = .83;             // Composante rouge du pigment    (rel)
        #declare cmpV = .80;            // Composante Verte du pigment    (rel)
        #declare cmpB = .70;            // Composante Bleue du pigment    (rel)
        
        #declare grainCol  = .1;        // Force du grain pigment   (rel)
        #declare scCol  = <1,1,1>;             // Echelle du grain pigment   (rel ou vecteur <x,y,z>)
        
        #declare fAmb  = .3;            //sensibilit Lumire ambiante  (rel)
        #declare fDif  = .7;            //sensibilit Lumire diffuse  (rel)
        
        #declare vRotTrans = <0,0>;   // Rotation et translation texture  (vecteur <x,y,z>)   


colvariable(fLum, nType, fNorm, scNorm, fTurb, cmpR, cmpV, cmpB, grainCol, scCol, fAmb, fDif, vRotTrans)

#declare Tdebrd2 = texObj;         


//Items for windows on Ground Floor SOUTH West wall
        #declare epWall = eWall+001;
        #declare debrdz1=7;
        #declare debrdxy1=0;
        #declare xWin = xWin;
        #declare yWin = yWinDoor;
        #declare cGoth1 = 0.00;
        #declare tx = txWinDoor;
        #declare ty = tyWinDoor;         
        #declare Tdebrd  = TStoneStDunstan;
        #declare fen11 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz1,debrdxy1,xWin,yWin,cGoth1,tx,ty,Tdebrd);    
        
        #declare debrdz2=debrdz1-.01 ;
        #declare debrdxy2=debrdxy1+12.5;
        #declare cGoth2 = 0.00;           
        #declare fen12 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2-5,debrdxy2,xWin,yWin,cGoth2,tx,ty,Tdebrd);

        #declare epWallCdr  = .01;        
        #declare fen13  = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2,debrdxy2,xWin,yWin,cGoth2,tx,ty,Tdebrd);
        #declare fen13b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2+23,debrdxy2*.8,xWin,yWin,cGoth2,tx,ty,Tdebrd2);

        #declare debrdxyCdr=-5; 
        #declare debrdzCdr=debrdz2+4; 
        #declare fen14 =  churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr,xWin,yWin,cGoth2,tx,ty,Tdebrd);
        #declare fen14b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+23,debrdxyCdr*-.9,xWin,yWin,cGoth2,tx,ty,Tdebrd2);
        

        //demi ogive interieure  
        #declare xWindiv2 = xWin/2; 
        #declare debrdxyCdr2=5;
        #declare cGothdmo = cGoth2+.8;
        #declare fen15 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen16 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen15b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5,debrdxyCdr2*.6,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd2);
        #declare fen16b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5+.01,debrdxyCdr*.6,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd2);
       
        
        
        #declare txdd = tx + xWindiv2;
        #declare fen17 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen18 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen17b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5,debrdxyCdr2*.6,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd2);
        #declare fen18b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5+.01,debrdxyCdr*.6,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd2);
        
        //vitre
        #declare epWallvtr  = .001; 
        #declare debrdz3 = 1;       
        #declare fen19 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallvtr,debrdz3,debrdxy2,xWin,yWin,cGoth2,tx,ty,TVitrail);
        
        #declare mnt19a = object {poutre1 scale <xWin,3,3> rotate x*45 translate <tx, ty+ yWin/2,0> rotate  -y*angleslngSTDgf[0][0] texture {Texferblanc}};
        #declare mnt19b = object {poutre1 scale <xWin,3,3> rotate x*42 translate <tx, ty+ yWin/1,0> rotate  -y*angleslngSTDgf[0][0] texture {Texferblanc}};

        #declare debrdz1=7;
        #declare debrdxy1=0;        
        #declare tx = txWinSW1; //400;     
        #declare ty = tyWinSW1; //210;
        #declare xWin = xWin;
        #declare yWin = yWinSW; //220; 
        #declare fen21 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz1,debrdxy1,xWin,yWin+20,cGoth1,tx,ty-20,Tdebrd);    
        
        #declare debrdz2=debrdz1-.01 ;
        #declare debrdxy2=debrdxy1+12.5;
        #declare cGoth2 = 0.00;           
        #declare fen22 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2-5,debrdxy2,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);

        #declare epWallCdr  = .01;        
        #declare fen23 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2,debrdxy2,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);
        #declare fen23b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2+23,debrdxy2*.8,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd2);   
        
        
        
        #declare debrdxyCdr=-5; 
        #declare debrdzCdr=debrdz2+4; 
        #declare fen24 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);
        #declare fen24b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+23,debrdxyCdr*-.9,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd2);
        
        prism {
                    linear_sweep//CHANFREIN
                    linear_spline
                    0, // sweep the following shape from here ...
                    1, // ... up through here
                    4, // the number of points making up the shape ...
                    <0,0>,<-21,-8>,<6,-eSTDWall/2><0,0>
                    
                    rotate -z*90
                    scale <xWin,1,1> 
                    translate <tx, ty-20,-5>
                    rotate -y * angleslngSTDgf[0][0]
                    translate <x1Wall,0,z1Wall>
                    texture { Tdebrd rotate 45}
                  }
        
        
        //demi ogive interieure  
        #declare xWindiv2 = xWin/2; 
        #declare debrdxyCdr2=5;
        #declare cGothdmo = cGoth2+.8;
        #declare fen25 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen26 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen25b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5,debrdxyCdr2*.6,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd2);
        #declare fen26b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5+.01,debrdxyCdr*.2,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        
        
        #declare txdd = tx + xWindiv2;
        #declare fen27 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen28 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen27b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5,debrdxyCdr2*.6,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd2);
        #declare fen28b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5+.01,debrdxyCdr*.6,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd2);
        
        //vitre
        #declare epWallvtr  = .001; 
        #declare debrdz3 = 1;       
        #declare fen29 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallvtr,debrdz3,debrdxy2,xWin,yWin,cGoth2,tx,ty,TVitrail);
        #declare mnt29a = object {poutre1 scale <xWin,3,3> rotate x*45 translate <tx, ty+ yWin/3,0> rotate  -y*angleslngSTDgf[0][0] texture {Texferblanc}};
        #declare mnt29b = object {poutre1 scale <xWin,3,3> rotate x*42 translate <tx, ty+ yWin*2/3,0> rotate  -y*angleslngSTDgf[0][0] texture {Texferblanc}};
        #declare mnt29c = object {poutre1 scale <xWin,3,3> rotate x*42 translate <tx, ty+ yWin/1,0> rotate  -y*angleslngSTDgf[0][0] texture {Texferblanc}};
        

        #declare debrdz1=7;
        #declare debrdxy1=0;
        #declare tx = txWinSW1 + xWin + wXinSep;
        #declare ty = tyWinSW1; //210;
        #declare xWin = xWin;
        #declare yWin = yWinSW; //220; 
                #declare fen31 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz1,debrdxy1,xWin,yWin+20,cGoth1,tx,ty-20,Tdebrd);    
        
        #declare debrdz2=debrdz1-.01 ;
        #declare debrdxy2=debrdxy1+12.5;
        #declare cGoth2 = 0.00;           
        #declare fen32 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2-5,debrdxy2,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);

        #declare epWallCdr  = .01;        
        #declare fen33 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2,debrdxy2,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);
        #declare fen33b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2+23,debrdxy2*.8,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd2);   
        
        
        
        #declare debrdxyCdr=-5; 
        #declare debrdzCdr=debrdz2+4; 
        #declare fen34 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);
        #declare fen34b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+23,debrdxyCdr*-.9,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd2);
        
        prism {
                    linear_sweep//CHANFREIN
                    linear_spline
                    0, // sweep the following shape from here ...
                    1, // ... up through here
                    4, // the number of points making up the shape ...
                    <0,0>,<-21,-8>,<6,-eSTDWall/2><0,0>
                    
                    rotate -z*90
                    scale <xWin,1,1> 
                    translate <tx, ty-20,-5>
                    rotate -y * angleslngSTDgf[0][0]
                    translate <x1Wall,0,z1Wall>
                    texture { Tdebrd rotate 45}
                  }
        
        
        //demi ogive interieure  
        #declare xWindiv2 = xWin/2; 
        #declare debrdxyCdr2=5;
        #declare cGothdmo = cGoth2+.8;
        #declare fen35 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen36 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen35b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5,debrdxyCdr2*.6,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd2);
        #declare fen36b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5+.01,debrdxyCdr*.2,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        
        
        #declare txdd = tx + xWindiv2;
        #declare fen37 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen38 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen37b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5,debrdxyCdr2*.6,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd2);
        #declare fen38b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5+.01,debrdxyCdr*.6,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd2);
        
        //vitre
        #declare epWallvtr  = .001; 
        #declare debrdz3 = 1;       
        #declare fen39 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallvtr,debrdz3,debrdxy2,xWin,yWin,cGoth2,tx,ty,TVitrail);
        #declare mnt39a = object {poutre1 scale <xWin,3,3> rotate x*45 translate <tx, ty+ yWin/3,0> rotate  -y*angleslngSTDgf[0][0] texture {Texferblanc}};
        #declare mnt39b = object {poutre1 scale <xWin,3,3> rotate x*42 translate <tx, ty+ yWin*2/3,0> rotate  -y*angleslngSTDgf[0][0] texture {Texferblanc}};
        #declare mnt39c = object {poutre1 scale <xWin,3,3> rotate x*42 translate <tx, ty+ yWin/1,0> rotate  -y*angleslngSTDgf[0][0] texture {Texferblanc}};


        #declare debrdz1=7;
        #declare debrdxy1=0;
        #declare tx = txWinSW1 + (xWin + wXinSep)*2;
        #declare ty = tyWinSW1; //210;
        #declare xWin = xWin;
        #declare yWin = yWinSW; //220; 
 
                #declare fen41 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz1,debrdxy1,xWin,yWin+20,cGoth1,tx,ty-20,Tdebrd);    
        
        #declare debrdz2=debrdz1-.01 ;
        #declare debrdxy2=debrdxy1+12.5;
        #declare cGoth2 = 0.00;           
        #declare fen42 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2-5,debrdxy2,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);

        #declare epWallCdr  = .01;        
        #declare fen43 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2,debrdxy2,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);
        #declare fen43b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2+23,debrdxy2*.8,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd2);   
        
        
        
        #declare debrdxyCdr=-5; 
        #declare debrdzCdr=debrdz2+4; 
        #declare fen44 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);
        #declare fen44b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+23,debrdxyCdr*-.9,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd2);
        
        prism {
                    linear_sweep//CHANFREIN
                    linear_spline
                    0, // sweep the following shape from here ...
                    1, // ... up through here
                    4, // the number of points making up the shape ...
                    <0,0>,<-21,-8>,<6,-eSTDWall/2><0,0>
                    
                    rotate -z*90
                    scale <xWin,1,1> 
                    translate <tx, ty-20,-5>
                    rotate -y * angleslngSTDgf[0][0]
                    translate <x1Wall,0,z1Wall>
                    texture { Tdebrd rotate 45}
                  }
        
        
        //demi ogive interieure  
        #declare xWindiv2 = xWin/2; 
        #declare debrdxyCdr2=5;
        #declare cGothdmo = cGoth2+.8;
        #declare fen45 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen46 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen45b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5,debrdxyCdr2*.6,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd2);
        #declare fen46b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5+.01,debrdxyCdr*.2,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        
        
        #declare txdd = tx + xWindiv2;
        #declare fen47 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen48 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen47b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5,debrdxyCdr2*.6,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd2);
        #declare fen48b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5+.01,debrdxyCdr*.6,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd2);
        
        //vitre
        #declare epWallvtr  = .001; 
        #declare debrdz3 = 1;       
        #declare fen49 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallvtr,debrdz3,debrdxy2,xWin,yWin,cGoth2,tx,ty,TVitrail);
        #declare mnt49a = object {poutre1 scale <xWin,3,3> rotate x*45 translate <tx, ty+ yWin/3,0> rotate  -y*angleslngSTDgf[0][0] texture {Texferblanc}};
        #declare mnt49b = object {poutre1 scale <xWin,3,3> rotate x*42 translate <tx, ty+ yWin*2/3,0> rotate  -y*angleslngSTDgf[0][0] texture {Texferblanc}};
        #declare mnt49c = object {poutre1 scale <xWin,3,3> rotate x*42 translate <tx, ty+ yWin/1,0> rotate  -y*angleslngSTDgf[0][0] texture {Texferblanc}};


        #declare debrdz1=7;
        #declare debrdxy1=0;
        #declare tx = txWinSW1 + (xWin + wXinSep) * 3 ;
        #declare ty = tyWinSW1; //210;
        #declare xWin = xWin;
        #declare yWin = yWinSW; //220; 
                #declare fen51 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz1,debrdxy1,xWin,yWin+20,cGoth1,tx,ty-20,Tdebrd);    
        
        #declare debrdz2=debrdz1-.01 ;
        #declare debrdxy2=debrdxy1+12.5;
        #declare cGoth2 = 0.00;           
        #declare fen52 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2-5,debrdxy2,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);

        #declare epWallCdr  = .01;        
        #declare fen53 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2,debrdxy2,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);
        #declare fen53b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2+23,debrdxy2*.8,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd2);   
        
        
        
        #declare debrdxyCdr=-5; 
        #declare debrdzCdr=debrdz2+4; 
        #declare fen54 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);
        #declare fen54b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+23,debrdxyCdr*-.9,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd2);
        
        prism {
                    linear_sweep//CHANFREIN
                    linear_spline
                    0, // sweep the following shape from here ...
                    1, // ... up through here
                    4, // the number of points making up the shape ...
                    <0,0>,<-21,-8>,<6,-eSTDWall/2><0,0>
                    
                    rotate -z*90
                    scale <xWin,1,1> 
                    translate <tx, ty-20,-5>
                    rotate -y * angleslngSTDgf[0][0]
                    translate <x1Wall,0,z1Wall>
                    texture { Tdebrd rotate 45}
                  }
        
        
        //demi ogive interieure  
        #declare xWindiv2 = xWin/2; 
        #declare debrdxyCdr2=5;
        #declare cGothdmo = cGoth2+.8;
        #declare fen55 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen56 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen55b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5,debrdxyCdr2*.6,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd2);
        #declare fen56b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5+.01,debrdxyCdr*.2,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        
        
        #declare txdd = tx + xWindiv2;
        #declare fen57 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen58 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen57b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5,debrdxyCdr2*.6,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd2);
        #declare fen58b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5+.01,debrdxyCdr*.6,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd2);
        
        //vitre
        #declare epWallvtr  = .001; 
        #declare debrdz3 = 1;       
        #declare fen59 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallvtr,debrdz3,debrdxy2,xWin,yWin,cGoth2,tx,ty,TVitrail);
        #declare mnt59a = object {poutre1 scale <xWin,3,3> rotate x*45 translate <tx, ty+ yWin/3,0> rotate  -y*angleslngSTDgf[0][0] texture {Texferblanc}};
        #declare mnt59b = object {poutre1 scale <xWin,3,3> rotate x*42 translate <tx, ty+ yWin*2/3,0> rotate  -y*angleslngSTDgf[0][0] texture {Texferblanc}};
        #declare mnt59c = object {poutre1 scale <xWin,3,3> rotate x*42 translate <tx, ty+ yWin/1,0> rotate  -y*angleslngSTDgf[0][0] texture {Texferblanc}};

        #declare debrdz1=7;
        #declare debrdxy1=0;        
        #declare tx = txWinSW1 + (xWin + wXinSep) * 4 ;
        #declare ty = tyWinSW1; //210;
        #declare xWin = xWin;
        #declare yWin = yWinSW; //220; 
        #declare fen61 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz1,debrdxy1,xWin,yWin+20,cGoth1,tx,ty-20,Tdebrd);    
        
        #declare debrdz2=debrdz1-.01 ;
        #declare debrdxy2=debrdxy1+12.5;
        #declare cGoth2 = 0.00;           
        #declare fen62 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2-5,debrdxy2,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);

        #declare epWallCdr  = .01;        
        #declare fen63 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2,debrdxy2,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);
        #declare fen63b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2+23,debrdxy2*.8,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd2);   
        
        
        
        #declare debrdxyCdr=-5; 
        #declare debrdzCdr=debrdz2+4; 
        #declare fen64 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);
        #declare fen64b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+23,debrdxyCdr*-.9,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd2);
        
        prism {
                    linear_sweep//CHANFREIN
                    linear_spline
                    0, // sweep the following shape from here ...
                    1, // ... up through here
                    4, // the number of points making up the shape ...
                    <0,0>,<-21,-8>,<6,-eSTDWall/2><0,0>
                    
                    rotate -z*90
                    scale <xWin,1,1> 
                    translate <tx, ty-20,-5>
                    rotate -y * angleslngSTDgf[0][0]
                    translate <x1Wall,0,z1Wall>
                    texture { Tdebrd rotate 45}
                  }
        
        
        //demi ogive interieure  
        #declare xWindiv2 = xWin/2; 
        #declare debrdxyCdr2=5;
        #declare cGothdmo = cGoth2+.8;
        #declare fen65 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen66 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen65b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5,debrdxyCdr2*.6,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd2);
        #declare fen66b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5+.01,debrdxyCdr*.2,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        
        
        #declare txdd = tx + xWindiv2;
        #declare fen67 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen68 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen67b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5,debrdxyCdr2*.6,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd2);
        #declare fen68b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5+.01,debrdxyCdr*.6,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd2);
        
        //vitre
        #declare epWallvtr  = .001; 
        #declare debrdz3 = 1;       
        #declare fen69 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallvtr,debrdz3,debrdxy2,xWin,yWin,cGoth2,tx,ty,TVitrail);
        #declare mnt69a = object {poutre1 scale <xWin,3,3> rotate x*45 translate <tx, ty+ yWin/3,0> rotate  -y*angleslngSTDgf[0][0] texture {Texferblanc}};
        #declare mnt69b = object {poutre1 scale <xWin,3,3> rotate x*42 translate <tx, ty+ yWin*2/3,0> rotate  -y*angleslngSTDgf[0][0] texture {Texferblanc}};
        #declare mnt69c = object {poutre1 scale <xWin,3,3> rotate x*42 translate <tx, ty+ yWin/1,0> rotate  -y*angleslngSTDgf[0][0] texture {Texferblanc}};
        
//Box(es) to get castelled top
#declare crenhole = box{<0,0,-eSTDWall>,< 1,hCrenoh,eSTDWall>
                //texture { TStoneStDunstan}
                //translate x*xSTDDoor1
                //rotate -y*angleslngSTDgf[0][0]   
        }
        
            

#declare gfSWWallUni = union {
        object {gfSWWall}
        object {fen12}
        object {fen22}
        object {fen32}
        object {fen42}
        object {fen52}
        object {fen62}
        object {CrenoRidgeSec
                scale <(angleslngSTDgf[0][1]+eCrenoRidge/2)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2> 
                translate -x*eCrenoRidge/2
                rotate -y *  angleslngSTDgf[0][0]
                translate <STDc1.u,altSW+hSTDgf+hCrenoh,STDc1.v>
                texture { TStoneStDunstan}
       }
} 

// Horizontal hole ridge for screen
object {CrenoRidgeSec
        scale <wCrenoCLK*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>
        texture { TStoneStDunstan}  
        translate <wCrenoSTD1,0,0>
        rotate -y *  angleslngSTDgf[0][0]
        translate <STDc1.u,altSW+hSTDgf+hCrenol-0,STDc1.v>
        
        
} 
// vertical first hole ridge for screen
object {CrenoRidgeSec
        scale <(hCrenoh-hCrenol+eCrenoRidge)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>
        texture { TStoneStDunstan} 
        rotate z*90 
        translate <wCrenoSTD1,0,0>
        rotate -y *  angleslngSTDgf[0][0]
        translate <STDc1.u,altSW+hSTDgf+hCrenol-eCrenoRidge/2,STDc1.v>
        
        
} 
// vertical Second hole ridge for screen
object {CrenoRidgeSec
        scale <(hCrenoh-hCrenol+eCrenoRidge)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>
        texture { TStoneStDunstan} 
        rotate z*90 
        translate <wCrenoSTD1+wCrenoCLK,0,0>
        rotate -y *  angleslngSTDgf[0][0]
        translate <STDc1.u,altSW+hSTDgf+hCrenol-eCrenoRidge/2,STDc1.v>
        
        
}  


#declare nCren =5;
#declare coefAj = .9;
#declare indx =1;    


#while (indx <= nCren)
        // Horizontal hole ridge for screen
        object {CrenoRidgeSec
                scale <wCrenoSTD0*1000*coefAj,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>
                texture { TStoneStDunstan}  
                translate <wCrenoSTD1+wCrenoCLK +wCrenoSTD1*coefAj+wCrenoSTD*coefAj*(indx-1) ,0,0>
                rotate -y *  angleslngSTDgf[0][0]
                translate <STDc1.u,altSW+hSTDgf+hCrenol-0,STDc1.v>
                
                
        } 
        
        // vertical first hole ridge for screen
        object {CrenoRidgeSec
                scale <(hCrenoh-hCrenol+eCrenoRidge)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>
                texture { TStoneStDunstan} 
                rotate z*90 
                translate <wCrenoSTD1+wCrenoCLK +wCrenoSTD1*coefAj+wCrenoSTD*coefAj*(indx-1) ,0,0>
                rotate -y *  angleslngSTDgf[0][0]
                translate <STDc1.u,altSW+hSTDgf+hCrenol-eCrenoRidge/2,STDc1.v>
                
                
        } 
        // vertical Second hole ridge for screen
        object {CrenoRidgeSec
                scale <(hCrenoh-hCrenol+eCrenoRidge)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>
                texture { TStoneStDunstan} 
                rotate z*90 
                translate <wCrenoSTD1+wCrenoCLK +wCrenoSTD*coefAj+wCrenoSTD*coefAj*(indx-1) ,0,0>
                rotate -y *  angleslngSTDgf[0][0]
                translate <STDc1.u,altSW+hSTDgf+hCrenol-eCrenoRidge/2,STDc1.v>
                
                
        }  
        
        
        #declare indx = indx+1;
#end
       
        
 difference {     
        object {gfSWWallUni}
        object {difgfSWWallDoor}
        object {fen11}
        object {fen21}
        object {fen31}
        object {fen41}
        object {fen51}
        object {fen61}    
        object {crenhole
                scale <wCrenoCLK   ,1,1>
                texture { TStoneStDunstan}
                translate <wCrenoSTD1,0,0>
                rotate -y*angleslngSTDgf[0][0]  
                translate <STDc1.u,altSW+hSTDgf+hCrenol,STDc1.v>
        } 
        
        #declare indx =1;
        #while (indx <= nCren)
                object {crenhole
                        scale <wCrenoSTD0*coefAj   ,1,1>
                        texture { TStoneStDunstan}
                        translate <wCrenoSTD1+wCrenoCLK +wCrenoSTD1*coefAj+wCrenoSTD*coefAj*(indx-1) ,0,0>
                        rotate -y*angleslngSTDgf[0][0]  
                        translate <STDc1.u,altSW+hSTDgf+hCrenol,STDc1.v>
                } 
                        
                
                #declare indx = indx+1;
        #end       
}  

difference {
        object {fen13}
        object {fen14}
} 
difference {
        object {fen13b}
        object {fen14b}
}


difference {
        object {fen15 }
        object {fen16 } 
}        
difference {
        object {fen15b }
        object {fen16b } 
}

difference {
        object {fen17 }
        object {fen18 } 
}
difference {
        object {fen17b }
        object {fen18b } 
}  

object{mnt19a}
object{mnt19b}
#if (modeVtr=1)                                                         
   object {fen19 }
#end   
////////////////////////////////////////////
difference {
        object {fen23}
        object {fen24}
} 

difference {
        object {fen23b}
        object {fen24b}
}

difference {
        object {fen25 }
        object {fen26 } 
} 
difference {
        object {fen25b }
        object {fen26b } 
}        
       
difference {
        object {fen27 }
        object {fen28 } 
}
difference {
        object {fen27b }
        object {fen28b } 
}

object{mnt29a}
object{mnt29b} 
object{mnt29c}
 
#if (modeVtr=1)                                                         
   object {fen29 }
#end


//////////////////////////////////////////// 
difference {
        object {fen33}
        object {fen34}
} 

difference {
        object {fen33b}
        object {fen34b}
}

difference {
        object {fen35 }
        object {fen36 } 
} 
difference {
        object {fen35b }
        object {fen36b } 
}        
       
difference {
        object {fen37 }
        object {fen38 } 
}
difference {
        object {fen37b }
        object {fen38b } 
}

object{mnt39a}
object{mnt39b} 
object{mnt39c}
 
#if (modeVtr=1)                                                         
   object {fen39 }
#end

//////////////////////////////////////////// 
difference {
        object {fen43}
        object {fen44}
} 

difference {
        object {fen43b}
        object {fen44b}
}

difference {
        object {fen45 }
        object {fen46 } 
} 
difference {
        object {fen45b }
        object {fen46b } 
}        
       
difference {
        object {fen47 }
        object {fen48 } 
}
difference {
        object {fen47b }
        object {fen48b } 
}

object{mnt49a}
object{mnt49b} 
object{mnt49c}
 
#if (modeVtr=1)                                                         
   object {fen49 }
#end

//////////////////////////////////////////// 
difference {
        object {fen53}
        object {fen54}
} 

difference {
        object {fen53b}
        object {fen54b}
}

difference {
        object {fen55 }
        object {fen56 } 
} 
difference {
        object {fen55b }
        object {fen56b } 
}        
       
difference {
        object {fen57 }
        object {fen58 } 
}
difference {
        object {fen57b }
        object {fen58b } 
}

object{mnt59a}
object{mnt59b} 
object{mnt59c}
 
#if (modeVtr=1)                                                         
   object {fen59 }
#end
//////////////////////////////////////////// 
difference {
        object {fen63}
        object {fen64}
} 

difference {
        object {fen63b}
        object {fen64b}
}

difference {
        object {fen65 }
        object {fen66 } 
} 
difference {
        object {fen65b }
        object {fen66b } 
}        
       
difference {
        object {fen67 }
        object {fen68 } 
}
difference {
        object {fen67b }
        object {fen68b } 
}

object{mnt69a}
object{mnt69b} 
object{mnt69c}
 
#if (modeVtr=1)                                                         
   object {fen69 }
#end
 
/*
///// toise ////////////////////////////////////////////////////////////////////////
#declare difamb = <.7,.3>;
#declare eMin = -500;
#declare eMax = 1500;
#declare pOrg=<0,0,0>;
#declare pExt=<0,1,0>;
#declare dAxe=pExt-pOrg;
#declare uLng=1; // 1 meter 2 feets
#declare subDiv1 = 5;  // How much subdiv1 in uLng
#declare subDiv2 = 1;  // How much subdiv2 in subdiv1
#declare subDiv3 = 1;  // How much subdiv3 in subdiv2
#declare fEc = 1;
#declare rToise = 1.5;
#declare sMode = 0;     // Mode 0 fast endering with 2 stripe per smaller division
                        // Mode 1 for fine graduation with 3 subdivision levels (quite longer rendering...)


object {toise (difamb, eMin, eMax, pOrg, dAxe, uLng, subDiv1, subDiv2, subDiv3, fEc, rToise, sMode)
        translate <txWinDoor+xWin/2,tyWinDoor,0> 
        rotate -y*angleslngSTDgf[0][0]
        
} 
object {toise (difamb, eMin, eMax, pOrg, dAxe, uLng, subDiv1, subDiv2, subDiv3, fEc, rToise, sMode)
        translate <txWinSW1+xWin/2,tyWinSW1,0> 
        rotate -y*angleslngSTDgf[0][0]
        
} 
    



#declare pExt=<1,0,0>;
#declare dAxe=pExt-pOrg;
object {toise (difamb, eMin, eMax, pOrg, dAxe, uLng, subDiv1, subDiv2, subDiv3, fEc, rToise, sMode)
        translate <txWinDoor+xWin/2,tyWinDoor+yWinDoor,0> 
        rotate -y*angleslngSTDgf[0][0]
        
}
object {toise (difamb, eMin, eMax, pOrg, dAxe, uLng, subDiv1, subDiv2, subDiv3, fEc, rToise, sMode)
        translate <txWinDoor+xWin/2,tyWinDoor+yWinDoor+xWin/2,-eWall/2> 
        rotate -y*angleslngSTDgf[0][0]
        
} 
*/

//Std Dunstand Ground floor SOUTH West to SOUTH east junction wall
#declare x1Wall= STDc2.u*upf+7;             // wall length in x
#declare x2Wall= STDc3.u*upf;             // wall length in x
#declare z1Wall=STDc2.v*upf-eSTDWall/2;             // wall length in x
#declare z2Wall= STDc3.v*upf;             // wall length in x

#if (modeImg=1)
        #declare gfSJWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*altSW           
        }
#else      
        #declare gfSJWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*altSW
        }
#end   
#declare  angleslngSTDgf[1][0] = angleWall;
#declare  angleslngSTDgf[1][1] = lengthWall;
#declare txtLastWall = txtLastBrick;  

        #declare tx = 60; //txWinSW1; //400;
        #declare ty = tyWinSW1; //210;
        #declare xWin = xWin;
        #declare yWin = yWinSW; //220; 
                #declare fen111 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz1,debrdxy1,xWin,yWin+20,cGoth1,tx,ty-20,Tdebrd);    
        
        #declare debrdz2=debrdz1-.01 ;
        #declare debrdxy2=debrdxy1+12.5;
        #declare cGoth2 = 0.00;           
        #declare fen112 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2-5,debrdxy2,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);

        #declare epWallCdr  = .01;        
        #declare fen113 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2,debrdxy2,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);
        #declare fen113b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2+23,debrdxy2*.8,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd2);   
        
        
        
        #declare debrdxyCdr=-5; 
        #declare debrdzCdr=debrdz2+4; 
        #declare fen114 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);
        #declare fen114b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+23,debrdxyCdr*-.9,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd2);
        
        prism {
                    linear_sweep//CHANFREIN
                    linear_spline
                    0, // sweep the following shape from here ...
                    1, // ... up through here
                    4, // the number of points making up the shape ...
                    <0,0>,<-21,-8>,<6,-eSTDWall/2><0,0>
                    
                    rotate -z*90
                    scale <xWin,1,1> 
                    translate <tx, ty-20,-5>
                    rotate -y * angleslngSTDgf[1][0]
                    translate <x1Wall,0,z1Wall>
                    texture { Tdebrd rotate 45}
                  }
        
        
        //demi ogive interieure  
        #declare xWindiv2 = xWin/2; 
        #declare debrdxyCdr2=5;
        #declare cGothdmo = cGoth2+.8;
        #declare fen115 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen116 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen115b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5,debrdxyCdr2*.6,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd2);
        #declare fen116b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5+.01,debrdxyCdr*.2,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        
        
        #declare txdd = tx + xWindiv2;
        #declare fen117 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen118 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen117b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5,debrdxyCdr2*.6,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd2);
        #declare fen118b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5+.01,debrdxyCdr*.6,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd2);
        
        //vitre
        #declare epWallvtr  = .001; 
        #declare debrdz3 = 1;       
        #declare fen119 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallvtr,debrdz3,debrdxy2,xWin,yWin,cGoth2,tx,ty,TVitrail);
        #declare mnt119a = object {poutre1 scale <xWin,3,3> rotate x*45 translate <tx, ty+ yWin/3,0> rotate  -y*angleslngSTDgf[1][0] translate <x1Wall,0,z1Wall> texture {Texferblanc}};
        #declare mnt119b = object {poutre1 scale <xWin,3,3> rotate x*42 translate <tx, ty+ yWin*2/3,0> rotate  -y*angleslngSTDgf[1][0] translate <x1Wall,0,z1Wall> texture {Texferblanc}};
        #declare mnt119c = object {poutre1 scale <xWin,3,3> rotate x*42 translate <tx, ty+ yWin/1,0> rotate  -y*angleslngSTDgf[1][0] translate <x1Wall,0,z1Wall> texture {Texferblanc}};

        
#declare gfSJWallUni = union {
        object {gfSJWall}
        object {fen112}
        object {CrenoRidgeSec
                scale <(angleslngSTDgf[1][1]+eCrenoRidge/2)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2> 
                translate -x*(eCrenoRidge/2+5)
                rotate -y *  angleslngSTDgf[1][0]
                translate <STDc2.u*upf+eCrenoRidge/2,altSW+hSTDgf+hCrenoh,STDc2.v*upf-eSTDWall/2>
                texture { TStoneStDunstan}
       }    
}            

difference {
        object {gfSJWallUni}  
        object {crenhole
                scale <angleslngSTDgf[1][1],1,1>   
                texture { TStoneStDunstan}
                translate <wCrenoSTD1,0,0>
                rotate -y*angleslngSTDgf[1][0]  
                translate <STDc2.u*upf+eCrenoRidge/2,altSW+hSTDgf+hCrenol,STDc2.v*upf-eSTDWall/2>
        } 
        object {fen111}
} 


// Horizontal hole ridge for screen
object {CrenoRidgeSec
        scale <(angleslngSTDgf[1][1]-wCrenoSTD1)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>
        texture { TStoneStDunstan}  
        translate <wCrenoSTD1,0,0>
        rotate -y *  angleslngSTDgf[1][0]
        translate <STDc2.u*upf+eCrenoRidge/2,altSW+hSTDgf+hCrenol-0,STDc2.v*upf-eSTDWall/2>
        
        
} 
// vertical first hole ridge for screen
object {CrenoRidgeSec
        scale <(hCrenoh-hCrenol+eCrenoRidge)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>
        texture { TStoneStDunstan} 
        rotate z*90 
        translate <wCrenoSTD1,0,0>
        rotate -y *  angleslngSTDgf[1][0]
        translate <STDc2.u*upf+eCrenoRidge/2,altSW+hSTDgf+hCrenol-eCrenoRidge/2,STDc2.v*upf-eSTDWall/2>
        
        
}
 


    
difference {
        object {fen113}
        object {fen114}
} 
difference {
        object {fen113b}
        object {fen114b}
}


difference {
        object {fen115 }
        object {fen116 } 
}        
difference {
        object {fen115b }
        object {fen116b } 
}

difference {
        object {fen117 }
        object {fen118 } 
}
difference {
        object {fen117b }
        object {fen118b } 
}  

object{mnt119a}
object{mnt119b}
object{mnt119c}
#if (modeVtr=1)                                                         
   object {fen119 }
#end   
        
//Std Dunstand Ground floor SOUTH East wall
#declare x1Wall= STDc3.u*upf-eSTDWall/2;             // wall length in x
#declare x2Wall= STDc4.u*upf+eSTDWall/2;             // wall length in x
#declare z1Wall=STDc3.v*upf;             // wall length in x
#declare z2Wall= STDc4.v*upf;             // wall length in x

#if (modeImg=1)
        #declare gfSEWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*altSW
        }
#else      
        #declare gfSEWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*altSW
        }
#end  
#declare  angleslngSTDgf[2][0] = angleWall;
#declare  angleslngSTDgf[2][1] = lengthWall;

#declare txWinSE1 = 100;

        #declare tx = txWinSE1; //txWinSW1; //400;
        #declare ty = tyWinSW1; //210;
        #declare xWin = xWin;
        #declare yWin = yWinSW; //220; 
                #declare fen211 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz1,debrdxy1,xWin,yWin+20,cGoth1,tx,ty-20,Tdebrd);    
        
        #declare debrdz2=debrdz1-.01 ;
        #declare debrdxy2=debrdxy1+12.5;
        #declare cGoth2 = 0.00;           
        #declare fen212 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2-5,debrdxy2,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);

        #declare epWallCdr  = .01;        
        #declare fen213 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2,debrdxy2,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);
        #declare fen213b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2+23,debrdxy2*.8,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd2);   
        
        
        
        #declare debrdxyCdr=-5; 
        #declare debrdzCdr=debrdz2+4; 
        #declare fen214 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);
        #declare fen214b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+23,debrdxyCdr*-.9,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd2);
        
        prism {
                    linear_sweep//CHANFREIN
                    linear_spline
                    0, // sweep the following shape from here ...
                    1, // ... up through here
                    4, // the number of points making up the shape ...
                    <0,0>,<-21,-8>,<6,-eSTDWall/2><0,0>
                    
                    rotate -z*90
                    scale <xWin,1,1> 
                    translate <tx, ty-20,-5>
                    rotate -y * angleslngSTDgf[2][0]
                    translate <x1Wall,0,z1Wall>
                    texture { Tdebrd rotate 45}
                  }
        
        
        //demi ogive interieure  
        #declare xWindiv2 = xWin/2; 
        #declare debrdxyCdr2=5;
        #declare cGothdmo = cGoth2+.8;
        #declare fen215 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen216 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen215b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5,debrdxyCdr2*.6,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd2);
        #declare fen216b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5+.01,debrdxyCdr*.2,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        
        
        #declare txdd = tx + xWindiv2;
        #declare fen217 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen218 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen217b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5,debrdxyCdr2*.6,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd2);
        #declare fen218b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5+.01,debrdxyCdr*.6,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd2);
        
        //vitre
        #declare epWallvtr  = .001; 
        #declare debrdz3 = 1;       
        #declare fen219 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallvtr,debrdz3,debrdxy2,xWin,yWin,cGoth2,tx,ty,TVitrail);
        #declare mnt219a = object {poutre1 scale <xWin,3,3> rotate x*45 translate <tx, ty+ yWin/3,0> rotate  -y*angleslngSTDgf[2][0] translate <x1Wall,0,z1Wall> texture {Texferblanc}};
        #declare mnt219b = object {poutre1 scale <xWin,3,3> rotate x*42 translate <tx, ty+ yWin*2/3,0> rotate  -y*angleslngSTDgf[2][0] translate <x1Wall,0,z1Wall> texture {Texferblanc}};
        #declare mnt219c = object {poutre1 scale <xWin,3,3> rotate x*42 translate <tx, ty+ yWin/1,0> rotate  -y*angleslngSTDgf[2][0] translate <x1Wall,0,z1Wall> texture {Texferblanc}};

///////////////////
        #declare tx = txWinSE1 + (xWin + wXinSep) * 1;
        #declare ty = tyWinSW1; //210;
        #declare xWin = xWin;
        #declare yWin = yWinSW; //220; 

                #declare fen221 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz1,debrdxy1,xWin,yWin+20,cGoth1,tx,ty-20,Tdebrd);    
        
        #declare debrdz2=debrdz1-.01 ;
        #declare debrdxy2=debrdxy1+12.5;
        #declare cGoth2 = 0.00;           
        #declare fen222 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2-5,debrdxy2,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);

        #declare epWallCdr  = .01;        
        #declare fen223 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2,debrdxy2,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);
        #declare fen223b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2+23,debrdxy2*.8,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd2);   
        
        
        
        #declare debrdxyCdr=-5; 
        #declare debrdzCdr=debrdz2+4; 
        #declare fen224 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);
        #declare fen224b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+23,debrdxyCdr*-.9,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd2);
        
        prism {
                    linear_sweep//CHANFREIN
                    linear_spline
                    0, // sweep the following shape from here ...
                    1, // ... up through here
                    4, // the number of points making up the shape ...
                    <0,0>,<-21,-8>,<6,-eSTDWall/2><0,0>
                    
                    rotate -z*90
                    scale <xWin,1,1> 
                    translate <tx, ty-20,-5>
                    rotate -y * angleslngSTDgf[2][0]
                    translate <x1Wall,0,z1Wall>
                    texture { Tdebrd rotate 45}
                  }
        
        
        //demi ogive interieure  
        #declare xWindiv2 = xWin/2; 
        #declare debrdxyCdr2=5;
        #declare cGothdmo = cGoth2+.8;
        #declare fen225 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen226 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen225b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5,debrdxyCdr2*.6,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd2);
        #declare fen226b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5+.01,debrdxyCdr*.2,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        
        
        #declare txdd = tx + xWindiv2;
        #declare fen227 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen228 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen227b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5,debrdxyCdr2*.6,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd2);
        #declare fen228b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5+.01,debrdxyCdr*.6,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd2);
        
        //vitre
        #declare epWallvtr  = .001; 
        #declare debrdz3 = 1;       
        #declare fen229 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallvtr,debrdz3,debrdxy2,xWin,yWin,cGoth2,tx,ty,TVitrail);
        #declare mnt229a = object {poutre1 scale <xWin,3,3> rotate x*45 translate <tx, ty+ yWin/3,0> rotate  -y*angleslngSTDgf[2][0] translate <x1Wall,0,z1Wall> texture {Texferblanc}};
        #declare mnt229b = object {poutre1 scale <xWin,3,3> rotate x*42 translate <tx, ty+ yWin*2/3,0> rotate  -y*angleslngSTDgf[2][0] translate <x1Wall,0,z1Wall> texture {Texferblanc}};
        #declare mnt229c = object {poutre1 scale <xWin,3,3> rotate x*42 translate <tx, ty+ yWin/1,0> rotate  -y*angleslngSTDgf[2][0] translate <x1Wall,0,z1Wall> texture {Texferblanc}};

///////////////////
        
        #declare tx = txWinSE1 + (xWin + wXinSep) * 2;
        #declare ty = tyWinSW1; //210;
        #declare xWin = xWin;
        #declare yWin = yWinSW; //220; 

                #declare fen231 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz1,debrdxy1,xWin,yWin+20,cGoth1,tx,ty-20,Tdebrd);    
        
        #declare debrdz2=debrdz1-.01 ;
        #declare debrdxy2=debrdxy1+12.5;
        #declare cGoth2 = 0.00;           
        #declare fen232 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2-5,debrdxy2,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);

        #declare epWallCdr  = .01;        
        #declare fen233 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2,debrdxy2,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);
        #declare fen233b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2+23,debrdxy2*.8,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd2);   
        
        
        
        #declare debrdxyCdr=-5; 
        #declare debrdzCdr=debrdz2+4; 
        #declare fen234 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);
        #declare fen234b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+23,debrdxyCdr*-.9,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd2);
        
        prism {
                    linear_sweep//CHANFREIN
                    linear_spline
                    0, // sweep the following shape from here ...
                    1, // ... up through here
                    4, // the number of points making up the shape ...
                    <0,0>,<-21,-8>,<6,-eSTDWall/2><0,0>
                    
                    rotate -z*90
                    scale <xWin,1,1> 
                    translate <tx, ty-20,-5>
                    rotate -y * angleslngSTDgf[2][0]
                    translate <x1Wall,0,z1Wall>
                    texture { Tdebrd rotate 45}
                  }
        
        
        //demi ogive interieure  
        #declare xWindiv2 = xWin/2; 
        #declare debrdxyCdr2=5;
        #declare cGothdmo = cGoth2+.8;
        #declare fen235 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen236 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen235b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5,debrdxyCdr2*.6,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd2);
        #declare fen236b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5+.01,debrdxyCdr*.2,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        
        
        #declare txdd = tx + xWindiv2;
        #declare fen237 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen238 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen237b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5,debrdxyCdr2*.6,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd2);
        #declare fen238b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5+.01,debrdxyCdr*.6,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd2);
        
        //vitre
        #declare epWallvtr  = .001; 
        #declare debrdz3 = 1;       
        #declare fen239 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallvtr,debrdz3,debrdxy2,xWin,yWin,cGoth2,tx,ty,TVitrail);
        #declare mnt239a = object {poutre1 scale <xWin,3,3> rotate x*45 translate <tx, ty+ yWin/3,0> rotate  -y*angleslngSTDgf[2][0] translate <x1Wall,0,z1Wall> texture {Texferblanc}};
        #declare mnt239b = object {poutre1 scale <xWin,3,3> rotate x*42 translate <tx, ty+ yWin*2/3,0> rotate  -y*angleslngSTDgf[2][0] translate <x1Wall,0,z1Wall> texture {Texferblanc}};
        #declare mnt239c = object {poutre1 scale <xWin,3,3> rotate x*42 translate <tx, ty+ yWin/1,0> rotate  -y*angleslngSTDgf[2][0] translate <x1Wall,0,z1Wall> texture {Texferblanc}};

///////////////////

        #declare tx = txWinSE1 + (xWin + wXinSep) * 3;
        #declare ty = tyWinSW1; //210;
        #declare xWin = xWin;
        #declare yWin = yWinSW; //220; 

                #declare fen241 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz1,debrdxy1,xWin,yWin+20,cGoth1,tx,ty-20,Tdebrd);    
        
        #declare debrdz2=debrdz1-.01 ;
        #declare debrdxy2=debrdxy1+12.5;
        #declare cGoth2 = 0.00;           
        #declare fen242 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2-5,debrdxy2,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);

        #declare epWallCdr  = .01;        
        #declare fen243 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2,debrdxy2,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);
        #declare fen243b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2+23,debrdxy2*.8,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd2);   
        
        
        
        #declare debrdxyCdr=-5; 
        #declare debrdzCdr=debrdz2+4; 
        #declare fen244 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd);
        #declare fen244b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+23,debrdxyCdr*-.9,xWin,yWin+20,cGoth2,tx,ty-20,Tdebrd2);
        
        prism {
                    linear_sweep//CHANFREIN
                    linear_spline
                    0, // sweep the following shape from here ...
                    1, // ... up through here
                    4, // the number of points making up the shape ...
                    <0,0>,<-21,-8>,<6,-eSTDWall/2><0,0>
                    
                    rotate -z*90
                    scale <xWin,1,1> 
                    translate <tx, ty-20,-5>
                    rotate -y * angleslngSTDgf[2][0]
                    translate <x1Wall,0,z1Wall>
                    texture { Tdebrd rotate 45}
                  }
        
        
        //demi ogive interieure  
        #declare xWindiv2 = xWin/2; 
        #declare debrdxyCdr2=5;
        #declare cGothdmo = cGoth2+.8;
        #declare fen245 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen246 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen245b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5,debrdxyCdr2*.6,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd2);
        #declare fen246b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5+.01,debrdxyCdr*.2,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        
        
        #declare txdd = tx + xWindiv2;
        #declare fen247 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen248 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen247b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5,debrdxyCdr2*.6,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd2);
        #declare fen248b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5+.01,debrdxyCdr*.6,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd2);
        
        //vitre
        #declare epWallvtr  = .001; 
        #declare debrdz3 = 1;       
        #declare fen249 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallvtr,debrdz3,debrdxy2,xWin,yWin,cGoth2,tx,ty,TVitrail);
        #declare mnt249a = object {poutre1 scale <xWin,3,3> rotate x*45 translate <tx, ty+ yWin/3,0> rotate  -y*angleslngSTDgf[2][0] translate <x1Wall,0,z1Wall> texture {Texferblanc}};
        #declare mnt249b = object {poutre1 scale <xWin,3,3> rotate x*42 translate <tx, ty+ yWin*2/3,0> rotate  -y*angleslngSTDgf[2][0] translate <x1Wall,0,z1Wall> texture {Texferblanc}};
        #declare mnt249c = object {poutre1 scale <xWin,3,3> rotate x*42 translate <tx, ty+ yWin/1,0> rotate  -y*angleslngSTDgf[2][0] translate <x1Wall,0,z1Wall> texture {Texferblanc}};

/////////////////// 

        #declare tx = txWinSE1 + 60 +(xWin + wXinSep) * 4;  
        #warning concat("tx = ",str(tx,5,5),"\n")
        #declare ty = tyWinDoor;
        #declare xWin = xWin;
        #declare yWin = yWinDoor;       
        
        #declare debrdz1=7;
        #declare debrdxy1=0;
        
        #declare fen251 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz1,debrdxy1,xWin,yWin,cGoth1,tx,ty,Tdebrd);    
         
        #declare debrdz2=debrdz1-.01 ;
        #declare debrdxy2=debrdxy1+12.5;
        #declare cGoth2 = 0.00;           
        #declare fen252 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2-5,debrdxy2,xWin,yWin,cGoth2,tx,ty,Tdebrd);  
        

        #declare epWallCdr  = .01;        
        #declare fen253 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2,debrdxy2,xWin,yWin,cGoth2,tx,ty,Tdebrd);
        #declare fen253b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2+23,debrdxy2*.8,xWin,yWin,cGoth2,tx,ty,Tdebrd2);

        #declare debrdxyCdr=-5; 
        #declare debrdzCdr=debrdz2+4; 
        #declare fen254 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr,xWin,yWin,cGoth2,tx,ty,Tdebrd);
        #declare fen254b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+23,debrdxyCdr*-.9,xWin,yWin,cGoth2,tx,ty,Tdebrd2);
        
        //demi ogive interieure  
        #declare xWindiv2 = xWin/2; 
        #declare debrdxyCdr2=5;
        #declare cGothdmo = cGoth2+.8;
        #declare fen255 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen256 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen255b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5,debrdxyCdr2*.6,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd2);
        #declare fen256b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5+.01,debrdxyCdr*.6,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd2);
       
        
        #declare txdd = tx + xWindiv2;
        #declare fen257 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen258 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen257b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5,debrdxyCdr2*.6,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd2);
        #declare fen258b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+5+.01,debrdxyCdr*.6,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd2);
       
        //vitre
        #declare epWallvtr  = .001; 
        #declare debrdz3 = 1;       
        #declare fen259 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallvtr,debrdz3,debrdxy2,xWin,yWin,cGoth2,tx,ty,TVitrail);
        #declare mnt259a = object {poutre1 scale <xWin,3,3> rotate x*45 translate <tx, ty+ yWin/2,0> rotate  -y*angleslngSTDgf[2][0] translate <x1Wall,0,z1Wall> texture {Texferblanc}};
        #declare mnt259b = object {poutre1 scale <xWin,3,3> rotate x*42 translate <tx, ty+ yWin/1,0> rotate  -y*angleslngSTDgf[2][0] translate <x1Wall,0,z1Wall> texture {Texferblanc}};

        
#declare difgfSWWallDoor2  =      box{<0,altSW+ySTDDoor1,-eSTDWall>,<wSTDDoor,altSW+ySTDDoor1+hSTDDoor,eSTDWall>
                texture {
                                brick texture {TWhiteMortar}, texture {txtLastWall} 
                                brick_size <xBrickMax,yBrickMax,eSTDWall>
                                //mortar eMortar
                                rotate -x*90
                    }
#declare xSTDDoor2 = txWinSE1 + 30 +(xWin + wXinSep) * 4;                    
#warning concat("****************************************tx = ",str(xSTDDoor2,5,5),"\n")                                    
                translate x * xSTDDoor2
                rotate -y*angleslngSTDgf[2][0]
                translate <STDc3.u*upf,0,STDc3.v*upf>   
        }
        
//object {difgfSWWallDoor2}
/////////////////// 
#declare gfSEWallUni = union {
        object {gfSEWall}
        object {fen212}
        object {fen222}
        object {fen232}
        object {fen242}
        object {fen252} 
        object {CrenoRidgeSec
                scale <(angleslngSTDgf[2][1]+eCrenoRidge)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2> 
                translate -x*(eCrenoRidge/2)
                rotate -y *  angleslngSTDgf[2][0]
                translate <x1Wall,altSW+hSTDgf+hCrenoh,z1Wall>
                texture { TStoneStDunstan}
       }   
}


#declare nCren =3;
#declare coefAj = .9;
#declare indx =1;    

#declare xOffset = angleslngSTDgf[2][1]-16.45*upf;

#while (indx <= nCren)
        // Horizontal hole ridge for screen
        object {CrenoRidgeSec
                scale <wCrenoSTD0*1000*coefAj,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>
                texture { TStoneStDunstan}  
                translate <xOffset+wCrenoSTD1*coefAj+wCrenoSTD*coefAj*(indx-1) ,0,0>
                rotate -y *  angleslngSTDgf[2][0]
                translate <x1Wall,altSW+hSTDgf+hCrenol-0,z1Wall>
                
                
        } 
        
        // vertical first hole ridge for screen
        object {CrenoRidgeSec
                scale <(hCrenoh-hCrenol+eCrenoRidge)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>
                texture { TStoneStDunstan} 
                rotate z*90 
                translate <xOffset+wCrenoSTD1*coefAj+wCrenoSTD*coefAj*(indx-1) ,0,0>
                rotate -y *  angleslngSTDgf[2][0]
                translate <x1Wall,altSW+hSTDgf+hCrenol-eCrenoRidge/2,z1Wall>
                
                
        } 
        // vertical Second hole ridge for screen
        object {CrenoRidgeSec
                scale <(hCrenoh-hCrenol+eCrenoRidge)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>
                texture { TStoneStDunstan} 
                rotate z*90 
                translate <xOffset+wCrenoSTD*coefAj+wCrenoSTD*coefAj*(indx-1) ,0,0>
                rotate -y *  angleslngSTDgf[2][0]
                translate <x1Wall,altSW+hSTDgf+hCrenol-eCrenoRidge/2,z1Wall>
                
                
        }  
        
        
        #declare indx = indx+1;
#end

difference {
        object {gfSEWallUni}   
        object {difgfSWWallDoor2}
        object {crenhole
                scale <xOffset,1,1>
                texture { TStoneStDunstan}
                translate <-.01-eCrenoRidge/2,0,0>
                rotate -y*angleslngSTDgf[2][0]  
                translate <x1Wall,altSW+hSTDgf+hCrenol,z1Wall>
        }
                #declare indx =1;
        #while (indx <= nCren)
                object {crenhole
                        scale <wCrenoSTD0*coefAj,1,1>   
                        texture { TStoneStDunstan}
                        translate <xOffset+wCrenoSTD1*coefAj+wCrenoSTD*coefAj*(indx-1) ,0,0>
                        rotate -y*angleslngSTDgf[2][0]  
                        translate <x1Wall,altSW+hSTDgf+hCrenol,z1Wall>
                } 
                        
                
                #declare indx = indx+1;
        #end
        object {fen211}
        object {fen221}
        object {fen231}
        object {fen241}
        object {fen251}
}
object {CrenoRidgeSec
        scale <xOffset*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>
        texture { TStoneStDunstan}  
        translate <-eCrenoRidge/2,0,0>
        rotate -y *  angleslngSTDgf[2][0]
        translate <x1Wall,altSW+hSTDgf+hCrenol,z1Wall>
        
        
}

// vertical Second hole ridge for screen
object {CrenoRidgeSec
        scale <(hCrenoh-hCrenol+eCrenoRidge)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>
        texture { TStoneStDunstan} 
        rotate z*90 
        translate <xOffset,0,0>
        rotate -y *  angleslngSTDgf[2][0]
        translate <x1Wall,altSW+hSTDgf+hCrenol-eCrenoRidge/2,z1Wall>
        
        
} 
            
/////////////////////////////////////////
difference {
        object {fen213}
        object {fen214}
} 
difference {
        object {fen213b}
        object {fen214b}
}


difference {
        object {fen215 }
        object {fen216 } 
}        
difference {
        object {fen215b }
        object {fen216b } 
}

difference {
        object {fen217 }
        object {fen218 } 
}
difference {
        object {fen217b }
        object {fen218b } 
}  

object{mnt219a}
object{mnt219b}     
object{mnt219c}
#if (modeVtr=1)                                                         
   object {fen219 }   
#end   

/////////////////////////////////////////
difference {
        object {fen223}
        object {fen224}
} 
difference {
        object {fen223b}
        object {fen224b}
}


difference {
        object {fen225 }
        object {fen226 } 
}        
difference {
        object {fen225b }
        object {fen226b } 
}

difference {
        object {fen227 }
        object {fen228 } 
}
difference {
        object {fen227b }
        object {fen228b } 
}  

object{mnt229a}
object{mnt229b}
object{mnt229c}
#if (modeVtr=1)                                                         
   object {fen229 }
#end   
                 
/////////////////////////////////////////
difference {
        object {fen233}
        object {fen234}
} 
difference {
        object {fen233b}
        object {fen234b}
}


difference {
        object {fen235 }
        object {fen236 } 
}        
difference {
        object {fen235b }
        object {fen236b } 
}

difference {
        object {fen237 }
        object {fen238 } 
}
difference {
        object {fen237b }
        object {fen238b } 
}  

object{mnt239a}
object{mnt239b}
object{mnt239c}
#if (modeVtr=1)                                                         
   object {fen239 }
#end   

/////////////////////////////////////////
difference {
        object {fen243}
        object {fen244}
} 
difference {
        object {fen243b}
        object {fen244b}
}


difference {
        object {fen245 }
        object {fen246 } 
}        
difference {
        object {fen245b }
        object {fen246b } 
}

difference {
        object {fen247 }
        object {fen248 } 
}
difference {
        object {fen247b }
        object {fen248b } 
}  

object{mnt249a}
object{mnt249b}
object{mnt249c}
#if (modeVtr=1)                                                         
   object {fen249 }
#end   

/////////////////////////////////////////
difference {
        object {fen253}
        object {fen254}
} 
difference {
        object {fen253b}
        object {fen254b}
}


difference {
        object {fen255 }
        object {fen256 } 
}        
difference {
        object {fen255b }
        object {fen256b } 
}

difference {
        object {fen257 }
        object {fen258 } 
}
difference {
        object {fen257b }
        object {fen258b } 
}  

object{mnt259a}
object{mnt259b}

#if (modeVtr=1)                                                         
   object {fen259 }
#end   





                 
//Std Dunstand Ground floor EAST wall
#declare x1Wall= STDc4.u*upf;             // wall length in x
#declare x2Wall= STDc5.u*upf;             // wall length in x
#declare z1Wall=STDc4.v*upf;             // wall length in x
#declare z2Wall= STDc5.v*upf;             // wall length in x

#declare yWallN= yWall+(hCrenoh-hCrenol)/2;

#if (modeImg=10)
        #declare gfEEWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWallN,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*altSW
        }
#else      
        #declare gfEEWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWallN,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*altSW
        }
#end  
#declare  angleslngSTDgf[3][0] = angleWall;
#declare  angleslngSTDgf[3][1] = lengthWall;   

#declare gfEEWallDif = difference {       
        object {gfEEWall}
        object {crenhole
                scale <wCrenoSTD0-eSTDWall/2,1,1>   
                texture { TStoneStDunstan}
                translate <-.01-eCrenoRidge/2,0,0>
                rotate -y*angleslngSTDgf[3][0]  
                translate <x1Wall,altSW+yWall,z1Wall>
        }  
        object {crenhole
                scale <wCrenoSTD0-eSTDWall/2,1,1>   
                texture { TStoneStDunstan}
                translate <.01+angleslngSTDgf[3][1]-(wCrenoSTD0-eSTDWall/2)+eCrenoRidge/2,0,0>
                rotate -y*angleslngSTDgf[3][0]  
                translate <x1Wall,altSW+yWall,z1Wall>
        }
}    

#declare gfEEWallUni = union {
        object {gfEEWallDif}                        
        object {CrenoRidgeSec
                //scale <(angleslngSTDgf[3][1]+eCrenoRidge)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>
                scale <(wCrenoSTD0-eSTDWall/2)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>  
                translate -x*(eCrenoRidge/2)
                rotate -y *  angleslngSTDgf[3][0]
                translate <STDc4.u*upf,altSW+hSTDgf+hCrenoh,STDc4.v*upf>
                texture { TStoneStDunstan}
       } 
               object {CrenoRidgeSec
                //scale <(angleslngSTDgf[3][1]+eCrenoRidge)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>
                scale <(wCrenoSTD0-eSTDWall/2)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>  
                translate x*(angleslngSTDgf[3][1]+eCrenoRidge-(wCrenoSTD0-eSTDWall/2))
                rotate -y *  angleslngSTDgf[3][0]
                translate <STDc4.u*upf,altSW+hSTDgf+hCrenoh,STDc4.v*upf>
                texture { TStoneStDunstan}
       }
       object {CrenoRidgeSec
                scale <(angleslngSTDgf[3][1]+eCrenoRidge*2)*1000-(wCrenoSTD0-eSTDWall/2)*2*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>
                //scale <(wCrenoSTD0-eSTDWall/2)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>  
                translate x*(-(eCrenoRidge)  + (wCrenoSTD0-eSTDWall/2))
                rotate -y *  angleslngSTDgf[3][0]
                translate <STDc4.u*upf,altSW+yWallN,STDc4.v*upf>
                texture { TStoneStDunstan}
       } 
       // vertical side ridge for screen
        object {CrenoRidgeSec
                scale <(yWallN-(yWall)+eCrenoRidge)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>
                texture { TStoneStDunstan} 
                rotate z*90 
                translate x*(angleslngSTDgf[3][1]+eCrenoRidge-(wCrenoSTD0-eSTDWall/2))
                rotate -y *  angleslngSTDgf[3][0]
                translate <x1Wall,altSW+hSTDgf+hCrenoh-eCrenoRidge/2,z1Wall>
                
                
        }
        object {CrenoRidgeSec
                scale <(yWallN-(yWall)+eCrenoRidge)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>
                texture { TStoneStDunstan} 
                rotate z*90 
                translate <(wCrenoSTD0-eSTDWall/2)-eCrenoRidge/2,0,0>
                rotate -y *  angleslngSTDgf[3][0]
                translate <x1Wall,altSW+hSTDgf+hCrenoh-eCrenoRidge/2,z1Wall>
                
                
        } 
}  
#declare nCren =5;
#declare coefAj = .9;
    

#declare xOffset = wCrenoSTD1;

#declare indx =1;                


#while (indx <= nCren)
        // Horizontal hole ridge for screen
        object {CrenoRidgeSec
                scale <wCrenoSTD0*1000*coefAj,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>
                texture { TStoneStDunstan}  
                translate <xOffset+wCrenoSTD1*coefAj+wCrenoSTD*coefAj*(indx-1) ,0,0>
                rotate -y *  angleslngSTDgf[3][0]
                translate <x1Wall,altSW+yWallN-hCrenoh+hCrenol-0,z1Wall>
                
                
        } 
        
        // vertical first hole ridge for screen
        object {CrenoRidgeSec
                scale <(hCrenoh-hCrenol+eCrenoRidge)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>
                texture { TStoneStDunstan} 
                rotate z*90 
                translate <xOffset+wCrenoSTD1*coefAj+wCrenoSTD*coefAj*(indx-1) ,0,0>
                rotate -y *  angleslngSTDgf[3][0]
                translate <x1Wall,altSW+yWallN-hCrenoh+hCrenol-eCrenoRidge/2,z1Wall>
                
                
        } 
        // vertical Second hole ridge for screen
        object {CrenoRidgeSec
                scale <(hCrenoh-hCrenol+eCrenoRidge)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>
                texture { TStoneStDunstan} 
                rotate z*90 
                translate <xOffset+wCrenoSTD*coefAj+wCrenoSTD*coefAj*(indx-1) ,0,0>
                rotate -y *  angleslngSTDgf[3][0]
                translate <x1Wall,altSW+yWallN-hCrenoh+hCrenol-eCrenoRidge/2,z1Wall>
                
                
        }  
        
        
        #declare indx = indx+1;
#end
     
difference {       
        object {gfEEWallUni}
                #declare indx =1;
        #while (indx <= nCren)
                object {crenhole
                        scale <wCrenoSTD0*coefAj,1,1>   
                        texture { TStoneStDunstan}
                        translate <xOffset+wCrenoSTD1*coefAj+wCrenoSTD*coefAj*(indx-1) ,0,0>
                        rotate -y*angleslngSTDgf[3][0]  
                        translate <x1Wall,altSW+yWallN-hCrenoh+hCrenol,z1Wall>
                } 
                        
                
                #declare indx = indx+1;
        #end
}               

//Std Dunstand Ground floor NORTH East wall
#declare x1Wall= STDc5.u*upf+eSTDWall/2;             // wall length in x
#declare x2Wall= STDc6.u*upf;             // wall length in x
#declare z1Wall=STDc5.v*upf;             // wall length in x
#declare z2Wall= STDc6.v*upf;             // wall length in x

#if (modeImg=10)
        object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*altSW
        }
#else      
        object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*altSW
        }
#end 
#declare  angleslngSTDgf[4][0] = angleWall;
#declare  angleslngSTDgf[4][1] = lengthWall;

object {CrenoRidgeSec
                scale <(angleslngSTDgf[4][1]+eCrenoRidge)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2> 
                translate -x*(eCrenoRidge/2)
                rotate -y *  angleslngSTDgf[4][0]
                translate <x1Wall,altSW+hSTDgf+hCrenoh,z1Wall>
                texture { TStoneStDunstan}
       } 


//Std Dunstand Ground floor NORTH west-East junction
#declare x1Wall= STDc6.u*upf;             // wall length in x
#declare x2Wall= STDc7.u*upf;             // wall length in x
#declare z1Wall=STDc6.v*upf;             // wall length in x
#declare z2Wall= STDc7.v*upf;             // wall length in x

#if (modeImg=10)
        object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*altSW
        }
#else      
        object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*altSW
        }
#end  
#declare  angleslngSTDgf[5][0] = angleWall;
#declare  angleslngSTDgf[5][1] = lengthWall; 




//Std Dunstand Ground floor NORTH west wall
#declare x1Wall= STDc7.u*upf+eSTDWall/2;             // wall length in x
#declare x2Wall= STDc8.u*upf;             // wall length in x
#declare z1Wall=STDc7.v*upf;             // wall length in x
#declare z2Wall= STDc8.v*upf;             // wall length in x

#if (modeImg=10)
        object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*altSW
        }
#else      
        object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*altSW
        }
#end 
#declare  angleslngSTDgf[6][0] = angleWall;
#declare  angleslngSTDgf[6][1] = lengthWall; 

//Std Dunstand Ground floor WEST wall
#declare x1Wall= STDc8.u*upf+eSTDWall/2;             // wall length in x
#declare x2Wall= STDc1.u*upf+eSTDWall/2;             // wall length in x
#declare z1Wall=STDc8.v*upf;             // wall length in x
#declare z2Wall= STDc1.v*upf;             // wall length in x

#if (modeImg=1)
        #declare gfWWWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*altSW
        }
#else      
        #declare gfWWWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*altSW
        }
#end  

 
#declare  angleslngSTDgf[7][0] = angleWall;
#declare  angleslngSTDgf[7][1] = lengthWall; 


#declare gfWWWallUni = union {
object {CrenoRidgeSec
                scale <(angleslngSTDgf[7][1]+eCrenoRidge)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2> 
                translate -x*(eCrenoRidge/2)
                rotate -y *  angleslngSTDgf[7][0]
                translate <x1Wall,altSW+hSTDgf+hCrenoh,z1Wall>
                texture { TStoneStDunstan}
       }
       object{gfWWWall}
}   


          
#declare nCren =9;
#declare coefAj = .975;
#declare indx =1;    

#declare xOffset = 0*upf;

#while (indx <= nCren)
        // Horizontal hole ridge for screen
        object {CrenoRidgeSec
                scale <wCrenoSTD0*1000*coefAj,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>
                texture { TStoneStDunstan}  
                translate <xOffset+wCrenoSTD1*coefAj+wCrenoSTD*coefAj*(indx-1) ,0,0>
                rotate -y *  angleslngSTDgf[7][0]
                translate <x1Wall,altSW+hSTDgf+hCrenol-0,z1Wall>
                
                
        } 
        
        // vertical first hole ridge for screen
        object {CrenoRidgeSec
                scale <(hCrenoh-hCrenol+eCrenoRidge)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>
                texture { TStoneStDunstan} 
                rotate z*90 
                translate <xOffset+wCrenoSTD1*coefAj+wCrenoSTD*coefAj*(indx-1) ,0,0>
                rotate -y *  angleslngSTDgf[7][0]
                translate <x1Wall,altSW+hSTDgf+hCrenol-eCrenoRidge/2,z1Wall>
                
                
        } 
        // vertical Second hole ridge for screen
        object {CrenoRidgeSec
                scale <(hCrenoh-hCrenol+eCrenoRidge)*1000,eCrenoRidge/2,(eSTDWall+eCrenoRidge)/2>
                texture { TStoneStDunstan} 
                rotate z*90 
                translate <xOffset+wCrenoSTD*coefAj+wCrenoSTD*coefAj*(indx-1) ,0,0>
                rotate -y *  angleslngSTDgf[7][0]
                translate <x1Wall,altSW+hSTDgf+hCrenol-eCrenoRidge/2,z1Wall>
                
                
        }  
        
        
        #declare indx = indx+1;
#end

difference {
        object {gfWWWallUni}   
        
                #declare indx =1;
        #while (indx <= nCren)
                object {crenhole
                        scale <wCrenoSTD0*coefAj,1,1>   
                        texture { TStoneStDunstan}
                        translate <xOffset+wCrenoSTD1*coefAj+wCrenoSTD*coefAj*(indx-1) ,0,0>
                        rotate -y*angleslngSTDgf[7][0]  
                        translate <x1Wall,altSW+hSTDgf+hCrenol,z1Wall>
                } 
                        
                
                #declare indx = indx+1;
        #end
}

 
/////////////////////////// Wallfeets/////////////////////////////////////////
#declare eSTDwf = eSTDWall+15; 
#declare patternWall = 2;      

        #declare fLum = 0.65;        // Niveau de luminosit du pigment (rel)
        #declare fNorm = .03;            // Force de l'effet de surface     (rel)
        #declare scNorm = <.3,.3,-1>;            // Echelle de l'effet de surface   (rel ou vecteur <x,y,z>)
        #declare fTurb = .1;            // Force de turbulence d'effet de surface   (rel ou vecteur <x,y,z>) 
        #declare nType = 4;            // Type de normale
                                        // 1 = agate, 2 = crackle, 3 = cells, 4 = granite,   ....Autres =  bumps
        
        
        #declare cmpR = .89;             // Composante rouge du pigment    (rel)
        #declare cmpV = .80;            // Composante Verte du pigment    (rel)
        #declare cmpB = .70;            // Composante Bleue du pigment    (rel)
        
        #declare grainCol  = .3;        // Force du grain pigment   (rel)
        #declare scCol  = <1,1,1>;             // Echelle du grain pigment   (rel ou vecteur <x,y,z>)
        
        #declare fAmb  = .3;            //sensibilit Lumire ambiante  (rel)
        #declare fDif  = .7;            //sensibilit Lumire diffuse  (rel)
        
        #declare vRotTrans = <0,0>;   // Rotation et translation texture  (vecteur <x,y,z>)   


colvariable(fLum, nType, fNorm, scNorm, fTurb, cmpR, cmpV, cmpB, grainCol, scCol, fAmb, fDif, vRotTrans)
#declare texChanfr = texObj;

//intersection {
        union {
                //Std Dunstand  SOUTH east wallfoot
                difference {    
                union {
                #declare x1Wall= STDc3.u*upf;             // wall length in x
                #declare x2Wall= STDc4.u*upf+eSTDwf/2;             // wall length in x
                #declare z1Wall=STDc3.v*upf;             // wall length in x
                #declare z2Wall= STDc4.v*upf;             // wall length in x
                #declare yWall = hSTDmr; 
                #declare eWall=eSTDwf;             // mortar depth  
                #declare zMortar=eWall-1;           // mortar deepth 
                #if (modeImg=1)
                        object{
                           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
                           translate y*altSW
                        }
                #else      
                        object{
                            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
                            translate y*altSW
                        }
                #end     
                prism {
                    linear_sweep//CHANFREIN
                    linear_spline
                    0, // sweep the following shape from here ...
                    1, // ... up through here
                    4, // the number of points making up the shape ...
                    <0,0>,<-eSTDwf/2,0>,<0,-eSTDwf/2><0,0>
                    
                    rotate -z*90
                    scale <angleslngSTDgf[2][1]-eSTDWall/2,1,1>
                    rotate -y * angleslngSTDgf[2][0]
                    translate <x1Wall,altSW+yWall,z1Wall>
                    texture { texChanfr rotate 45}
                  }
                } // union pied de mur et chanfrein
                object {difgfSWWallDoor2}
                }
                
                
                  
                /*
                //Std Dunstand  EAST  wallfoot        
                #declare x1Wall= STDc4.u*upf;             // wall length in x
                #declare x2Wall= STDc5.u*upf-3;             // wall length in x
                #declare z1Wall=STDc4.v*upf;             // wall length in x
                #declare z2Wall= STDc5.v*upf+eSTDwf/2;             // wall length in x
                #declare yWall = hSTDmr; 
                #declare eWall=eSTDwf;             // mortar depth  
                #declare zMortar=eWall-1;           // mortar deepth 
                #if (modeImg=10)
                        object{
                           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
                           translate y*altSW
                        }
                #else      
                        object{
                            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
                            translate y*altSW
                        }
                #end
                #declare txtLastWall = txtLastBrick;
                
                //Std Dunstand  NORTH EAST  wallfoot        
                #declare x1Wall= STDc5.u*upf+eSTDwf/2;             // wall length in x
                #declare x2Wall= STDc6.u*upf;             // wall length in x
                #declare z1Wall=STDc5.v*upf+5;             // wall length in x
                #declare z2Wall= STDc6.v*upf;             // wall length in x
                #declare yWall = hSTDmr; 
                #declare eWall=eSTDwf;             // mortar depth  
                #declare zMortar=eWall-1;           // mortar deepth 
                #if (modeImg=10)
                        object{
                           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
                           translate y*altSW
                        }
                #else      
                        object{
                            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
                            translate y*altSW
                        }
                #end
                #declare txtLastWall = txtLastBrick; 
                */ 
                
        }// union of three wallfeets east 
/*        
        plane { <0, 1, 0>, 0
           
        
                rotate -x * 45
                translate -z*eSTDWall/2
                rotate -y * angleslngSTDgf[2][0]
                translate <STDc3.u*upf,altSW+hSTDmr,STDc3.v*upf>
                texture {TStoneStDunstan}
        } 
        plane { <0, 1, 0>, 0
           
                rotate -x * 45
                translate -z*eSTDWall/2
                rotate -y * angleslngSTDgf[3][0]
                translate <STDc4.u*upf,altSW+hSTDmr,STDc4.v*upf>
                texture {TStoneStDunstan}
        } 
        plane { <0, 1, 0>, 0
           
                rotate -x * 45
                translate -z*eSTDWall/2
                rotate -y * angleslngSTDgf[4][0]
                translate <STDc5.u*upf,altSW+hSTDmr,STDc5.v*upf>
                texture {TStoneStDunstan}
        } 
*/               
       
//}// intersection 

//EAST block wallfoot 5 wallfeets  
difference {
//intersection {  //intersection with 45 planeq
        union {
                //Std Dunstand  NORTH east west Junction wallfoot
                /*
                #declare x1Wall= STDc6.u*upf;             // wall length in x
                #declare x2Wall= STDc7.u*upf;             // wall length in x
                #declare z1Wall= STDc6.v*upf;             // wall length in x
                #declare z2Wall= STDc7.v*upf;             // wall length in x
                #declare yWall = hSTDmr; 
                #declare eWall=eSTDwf;             // mortar depth  
                #declare zMortar=eWall-1;           // mortar deepth 
                #if (modeImg=10)
                        object{
                           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
                           translate y*altSW
                        }
                #else      
                        object{
                            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
                            translate y*altSW
                        }
                #end 
        
                //Std Dunstand  NORTH east  wallfoot        
                #declare x1Wall= STDc7.u*upf+eSTDwf/2;             // wall length in x
                #declare x2Wall= STDc8.u*upf;             // wall length in x
                #declare z1Wall= STDc7.v*upf+3;             // wall length in x
                #declare z2Wall= STDc8.v*upf;             // wall length in x
                #declare yWall = hSTDmr; 
                #declare eWall=eSTDwf;             // mortar depth  
                #declare zMortar=eWall-1;           // mortar deepth 
                #if (modeImg=10)
                        object{
                           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
                           translate y*altSW
                        }
                #else      
                        object{
                            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
                            translate y*altSW
                        }
                #end
                #declare txtLastWall = txtLastBrick;
                */
                
                //Std Dunstand  EAST  wallfoot        
                #declare x1Wall= STDc8.u*upf+eSTDWall/2-4;             // wall length in x
                #declare x2Wall= STDc1.u*upf+eSTDWall/2+3;             // wall length in x
                #declare z1Wall= STDc8.v*upf+eSTDwf/2+7;             // wall length in x
                #declare z2Wall= STDc1.v*upf-eSTDWall/2-3;             // wall length in x
                #declare yWall = hSTDmr; 
                #declare eWall=eSTDwf;             // mortar depth  
                #declare zMortar=eWall-1;           // mortar deepth 
                #if (modeImg=1)
                        object{
                           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
                           translate y*altSW
                        }
                #else      
                        object{
                            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
                            translate y*altSW
                        }
                #end
                #declare txtLastWall = txtLastBrick;  
                prism {
                    linear_sweep//CHANFREIN
                    linear_spline
                    0, // sweep the following shape from here ...
                    1, // ... up through here
                    4, // the number of points making up the shape ...
                    <0,0>,<-eSTDwf/2,0>,<0,-eSTDwf/2><0,0>
                    texture { txtLastWall }
                    rotate -z*90
                    scale <angleslngSTDgf[7][1]+eSTDWall,1,1>  
                    texture { texChanfr }
                    rotate -y * angleslngSTDgf[7][0]
                    translate <x1Wall,altSW+yWall,z1Wall>
                  }
                
                
                
                
                //Std Dunstand  SOUTH West wallfoot
                
                #declare x1Wall= STDc1.u*upf;             // wall length in x
                #declare x2Wall= STDc2.u*upf+eSTDwf/2;             // wall length in x
                #declare z1Wall=STDc1.v*upf;             // wall length in x
                #declare z2Wall= STDc2.v*upf;             // wall length in x
                #declare yWall = hSTDmr; 
                #declare eWall=eSTDwf;             // mortar depth  
                #declare zMortar=eWall-1;           // mortar deepth 
                #if (modeImg=1)
                        object{
                           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
                           translate y*altSW
                        }
                #else      
                        object{
                            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
                            translate y*altSW
                        }
                #end  
                
                prism {
                    linear_sweep//CHANFREIN
                    linear_spline
                    0, // sweep the following shape from here ...
                    1, // ... up through here
                    4, // the number of points making up the shape ...
                    <0,0>,<-eSTDwf/2,0>,<0,-eSTDwf/2><0,0>
                    texture { txtLastWall }
                    rotate -z*90
                    scale <angleslngSTDgf[0][1],1,1>
                    rotate -y * angleslngSTDgf[0][0]
                    translate <x1Wall,altSW+yWall,z1Wall> 
                    texture { texChanfr }
                  } 
                
        
                //Std Dunstand  SOUTH West-east junction  wallfoot        
                #declare x1Wall= STDc2.u*upf;             // wall length in x
                #declare x2Wall= STDc3.u*upf;             // wall length in x
                #declare z1Wall=STDc2.v*upf;             // wall length in x
                #declare z2Wall= STDc3.v*upf;             // wall length in x
                #declare yWall = hSTDmr; 
                #declare eWall=eSTDwf;             // mortar depth  
                #declare zMortar=eWall-1;           // mortar deepth 
                #if (modeImg=1)
                        object{
                           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
                           translate y*altSW
                        }
                #else      
                        object{
                            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
                            translate y*altSW
                        }
                #end
                #declare txtLastWall = txtLastBrick; 
                
                
                //Ceiling for first floor

                
        }// union of 5 wallfeets east   
        /*
        plane { <0, 1, 0>, 0
           
                rotate -x * 45
                translate -z*eSTDWall/2
                rotate -y * angleslngSTDgf[5][0]
                translate <STDc6.u*upf,altSW+hSTDmr,STDc6.v*upf>
                texture {TStoneStDunstan}
        }   
        
        plane { <0, 1, 0>, 0
           
                rotate -x * 45
                translate -z*eSTDWall/2
                rotate -y * angleslngSTDgf[6][0]
                translate <STDc7.u*upf,altSW+hSTDmr,STDc7.v*upf>
                texture {TStoneStDunstan}
        } 
        
        plane { <0, 1, 0>, 0
           
                
                rotate -x * 45
                translate -z*eSTDWall/2
                rotate -y * angleslngSTDgf[7][0]
                translate <STDc8.u*upf,altSW+hSTDmr-30,STDc8.v*upf>
                texture {TStoneStDunstan}
        }   
        plane { <0, 1, 0>, 0
           
                rotate -x * 45
                translate -z*eSTDWall/2
                rotate -y * angleslngSTDgf[0][0]
                translate <STDc1.u*upf,altSW+hSTDmr,STDc1.v*upf>
                texture {TStoneStDunstan}
        } 
        plane { <0, 1, 0>, 0
           
                
                rotate -x * 45
                translate -z*eSTDWall/2
                rotate -y * angleslngSTDgf[1][0]
                translate <STDc2.u*upf,altSW+hSTDmr,STDc2.v*upf>
                texture {TStoneStDunstan}
        }
        */ 
        
            
        
//}// intersection EAST BLOCK              

box{<0,altSW+ySTDDoor1,-eSTDWall>,<wSTDDoor,altSW+ySTDDoor1+hSTDDoor,eSTDWall> 
/*
    texture {
                        brick texture {TWhiteMortar}, texture {txtLastWall} 
                        brick_size <xBrickMax,yBrickMax,eSTDWall>
                        //mortar eMortar
                        rotate -x*90
                }
                      
*/
texture {TStoneStDunstan}                
translate x*xSTDDoor1
rotate -y*angleslngSTDgf[0][0]   
}            

}//difference with windows and door holes   

////////////////////////////////////////////////////////////////////////////////////  
//Wall ridges top windows and top wall
#declare yWall=11;              // wall height in y must be larger than the brick height

#declare xBrickMin=7.5;             // min brick size
#declare xBrickMax=15.0;             // max brick size
#declare yBrickMin=10;             // min brick height
#declare yBrickMax=0.95;             // max brick height 

#declare patternWall=1;
#declare eWall=eSTDWall+10; 
#declare pEllipsoid=0.15;  
#declare srd1=0.02;                  // randomness amount for brick position (0=no random)
#declare srd2=0.00;                  // randomness amount for brick rotation (0=no random)


#declare x1Wall= STDc1.u*upf-4;             // wall length in x
#declare x2Wall= STDc2.u*upf+eSTDWall/2;             // wall length in x
#declare z1Wall=STDc1.v*upf-2;             // wall length in x
#declare z2Wall= STDc2.v*upf;             // wall length in x

object{
        MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)
        translate y*(altSW+hSTDTopWin+10)
        }
object{
        MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)
        translate y*hSTDgf
        }  
        
#declare x1Wall= STDc2.u*upf+5;             // wall length in x
#declare x2Wall= STDc3.u*upf;             // wall length in x
#declare z1Wall=STDc2.v*upf-eSTDWall/1.5;             // wall length in x
#declare z2Wall= STDc3.v*upf;             // wall length in x

object{
        MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)
        translate y*(altSW+hSTDTopWin+10)
        }
object{
        MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)
        translate y*hSTDgf
        }        
              
 
#declare x1Wall= STDc3.u*upf;             // wall length in x
#declare x2Wall= STDc4.u*upf+eSTDWall/2+2;             // wall length in x
#declare z1Wall=STDc3.v*upf;             // wall length in x
#declare z2Wall= STDc4.v*upf;             // wall length in x      
object{
        MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)
        translate y*(altSW+hSTDTopWin+10)
        }
object{
        MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)
        translate y*hSTDgf
        }        

#declare x1Wall= STDc4.u*upf-0;             // wall length in x
#declare x2Wall= STDc5.u*upf-0;             // wall length in x
#declare z1Wall=STDc4.v*upf-eSTDWall/2;             // wall length in x
#declare z2Wall= STDc5.v*upf;             // wall length in x
#declare gfEridgeLow = object{
        MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)
        translate y*(altSW+hSTDTopWin+10)
        }
#declare gfEridgeTopBot = object{
        MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)
        translate y*hSTDgf
        }
        
//


//
#declare x1Wall= STDc8.u*upf+eSTDWall/2;             // wall length in x
#declare x2Wall= STDc1.u*upf+eSTDWall/2;             // wall length in x
#declare z1Wall=STDc8.v*upf;             // wall length in x
#declare z2Wall= STDc1.v*upf-eSTDWall/2-5;             // wall length in x
object{
        MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)
        translate y*(altSW+hSTDTopWin+10)
        }
object{
        MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)
        translate y*hSTDgf
        }
        
//////////////////////////////////////////////////////////////////////////////////
//Top larger ridgge        
#declare x1Wall= STDc1.u*upf-10;             // wall length in x
#declare x2Wall= STDc2.u*upf+eSTDWall/2-5;             // wall length in x
#declare z1Wall=STDc1.v*upf-6;             // wall length in x
#declare z2Wall= STDc2.v*upf;             // wall length in x
#declare yWall=11;              // wall height in y must be larger than the brick height

#declare xBrickMin=7.5;             // min brick size
#declare xBrickMax=15.0;             // max brick size
#declare yBrickMin=10;             // min brick height
#declare yBrickMax=0.95;             // max brick height 

#declare patternWall=1;
#declare eWall=eSTDWall+30; 
#declare pEllipsoid=0.05;

object{
        MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)
        translate y*hSTDgf+10
        }  
        
       

#declare x1Wall= STDc2.u*upf-20;             // wall length in x
#declare x2Wall= STDc3.u*upf-20;             // wall length in x
#declare z1Wall=STDc2.v*upf;             // wall length in x
#declare z2Wall= STDc3.v*upf;             // wall length in x

object{
        MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)
        translate y*hSTDgf+10
        }        

#declare x1Wall= STDc3.u*upf;             // wall length in x
#declare x2Wall= STDc4.u*upf+eSTDWall/3;             // wall length in x
#declare z1Wall=STDc3.v*upf;             // wall length in x
#declare z2Wall= STDc4.v*upf;             // wall length in x      
object{
        MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)
        translate y*hSTDgf+10
        } 
        
#declare x1Wall= STDc4.u*upf-23;             // wall length in x
#declare x2Wall= STDc5.u*upf-23;             // wall length in x
#declare z1Wall=STDc4.v*upf;             // wall length in x
#declare z2Wall= STDc5.v*upf;             // wall length in x
#declare gfEridgeTopTop = object{
        MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)
        translate y*hSTDgf+10
        }        
//

#declare gfEridgeTop = union {
        object {gfEridgeTopBot}              
        object {gfEridgeTopTop}
}    

#declare Xdecalridge = 35;
#declare  gfEridgeTopBox = object {
                crenhole
                scale <(angleslngSTDgf[3][1]- 2*Xdecalridge),1,1.3>   
                texture { TStoneStDunstan}
                translate <Xdecalridge-eCrenoRidge/2 -0.01, 0, 0>
                rotate -y*angleslngSTDgf[3][0]  
                translate <x1Wall,altSW+hSTDgf-hCrenoh/2,z1Wall>
        } 
#declare  gfEridgeTopBoxI = object {
                crenhole
                scale <(angleslngSTDgf[3][1]- 2*(Xdecalridge+yWall*2)),1.3,1.3>   
                texture { TStoneStDunstan}
                translate <Xdecalridge-eCrenoRidge/2+yWall*2 -0.01, 0, 0>
                rotate -y*angleslngSTDgf[3][0]  
                translate <x1Wall,altSW+hSTDgf-hCrenoh/2,z1Wall>
        }        
        
      
//object {gfEridgeTopBoxI}
#declare  gfEridgeTopExt = difference {
        object {gfEridgeTop}
        object {gfEridgeTopBox} 

} 
#declare  gfEridgeTopMid = intersection {
        object {gfEridgeTop}
        object {gfEridgeTopBox}
        translate y*35 

}

#declare  gfEridgeTopJe = difference {
        
        object {gfEridgeTopMid}
        object {gfEridgeTopBoxI}
        translate -y*yWall 

}



object {gfEridgeTopExt}
object {gfEridgeTopMid}
object {gfEridgeTopJe} 
#declare indy = 1;
#while (indy < 3)
         object {gfEridgeTopJe translate -y*yWall*indy}
        
        #declare indy = indy + 1;
#end

//object {gfEridgeLow}
#declare  gfEridgeLowBox = object {
                crenhole
                scale <(angleslngSTDgf[3][1]- 2*Xdecalridge*1.8),1,1.3>   
                texture { TStoneStDunstan}
                translate <Xdecalridge*1.8-eCrenoRidge/2 -0.01, 0, 0>
                rotate -y*angleslngSTDgf[3][0]  
                translate <x1Wall,hSTDTopWin,z1Wall>
        } 
#declare  gfEridgeLowBoxI = object {
                crenhole
                scale <(angleslngSTDgf[3][1]- 2*(Xdecalridge*1.8+yWall)),1.3,1.4>   
                texture { TStoneStDunstan}
                translate <Xdecalridge*1.8-eCrenoRidge/2+yWall -0.01, 0, 0>
                rotate -y*angleslngSTDgf[3][0]  
                translate <x1Wall,hSTDTopWin+75,z1Wall>
        }        
        
      
//object {gfEridgeLowBox} 
//object {gfEridgeLowBoxI}
#declare  gfEridgeLowExt = difference {
        object {gfEridgeLow}
        object {gfEridgeLowBox} 

} 
#declare  gfEridgeLowMid = intersection {
        object {gfEridgeLow}
        object {gfEridgeLowBox}
        translate y*121 

}

#declare  gfEridgeLowJe = difference {
        
        object {gfEridgeLowMid}
        object {gfEridgeLowBoxI}
        translate -y*yWall 

}



object {gfEridgeLowExt}
object {gfEridgeLowMid}

object {gfEridgeLowJe} 
#declare indy = 1;
#while (indy < 11)
         object {gfEridgeLowJe translate -y*yWall*indy}
        
        #declare indy = indy + 1;
#end




//
#declare x1Wall= STDc8.u*upf+eSTDWall/2-5;             // wall length in x
#declare x2Wall= STDc1.u*upf+eSTDWall/2-5;             // wall length in x
#declare z1Wall=STDc8.v*upf;             // wall length in x
#declare z2Wall= STDc1.v*upf-eSTDWall/2-15;             // wall length in x
object{
        MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)
        translate y*hSTDgf+10
        }      
        
        


        



// Doorthreshold  
superellipsoid{
        <0.1,0.1 >
        scale <wSTDDoor*1.4,1.1*ySTDDoor1,eSTDwf*1.3>/2
        translate <xSTDDoor1+wSTDDoor/2,altSW+ySTDDoor1/2.2,0>
        rotate -y*angleslngSTDgf[0][0]
        texture{TStoneStDunstan}
}

superellipsoid{
        <0.1,0.05 >
        scale <wSTDDoor*1.35,ySTDDoor1,eSTDwf*1.3>/2
        translate <xSTDDoor1+wSTDDoor/2,altSW+ySTDDoor1/2+hSTDDoor+30,-10>
        rotate -y*angleslngSTDgf[0][0]
        texture{TStoneStDunstan}
}   

superellipsoid{
        <0.1,0.05 >
        scale <wSTDDoor*1.45,ySTDDoor1/1.5,eSTDwf*1.35>/2
        translate <xSTDDoor1+wSTDDoor/2,altSW+ySTDDoor1/2+hSTDDoor+37,-15>
        rotate -y*angleslngSTDgf[0][0]
        texture{TStoneStDunstan}
}  
  

//Left side frame
intersection {
     superellipsoid{
        <0.1,0.1 >
     }
     box {<-1.2,0,-1.2><1.2,.1,1.2>}
     
     scale <15,(hSTDDoor+25)*10,eSTDwf/1.9>
     translate <xSTDDoor1-14,altSW+ySTDDoor1,0> 
     rotate -y*angleslngSTDgf[0][0]
     texture{TStoneStDunstan}
} 
intersection {
     superellipsoid{
        <0.1,0.1 >
     }
     box {<-1.2,0,-1.2><1.2,.1,1.2>}
     
     scale <5,(hSTDDoor+25)*10,eSTDwf/1.8>
     translate <xSTDDoor1-14,altSW+ySTDDoor1,0> 
     rotate -y*angleslngSTDgf[0][0]
     texture{TStoneStDunstan}
} 

//Right frame 
intersection {
     superellipsoid{
        <0.1,0.1 >
     }
     box {<-1.2,0,-1.2><1.2,.1,1.2>}
     
     scale <15,(hSTDDoor+25)*10,eSTDwf/1.9>
     translate <xSTDDoor1+wSTDDoor+14,altSW+ySTDDoor1,0> 
     rotate -y*angleslngSTDgf[0][0]
     texture{TStoneStDunstan}
}   
intersection {
     superellipsoid{
        <0.1,0.1 >
     }
     box {<-1.2,0,-1.2><1.2,.1,1.2>}
     
     scale <5,(hSTDDoor+25)*10,eSTDwf/1.8>
     translate <xSTDDoor1+wSTDDoor+14,altSW+ySTDDoor1,0> 
     rotate -y*angleslngSTDgf[0][0]
     texture{TStoneStDunstan}
} 

//Top frame
intersection {
     superellipsoid{
        <0.1,0.1 >
     }
     box {<-1.2,0,-1.2><1.2,.1,1.2>}
     
     scale <15,(wSTDDoor+25)*10,eSTDwf/1.9> 
     rotate -z*90
     translate <xSTDDoor1-15,altSW+ySTDDoor1+hSTDDoor+10,0> 
     rotate -y*angleslngSTDgf[0][0]
     texture{TStoneStDunstan} 
     
} 
intersection {
     superellipsoid{
        <0.1,0.1 >
     }
     box {<-1.2,0,-1.2><1.2,.1,1.2>}
     
     scale <6,(wSTDDoor+25)*10,eSTDwf/1.8> 
     rotate -z*90
     translate <xSTDDoor1-15,altSW+ySTDDoor1+hSTDDoor+12,0> 
     rotate -y*angleslngSTDgf[0][0]
     texture{TStoneStDunstan} 
     
} 



object {
     obj_cornsup   
     scale <10,30,25>
     translate <xSTDDoor1+wSTDDoor+14,altSW+ySTDDoor1+hSTDDoor+15,-eSTDWall/1.8>
     rotate -y*angleslngSTDgf[0][0]
     texture{TStoneStDunstan}
} 

object {
     obj_cornsup   
     scale <10,30,25>
     translate <xSTDDoor1-14,altSW+ySTDDoor1+hSTDDoor+15,-eSTDWall/1.8>
     rotate -y*angleslngSTDgf[0][0]
     texture{TStoneStDunstan}
}



 
//User defined size  

//Outer frame size
#declare FWidth = wSTDDoor;
#declare FHeight = hSTDDoor; 
#declare AngleOpen = -00;

//Deepth of door frame (should fit with the wall thickness)
#declare FDeepth = 30;

//Deepth (or thickness) of door panel (z)
#declare DDeepth = 15; 

// how much the door goes deepin the frame from 0 to 1
#declare DShift = .3;


//thickness of door frame (x,y)
#declare FThick = 8; 

//width for side verticals
#declare VsWidth = 13;

//width for middle vertical
#declare VmWidth = 13;       

//Height of low and high transversals
#declare TeHeight = 18; 

//Height of middle low and high transversal
#declare TmHeight = 13;                
//Lock altitude above doors bottom will place the low transversal
//in such altitude the lock is at middle height of this transvrsal

//This transversal position will also determine the heights and altitudes of 
//low and middle panels  
#declare LckAlt = 95;
#declare  LckScale = <1,1,1>;

#declare doorWestSTD = britishdoor1(FWidth, FHeight, FDeepth, FThick ,DDeepth, DShift, AngleOpen, VsWidth, VmWidth, TeHeight, TmHeight, LckAlt, LckScale, TexSTDDoor)           
object {
        doorWestSTD
        translate <xSTDDoor1,altSW+ySTDDoor1-2,-20>
        rotate -y*angleslngSTDgf[0][0]
}


//// DOOR EAST
// Doorthreshold  
superellipsoid{
        <0.1,0.1 >
        scale <wSTDDoor*1.4,1.1*ySTDDoor1,eSTDwf*1.3>/2
        translate <xSTDDoor2+wSTDDoor/2,altSW+ySTDDoor1/2.2,0>
        rotate -y*angleslngSTDgf[2][0]
        translate <STDc3.u*upf,0,STDc3.v*upf>
        texture{TStoneStDunstan}
}

superellipsoid{
        <0.1,0.05 >
        scale <wSTDDoor*1.35,ySTDDoor1,eSTDwf*1.3>/2
        translate <xSTDDoor2+wSTDDoor/2,altSW+ySTDDoor1/2+hSTDDoor+30,-10>
        rotate -y*angleslngSTDgf[2][0] 
        translate <STDc3.u*upf,0,STDc3.v*upf>
        texture{TStoneStDunstan}
}   

superellipsoid{
        <0.1,0.05 >
        scale <wSTDDoor*1.45,ySTDDoor1/1.5,eSTDwf*1.35>/2
        translate <xSTDDoor2+wSTDDoor/2,altSW+ySTDDoor1/2+hSTDDoor+37,-15>
        rotate -y*angleslngSTDgf[2][0] 
        translate <STDc3.u*upf,0,STDc3.v*upf>
        texture{TStoneStDunstan}
}  
  

//Left side frame
intersection {
     superellipsoid{
        <0.1,0.1 >
     }
     box {<-1.2,0,-1.2><1.2,.1,1.2>}
     
     scale <15,(hSTDDoor+25)*10,eSTDwf/1.9>
     translate <xSTDDoor2-14,altSW+ySTDDoor1,0> 
     rotate -y*angleslngSTDgf[2][0]
     translate <STDc3.u*upf,0,STDc3.v*upf>
     texture{TStoneStDunstan}
} 
intersection {
     superellipsoid{
        <0.1,0.1 >
     }
     box {<-1.2,0,-1.2><1.2,.1,1.2>}
     
     scale <5,(hSTDDoor+25)*10,eSTDwf/1.8>
     translate <xSTDDoor2-14,altSW+ySTDDoor1,0> 
     rotate -y*angleslngSTDgf[2][0] 
     translate <STDc3.u*upf,0,STDc3.v*upf>
     texture{TStoneStDunstan}
} 

//Right frame 
intersection {
     superellipsoid{
        <0.1,0.1 >
     }
     box {<-1.2,0,-1.2><1.2,.1,1.2>}
     
     scale <15,(hSTDDoor+25)*10,eSTDwf/1.9>
     translate <xSTDDoor2+wSTDDoor+14,altSW+ySTDDoor1,0> 
     rotate -y*angleslngSTDgf[2][0]
     translate <STDc3.u*upf,0,STDc3.v*upf>
     texture{TStoneStDunstan}
}   
intersection {
     superellipsoid{
        <0.1,0.1 >
     }
     box {<-1.2,0,-1.2><1.2,.1,1.2>}
     
     scale <5,(hSTDDoor+25)*10,eSTDwf/1.8>
     translate <xSTDDoor2+wSTDDoor+14,altSW+ySTDDoor1,0> 
     rotate -y*angleslngSTDgf[2][0]
     translate <STDc3.u*upf,0,STDc3.v*upf>
     texture{TStoneStDunstan}
} 

//Top frame
intersection {
     superellipsoid{
        <0.1,0.1 >
     }
     box {<-1.2,0,-1.2><1.2,.1,1.2>}
     
     scale <15,(wSTDDoor+25)*10,eSTDwf/1.9> 
     rotate -z*90
     translate <xSTDDoor2-15,altSW+ySTDDoor1+hSTDDoor+10,0> 
     rotate -y*angleslngSTDgf[2][0]
     translate <STDc3.u*upf,0,STDc3.v*upf>
     texture{TStoneStDunstan} 
     
} 
intersection {
     superellipsoid{
        <0.1,0.1 >
     }
     box {<-1.2,0,-1.2><1.2,.1,1.2>}
     
     scale <6,(wSTDDoor+25)*10,eSTDwf/1.8> 
     rotate -z*90
     translate <xSTDDoor2-15,altSW+ySTDDoor1+hSTDDoor+12,0> 
     rotate -y*angleslngSTDgf[2][0]
     translate <STDc3.u*upf,0,STDc3.v*upf>
     texture{TStoneStDunstan} 
     
} 



object {
     obj_cornsup   
     scale <10,30,25>
     translate <xSTDDoor2+wSTDDoor+14,altSW+ySTDDoor1+hSTDDoor+15,-eSTDWall/1.8>
     rotate -y*angleslngSTDgf[2][0]
     translate <STDc3.u*upf,0,STDc3.v*upf>
     texture{TStoneStDunstan}
} 

object {
     obj_cornsup   
     scale <10,30,25>
     translate <xSTDDoor2-14,altSW+ySTDDoor1+hSTDDoor+15,-eSTDWall/1.8>
     rotate -y*angleslngSTDgf[2][0]
     translate <STDc3.u*upf,0,STDc3.v*upf>
     texture{TStoneStDunstan}
}



 
//User defined size  

//Outer frame size
#declare FWidth = wSTDDoor;
#declare FHeight = hSTDDoor; 
#declare AngleOpen = -30;

//Deepth of door frame (should fit with the wall thickness)
#declare FDeepth = 30;

//Deepth (or thickness) of door panel (z)
#declare DDeepth = 15; 

// how much the door goes deepin the frame from 0 to 1
#declare DShift = .3;


//thickness of door frame (x,y)
#declare FThick = 8; 

//width for side verticals
#declare VsWidth = 13;

//width for middle vertical
#declare VmWidth = 13;       

//Height of low and high transversals
#declare TeHeight = 18; 

//Height of middle low and high transversal
#declare TmHeight = 13;                
//Lock altitude above doors bottom will place the low transversal
//in such altitude the lock is at middle height of this transvrsal

//This transversal position will also determine the heights and altitudes of 
//low and middle panels  
#declare LckAlt = 95;
#declare  LckScale = <1,1,1>;

#declare doorWestSTD = britishdoor1(FWidth, FHeight, FDeepth, FThick ,DDeepth, DShift, AngleOpen, VsWidth, VmWidth, TeHeight, TmHeight, LckAlt, LckScale, TexSTDDoor)           
object {
        doorWestSTD
        translate <xSTDDoor2,altSW+ySTDDoor1-2,-20>
        rotate -y*angleslngSTDgf[2][0]
        translate <STDc3.u*upf,0,STDc3.v*upf>
}






/*
//Add details at top of the door      
light_source {
      
      <8*upf,100,-0 *upf> 
      rgb  solar_color * .2  
      shadowless
  
}      
*/

//Add details at top of the door      
light_source {
      
      <75*upf,100,18 *upf> 
      rgb  solar_color * .25  
      shadowless
  
}      
       


/////////// STD CLOCK ///////////////////////////////
object {support_clock
        scale 210
        translate <(txWinSW1+(xSTDDoor1+wSTDDoor))/2-260,655,-eSTDWall/2>
        rotate -y*angleslngSTDgf[0][0]
                
} 

object {makeClock(time_hour, time_min)
        scale 60
        translate <(txWinSW1+(xSTDDoor1+wSTDDoor))/2-260,655,-(eSTDWall/2+300)>
        rotate -y*angleslngSTDgf[0][0]                  
}

//Ceiling for first floor
prism {
    linear_sweep
    linear_spline
    0, // sweep the following shape from here ...
    1, // ... up through here
    9, // the number of points making up the shape ...
    STDc1*upf, STDc2*upf, STDc3*upf, STDc4*upf, STDc5*upf, STDc6*upf, STDc7*upf, STDc8*upf,STDc1*upf
    texture { texImgSTDSoil rotate x * 90 scale <70,1,70> rotate -y*10 }
    translate y*(hSTDgf+altSW)
  } 

//Floor
prism {
    linear_sweep
    linear_spline
    0, // sweep the following shape from here ...
    1, // ... up through here
    9, // the number of points making up the shape ...
    STDc1*upf, STDc2*upf, STDc3*upf, STDc4*upf, STDc5*upf, STDc6*upf, STDc7*upf, STDc8*upf,STDc1*upf
    texture { texImgSTDSoil rotate x * 90 scale <70,1,70> rotate -y*10 }
    translate y*(altSW+ySTDDoor1-1)
  }  


object { Axe scale 5 rotate -y*5rotate -x*90 rotate y*45 translate <400,altSW+2,-50> }   

  blob {
    threshold .5
    sphere {<0,0,0>,20 1.2 translate <-15,0,0>}
    sphere {<0,0,0>,20 1.2 translate <10,0,10>}
    sphere {<0,0,0>,25 1.2 translate <20,0,-10>} 
    scale <1.5,.1,1>
    texture {
        pigment {rgb <.4,.1,.07>} 
        finish {
                ambient 0.2
                diffuse 0.5
                phong 0.7
                phong_size 1
                specular 0.8
                roughness 0.002
                //brilliance .5
        } 
    }
    translate <500,altSW,-50>
  }    
   

//Man rough figure
     
object {
  obj_roughMan  
  pigment {color Gray20}
  rotate  y* 135
  translate <STDc3.u*upf+80,altSW,STDc3.v*upf-60>
  
}  
/*
//Man rough figure     
object {
  obj_roughMan     
  rotate  y* -20
  translate <100,altSW,-70>
}   

//Woman rough figure
object {
  obj_roughWomanB    
  rotate  y* 150      
  
  translate <120,altSW,-160>
}
object {
  obj_roughWomanB    
  rotate  y* -30      
  translate <225,altSW+ySTDDoor1,10>
} 

object {
  obj_roughWomanB    
  rotate  -y* 100      
  translate <820,altSW,-100>
}
object {
  obj_roughMan 
  rotate -y*110
  translate <800,altSW,-140>
  
}     

*/
//////////////////////////////////////////////////////////////////////////////////////////////////////

// ST DUNSTN FIRST FLOOR MAIN

/////////////////////////////////////////////////////////////////////////////////////////////////////

#declare srd3=0.0;
#declare typeWall=2;            // 1=box ; 2=ellipsoid
#declare pEllipsoid=0.07;        // usual ellipsoid parameter

#declare yWall=hSTDff;              // wall height in y must be larger than the brick height
#declare eMortar=0.01;           // mortar thickness   

#declare eWall=eSTDWall;             // mortar depth  
#declare zMortar=eWall-1;           // mortar deepth
#declare xBrickMin=55;             // min brick size
#declare xBrickMax=55.5;             // max brick size
#declare yBrickMin=27;             // min brick height
#declare yBrickMax=27.5;             // max brick height
#declare seedWall=200;              // seed wall
#declare srd1=0.05;                  // randomness amount for brick position (0=no random)
#declare srd2=0.05;                  // randomness amount for brick rotation (0=no random)
#declare srdcol=0.3;                // randomness amount for color between stone(0=no random)  
#declare srdCrand = 0.7;            // randomness amount for color inside a stone
#declare patternWall=3;             // y color gradient for wall texture
                                    // 0=uniform color
                                    // 1=no color gradient
                                    // 2=from dark to light
                                    // 3=from light to dark     
                                    
#declare doMortar = 1;               // No mortar wishes 0
#declare pigWall= rgb<0.73, 0.675, 0.556>*1.8;       
#declare difamb = <.5,.1>;
#declare txtMortar=TWhiteMortar; // mortar texture 

        #declare eWall=eSTDWall;             // mortar depth  
        #declare zMortar=eWall-1;           // mortar deepth


#declare txtImgWall = texImgSTD;    

#declare xWin =   160;
#declare yWinSM1 = 170;
#declare yWinEM1 = 170;
#declare txWinSM1 = 180; 
#declare txWinEM1 = 110;
#declare tyWinSM1 = altSW + hSTDgf+80; 
#declare tyWinEM1 = altSW + hSTDgf+80;
#declare wXinSep = 180;

        

#declare x1Wall= STDf1.u*upf;             // wall length in x
#declare x2Wall= STDf2.u*upf+eSTDWall/2;             // wall length in x
#declare z1Wall=STDf1.v*upf;             // wall length in x
#declare z2Wall= STDf2.v*upf;             // wall length in x


#declare angleslngSTDff = array[20][2]      
//Std Dunstand FIRST floor SOUTH main wall
 
#if (modeImg=1)
        # declare ffSMWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+hSTDgf)
        }
#else      
        # declare ffSMWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+hSTDgf)
        }
#end

#declare  angleslngSTDff[0][0] = angleWall;
#declare  angleslngSTDff[0][1] = lengthWall;    

//Items for windows on FIRST Floor SOUTH  wall
        #declare epWall = eWall+001;
        #declare debrdz1=7;
        #declare debrdxy1=0;  
        
        #declare debrdz1=1.5;
        #declare debrdxy1=0;       
        
        #declare xWin = xWin;
        #declare yWin = yWinSM1;
        #declare cGoth1 = 0.00;
        #declare tx = txWinSM1;
        #declare ty = tyWinSM1;         
        #declare Tdebrd  = TStoneStDunstan;
        #declare fen1111 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz1,debrdxy1,xWin,yWin,cGoth1,tx,ty,Tdebrd);    
        
        #declare debrdz2=debrdz1-.01 ;
        #declare debrdxy2=debrdxy1+12.5;
        #declare cGoth2 = 0.00;           
        #declare fen1112 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2,debrdxy2*1.5,xWin,yWin,cGoth2,tx,ty,Tdebrd);
        
        #declare fen1112b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2+3,debrdxy2*1,xWin,yWin,cGoth2,tx,ty,Tdebrd2);
        #declare fen1111b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz1+3,debrdxy1+2,xWin,yWin,cGoth1,tx,ty,Tdebrd2);    
        #declare epWallCdr  = .01;        
        #declare fen1113 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2,debrdxy2,xWin,yWin,cGoth2,tx,ty,Texferblanc2);

        #declare debrdxyCdr=-5; 
        #declare debrdzCdr=debrdz2+0.1; 
        #declare fen1114 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr,xWin,yWin,cGoth2,tx,ty,Texferblanc2);

        //demi ogive interieure  
        #declare xWindiv2 = xWin/2;  
        #declare txdd = tx + xWindiv2/2;
        
        #declare debrdxyCdr2=5;
        #declare cGothdmo = cGoth2+0;
        #declare fen1115 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr-2,debrdxyCdr2/1.5,xWindiv2,yWin,cGothdmo,txdd,ty,Texferblanc2);
        #declare fen1116 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr/1.5,xWindiv2,yWin,cGothdmo,txdd,ty,Texferblanc2);
        
        
        #declare txdd = tx + xWindiv2/2;
        #declare fen1117 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2/2.35,xWindiv2,yWin,cGothdmo,txdd,ty,Texferblanc2);
        #declare fen1118 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr/2.35,xWindiv2,yWin,cGothdmo,txdd,ty,Texferblanc2);
        
        #declare fenmont111=union {
                box{<0,debrdxyCdr/1,-debrdzCdr/1.5>,<xWin,debrdxyCdr2/2,debrdzCdr> rotate x*-4 translate <tx, ty + yWin/3,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
                box{<0,debrdxyCdr/1,-debrdzCdr/1.5>,<xWin,debrdxyCdr2/2,debrdzCdr> rotate x*-5 translate <tx, ty + yWin,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
                box{<0,debrdxyCdr/1,-debrdzCdr/1.5>,<xWin,debrdxyCdr2/2,debrdzCdr> rotate x*-2 translate <tx, ty + yWin*2/3,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
                box{<debrdxyCdr/2,0,-debrdzCdr/1.5>,<debrdxyCdr2/2,yWin,debrdzCdr> rotate y*2 translate <tx+xWin/2 , ty,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
                box{<debrdxyCdr/2,0,-debrdzCdr/1.5>,<debrdxyCdr2/2,xWin/2,debrdzCdr> rotate y*2 translate <tx+xWin/2 , ty+yWin,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
                box{<debrdxyCdr/2,0,-debrdzCdr/1.5>,<debrdxyCdr2/2,xWin/2,debrdzCdr> rotate y*-5 rotate z*45 translate <tx+xWin/2 , ty+yWin,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
                box{<debrdxyCdr/2,0,-debrdzCdr/1.5>,<debrdxyCdr2/2,xWin/2,debrdzCdr> rotate y*5 rotate -z*45 translate <tx+xWin/2 , ty+yWin,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
        }
        
        //vitre
        #declare epWallvtr  = .001; 
        #declare debrdz3 = 1;       
        #declare fen1119 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallvtr,debrdz3,debrdxy2,xWin,yWin,cGoth2,tx,ty,TVitrail);

        #declare debrdz1=1.5;
        #declare debrdxy1=0;        
        #declare tx = txWinSM1 + (xWin + wXinSep) *  1;
        #declare ty = tyWinSM1; 
        #declare xWin = xWin;
        #declare yWin = yWinSM1; //220; 
        #declare fen1121 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz1,debrdxy1,xWin,yWin,cGoth1,tx,ty,Tdebrd);    
        
        #declare debrdz2=debrdz1-.01 ;
        #declare debrdxy2=debrdxy1+12.5;
        #declare cGoth2 = 0.00;           
        #declare fen1122 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2,debrdxy2*1.5,xWin,yWin,cGoth2,tx,ty,Tdebrd);
        
        #declare fen1122b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2+3,debrdxy2*1,xWin,yWin,cGoth2,tx,ty,Tdebrd2);
        #declare fen1121b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz1+3,debrdxy1+2,xWin,yWin,cGoth1,tx,ty,Tdebrd2);    
        #declare epWallCdr  = .01;        
        #declare fen1123 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2,debrdxy2,xWin,yWin,cGoth2,tx,ty,Texferblanc2);

        #declare debrdxyCdr=-5; 
        #declare debrdzCdr=debrdz2+0.1; 
        #declare fen1124 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr,xWin,yWin,cGoth2,tx,ty,Texferblanc2);

        //demi ogive interieure  
        #declare xWindiv2 = xWin/2;  
        #declare txdd = tx + xWindiv2/2;
        
        #declare debrdxyCdr2=5;
        #declare cGothdmo = cGoth2+0;
        #declare fen1125 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr-2,debrdxyCdr2/1.5,xWindiv2,yWin,cGothdmo,txdd,ty,Texferblanc2);
        #declare fen1126 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr/1.5,xWindiv2,yWin,cGothdmo,txdd,ty,Texferblanc2);
        
        
        #declare txdd = tx + xWindiv2/2;
        #declare fen1127 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2/2.35,xWindiv2,yWin,cGothdmo,txdd,ty,Texferblanc2);
        #declare fen1128 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr/2.35,xWindiv2,yWin,cGothdmo,txdd,ty,Texferblanc2);
        
        #declare fenmont112=union {
                box{<0,debrdxyCdr/1,-debrdzCdr/1.5>,<xWin,debrdxyCdr2/2,debrdzCdr> rotate x*-4 translate <tx, ty + yWin/3,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
                box{<0,debrdxyCdr/1,-debrdzCdr/1.5>,<xWin,debrdxyCdr2/2,debrdzCdr> rotate x*-5 translate <tx, ty + yWin,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
                box{<0,debrdxyCdr/1,-debrdzCdr/1.5>,<xWin,debrdxyCdr2/2,debrdzCdr> rotate x*-2 translate <tx, ty + yWin*2/3,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
                box{<debrdxyCdr/2,0,-debrdzCdr/1.5>,<debrdxyCdr2/2,yWin,debrdzCdr> rotate y*2 translate <tx+xWin/2 , ty,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
                box{<debrdxyCdr/2,0,-debrdzCdr/1.5>,<debrdxyCdr2/2,xWin/2,debrdzCdr> rotate y*2 translate <tx+xWin/2 , ty+yWin,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
                box{<debrdxyCdr/2,0,-debrdzCdr/1.5>,<debrdxyCdr2/2,xWin/2,debrdzCdr> rotate y*-5 rotate z*45 translate <tx+xWin/2 , ty+yWin,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
                box{<debrdxyCdr/2,0,-debrdzCdr/1.5>,<debrdxyCdr2/2,xWin/2,debrdzCdr> rotate y*5 rotate -z*45 translate <tx+xWin/2 , ty+yWin,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
        }
        
        //vitre
        #declare epWallvtr  = .001; 
        #declare debrdz3 = 1;       
        #declare fen1129 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallvtr,debrdz3,debrdxy2,xWin,yWin,cGoth2,tx,ty,TVitrail);

        #declare debrdz1=1.5;
        #declare debrdxy1=0;
        #declare tx = txWinSM1 + (xWin + wXinSep) * 2 ;
        #declare ty = tyWinSM1; 
        #declare xWin = xWin;
        #declare yWin = yWinSM1; //220; 
        #declare fen1131 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz1,debrdxy1,xWin,yWin,cGoth1,tx,ty,Tdebrd);    
        
         #declare debrdz2=debrdz1-.01 ;
        #declare debrdxy2=debrdxy1+12.5;
        #declare cGoth2 = 0.00;           
        #declare fen1132 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2,debrdxy2*1.5,xWin,yWin,cGoth2,tx,ty,Tdebrd);
        
        #declare fen1132b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2+3,debrdxy2*1,xWin,yWin,cGoth2,tx,ty,Tdebrd2);
        #declare fen1131b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz1+3,debrdxy1+2,xWin,yWin,cGoth1,tx,ty,Tdebrd2);    
        #declare epWallCdr  = .01;        
        #declare fen1133 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2,debrdxy2,xWin,yWin,cGoth2,tx,ty,Texferblanc2);

        #declare debrdxyCdr=-5; 
        #declare debrdzCdr=debrdz2+0.1; 
        #declare fen1134 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr,xWin,yWin,cGoth2,tx,ty,Texferblanc2);

        //demi ogive interieure  
        #declare xWindiv2 = xWin/2;  
        #declare txdd = tx + xWindiv2/2;
        
        #declare debrdxyCdr2=5;
        #declare cGothdmo = cGoth2+0;
        #declare fen1135 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr-2,debrdxyCdr2/1.5,xWindiv2,yWin,cGothdmo,txdd,ty,Texferblanc2);
        #declare fen1136 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr/1.5,xWindiv2,yWin,cGothdmo,txdd,ty,Texferblanc2);
        
        
        #declare txdd = tx + xWindiv2/2;
        #declare fen1137 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2/2.35,xWindiv2,yWin,cGothdmo,txdd,ty,Texferblanc2);
        #declare fen1138 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr/2.35,xWindiv2,yWin,cGothdmo,txdd,ty,Texferblanc2);
        
        #declare fenmont113=union {
                box{<0,debrdxyCdr/1,-debrdzCdr/1.5>,<xWin,debrdxyCdr2/2,debrdzCdr> rotate x*-4 translate <tx, ty + yWin/3,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
                box{<0,debrdxyCdr/1,-debrdzCdr/1.5>,<xWin,debrdxyCdr2/2,debrdzCdr> rotate x*-5 translate <tx, ty + yWin,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
                box{<0,debrdxyCdr/1,-debrdzCdr/1.5>,<xWin,debrdxyCdr2/2,debrdzCdr> rotate x*-2 translate <tx, ty + yWin*2/3,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
                box{<debrdxyCdr/2,0,-debrdzCdr/1.5>,<debrdxyCdr2/2,yWin,debrdzCdr> rotate y*2 translate <tx+xWin/2 , ty,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
                box{<debrdxyCdr/2,0,-debrdzCdr/1.5>,<debrdxyCdr2/2,xWin/2,debrdzCdr> rotate y*2 translate <tx+xWin/2 , ty+yWin,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
                box{<debrdxyCdr/2,0,-debrdzCdr/1.5>,<debrdxyCdr2/2,xWin/2,debrdzCdr> rotate y*-5 rotate z*45 translate <tx+xWin/2 , ty+yWin,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
                box{<debrdxyCdr/2,0,-debrdzCdr/1.5>,<debrdxyCdr2/2,xWin/2,debrdzCdr> rotate y*5 rotate -z*45 translate <tx+xWin/2 , ty+yWin,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
        }
        
        //vitre
        #declare epWallvtr  = .001; 
        #declare debrdz3 = 1;       
        #declare fen1139 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallvtr,debrdz3,debrdxy2,xWin,yWin,cGoth2,tx,ty,TVitrail);


        #declare debrdz1=1.5;
        #declare debrdxy1=0;        
        #declare tx = txWinSM1 + (xWin + wXinSep) * 3 ;
        #declare ty = tyWinSM1; 
        #declare xWin = xWin;
        #declare yWin = yWinSM1; //220;
        #declare fen1141 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz1,debrdxy1,xWin,yWin,cGoth1,tx,ty,Tdebrd);    

                #declare debrdz2=debrdz1-.01 ;
        #declare debrdxy2=debrdxy1+12.5;
        #declare cGoth2 = 0.00;           
        #declare fen1142 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2,debrdxy2*1.5,xWin,yWin,cGoth2,tx,ty,Tdebrd);
        
        #declare fen1142b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2+3,debrdxy2*1,xWin,yWin,cGoth2,tx,ty,Tdebrd2);
        #declare fen1141b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz1+3,debrdxy1+2,xWin,yWin,cGoth1,tx,ty,Tdebrd2);    
        #declare epWallCdr  = .01;        
        #declare fen1143 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2,debrdxy2,xWin,yWin,cGoth2,tx,ty,Texferblanc2);

        #declare debrdxyCdr=-5; 
        #declare debrdzCdr=debrdz2+0.1; 
        #declare fen1144 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr,xWin,yWin,cGoth2,tx,ty,Texferblanc2);

        //demi ogive interieure  
        #declare xWindiv2 = xWin/2;  
        #declare txdd = tx + xWindiv2/2;
        
        #declare debrdxyCdr2=5;
        #declare cGothdmo = cGoth2+0;
        #declare fen1145 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr-2,debrdxyCdr2/1.5,xWindiv2,yWin,cGothdmo,txdd,ty,Texferblanc2);
        #declare fen1146 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr/1.5,xWindiv2,yWin,cGothdmo,txdd,ty,Texferblanc2);
        
        
        #declare txdd = tx + xWindiv2/2;
        #declare fen1147 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2/2.35,xWindiv2,yWin,cGothdmo,txdd,ty,Texferblanc2);
        #declare fen1148 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr/2.35,xWindiv2,yWin,cGothdmo,txdd,ty,Texferblanc2);
        
        #declare fenmont114=union {
                box{<0,debrdxyCdr/1,-debrdzCdr/1.5>,<xWin,debrdxyCdr2/2,debrdzCdr> rotate x*-4 translate <tx, ty + yWin/3,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
                box{<0,debrdxyCdr/1,-debrdzCdr/1.5>,<xWin,debrdxyCdr2/2,debrdzCdr> rotate x*-5 translate <tx, ty + yWin,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
                box{<0,debrdxyCdr/1,-debrdzCdr/1.5>,<xWin,debrdxyCdr2/2,debrdzCdr> rotate x*-2 translate <tx, ty + yWin*2/3,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
                box{<debrdxyCdr/2,0,-debrdzCdr/1.5>,<debrdxyCdr2/2,yWin,debrdzCdr> rotate y*2 translate <tx+xWin/2 , ty,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
                box{<debrdxyCdr/2,0,-debrdzCdr/1.5>,<debrdxyCdr2/2,xWin/2,debrdzCdr> rotate y*2 translate <tx+xWin/2 , ty+yWin,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
                box{<debrdxyCdr/2,0,-debrdzCdr/1.5>,<debrdxyCdr2/2,xWin/2,debrdzCdr> rotate y*-5 rotate z*45 translate <tx+xWin/2 , ty+yWin,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
                box{<debrdxyCdr/2,0,-debrdzCdr/1.5>,<debrdxyCdr2/2,xWin/2,debrdzCdr> rotate y*5 rotate -z*45 translate <tx+xWin/2 , ty+yWin,0> rotate -y*angleslngSTDff[0][0] translate < x1Wall,0,z1Wall> texture {Texferblanc2}}
        }
        
        //vitre
        #declare epWallvtr  = .001; 
        #declare debrdz3 = 1;       
        #declare fen1149 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallvtr,debrdz3,debrdxy2,xWin,yWin,cGoth2,tx,ty,TVitrail);






 
#declare ffSMWallUni =  union {
        object{ffSMWall}
        object {fen1112}
        object {fen1122}
        object {fen1132}
        object {fen1142}
}               

difference {
        object {ffSMWallUni}
        object {fen1111}
        object {fen1121}
        object {fen1131}
        object {fen1141}          
} 

difference {
        object {fen1112b}
        object {fen1111b}          
}

difference {
        object {fen1113}
        object {fen1114}          
}
difference {
        object {fen1115}
        object {fen1116}          
}
difference {
        object {fen1117}
        object {fen1118}          
}

object {fenmont111}
#if (modeVtr=1)
        object {fen1119}
#end        

difference {
        object {fen1122b}
        object {fen1121b}          
}

difference {
        object {fen1123}
        object {fen1124}          
}
difference {
        object {fen1125}
        object {fen1126}          
}
difference {
        object {fen1127}
        object {fen1128}          
}

object {fenmont112}
#if (modeVtr=1)
        object {fen1129}
#end  

difference {
        object {fen1132b}
        object {fen1131b}          
}

difference {
        object {fen1133}
        object {fen1134}          
}
difference {
        object {fen1135}
        object {fen1136}          
}
difference {
        object {fen1137}
        object {fen1138}          
}

object {fenmont113}
#if (modeVtr=1)
        object {fen1139}
#end        

difference {
        object {fen1142b}
        object {fen1141b}          
}

difference {
        object {fen1143}
        object {fen1144}          
}
difference {
        object {fen1145}
        object {fen1146}          
}
difference {
        object {fen1147}
        object {fen1148}          
}

object {fenmont114}
#if (modeVtr=1)
        object {fen1149}
#end        



      

#declare x1Wall= STDf2.u*upf;             // wall length in x
#declare x2Wall= STDf3.u*upf;             // wall length in x
#declare z1Wall=STDf2.v*upf;             // wall length in x
#declare z2Wall= STDf3.v*upf;             // wall length in x


   
//Std Dunstand first floor EAST main wall
 
#if (modeImg=1)
        # declare ffEMWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+hSTDgf)
        }
#else      
        # declare ffEMWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+hSTDgf)
        }
#end

#declare  angleslngSTDff[1][0] = angleWall;
#declare  angleslngSTDff[1][1] = lengthWall;   


//Items for windows on Ground Floor SOUTH West wall
        #declare epWall = eWall+001;
        #declare debrdz1=7;
        #declare debrdxy1=0;
        #declare xWin = xWin;
        #declare yWin = yWinSM1;
        #declare cGoth1 = 0.00;
        #declare tx = txWinEM1;
        #declare ty = tyWinEM1;         
        #declare Tdebrd  = TStoneStDunstan;
        #declare fen1211 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz1,debrdxy1,xWin,yWin,cGoth1,tx,ty,Tdebrd);    
        
        #declare debrdz2=debrdz1-.01 ;
        #declare debrdxy2=debrdxy1+12.5;
        #declare cGoth2 = 0.00;           
        #declare fen1212 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2,debrdxy2,xWin,yWin,cGoth2,tx,ty,Tdebrd);

        #declare epWallCdr  = .01;        
        #declare fen1213 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2,debrdxy2,xWin,yWin,cGoth2,tx,ty,Tdebrd);

        #declare debrdxyCdr=-5; 
        #declare debrdzCdr=debrdz2+4; 
        #declare fen1214 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr,xWin,yWin,cGoth2,tx,ty,Tdebrd);

        //demi ogive interieure  
        #declare xWindiv2 = xWin/2; 
        #declare debrdxyCdr2=5;
        #declare cGothdmo = cGoth2+0;
        #declare fen1215 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen1216 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        
        
        #declare txdd = tx + xWindiv2/2;
        #declare fen1217 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen1218 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        
        //vitre
        #declare epWallvtr  = .001; 
        #declare debrdz3 = 1;       
        #declare fen1219 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallvtr,debrdz3,debrdxy2,xWin,yWin,cGoth2,tx,ty,TVitrail);

        #declare debrdz1=1.5;
        #declare debrdxy1=0;        
        #declare tx = txWinEM1 + (xWin + wXinSep) *  1;
        #declare ty = tyWinEM1; 
        #declare xWin = xWin;
        #declare yWin = yWinSM1; //220; 
        #declare fen1221 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz1,debrdxy1,xWin,yWin,cGoth1,tx,ty,Tdebrd);    
        
        #declare debrdz2=debrdz1-.01 ;
        #declare debrdxy2=debrdxy1+12.5;
        #declare cGoth2 = 0.00;           
        #declare fen1222 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2,debrdxy2,xWin,yWin,cGoth2,tx,ty,Tdebrd);

        #declare epWallCdr  = .01;        
        #declare fen1223 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdz2,debrdxy2,xWin,yWin,cGoth2,tx,ty,Tdebrd);

        #declare debrdxyCdr=-5; 
        #declare debrdzCdr=debrdz2+4; 
        #declare fen1224 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr,xWin,yWin,cGoth2,tx,ty,Tdebrd);

        //demi ogive interieure  
        #declare xWindiv2 = xWin/2; 
        #declare debrdxyCdr2=5;
        #declare cGothdmo = cGoth2+.8;
        #declare fen1225 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        #declare fen1226 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,tx,ty,Tdebrd);
        
        
        #declare txdd = tx + xWindiv2;
        #declare fen1227 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr,debrdxyCdr2,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        #declare fen1228 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallCdr,debrdzCdr+.01,debrdxyCdr,xWindiv2,yWin,cGothdmo,txdd,ty,Tdebrd);
        
        //vitre
        #declare epWallvtr  = .001; 
        #declare debrdz3 = 1;       
        #declare fen1129 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWallvtr,debrdz3,debrdxy2,xWin,yWin,cGoth2,tx,ty,TVitrail);


#declare ffEMWallUni =  union {
        object{ffEMWall}
        object {fen1212}
        object {fen1222}
}               

difference {
        object{ffEMWallUni}
        object {fen1211}
        object {fen1221}
}    

difference {
        object {fen1217}
        object {fen1218}
}      


//Std Dunstand first floor NORTH main wall
#declare x1Wall= STDf3.u*upf+eSTDWall/2;             // wall length in x
#declare x2Wall= STDf4.u*upf;             // wall length in x
#declare z1Wall=STDf3.v*upf;             // wall length in x
#declare z2Wall= STDf4.v*upf;             // wall length in x
 
#if (modeImg=1)
        # declare ffNMWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+hSTDgf)
        }
#else      
        # declare ffNMWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+hSTDgf)
        }
#end

#declare  angleslngSTDff[2][0] = angleWall;
#declare  angleslngSTDff[2][1] = lengthWall;

object{ffNMWall}

//Std Dunstand first floor NORTH main wall
#declare x1Wall= STDf4.u*upf+eSTDWall/2;             // wall length in x
#declare x2Wall= STDf1.u*upf+eSTDWall/2;;             // wall length in x
#declare z1Wall=STDf4.v*upf+eSTDWall/10;             // wall length in x
#declare z2Wall= STDf1.v*upf+eSTDWall/10;             // wall length in x
 
#if (modeImg=1)
        # declare ffWMWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+hSTDgf)
        }
#else      
        # declare ffWMWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+hSTDgf)
        }
#end

#declare  angleslngSTDff[3][0] = angleWall;
#declare  angleslngSTDff[3][1] = lengthWall;

object{ffWMWall}

#declare decalz = 220;
#declare dscalx = 13.8;  


prism {
    linear_sweep
    linear_spline
    0, // sweep the following shape from here ...
    1, // ... up through here
    15, // the number of points making up the shape ...
    <0,0>, <10,0>,<10.1,-.3>, <10.5,-.7>, <5, -4>, <0,-1>,      <0,0>,
    
    <1.25, -1>,<8.75, -1>,<5,-3>,   <1.25, -1>
    
    <2.9, -1.5>,<7.1, -1.5>,<5,-2.5>,   <2.9, -1.5>
    //pigment { Tdebrd }
    rotate x*90 
    scale <1/(dscalx),1/22,1>
    scale <angleslngSTDff[3][1],angleslngSTDff[3][1],angleslngSTDff[2][1]+eWall> 
    texture { Tdebrd2 }
    translate -z*(eWall/2)
    translate x*(decalz)
    rotate -y *  angleslngSTDff[3][0]
    translate <x1Wall,altSW+hSTDgf+hSTDff-15,z1Wall>
}

prism {
    linear_sweep
    linear_spline
    0, // sweep the following shape from here ...
    1, // ... up through here
    4, // the number of points making up the shape ...
    
    <1.20, -1>,<8.80, -1>,<5,-2>,   <1.20, -1>
    
    rotate x*90
    scale <1/dscalx,1/10,1>
    scale <angleslngSTDff[3][1],angleslngSTDff[3][1],angleslngSTDff[2][1]+eWall/2>   
    texture { TStoneStDunstan }
    translate -z*(eWall/4  )
    translate x*(decalz)
    rotate -y *  angleslngSTDff[3][0]
    translate <x1Wall,altSW+hSTDgf+hSTDff-40,z1Wall>
}


prism {
    linear_sweep
    linear_spline
    0, // sweep the following shape from here ...
    1, // ... up through here
    12, // the number of points making up the shape ...
    <-.5,-.5>, <10.5,-.5>, <10.7,-.7>, <10,-.7>, <5, -2.15>, <0,-.7>,<-0.8,-.7> ,     <-.5,-.5>,
    
    <.65, -.7>,<9.35, -.7>,<5,-1.95>,   <.65, -.7>
    
    
    
    rotate x*90
    scale <1/dscalx,1/10,1>
    scale <angleslngSTDff[3][1],angleslngSTDff[3][1],angleslngSTDff[2][1]+eWall*4/3> 
    //texture  { TStoneStDunstan } 
    texture  {texImgSTDSoil}
    translate -z*(eWall * 2/3 )
    translate x*(decalz)
    rotate -y *  angleslngSTDff[3][0]
    translate <x1Wall,altSW+hSTDgf+hSTDff-30,z1Wall>
}



prism {
    linear_sweep
    linear_spline
    0, // sweep the following shape from here ...
    1, // ... up through here
    5, // the number of points making up the shape ...
    STDf1*upf, STDf2*upf, STDf3*upf, STDf4*upf, STDf1*upf
    texture { texImgSTDSoil rotate x * 90 scale <70,1,70> rotate -y*10 }
    translate y*(hSTDgf+altSW+hSTDff)
  }    
  
  

  
  
#declare indCorn = 30;

#while (indCorn < angleslngSTDff[0][1])
        
        object {
             obj_cornsup   
             scale <10,25,15>
             translate <indCorn,altSW+hSTDgf+hSTDff+15,.6*eWall/2>
             rotate -y *  angleslngSTDff[0][0]
             translate <STDf1.u*upf,0,STDf1.u*upf>
             texture{TStoneStDunstan}
        } 
        
        
#declare indCorn =  indCorn + 33;
#end



////////////// FIRST FLOOR CLOCK        




#declare eClkWall=30;             // mortar depth 
#declare eWall=eClkWall; 
#declare zMortar=eWall-1;           // mortar deepth


#declare yWall=hSTDffcl;    
//Std Dunstand first floor SOUTH clock wall 
#declare x1Wall= STDfcl1.u*upf;             // wall length in x
#declare x2Wall= STDfcl2.u*upf+eClkWall/2;             // wall length in x
#declare z1Wall=STDfcl1.v*upf;             // wall length in x
#declare z2Wall= STDfcl2.v*upf;             // wall length in x  


        
         

        


//Windows dimensions
#declare xWinCLK =   190;
#declare yWinCLK = 220;
#declare txWinCLK = eClkWall+3.5;
#declare tyWinCLK = altSW +hSTDgf+50;  


#declare wXinSep = 30; 

//Items for windows on Clock house
        #declare epWall = eWall+001;
        #declare debrdz1=7;
        #declare debrdxy1=0;
        #declare xWin = xWinCLK;
        #declare yWin = yWinCLK;
        #declare cGoth1 = 0.00;
        #declare tx = txWinCLK;
        #declare ty = tyWinCLK;         
        #declare Tdebrd  = TStoneStDunstan;
        #declare fen1011 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz1,debrdxy1,xWin,yWin,cGoth1,tx,ty,Tdebrd);    

        #declare debrdz2=debrdz1-.01 ;
        #declare debrdxy2=debrdxy1+15;
        #declare cGoth2 = 0.00;           
        #declare fen1012 = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2,debrdxy2,xWin,yWin,cGoth2,tx,ty,Tdebrd);

 
#if (modeImg=1)
        # declare ffSclWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin/3,xBrickMax/3,yBrickMin/3,yBrickMax/3,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+hSTDgf)
        }
#else      
        # declare ffSclWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/5,(yBrickMin+yBrickMax)/5,txtImgWall)        
            translate y*(altSW+hSTDgf)
        }
#end

#declare  angleslngSTDff[4][0] = angleWall;
#declare  angleslngSTDff[4][1] = lengthWall;   

#declare ffSclWallUni = union { 
        object{ffSclWall} 
        object{fen1012
              
                translate -y * (tyWinCLK)
                scale <1,0.65,1>
                translate y * (tyWinCLK)
                }   
}

difference{
        object{ffSclWallUni} 
        object{fen1011 
                translate -y * (tyWinCLK)
                scale <1,0.65,1>
                translate y * (tyWinCLK)
                }
}


#declare fen1013 = churchwin   (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2-3,debrdxy2,xWin,yWin,cGoth2,tx,ty,Tdebrd);
#declare fen1013b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2-3+.01,-5,xWin,yWin,cGoth2,tx,ty,Tdebrd);
difference {
        object{fen1013} 
        object{fen1013b}
        translate -y * (tyWinCLK)
        scale <1,0.65,1>
        translate y * (tyWinCLK)
} 

#declare fen1014 = churchwin   (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2+3,debrdxy2-5,xWin,yWin,cGoth2,tx,ty,Tdebrd2);
#declare fen1014b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2+3+.01,5,xWin,yWin,cGoth2,tx,ty,Tdebrd2);
difference {
        object{fen1014} 
        object{fen1014b}
        translate -y * (tyWinCLK)
        scale <1,0.65,1>
        translate y * (tyWinCLK)
}

#declare fen1015 = churchwin   (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2-13,debrdxy2,xWin,yWin,cGoth2,tx,ty,Tdebrd2);
#declare fen1015b = churchwin  (x1Wall,z1Wall,x2Wall, z2Wall,epWall,debrdz2-13+.01,-8,xWin,yWin,cGoth2,tx,ty,Tdebrd2);
difference {
        object{fen1015} 
        object{fen1015b}
        translate -y * (tyWinCLK)
        scale <1,0.65,1>
        translate y * (tyWinCLK)
} 


#declare dgx = 39;
#declare dgy = -3; 

 

object {
        GiantessR
        scale 170 
        rotate y * -80
        translate  <txWinCLK+dgx,tyWinCLK+dgy,0>
        rotate -y * angleslngSTDff[4][0]
        translate <x1Wall,0,z1Wall>   
}

object {uClocheSup 
        scale 25
        translate  <txWinCLK+dgx+40,tyWinCLK+yWinCLK-30,0>  
        rotate -y * angleslngSTDff[4][0]
        translate <x1Wall,0,z1Wall>   
}
  

object {
        GiantessR
        scale 170 
        scale <-1,1,1>
        rotate y * 80
        translate  <txWinCLK+xWinCLK-dgx,tyWinCLK+dgy,0>
        rotate -y * angleslngSTDff[4][0]
        translate <x1Wall,0,z1Wall>   
}

object {uClocheSup 
        scale 25
        translate  <txWinCLK+xWinCLK-(dgx+40),tyWinCLK+yWinCLK-30,0>  
        rotate -y * angleslngSTDff[4][0]
        translate <x1Wall,0,z1Wall>   
}   


object {column_ionic 
        scale (hSTDffcl+15)/2.6   
        translate <7,altSW+hSTDgf,-7>
        rotate -y * angleslngSTDff[4][0]
        translate <x1Wall,0,z1Wall>   
}  

object {column_ionic 
        scale (hSTDffcl+15)/2.6   
        translate <angleslngSTDff[4][1]-7,altSW+hSTDgf,-7>
        rotate -y * angleslngSTDff[4][0]
        translate <x1Wall,0,z1Wall>   
}   


#declare xBloc = 150;
#declare yBloc = 7;
#declare zBloc = 150;


#declare arTrans = .1;
#declare arLng = .02; 



        #declare fLum = 0.65;        // Niveau de luminosit du pigment (rel)
        #declare fNorm = .03;            // Force de l'effet de surface     (rel)
        #declare scNorm = <.3,.3,-1>;            // Echelle de l'effet de surface   (rel ou vecteur <x,y,z>)
        #declare fTurb = .1;            // Force de turbulence d'effet de surface   (rel ou vecteur <x,y,z>) 
        #declare nType = 4;            // Type de normale
                                        // 1 = agate, 2 = crackle, 3 = cells, 4 = granite,   ....Autres =  bumps
        
        
        #declare cmpR = .89;             // Composante rouge du pigment    (rel)
        #declare cmpV = .80;            // Composante Verte du pigment    (rel)
        #declare cmpB = .70;            // Composante Bleue du pigment    (rel)
        
        #declare grainCol  = .3;        // Force du grain pigment   (rel)
        #declare scCol  = <1,1,1>;             // Echelle du grain pigment   (rel ou vecteur <x,y,z>)
        
        #declare fAmb  = .3;            //sensibilit Lumire ambiante  (rel)
        #declare fDif  = .7;            //sensibilit Lumire diffuse  (rel)
        
        #declare vRotTrans = <0,0>;   // Rotation et translation texture  (vecteur <x,y,z>)   

#declare xChappe = 20;
#declare zChappe = 50;
#declare eChappe = 5;
//#declare chapg1 = box{<0,0,0><xChappe,5,zChappe>} // bloctrot(xBloc,zBloc,yBloc, arTrans, arLng, fLum,fNorm,scNorm,fTurb,nType,cmpR,cmpV,cmpB,grainCol,scCol,fAmb,fDif,vRotTrans)
#declare chapg1 = dallecentree(xChappe,eChappe,zChappe, arTrans, arLng, fLum,fNorm,scNorm,fTurb,nType,cmpR,cmpV,cmpB,grainCol,scCol,fAmb,fDif,vRotTrans)

#declare xChappe = 18;
#declare zChappe = 45;
#declare eChappe = 20;

#declare arTrans = .5;
#declare arLng = .02; 

#declare chapg2 = dallecentree(xChappe,eChappe,zChappe, arTrans, arLng, fLum,fNorm,scNorm,fTurb,nType,cmpR,cmpV,cmpB,grainCol,scCol,fAmb,fDif,vRotTrans)


#declare xChappe = 18;
#declare zChappe = 25;
#declare eChappe = yWinCLK * .65;

#declare arTrans = .7;
#declare arLng = .02; 

#declare chapg3 = dallecentree(xChappe,eChappe,zChappe, arTrans, arLng, fLum,fNorm,scNorm,fTurb,nType,cmpR,cmpV,cmpB,grainCol,scCol,fAmb,fDif,vRotTrans)

object {
        chapg1
        translate <txWinCLK-0/2,tyWinCLK+yWinCLK * .65,0>
        rotate -y * angleslngSTDff[4][0]
        translate <x1Wall,0,z1Wall>
        //pigment {Red}
}

object {
        chapg1
        translate <txWinCLK+xWinCLK+0/2,tyWinCLK+yWinCLK * .65,0>
        rotate -y * angleslngSTDff[4][0]
        translate <x1Wall,0,z1Wall>
        //pigment {Red}
}
object {
        chapg1
        translate <txWinCLK-0/2,tyWinCLK+yWinCLK * .65-25,0>
        rotate -y * angleslngSTDff[4][0]
        translate <x1Wall,0,z1Wall>
        //pigment {Red}
}

object {
        chapg1
        translate <txWinCLK+xWinCLK+0/2,tyWinCLK+yWinCLK * .65-25,0>
        rotate -y * angleslngSTDff[4][0]
        translate <x1Wall,0,z1Wall>
        //pigment {Red}
} 
 
object {
        chapg2
        translate <txWinCLK-0/2,tyWinCLK+yWinCLK * .65-(2.5+10),0>
        rotate -y * angleslngSTDff[4][0]
        translate <x1Wall,0,z1Wall>
        //pigment {Red}
}

object {
        chapg2
        translate <txWinCLK+xWinCLK+0/2,tyWinCLK+yWinCLK * .65-(2.5+10),0>
        rotate -y * angleslngSTDff[4][0]
        translate <x1Wall,0,z1Wall>
        //pigment {Red}
}  

object {
        chapg3
        translate <txWinCLK-0/2,tyWinCLK+yWinCLK * .65*.5,0>
        rotate -y * angleslngSTDff[4][0]
        translate <x1Wall,0,z1Wall>
        //pigment {Red}
}

object {
        chapg3
        translate <txWinCLK+xWinCLK+0/2,tyWinCLK+yWinCLK * .65*.5,0>
        rotate -y * angleslngSTDff[4][0]
        translate <x1Wall,0,z1Wall>
        //pigment {Red}
}

#declare x1Wall= STDfcl2.u*upf;             // wall length in x
#declare x2Wall= STDfcl3.u*upf;             // wall length in x
#declare z1Wall=STDfcl2.v*upf;             // wall length in x
#declare z2Wall= STDfcl3.v*upf;             // wall length in x      


        



   
//Std Dunstand first floor EAST clock wall
 
#if (modeImg=1)
        # declare ffEclWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+hSTDgf)
        }
#else      
        # declare ffEclWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+hSTDgf)
        }
#end

#declare  angleslngSTDff[5][0] = angleWall;
#declare  angleslngSTDff[5][1] = lengthWall;

object{ffEclWall}       



//Std Dunstand first floor NORTH clock wall
#declare x1Wall= STDfcl3.u*upf+eClkWall/2;             // wall length in x
#declare x2Wall= STDfcl4.u*upf;             // wall length in x
#declare z1Wall=STDfcl3.v*upf;             // wall length in x
#declare z2Wall= STDfcl4.v*upf;             // wall length in x
 
#if (modeImg=1)
        # declare ffNclWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+hSTDgf)
        }
#else      
        # declare ffNclWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+hSTDgf)
        }
#end

#declare  angleslngSTDff[6][0] = angleWall;
#declare  angleslngSTDff[6][1] = lengthWall;

object{ffNclWall}

//Std Dunstand first floor West clock wall
#declare x1Wall= STDfcl4.u*upf+eClkWall/2;             // wall length in x
#declare x2Wall= STDfcl1.u*upf+eClkWall/2;;             // wall length in x
#declare z1Wall=STDfcl4.v*upf+eClkWall/10;             // wall length in x
#declare z2Wall= STDfcl1.v*upf+eClkWall/10;             // wall length in x
 
#if (modeImg=1)
        # declare ffWclWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+hSTDgf)
        }
#else      
        # declare ffWclWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+hSTDgf)
        }
#end

#declare  angleslngSTDff[7][0] = angleWall;
#declare  angleslngSTDff[7][1] = lengthWall;

object{ffWclWall}

//Std Dunstand first floor Internal clock wall
#declare x1Wall= STDfcl5.u*upf+eClkWall/2;             // wall length in x
#declare x2Wall= STDfcl6.u*upf+eClkWall/2;;             // wall length in x
#declare z1Wall=STDfcl5.v*upf+eClkWall/10;             // wall length in x
#declare z2Wall= STDfcl6.v*upf+eClkWall/10;             // wall length in x
 
#if (modeImg=1)
        # declare ffIclWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+hSTDgf)
        }
#else      
        # declare ffIclWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+hSTDgf)
        }
#end

#declare  angleslngSTDff[8][0] = angleWall;
#declare  angleslngSTDff[8][1] = lengthWall;

//door dimensions
#declare wCLKDoor = 120;  //Width of the door
#declare hCLKDoor = 205;  //Height .....                
#declare xCLKDoor = 50; //distance to left side of the wall
#declare yCLKDoor = altSW; // Alt of threshold     

#declare difCLKWallDoor  =      box{<0,yCLKDoor,-eWall>,<wCLKDoor,yCLKDoor+hCLKDoor,eWall>
                texture {
                                brick texture {TWhiteMortar}, texture {txtLastWall} 
                                brick_size <xBrickMax,yBrickMax,eSTDWall>
                                //mortar eMortar
                                rotate -x*90
                    }
                translate x*xCLKDoor
                rotate -y * angleslngSTDff[8][0]  
                translate <x1Wall,altSW+hSTDgf,z1Wall>  
        }

difference {
        object{ffIclWall}    
        object{difCLKWallDoor}
} 

//User defined size  

//Outer frame size
#declare FWidth = wCLKDoor;
#declare FHeight = hCLKDoor; 
#declare AngleOpen = -00;

//Deepth of door frame (should fit with the wall thickness)
#declare FDeepth = 30;

//Deepth (or thickness) of door panel (z)
#declare DDeepth = 15; 

// how much the door goes deepin the frame from 0 to 1
#declare DShift = .3;


//thickness of door frame (x,y)
#declare FThick = 8; 

//width for side verticals
#declare VsWidth = 13;

//width for middle vertical
#declare VmWidth = 13;       

//Height of low and high transversals
#declare TeHeight = 18; 

//Height of middle low and high transversal
#declare TmHeight = 13;                
//Lock altitude above doors bottom will place the low transversal
//in such altitude the lock is at middle height of this transvrsal

//This transversal position will also determine the heights and altitudes of 
//low and middle panels  
#declare LckAlt = 95; 
#declare  LckScale = <.3,1,1>;


#declare doorCLK = britishdoor1(FWidth, FHeight, FDeepth, FThick ,DDeepth, DShift, AngleOpen, VsWidth, VmWidth, TeHeight, TmHeight, LckAlt, LckScale, TexCLKDoor)           
object {
        doorCLK
        translate <xCLKDoor,0,-eWall/2>
        rotate -y * angleslngSTDff[8][0]  
        translate <x1Wall,altSW+hSTDgf,z1Wall>
}

#declare x1Wall= STDfcl1.u*upf;             // wall length in x
#declare z1Wall=STDfcl1.v*upf;


        
prism {
    linear_sweep
    linear_spline
    0, // sweep the following shape from here ...
    1, // ... up through here
    14, // the number of points making up the shape ...
    <0,0>, <10,0>, <10,-1>, <5, -4>, <0,-1>,      <0,0>,
    
    <1.25, -1>,<8.75, -1>,<5,-3>,   <1.25, -1>
    
    <2.9, -1.5>,<7.1, -1.5>,<5,-2.5>,   <2.9, -1.5>
    //pigment { Red }
    rotate x*90
    scale <1/10,1/10,1>
    scale <angleslngSTDff[4][1],angleslngSTDff[4][1],angleslngSTDff[5][1]+eWall>  
    texture {Tdebrd2}
    translate -z*eWall/2
    rotate -y *  angleslngSTDff[4][0]
    translate <x1Wall,altSW+hSTDgf+hSTDffcl,z1Wall>
}

prism {
    linear_sweep
    linear_spline
    0, // sweep the following shape from here ...
    1, // ... up through here
    4, // the number of points making up the shape ...
    
    <1.20, -1>,<8.80, -1>,<5,-3.5>,   <1.20, -1>
    pigment {Yellow}
    rotate x*90
    scale <1/10,1/10,1>
    scale <angleslngSTDff[4][1],angleslngSTDff[4][1],angleslngSTDff[5][1]+eWall/2>  
    texture {TStoneStDunstan}
    translate -z*eWall/4
    rotate -y *  angleslngSTDff[4][0]
    translate <x1Wall,altSW+hSTDgf+hSTDffcl,z1Wall>
}


prism {
    linear_sweep
    linear_spline
    0, // sweep the following shape from here ...
    1, // ... up through here
    16, // the number of points making up the shape ...
    <-.5,-.5>, <10.5,-.5>, <10.6,-.7>, <10.6,-.8>, <10.7,-1>, <9.5,-1>, <5, -3.75>, <.5,-1>,<-0.7,-1>, <-.6,-.8> , <-.6,-.7>,     <-.5,-.5>,
    
    <1.1, -1>,<8.90, -1>,<5,-3.3>,   <1.1, -1>
    
    
    
    rotate x*90
    scale <1/10,1/10,1>
    scale <angleslngSTDff[4][1],angleslngSTDff[4][1],angleslngSTDff[5][1]+eWall*4/3>
    texture {TStoneStDunstan}
    translate -z*eWall * 3/3
    rotate -y *  angleslngSTDff[4][0]
    translate <x1Wall,altSW+hSTDgf+hSTDffcl,z1Wall>
}

#declare xChappe = angleslngSTDff[4][1]+40;
#declare zChappe = angleslngSTDff[5][1]+eWall*2.4;
#declare eChappe = 5;

#declare arTrans = .005;
#declare arLng = .05; 

#declare chapt1 = dallecentree(xChappe,eChappe,zChappe, arTrans, arLng, fLum,fNorm,scNorm,fTurb,nType,cmpR,cmpV,cmpB,grainCol,scCol,fAmb,fDif,vRotTrans)

object {
        chapt1
        translate <angleslngSTDff[4][1]/2,altSW+hSTDgf+hSTDffcl+25,angleslngSTDff[5][1]/2>
        rotate -y * angleslngSTDff[4][0]
        translate <x1Wall,0,z1Wall>
        //pigment {Red}
}
#declare indCorn = 45;

#while (indCorn < angleslngSTDff[4][1]-40)

        object {
             obj_cornsup   
             scale <10,10,15>
             translate <indCorn,altSW+hSTDgf+hSTDffcl+10,-eWall/2>
             rotate -y *  angleslngSTDff[4][0]
             translate <x1Wall,0,z1Wall>
             texture{TStoneStDunstan}
        } 
        
#declare indCorn =  indCorn + 33;
#end

#declare indCorn = 0;
#while (indCorn < angleslngSTDff[7][1])

        object {
             obj_cornsup   
             scale <10,10,15>
             translate <-indCorn,altSW+hSTDgf+hSTDffcl+10,5>
             rotate -y *  (angleslngSTDff[4][0]-90)
             translate <x1Wall,0,z1Wall>
             texture{TStoneStDunstan}
        } 
        
#declare indCorn =  indCorn + 33;
#end




#declare yWall=11;              // wall height in y must be larger than the brick height

#declare xBrickMin=7.5;             // min brick size
#declare xBrickMax=15.0;             // max brick size
#declare yBrickMin=10;             // min brick height
#declare yBrickMax=10;             // max brick height 

#declare patternWall=1;
#declare eWall=eSTDWall+17; 
#declare pEllipsoid=0.15;  
#declare srd1=0.02;                  // randomness amount for brick position (0=no random)
#declare srd2=0.00;                  // randomness amount for brick rotation (0=no random)


#declare x1Wall= STDf1.u*upf;             // wall length in x
#declare x2Wall= STDf2.u*upf+eSTDWall/2;             // wall length in x
#declare z1Wall=STDf1.v*upf;             // wall length in x
#declare z2Wall= STDf2.v*upf;             // wall length in x

object{
        MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)
        translate y*(altSW+hSTDgf+yWinSM1+200+15)
        }
         
#declare seedWall = 573;   
     
object{
        MakeSingleRowWall(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,patternWall,pigWall,txtMortar,doMortar)
        translate y*(altSW+hSTDgf+yWinSM1+200-25)
        }  


object {poutre1
        scale <250,15,15>
        texture{DMFWood1}
        rotate z*20
        rotate y*171
        translate <0,450,39>
        
}         
object {poutre1
        scale <250,16,15.5>
        texture{DMFWood1}
        rotate z*21
        rotate y*170
        translate <0,490,40>
        
}  






#declare xBloc = 45;
#declare yBloc = 7;
#declare zBloc = 45;


#declare arTrans = .3;
#declare arLng = .4; 




        #declare fLum = 0.65;        // Niveau de luminosit du pigment (rel)
        #declare fNorm = .6;            // Force de l'effet de surface     (rel)
        #declare scNorm = <4,2,4>;            // Echelle de l'effet de surface   (rel ou vecteur <x,y,z>)
        #declare fTurb = .4;            // Force de turbulence d'effet de surface   (rel ou vecteur <x,y,z>) 
        #declare nType = 4;            // Type de normale
                                        // 1 = agate, 2 = crackle, 3 = cells, 4 = granite,   ....Autres =  bumps
        
        
        #declare cmpR = .89;             // Composante rouge du pigment    (rel)
        #declare cmpV = .80;            // Composante Verte du pigment    (rel)
        #declare cmpB = .70;            // Composante Bleue du pigment    (rel)
        
        #declare grainCol  = .45;        // Force du grain pigment   (rel)
        #declare scCol  = <1,1,1>;             // Echelle du grain pigment   (rel ou vecteur <x,y,z>)
        
        #declare fAmb  = .3;            //sensibilit Lumire ambiante  (rel)
        #declare fDif  = .7;            //sensibilit Lumire diffuse  (rel)
        
        #declare vRotTrans = <0,0>;   // Rotation et translation texture  (vecteur <x,y,z>)   

#declare xChappe = 40;
#declare zChappe = 55;
#declare eChappe = 12;
//#declare chapg1 = box{<0,0,0><xChappe,5,zChappe>} // bloctrot(xBloc,zBloc,yBloc, arTrans, arLng, fLum,fNorm,scNorm,fTurb,nType,cmpR,cmpV,cmpB,grainCol,scCol,fAmb,fDif,vRotTrans)
#declare cnptr1 = dallecentree(xChappe,eChappe,zChappe, arTrans, arLng, fLum,fNorm,scNorm,fTurb,nType,cmpR,cmpV,cmpB,grainCol,scCol,fAmb,fDif,vRotTrans)




object {cnptr1
        
        
        rotate z*88
        rotate -y*11
        translate <-5,452,41>
        
}

object {cnptr1
        
        
        rotate z*89
        rotate -y*12.5
        translate <-6,493,39>
        
}
                


///////////////////////////////////////////////////////////////////////////////////////////
/*
////////////// FIRST FLOOR TOWER 
#declare yWall=hSTDfftr;     
        #declare eWall=eSTDWall; 
        #declare zMortar=eWall-1;           
        
//Std Dunstand first floor SOUTH Tower wall 
#declare x1Wall= STDftr1.u*upf;             // wall length in x
#declare x2Wall= STDftr2.u*upf+eSTDWall/2;             // wall length in x
#declare z1Wall=STDftr1.v*upf;             // wall length in x
#declare z2Wall= STDftr2.v*upf;             // wall length in x

 
#if (modeImg=1)
        # declare ffStrWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+hSTDgf)
        }
#else      
        # declare ffStrWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+hSTDgf)
        }
#end

#declare  angleslngSTDff[9][0] = angleWall;
#declare  angleslngSTDff[9][1] = lengthWall;

object{ffStrWall} 

//Std Dunstand first floor EAST Tower wall

#declare x1Wall= STDftr2.u*upf;             // wall length in x
#declare x2Wall= STDftr3.u*upf;             // wall length in x
#declare z1Wall=STDftr2.v*upf;             // wall length in x
#declare z2Wall= STDftr3.v*upf;             // wall length in x 
#if (modeImg=1)
        # declare ffEtrWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+hSTDgf)
        }
#else      
        # declare ffEtrWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+hSTDgf)
        }
#end

#declare  angleslngSTDff[10][0] = angleWall;
#declare  angleslngSTDff[10][1] = lengthWall;

object{ffEtrWall}  
*/
//Std Dunstand first floor NORTH Tower wall
#declare x1Wall= STDftr3.u*upf+eSTDWall/2;             // wall length in x
#declare x2Wall= STDftr4.u*upf;             // wall length in x
#declare z1Wall=STDftr3.v*upf;             // wall length in x
#declare z2Wall= STDftr4.v*upf;             // wall length in x
 
#if (modeImg=1)
        # declare ffNtrWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+hSTDgf)
        }
#else      
        # declare ffNtrWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+hSTDgf)
        }
#end

#declare  angleslngSTDff[11][0] = angleWall;
#declare  angleslngSTDff[11][1] = lengthWall;
/*
object{ffNtrWall}

//Std Dunstand first floor West Tower wall
#declare x1Wall= STDftr4.u*upf+eSTDWall/2;             // wall length in x
#declare x2Wall= STDftr1.u*upf+eSTDWall/2;;             // wall length in x
#declare z1Wall=STDftr4.v*upf+eSTDWall/10;             // wall length in x
#declare z2Wall= STDftr1.v*upf+eSTDWall/10;             // wall length in x
 
#if (modeImg=1)
        # declare ffWtrWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+hSTDgf)
        }
#else      
        # declare ffWtrWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+hSTDgf)
        }
#end

#declare  angleslngSTDff[12][0] = angleWall;
#declare  angleslngSTDff[12][1] = lengthWall;

object{ffWtrWall}   
*/
#declare doMortar=1;
#declare eMortar = .01; 
#declare eWall  = 25;
#declare zMortar=eWall-1;           // mortar deepth
//#declare xBrickMin=20;             // min brick size
//#declare xBrickMax=21;
//#declare xBrickMin=20;             // min brick size
//#declare xBrickMax=21;             // max brick size
#declare tetaWall=360;              // angle (360 = bricks all around)
#declare yWall= hSTDfffl;  


#declare angleflt = 0;

#declare fleche = union {

        #declare troncfleche = union {
        #while (angleflt < 8)
                #declare x1Wall = flp[angleflt].u;
                #declare z1Wall = flp[angleflt].v;
                #declare x2Wall = flp[angleflt+1].u;
                #declare z2Wall = flp[angleflt+1].v;   
                object{ 
                #if (modeImg=1)
                    MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
                #else
                    MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
                #end
                    translate y*(altSW+hSTDgf) 
                    rotate y * ((angleflt) *45+22.5) 
                    translate -x * (eWall /2+3)
                    rotate -y * (angleflt*45)
                     
                } 
                    
                    #declare angleflt = angleflt +1 ; 
        #end  
        } // Union troncfleche 
        
        

        #declare cotefleche = sqrt(( x2Wall-x1Wall) * ( x2Wall-x1Wall) + ( z2Wall-z1Wall) * ( z2Wall-z1Wall));
        #declare xFlecheWin = cotefleche * .7;
        #declare yFlecheWin = xFlecheWin * 1.35; 

        #declare flechewin = union {
               #declare anglefl = 0;
               #while (anglefl < 8 ) 
                        #declare angleflR = anglefl*pi/4; 
                        
                        union {
                                cylinder{<0,0,-radFleche*1.5>, <0,0,radFleche*1.5>, xFlecheWin/2}
                                box{<-xFlecheWin/2,-yFlecheWin,-radFleche*1.5>, <xFlecheWin/2,0,radFleche*1.5>}
                                rotate y * ((anglefl) *45)
                        }// forme de la fenetre 
                        #declare anglefl = anglefl +1;
                #end  
                translate y*(altSW+hSTDgf+hSTDfffl-xFlecheWin) 
                texture {TStoneStDunstan}
        }// Union flechewin
  

        difference { 
             object{troncfleche}
             object{flechewin}
        }
        
        object {uClocheSup 
        scale 55
        translate  y*(altSW+hSTDgf+hSTDfffl-xFlecheWin/2  )
           
}
        
        
#declare radFleche1 = 1;

#declare flp1 = array[9];
#declare anglefl = 0;
#while (anglefl < 9 ) 
   #declare angleflR = anglefl*pi/4;
   #declare flp1[anglefl] = <radFleche1 * cos(angleflR),radFleche1 * sin(angleflR)>;
   #declare anglefl = anglefl +1;
#end  
 


#declare sailliesfleche = prism {
    linear_sweep
    linear_spline
    0, // height 1
    1, // height 2
    9, // the number of points making up the shape...   
#declare anglefl = 0;    
#while (anglefl < 8 )  
    //#warning concat("Value is:",str(anglefl,5,0),"\n")
 
    <flp1[anglefl].u,flp1[anglefl].v>,
    #declare anglefl = anglefl +1;
#end  
    <flp1[0].u,flp1[0].v>    
    
    
    
    rotate y*22.5
    translate  -y
    scale <1, 10/(radFleche*1.05), 1>
    scale radFleche*1.05
    
    texture {TStoneStDunstan}
    translate y*(altSW+hSTDgf+hSTDfffl) 
  }



#declare sailliesflechecren = union {
       
#declare anglefl = 0;    
#while (anglefl < 8 )  
    //#warning concat("Value is:",str(anglefl,5,0),"\n")
 
    //<flp1[anglefl].u,flp1[anglefl].v>,
    #declare crenfl = box{<-cotefleche/18,0,-radFleche*1.02>,<cotefleche/18,-cotefleche/18,radFleche*1.02>}
    #declare cotecren= union {
        object {crenfl}  
        object {crenfl translate -x * (cotefleche/4) }
        object {crenfl translate  x * (cotefleche/4) }
        object {crenfl translate -x * (cotefleche/2) }
        object {crenfl translate  x * (cotefleche/2) }
    } // Union cotecren 
    #declare anglefl = anglefl +1; 
    object {cotecren  rotate y * ((anglefl) *45)}
#end  
       
    
    
    
    //rotate y*22.5
    translate  -y
    //scale <1, 10/(radFleche*1.05), 1>
   // scale radFleche*1.05
    
    texture {TStoneStDunstan}
    translate y*(altSW+hSTDgf+hSTDfffl) 
  } //Union sailliesflechecren
 
 
 
#declare pntflechebas = prism {
    conic_sweep
    linear_spline
    0, // height 1
    1, // height 2
    9, // the number of points making up the shape...   
#declare anglefl = 0;    
#while (anglefl < 8 )  
    #warning concat("Value is:",str(anglefl,5,0),"\n")
 
    <flp1[anglefl].u,flp1[anglefl].v>,
    #declare anglefl = anglefl +1;
#end  
    <flp1[0].u,flp1[0].v>    
    
    
    rotate <180, 180, 0>
    rotate y*22.5
    translate <0, 1, 0>
    scale <1, 1.8, 1>
        texture {
            pigment { 
            //gradient y scale .2 
                gradient y  scale .2 
                    #declare cbrmap = .7;
                    color_map {
                      [0.00 rgb <0.05,0.15,.3>*cbrmap]
                      [0.33 rgb <0.05,0.10,.2>*cbrmap]
                      [0.66 rgb <0.00,0.08,.1>*cbrmap]
                      [1.00 rgb <0.00,0.05,.1>*cbrmap]
                    }
           }     
           
           finish{
                 ambient .1
                 diffuse 2
                 
                 specular 0.4 roughness 0.1  
           }
           
           normal {gradient y  scale .2}
           
         }
    scale radFleche*1.12
    translate y*(altSW+hSTDgf+hSTDfffl) 
  }
  
  
#declare pntflechehaut = prism {
    conic_sweep
    linear_spline
    0, // height 1
    1, // height 2
    9, // the number of points making up the shape...   
#declare anglefl = 0;    
#while (anglefl < 8 )  
    #warning concat("Value is:",str(anglefl,5,0),"\n")
 
    <flp1[anglefl].u,flp1[anglefl].v>,
    #declare anglefl = anglefl +1;
#end  
    <flp1[0].u,flp1[0].v>    
    
    
    rotate <180, 180, 0>
    rotate y*22.5
    translate <0, 1, 0>
    scale <1, 4.3, 1>
        texture {
            pigment { 
            //gradient y scale .2 
                gradient y  scale .2 
                    #declare cbrmap = .7;
                    color_map {
                      [0.00 rgb <0.05,0.15,.3>*cbrmap]
                      [0.33 rgb <0.05,0.10,.2>*cbrmap]
                      [0.66 rgb <0.00,0.08,.1>*cbrmap]
                      [1.00 rgb <0.00,0.05,.1>*cbrmap]
                    }
           }     
           
           finish{
                 ambient .1
                 diffuse 2
                 
                 specular 0.4 roughness 0.1  
           }
           
           normal {gradient -y  scale .2}
           
         }
    scale radFleche*.85
    translate y*(altSW+hSTDgf+hSTDfffl) 
  }
  
     
  object{pntflechebas} 
  object{pntflechehaut} 
  object {sailliesflechecren    translate - y * 3}
  
  object {sailliesfleche translate - y * (xFlecheWin+yFlecheWin+10)}
  object {sailliesflechecren    translate - y * (xFlecheWin+yFlecheWin+15)}  
  
  


} 

object {fleche 
        rotate -y * angleslngSTDff[11][0]   
       translate <STDftr2.u*upf-590,0-400,STDftr2.v*upf+495>
}                



//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////



#declare eCoin = 30; // Epaisseeur mur
#declare yCoin = hSTDgf+hCrenoh * 000 - 20 ; // Hauteur mur  -rebords
#declare eMortier = 0.30; //Sparation pierres
#declare xBlocMin = 55;  
#declare xBlocMax = 55.5;
#declare yBlocMin = 27;
#declare yBlocMax = 27.5;     
#declare arTrans = .05;
#declare arLng = .1;   
#declare debord= 1;   

#declare aleColBloc = .03;
#declare alePosBloc = .01;
#declare alearnSec = .1;
#declare seedCoin = 200;
#declare fLumBas = .4;      
#declare fLumHaut = .4;        


        #declare fNorm = .03;            // Force de l'effet de surface     (rel)
        #declare scNorm = <.3,.3,-1>;            // Echelle de l'effet de surface   (rel ou vecteur <x,y,z>)
        #declare fTurb = .1;            // Force de turbulence d'effet de surface   (rel ou vecteur <x,y,z>) 
        #declare nType = 4;            // Type de normale
                                        // 1 = agate, 2 = crackle, 3 = cells, 4 = granite,   ....Autres =  bumps
//#declare pigWall=rgb<0.89,0.9,0.95>*1.5;        
        
        #declare cmpR = colSTD.x * 1.1;             // Composante rouge du pigment    (rel)
        #declare cmpV = colSTD.y * 1.1;            // Composante Verte du pigment    (rel)
        #declare cmpB = colSTD.z * 1.1;            // Composante Bleue du pigment    (rel)
        
        #declare grainCol  = .3;        // Force du grain pigment   (rel)
        #declare scCol  = <1,1,1>;             // Echelle du grain pigment   (rel ou vecteur <x,y,z>)
        
        #declare fAmb  = .1;            //sensibilit Lumire ambiante  (rel)
        #declare fDif  = .5;            //sensibilit Lumire diffuse  (rel)
        
        #declare vRotTrans = <0,0>;   // Rotation et translation texture  (vecteur <x,y,z>)   





#declare pStart = 1;
#declare coinSTDC = object {coindemur(eCoin, yCoin, eMortier,debord, xBlocMin, xBlocMax, yBlocMin, yBlocMax, arTrans, arLng, aleColBloc,alePosBloc, alearnSec,seedCoin, fLumBas, fLumHaut, fNorm,scNorm,fTurb,nType,cmpR,cmpV,cmpB,grainCol,scCol,fAmb,fDif,vRotTrans,pStart)     }
object { coinSTDC rotate -y * angleslngSTDgf[0][0] translate <STDc1.u*upf + 2.7, altSW, STDc1.v*upf - eSTDWall/2 -5>}

#declare pStart = 0;
#declare coinSTDC = object {coindemur(eCoin, yCoin, eMortier,debord, xBlocMin, xBlocMax, yBlocMin, yBlocMax, arTrans, arLng, aleColBloc,alePosBloc, alearnSec,seedCoin, fLumBas, fLumHaut, fNorm,scNorm,fTurb,nType,cmpR,cmpV,cmpB,grainCol,scCol,fAmb,fDif,vRotTrans,pStart)     }
object { coinSTDC rotate -y * angleslngSTDgf[1][0] translate <STDc2.u*upf+eSTDWall/2 + 8.7, altSW, STDc2.v*upf - eSTDWall/2 -4>} 

#declare pStart = 0;
#declare coinSTDC = object {coindemur(eCoin, yCoin, eMortier,debord, xBlocMin, xBlocMax, yBlocMin, yBlocMax, arTrans, arLng, aleColBloc,alePosBloc, alearnSec,seedCoin, fLumBas, fLumHaut, fNorm,scNorm,fTurb,nType,cmpR,cmpV,cmpB,grainCol,scCol,fAmb,fDif,vRotTrans,pStart)     }
object { coinSTDC rotate -y * angleslngSTDgf[3][0] translate <STDc4.u*upf+eSTDWall/2 + 8.7, altSW, STDc4.v*upf - eSTDWall/2 -4>} 


#declare eCoin = 30; // Epaisseeur mur
#declare yCoin = hSTDff; // Hauteur mur



#declare pStart = 0;
#declare coinSTDC = object {coindemur(eCoin, yCoin, eMortier,debord, xBlocMin, xBlocMax, yBlocMin, yBlocMax, arTrans, arLng, aleColBloc,alePosBloc, alearnSec,seedCoin, fLumBas, fLumHaut, fNorm,scNorm,fTurb,nType,cmpR,cmpV,cmpB,grainCol,scCol,fAmb,fDif,vRotTrans,pStart)     }
object { coinSTDC rotate -y * angleslngSTDff[1][0] translate <STDf2.u*upf+eSTDWall/2 + 8.7, altSW+hSTDgf, STDf2.v*upf - eSTDWall/2 -4>}











 


///////////////////////////////// TODD'S SHOP 

#warning concat("+++++TODD'S SHOP +++++++ ",str(111,0,0),"\n")    
#declare srd3=0.04;              // Forme d'ellipso alatoire
#declare typeWall=2;            // 1=box ; 2=ellipsoid
#declare pEllipsoid=0.07;        // usual ellipsoid parameter

#declare yWall=hTdShp;//+hfTdHse*3;              // wall height in y must be larger than the brick height
#declare eMortar=0.75;           // mortar thickness   

#declare eWall=eTdShpWall;             // mortar depth  
#declare zMortar=eWall-.2;           // mortar deepth
#declare xBrickMin=19;             // min brick size
#declare xBrickMax=21;             // max brick size
#declare yBrickMin=6.8;             // min brick height
#declare yBrickMax=7;             // max brick height
#declare seedWall=200;              // seed wall
#declare srd1=0.05;                  // randomness amount for brick position (0=no random)
#declare srd2=0.05;                  // randomness amount for brick rotation (0=no random)
#declare srdcol=0.3;                // randomness amount for color between stone(0=no random)  
#declare srdCrand = 0.7;            // randomness amount for color inside a stone
#declare patternWall=2;             // y color gradient for wall texture
                                    // 0=uniform color
                                    // 1=no color gradient
                                    // 2=from dark to light
                                    // 3=from light to dark     
                                    
#declare doMortar = 1;               // No mortar wishes 0    



#declare fColSombre = 0.7;
#declare fColClair =  1.2; 

#declare supAleX = .05;
#declare supAleCol = .35;
#declare supAleP = 17;           



#declare fColBas  = fColSombre;
#declare fColHaut = fColClair; 

#declare fColMort = 0.75;

    

//door dimensions
#declare wSTDDoor = 140;  //Width of the door
#declare hSTDDoor = 222;  //Height .....                
#declare xSTDDoor1 = 160; //distance to left side of the wall
#declare ySTDDoor1 = altSW; // Alt of threshold     

//Windows dimensions
//Top door 
#declare xWin =   xTdShpFrtH;
#declare yWin =   yTdShpFrtH;
#declare txWinDoor = txTdShpFrtH;
#declare tyWinDoor = altSW + altTdShpFl;  


#declare txWinSW1 = 380;
#declare tyWinSW1 = altSW + 200;
#declare xWin = xWin;
#declare yWinSW = 210;   

#declare wXinSep = 30;

        
         
#declare pigWall= rgb<0.89, 0.625, 0.456>*1.95;       
#declare difamb = <.5,.1>;
#declare txtMortar=TWhiteMortar; // mortar texture 

        
#declare modeImg=2;

#declare txtImgWall = texImgTdHse;

#declare angleslngTdShp = array[8][6]      
//Todd's Shop west wall    

#declare x1Wall= TdShpC1.u*upf;             // wall length in x
#declare x2Wall= TdShpC2.u*upf;             // wall length in x
#declare z1Wall=TdShpC1.v*upf;             // wall length in x
#declare z2Wall= TdShpC2.v*upf;             // wall length in x

 
#if (0=1)
        # declare TdShpWWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*altSW
        }
#else      
        # declare TdShpWWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*altSW
        }
#end

#declare  angleslngTdShp[0][0] = angleWall;
#declare  angleslngTdShp[0][1] = lengthWall;    
#declare txtLastWall = txtLastBrick;

object {TdShpWWall}     
box {
        <0,0,0><angleslngTdShp[0][1],hTdShp,.3>
        translate z*eWall/2
        texture { TWhitePlaster}
        rotate -y *  angleslngTdShp[0][0]
        translate <x1Wall,altSW+0,z1Wall>
}
    

#declare x1Wall= TdShpC2.u*upf-eWall/2;             // wall length in x
#declare x2Wall= TdShpC3.u*upf+eWall/2;             // wall length in x
#declare z1Wall=TdShpC2.v*upf;             // wall length in x
#declare z2Wall= TdShpC3.v*upf;             // wall length in x


#if (modeImg=1)
        # declare TdShpSWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*altSW
        }
#end
#if (modeImg=0)      
        # declare TdShpSWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*altSW
        }
#end 

#if (modeImg=2)
        GetWallParam(x1Wall,z1Wall,x2Wall, z2Wall)
        # declare TdShpSWall = object{ murBriqueAlt  (lengthWall,yWall,eWall, xBrickMin, xBrickMax, yBrickMin, yBrickMax, eMortar, eWall-zMortar, srd1, srd2, srd3, srdcol, supAleX, supAleCol, supAleP, fColBas, fColHaut, fColMort, seedWall) 
                rotate -y *  angleWall
                translate <x1Wall,altSW+0,z1Wall>
        }
#end



#declare  angleslngTdShp[1][0] = angleWall;
#declare  angleslngTdShp[1][1] = lengthWall;
#declare  angleslngTdShp[1][2] = x1Wall;
#declare  angleslngTdShp[1][3] = z1Wall;   
#declare  angleslngTdShp[1][4] = x2Wall;
#declare  angleslngTdShp[1][5] = z2Wall;   
 
  



// Plaster inside 
# declare TdShpSWallUni = union {
        object {TdShpSWall}
        box {
                <angleslngTdShp[1][1],0,0><angleslngTdShp[1][1],hTdShp,.3>
                translate z*eWall/2
                texture { TWhitePlaster scale <50,50,1>}
                rotate -y *  angleslngTdShp[1][0]
                translate <x1Wall,altSW+0,z1Wall>
        }
// Plaster on right corner        
        box {
                <angleslngTdShp[1][1]-30,0,0><angleslngTdShp[1][1],hTdShp,.3>
                translate -z*eWall/2
                texture { TWhitePlaster scale <50,50,1>}
                rotate -y *  angleslngTdShp[1][0]
                translate <x1Wall,altSW+0,z1Wall>
        }
}


// opening door holes
#declare difTdShpFrtH  =      box{<txTdShpFrtH,altSW+tyTdShpFrtH-1,-eWall*1.001>,<angleslngTdShp[1][1]+.1,altSW+tyTdShpFrtH+yTdShpFrtH,eSTDWall*1.001>
                /*
                texture {
                                brick texture {TWhiteMortar}, texture {txtLastWall} 
                                brick_size <xBrickMax,yBrickMax,eSTDWall>
                                //mortar eMortar
                                rotate y*90
                    } 
                */
                texture { TWhitePlaster  scale <50,50,1> rotate y*90}                    
                translate x*0
                rotate -y*angleslngTdShp[1][0] 
                translate<x1Wall,0,z1Wall>  
        }

difference {
        object {TdShpSWallUni}
        object {difTdShpFrtH}
} 

/*
//Man rough figure     
object {
  obj_roughMan  
  pigment {color Gray20}
  rotate  y* 135
  translate <x1Wall-80,altSW,z1Wall-80>
  
} 
*/ 
/*******
object {CrenoRidgeSec
        scale <(angleslngTdShp[1][1]+eCrenoRidge)*1000,eCrenoRidge/2,(eWall+60+eCrenoRidge)/2>
        texture { TWhitePlaster}  
        translate <-eCrenoRidge/2,0,0>
        rotate -y *  angleslngTdShp[1][0]
        translate <x1Wall,altSW+hTdShp,z1Wall>
        
        
}
*/


/// Todd's House EAST Wall
#declare x1Wall= TdShpC3.u*upf;             // wall length in x
#declare x2Wall= TdShpC4.u*upf;             // wall length in x
#declare z1Wall=TdShpC3.v*upf;             // wall length in x
#declare z2Wall= TdShpC4.v*upf;             // wall length in x

#if (modeImg=1)
        # declare TdShpEWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*altSW
        }
#else      
        # declare TdShpEWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*altSW
        }
#end

#declare  angleslngTdShp[2][0] = angleWall;
#declare  angleslngTdShp[2][1] = lengthWall;    
#declare txtLastWall = txtLastBrick;   

# declare TdShpEWallUni = union {
        box {
                <0,0,0><angleslngTdShp[2][1],hTdShp,.3>
                translate z*eWall/2
                texture { TWhitePlaster scale <50,50,1>}
                rotate -y *  angleslngTdShp[2][0]
                translate <x1Wall,altSW+0,z1Wall>
        }
        object {TdShpEWall}    
} 

#declare difTdShpFrtH2  =      box{<-.1,altSW+tyTdShpFrtH-1,-eWall*1.001>,<TDSstickIn-eSTDWall/4,altSW+tyTdShpFrtH+yTdShpFrtH,eSTDWall*1.001>
                /*
                texture {
                                brick texture {TWhiteMortar}, texture {txtLastWall} 
                                brick_size <xBrickMax,yBrickMax,eSTDWall>
                                //mortar eMortar
                                rotate y*90
                    } 
                */
                texture { TWhitePlaster  scale <50,50,1> rotate y*90}                    
                translate x*0
                rotate -y*angleslngTdShp[2][0] 
                translate<x1Wall,0,z1Wall>  
        }
        
//object {difTdShpFrtH2 }
difference {
        object {TdShpEWallUni}
        object {difTdShpFrtH2 }
}

/// Todd's House North Wall
#declare x1Wall= TdShpC4.u*upf;             // wall length in x
#declare x2Wall= TdShpC1.u*upf;             // wall length in x
#declare z1Wall=TdShpC4.v*upf;             // wall length in x
#declare z2Wall= TdShpC1.v*upf;             // wall length in x

#if (0=1)
        # declare TdShpNWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*altSW
        }
#else      
        # declare TdShpNWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*altSW
        }
#end

#declare  angleslngTdShp[3][0] = angleWall;
#declare  angleslngTdShp[3][1] = lengthWall;    
#declare txtLastWall = txtLastBrick; 

object {TdShpNWall}  
box {
        <0,0,0><angleslngTdShp[3][1],hTdShp,.3>
        translate z*eWall/2
        texture { TWhitePlaster}
        rotate -y *  angleslngTdShp[3][0]
        translate <x1Wall,altSW+0,z1Wall>
}


prism {
    linear_sweep
    linear_spline
    0, // sweep the following shape from here ...
    1, // ... up through here
    5, // the number of points making up the shape ...
    TdShpC1*upf, TdShpC2*upf, TdShpC3*upf, TdShpC4*upf, TdShpC1*upf
    texture { TWhitePlaster rotate x * 90 scale <20,1,20> rotate -y* angleslngTdShp[1][0]}
    translate y*(altSW+hTdShp)
  }
  
  
#declare halfBeam = difference {
        object{poutre1}
        box {<-.1,0,-1.5>,<1.5,1.5,1.5>}
} 

#declare indBeam = 1;

#while (indBeam <=6)

        object { halfBeam        
                 //box {<-1,-1,-1>,<1,1,1>}
                 scale <1100,18,11>
                 texture {DMFWood1}
                 rotate -y * 90
                 rotate y * indBeam 
                 translate <15+ indBeam * 50,altSW+hTdShp,0>
                 rotate -y *  angleslngTdShp[1][0]
                 translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]> 
        }  
        #declare indBeam = indBeam + 1;       
#end  



#declare R1 = seed(189);
//////////// Todd's House 3 floors //////////////////////////////// 

#declare indfl = 1; 

#while (indfl < 5)
//Todd's House west wall           

#declare yWall = hfTdHse;   
#declare seedWall=200+indfl*37;       

#declare supAleX = .05;
#declare supAleCol = .35;
#declare supAleP = 17;           
#declare seedAle = 200;  


#declare fColMort = 0.75;     

#if (patternWall=3)
        #declare patternWall=2;
        #declare fColBas  = fColSombre;
        #declare fColHaut = fColClair;
#else
        #declare patternWall=3;
        #declare fColBas  = fColClair;
        #declare fColHaut = fColSombre;        
#end        


//Mur ouest non visible
#declare x1Wall= TdShpC1.u*upf ;             // wall length in x
#declare x2Wall= TdShpC2.u*upf ;             // wall length in x
#declare z1Wall=TdShpC1.v*upf  ;             // wall length in x
#declare z2Wall= TdShpC2.v*upf ;             // wall length in x

 
#if (modeImg=1000)
        # declare TdWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+hTdShp+hfTdHse*(indfl-1))
        }
#end
#if (0=0)      
        # declare TdWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+hTdShp+hfTdHse*(indfl-1))
        }
#end

#if (modeImg=2000)
        GetWallParam(x1Wall,z1Wall,x2Wall, z2Wall)
        
         
        
        
        # declare TdWall = object{ murBriqueAlt  (lengthWall,yWall,eWall, xBrickMin, xBrickMax, yBrickMin, yBrickMax, eMortar, eWall-zMortar, srd1, srd2, srd3, srdcol, supAleX, supAleCol, supAleP, fColBas, fColHaut, fColMort, seedWall) 
                rotate -y *  angleWall
                translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl-1),z1Wall>
        }
#end


#declare  angleWW = angleWall;
#declare  longWW  = lengthWall;    
#declare txtLastWall = txtLastBrick;

#declare TdWWallUni = union {
        object {TdWall}     
        box {
                <0,0,0><longWW,yWall,.3>
                translate z*eWall/2
                texture { TWhitePlaster}
                rotate -y *  angleWW
                translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl-1),z1Wall>
        }
}    

object {TdWWallUni} 

///////// SOUTH Todd House
#declare x1Wall= TdShpC2.u*upf-eWall/2 ;             // wall length in x
#declare x2Wall= TdShpC3.u*upf+eWall/2 ;             // wall length in x
#declare z1Wall=TdShpC2.v*upf ;             // wall length in x
#declare z2Wall= TdShpC3.v*upf;             // wall length in x

#if (modeImg=1)
        # declare TdWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+hTdShp+hfTdHse*(indfl-1))
        }
#end        
#if (modeImg=0)      
        # declare TdWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+hTdShp+hfTdHse*(indfl-1))
        }
#end

#if (modeImg=2)
        GetWallParam(x1Wall,z1Wall,x2Wall, z2Wall)
        
        # declare TdWall = object{ murBriqueAlt  (lengthWall,yWall,eWall, xBrickMin, xBrickMax, yBrickMin, yBrickMax, eMortar, eWall-zMortar, srd1, srd2, srd3, srdcol, supAleX, supAleCol, supAleP, fColBas, fColHaut, fColMort, seedWall) 
                rotate -y *  angleWall
                translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl-1),z1Wall>
        }
#end


#declare  angleWS = angleWall;
#declare  longWS  = lengthWall;    
#declare txtLastWall = txtLastBrick;

#declare TdWSallUni =  union {
        object {TdWall} 
            
        box {
                <0,0,0><longWS,yWall,.3>
                translate z*eWall/2
                texture { TWhitePlaster} 
                
                rotate -y *  angleWS
                translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl-1),z1Wall>
        }
        
        object {CrenoRidgeSec
                rotate z*90
                scale <xWindBlock/2,yWindBlock*1000,zWindBlock/2>
                texture { T187windblock scale <22,10,15>}  
                translate <(longWS-0)/2,0,0>
                rotate -y *  angleWS
                translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl-1),z1Wall>
                
                
        } 
} 

difference {  
        object {TdWSallUni} 
        object {CrenoRidgeSec
                rotate z*90
                scale <xWindBlock/2-eTdShpWall,(yWindBlock-eTdShpWall)*1000,zWindBlock/2>
                texture { texImgWPBrick scale <22,10,15>}  
                translate <(longWS-0)/2,0,eTdShpWall>
                rotate -y *  angleWS
                translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl-1),z1Wall>
                
                
        } 

        union {
                box {   <0,0,-zWindBlock*1.001>,<xWinFFTd,yWinFFTd,zWindBlock*1.001>  
                        translate <(longWS-xWindBlock)/2+txWinFFTd1,altSW+hTdShp+hfTdHse*(indfl-1)+tyWinFFTd,0>
                        texture {TWhitePlaster}
                        
                }
                box {   <0,0,-zWindBlock*1.001>,<xWinFFTd,yWinFFTd,zWindBlock*1.001>  
                        translate <(longWS-xWindBlock)/2+txWinFFTd2,altSW+hTdShp+hfTdHse*(indfl-1)+tyWinFFTd,0>
                        texture {TWhitePlaster}
                } 
        
                
                #declare indmoul = 1;
                #while (indmoul <=3)
                        #declare ctx = (longWS-xWindBlock)/2+xWindBlock/3 * (indmoul)-xWindBlock/6;//+ 0*lgMoulTdHse/2;        
                        box {<-0.5,-0.5,-0.5>,<0.5,0.5,0.5> 
                                
                                scale <3,htMoulTdHse+3,6>
                                texture {TStoneStDunstan rotate y*45}
                                translate <ctx-lgMoulTdHse/2,altSW+hTdShp+tyWinFFTd/2.1+hfTdHse*(indfl-1),-zWindBlock/2+0>
                                
                        }  
                        box {<-0.5,-0.5,-0.5>,<0.5,0.5,0.5> 
                                
                                scale <6,htMoulTdHse+6,3>
                                texture {TStoneStDunstan rotate y*45}
                                translate <ctx-lgMoulTdHse/2,altSW+hTdShp+tyWinFFTd/2.1+hfTdHse*(indfl-1),-zWindBlock/2+0>
                                
                        }
                        
                        
                        box {<-0.5,-0.5,-0.5>,<0.5,0.5,0.5> 
                                
                                scale <3,htMoulTdHse+3,6>
                                texture {TStoneStDunstan rotate y*45}
                                translate <ctx+lgMoulTdHse/2,altSW+hTdShp+tyWinFFTd/2.1+hfTdHse*(indfl-1),-zWindBlock/2+0>
                                
                        }
                        box {<-0.5,-0.5,-0.5>,<0.5,0.5,0.5> 
                                
                                scale <6,htMoulTdHse+6,3>
                                texture {TStoneStDunstan rotate y*45}
                                translate <ctx+lgMoulTdHse/2,altSW+hTdShp+tyWinFFTd/2.1+hfTdHse*(indfl-1),-zWindBlock/2+0>
                                
                        }
                        
                        
                        
                        box {<-0.5,-0.5,-0.5>,<0.5,0.5,0.5> 
                                
                                scale <lgMoulTdHse,3,6>
                                texture {TStoneStDunstan rotate y*45}
                                translate <ctx,altSW+hTdShp+tyWinFFTd/2.1+htMoulTdHse/2+hfTdHse*(indfl-1),-zWindBlock/2+.01>
                                
                        }
                        box {<-0.5,-0.5,-0.5>,<0.5,0.5,0.5> 
                                
                                scale <lgMoulTdHse,6,3>
                                texture {TStoneStDunstan rotate y*45}
                                translate <ctx,altSW+hTdShp+tyWinFFTd/2.1+htMoulTdHse/2+hfTdHse*(indfl-1),-zWindBlock/2+.01>
                                
                        }
                        
                         
                        box {<-0.5,-0.5,-0.5>,<0.5,0.5,0.5> 
                                
                                scale <lgMoulTdHse,6,3>
                                texture {TStoneStDunstan}
                                translate <ctx,altSW+hTdShp+tyWinFFTd/2.1-htMoulTdHse/2+hfTdHse*(indfl-1),-zWindBlock/2+0.01>
                                
                        }
                        box {<-0.5,-0.5,-0.5>,<0.5,0.5,0.5> 
                                
                                scale <lgMoulTdHse,3,6>
                                texture {TStoneStDunstan}
                                translate <ctx,altSW+hTdShp+tyWinFFTd/2.1-htMoulTdHse/2+hfTdHse*(indfl-1),-zWindBlock/2+0.01>
                                
                        } 
                        /*
                        box {<-0.5,-0.5,-0.5>,<0.5,0.5,0.5> 
                                
                                scale <lgMoulTdHse,htMoulTdHse,2>
                                texture {T187windblock}
                                translate <ctx,altSW+hTdShp+tyWinFFTd/2.1-0*htMoulTdHse/2+hfTdHse*(indfl-1),-zWindBlock/2>
                                
                        } 
                        */
                        #declare indmoul = indmoul + 1;
                #end
                
                
                rotate -y *  angleWS
                translate <x1Wall,0,z1Wall>        
        } 
}  
      
#declare rebord = 2; 

object {CrenoRidgeSec
                //rotate z*90
                scale <(xWinFFTd+rebord)*1000*1.2,rebord*2,(eTdShpWall+rebord)/2>
                texture { TStoneStDunstan}  
                translate <(longWS-xWindBlock)/2+txWinFFTd1+xWinFFTd/2-(xWinFFTd+rebord)*1.2/2,tyWinFFTd,-(zWindBlock-eTdShpWall+7)/2>
                rotate -y *  angleWS
                translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl-1),z1Wall>
                
                
}  

object {CrenoRidgeSec
                //rotate z*90
                scale <(xWinFFTd+rebord)*1000*1.2,rebord*2,(eTdShpWall+rebord)/2>
                texture { TStoneStDunstan}  
                translate <(longWS-xWindBlock)/2+txWinFFTd2+xWinFFTd/2-(xWinFFTd+rebord)*1.2/2,tyWinFFTd,-(zWindBlock-eTdShpWall+7)/2>
                rotate -y *  angleWS
                translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl-1),z1Wall>
                
                
} 


object {CrenoRidgeSec
                //rotate z*90
                scale <(xWinFFTd+rebord)*1000*1.2,rebord*1.8,(eTdShpWall+rebord)/2>
                texture { TStoneStDunstan}  
                translate <(longWS-xWindBlock)/2+txWinFFTd1+xWinFFTd/2-(xWinFFTd+rebord)*1.2/2,tyWinFFTd+yWinFFTd,-(zWindBlock-eTdShpWall)/2>
                rotate -y *  angleWS
                translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl-1),z1Wall>
                
                
}
object {CrenoRidgeSec
                //rotate z*90
                scale <(xWinFFTd+rebord)*1000*1.2,rebord*1.8,(eTdShpWall+rebord)/2>
                texture { TStoneStDunstan}  
                translate <(longWS-xWindBlock)/2+txWinFFTd2+xWinFFTd/2-(xWinFFTd+rebord)*1.2/2,tyWinFFTd+yWinFFTd,-(zWindBlock-eTdShpWall)/2>
                rotate -y *  angleWS
                translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl-1),z1Wall>
                
                
}

     
/*
object {CrenoRidgeSec
        rotate z*90
        scale <rebord,(yWinFFTd+rebord)*1000,(eTdShpWall+rebord)/2>
        texture { TStoneStDunstan}  
        translate <(longWS-xWindBlock)/2+txWinFFTd1,tyWinFFTd-0*rebord/2,-(zWindBlock-eTdShpWall)/2>
        rotate -y *  angleWS
        translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl-1),z1Wall>
        
        
} 
object {CrenoRidgeSec
        rotate z*90
        scale <rebord,(yWinFFTd+rebord)*1000,(eTdShpWall+rebord)/2>
        texture { TStoneStDunstan}  
        translate <(longWS-xWindBlock)/2+txWinFFTd1+xWinFFTd,tyWinFFTd-0*rebord/2,-(zWindBlock-eTdShpWall)/2>
        rotate -y *  angleWS
        translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl-1),z1Wall>
        
        
} 
object {CrenoRidgeSec
        rotate z*90
        scale <rebord,(yWinFFTd+rebord)*1000,(eTdShpWall+rebord)/2>
        texture { TStoneStDunstan}  
        translate <(longWS-xWindBlock)/2+txWinFFTd2,tyWinFFTd-0*rebord/2,-(zWindBlock-eTdShpWall)/2>
        rotate -y *  angleWS
        translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl-1),z1Wall>
        
        
} 
object {CrenoRidgeSec
        rotate z*90
        scale <rebord,(yWinFFTd+rebord)*1000,(eTdShpWall+rebord)/2>
        texture { TStoneStDunstan}  
        translate <(longWS-xWindBlock)/2+txWinFFTd2+xWinFFTd,tyWinFFTd-0*rebord/2,-(zWindBlock-eTdShpWall)/2>
        rotate -y *  angleWS
        translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl-1),z1Wall>
        
        
}  
*/
#if (indfl>0)
//Top Ridges between storeys
object {CrenoRidgeSec
                //rotate z*90
                scale <longWS*1000,rebord,(eTdShpWall+rebord*3)/2>
                texture { texImgTdHse rotate -x*45 scale <(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,1>}  
                translate <0*rebord/2,0,-0*(zWindBlock-eTdShpWall)/2>
                rotate -y *  angleWS
                translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl),z1Wall>
                
} 
object {CrenoRidgeSec
                //rotate z*90
                scale <longWS*1000,rebord,(eTdShpWall+rebord*1.5)/2>
                texture { texImgTdHse rotate -x*45 scale <(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,1>}  
                translate <0*rebord/2,0,-0*(zWindBlock-eTdShpWall)/2>
                rotate -y *  angleWS
                translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl)-5,z1Wall>
                
}

object {CrenoRidgeSec
                //rotate z*90
                scale <(xWindBlock+rebord*2)*1000,rebord,(eTdShpWall+rebord*3)/2>
                texture { texImgTdHse rotate -x*45 scale <(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,1>}  
                translate <(longWS-xWindBlock)/2-rebord,0,-(zWindBlock-eTdShpWall)/2>
                rotate -y *  angleWS
                translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl),z1Wall>
                
} 
object {CrenoRidgeSec
                //rotate z*90
                scale <xWindBlock*1000,rebord,-(eTdShpWall+rebord*1.5)/2>
                texture { texImgTdHse rotate -x*45 scale <(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,1>}  
                translate <(longWS-xWindBlock)/2,0,-(zWindBlock-eTdShpWall)/2>
                rotate -y *  angleWS
                translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl)-5,z1Wall>
                
}               
#end //if 

//Test of britwindowpanel

//Outside dimension of the window 
#declare swcx = xWinFFTd-rebord; //cm Width made of 2 * case width +  panel width
#declare swcy = yWinFFTd-rebord; //cm height made of stool eigth + 2 * panel height - panel overlap  + case height 

//Dimensions for the case
#declare xycase = 8; //cm width of the case
#declare zcase =  eTdShpWall;//18; //cm deepth of the case       

//dimension for the stool
#declare ystool=4;   //cm height
#declare zstool= eTdShpWall*1.2;  //cm deepth
#declare xstool= swcx + 0 ;//7.5 cm wider on each side than the outside window dimension

//how thick is the panel frame
#declare thframe = 5;   //the panel frame has a square section of thframe cm side

//how thick are the patch frames square section too
#declare thbp = 3.5;     

// number of patches per panel
#declare npx = 3; //patches on width
#declare npy = 2; //patches on height for one panel (2 panels one above the other for a hung window 

//how open is the window. from 0 closed to 1 fully open
#declare howopen=0.0;  

//overlap between frames when window is fully closed
#declare rec = 4;


#declare Tframe = TframeW;
#declare typepatch = 1;




//#declare angleAZ= 0;

#declare tbwp = hungwindow(howopen,xstool,ystool,zstool,xycase,zcase,rec, npx,npy, swcx,swcy,thframe,thbp,perfactor,Tframe,typepatch)
#if (indfl=2)

#declare howopen=.8;
#declare tbwp = hungwindow(howopen,xstool,ystool,zstool,xycase,zcase,rec, npx,npy, swcx,swcy,thframe,thbp,perfactor,Tframe,typepatch)
#end


object  {tbwp
        translate <(longWS-xWindBlock)/2+txWinFFTd1++rebord/2,tyWinFFTd+rebord/2,-eTdShpWall/1>
        rotate -y *  angleWS
        translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl-1),z1Wall>
        } 
        
#if (indfl=1)
 




#declare howopen=.15;
#declare tbwp = hungwindow(howopen,xstool,ystool,zstool,xycase,zcase,rec, npx,npy, swcx,swcy,thframe,thbp,perfactor,Tframe,typepatch)
#end     

#if (indfl=2)

#declare howopen=.2;
#declare tbwp = hungwindow(howopen,xstool,ystool,zstool,xycase,zcase,rec, npx,npy, swcx,swcy,thframe,thbp,perfactor,Tframe,typepatch)



#declare pos_lamp = <0,0,0>;
#declare rad_lamp = 15;


 
#if (1 > 100)
        sphere {
             pos_lamp,rad_lamp 
             pigment{Gray70 filter.2} 
             finish{reflection .1 ambient .75} normal{bumps .1 scale <20,10,10>}}
#else
        #declare sdcl = seed(clock*350);
        #declare aleapx = rand(sdcl)*10;
        #declare aleapy = rand(sdcl)*10;
        #declare aleapz = rand(sdcl)*10;
        
        #declare aleaco = rand(sdcl)  * .15;
        
        light_source {pos_lamp 
           color rgb <1,.9-aleaco,.4> * 1.3
           looks_like { 
           union { 
                
                sphere {
                        
                        <0,0,0>,rad_lamp/3 
                       pigment{rgb <1,1,.6>*4} 
                       finish{ ambient 1 } 
                        

                }  
                
                union {
                        cylinder{<0,-rad_lamp,0>,<0,rad_lamp,0>,rad_lamp/7 scale y*.6}
                        cylinder{<0,-rad_lamp,0>,<0,rad_lamp,0>,rad_lamp/10 scale y*.4 rotate z*45}
                        cylinder{<0,-rad_lamp,0>,<0,rad_lamp,0>,rad_lamp/8 scale y*.4 rotate -z*45}
                        cylinder{<0,-rad_lamp,0>,<0,rad_lamp,0>,rad_lamp/6 scale y*.5 rotate z*90}
                        pigment{rgb <1,1,.5>*2.5} 
                        finish{ ambient 1 } 
                }        
                
                
                 
             }//UNION
                          
           }
           area_light <100,0,0>,<0,100,0>,7,7
           circular
           orient             
           jitter
           fade_distance 50
           fade_power .9
           #debug concat("var col   :",str(aleaco,10,10),"\n")
           #debug concat("var x   :",str(aleapx,10,10),"\n")  
           
           translate <(longWS-xWindBlock)/2+txWinFFTd2+67,tyWinFFTd+rebord/2+50,80>
                rotate -y *  angleWS
                translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl-1),z1Wall>    
        }
#end   


box{ <0,0,0>,<1,1,1> 
texture {
        pigment {
           image_map {tga "textures/apartface04.tga" }  
             
                }
        finish
         {
            ambient 0.2
            diffuse 2 
          } 
} 

scale <350,350,1>         
translate <0,0,170>
                rotate -y *  angleWS
                translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl-1),z1Wall>

}



#end

          
object  {tbwp
        translate <(longWS-xWindBlock)/2+txWinFFTd2+rebord/2,tyWinFFTd+rebord/2,-eTdShpWall/1>
        rotate -y *  angleWS
        translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl-1),z1Wall>
        }        


 

object {barberpoleapplic 
        rotate x*180 
        rotate -160 * y
        scale 100
        translate <longWS * .5,altSW+hTdShp + 4+22, - 107>
        rotate -y *  angleWS
        translate <x1Wall,0,z1Wall>
} 

object {supportVL 
         
        scale <40,40,40>
        translate <longWS *.5,altSW+hTdShp + 74+22, - 43>
        rotate -y *  angleWS
        translate <x1Wall,0,z1Wall>
}        
object {supportHL 
         
        scale <30,40,40>
        translate <longWS * .5,altSW+hTdShp + 7+22, - 43>
        rotate -y *  angleWS
        translate <x1Wall,0,z1Wall>
}

/// Todd's House EAST Wall
#declare x1Wall= TdShpC3.u*upf - 1+2*rand(R1);             // wall length in x
#declare x2Wall= TdShpC4.u*upf - 1+2*rand(R1);             // wall length in x
#declare z1Wall=TdShpC3.v*upf - 1+2*rand(R1);             // wall length in x
#declare z2Wall= TdShpC4.v*upf - 1+2*rand(R1);             // wall length in x

#if (modeImg=1)
        # declare TdWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+hTdShp+hfTdHse*(indfl-1))
        }
#end        
#if (modeImg=0)      
        # declare TdWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+hTdShp+hfTdHse*(indfl-1))
        }
#end

#if (modeImg=2)
        GetWallParam(x1Wall,z1Wall,x2Wall, z2Wall)
        
        # declare TdWall = object{ murBriqueAlt  (lengthWall,yWall,eWall, xBrickMin, xBrickMax, yBrickMin, yBrickMax, eMortar, eWall-zMortar, srd1, srd2, srd3, srdcol, supAleX, supAleCol, supAleP, fColBas, fColHaut, fColMort, seedWall) 
                rotate -y *  angleWall
                translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl-1),z1Wall>
        }
#end

#declare  angleWE = angleWall;
#declare  longWE  = lengthWall;

#declare angleCornTodd = angleWE;

    
#declare txtLastWall = txtLastBrick;

#declare TdWEallUni =  union {
        object {TdWall}     
        box {
                <0,0,0><longWE,yWall,.3>
                translate z*eWall/2
                texture { TWhitePlaster}
                rotate -y *  angleWE
                translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl-1),z1Wall>
        }
}

   
        object {TdWEallUni}
               

       
        

/// Todd's House North Wall
#declare x1Wall= TdShpC4.u*upf - 1+2*rand(R1);             // wall length in x
#declare x2Wall= TdShpC1.u*upf - 1+2*rand(R1);             // wall length in x
#declare z1Wall=TdShpC4.v*upf - 1+2*rand(R1);             // wall length in x
#declare z2Wall= TdShpC1.v*upf - 1+2*rand(R1);             // wall length in x

#if (0=1)
        # declare TdWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+hTdShp+hfTdHse*(indfl-1))
        }
#else      
        # declare TdWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+hTdShp+hfTdHse*(indfl-1))
        }
#end

#declare  angleWN = angleWall;
#declare  longWN  = lengthWall;    
#declare txtLastWall = txtLastBrick;

#declare TdWNallUni =  union {
        object {TdWall}     
        box {
                <0,0,0><longWN,yWall,.3>
                translate z*eWall/2
                texture { TWhitePlaster}
                rotate -y *  angleWN
                translate <x1Wall,altSW+hTdShp+hfTdHse*(indfl-1),z1Wall>
        }
}

object {TdWNallUni}

prism {
    linear_sweep
    linear_spline
    0, // sweep the following shape from here ...
    1, // ... up through here
    5, // the number of points making up the shape ...
    TdShpC1*upf, TdShpC2*upf, TdShpC3*upf, TdShpC4*upf, TdShpC1*upf
    texture { texImgPoutres rotate x * 90 scale <20,1,20> rotate -y*(angleWS+90) translate x*270+5*indfl}
    translate y*(altSW+hTdShp+hfTdHse*(indfl))
  } 
  
        #declare indfl = indfl + 1;
#end                    

/////// Curvy FRONT SHOP


 

#declare pntA = txTdShpFrtH+xShopDoorT;
#declare pntB = longWS-2;
     


#declare cntCylX = getRCAll2 (pntA,pntB,TDSstickOut).x;
#declare cntCylZ = getRCAll2 (pntA,pntB,TDSstickOut).y;
#declare radCyl =  getRCAll2 (pntA,pntB,TDSstickOut).z; 
#declare arcCyl =  getRCAll2 (pntA,pntB,TDSstickOut).t; 

#debug concat("teta   :",str(arcCyl ,10,10),"\n")
        #debug concat("rc   :",str(radCyl ,10,10),"\n")
        #debug concat("uCtr   :",str(cntCylX ,10,10),"\n")
        #debug concat("vCtr   :",str(cntCylZ ,10,10),"\n")   
        

#declare xcm = pntB - pntA - 0.5 *eTdShpWall;
#declare ycm = 180 - 30;
#declare howclosed = 1.02;
#declare nrd = 2;
#declare textex = Tx_RedCurt;
//#declare textex = qRed;
#declare zplis = 1;
#declare qMode =1;        
object {
                curtain01(xcm,ycm,zplis,howclosed,nrd,textex,qMode)      
                translate <pntA,altSW+altTdShpFl+180,TDSstickIn-20>
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>
        }  
        
        
//////////////////////////Objets en vitrine 

object {MiroirRectCu
        scale 20  
        rotate <-45,-10,5>
        translate <pntA+20,altSW+altTdShpFl+230,TDSstickIn-000>
        rotate -y*angleslngTdShp[1][0]
        translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>

} 
object {MiroirRectCu
        scale 20  
        rotate <-45,10,-5>
        translate <pntA+200,altSW+altTdShpFl+230,TDSstickIn-000>
        rotate -y*angleslngTdShp[1][0]
        translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>

}

//peruques
        box {<0,0,0><1,1,1>
        texture {
                             
                            pigment {
                              image_map {gif "textures\wig00_137rtfr.gif"      transmit    137, 1.0
                              } 
                              
                            } 
                            finish
                         {
                            ambient 0.35
                            diffuse 0.68
                            
                         }
                 }  
        scale <200,200*229/597,1>                 
        translate <pntA+20,altSW+altTdShpFl+62,TDSstickIn-50>
        rotate -y*angleslngTdShp[1][0]
        translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>
} 
/*
//peruque2
        box {<0,0,0><1,1,1>
        texture {
                             
                            pigment {
                              image_map {gif "textures\wig00_134.gif"      transmit    134, 1.0
                              } 
                              
                            } 
                            finish
                         {
                            ambient 0.25
                            diffuse 0.78
                            
                         }
                 }  
        scale <50,50*188/139,1>                 
        translate <pntA+20+50,altSW+altTdShpFl+50,TDSstickIn-50>
        rotate -y*angleslngTdShp[1][0]
        translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>
}

//peruque2
        box {<0,0,0><1,1,1>
        texture {
                             
                            pigment {
                              image_map {gif "textures\wig03_30.gif"      transmit    30, 1.0
                              } 
                              
                            } 
                            finish
                         {
                            ambient 0.25
                            diffuse 0.78
                            
                         }
                 }  
        scale <50,50*197/149,1>                 
        translate <pntA+20+50+50,altSW+altTdShpFl+50,TDSstickIn-50>
        rotate -y*angleslngTdShp[1][0]
        translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>
}



//peruque4
        box {<0,0,0><1,1,1>
        texture {
                             
                            pigment {
                              image_map {gif "textures\wig04_185.gif"      transmit    185, 1.0
                              } 
                              
                            } 
                            finish
                         {
                            ambient 0.25
                            diffuse 0.78
                            
                         }
                 }  
        scale <50,50*203/151,1>                 
        translate <pntA+180,altSW+altTdShpFl+50,TDSstickIn-50>
        rotate -y*angleslngTdShp[1][0]
        translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>
} 

*/
//pub
        box {<0,0,0><1,1,1>
        texture {
                             
                            pigment {
                              image_map {gif "textures\easyshavingint_167.gif"      transmit    167, 1.0
                              } 
                              
                            } 
                            finish
                         {
                            ambient 0.25
                            diffuse 0.78
                            
                         }
                 }  
        scale <80,80*860/760,1>
        rotate -x*5                 
        translate <pntA+20,altSW+altTdShpFl+172,TDSstickIn-40>
        rotate -y*angleslngTdShp[1][0]
        translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>
} 

//rasoir
        box {<0,0,0><1,1,1>
        texture {
                             
                            pigment {
                              image_map {gif "textures\barbRaz_151.gif"      transmit    151, 1.0
                              } 
                              
                            } 
                            finish
                         {
                            ambient 0.25
                            diffuse 0.78
                            
                         }
                 }  
        scale <45,45*313/175,1>
        rotate -x*5                 
        translate <pntA+33,altSW+altTdShpFl+155,TDSstickIn-41>
        rotate -y*angleslngTdShp[1][0]
        translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>
} 

//ciseaux
        box {<0,0,0><1,1,1>
        texture {
                             
                            pigment {
                              image_map {gif "textures\barbCIseau_34.gif"      transmit    34, 1.0
                              } 
                              
                            } 
                            finish
                         {
                            ambient 0.25
                            diffuse 0.78
                            
                         }
                 }  
        scale <35,35*416/131,1>
                         
        translate <pntA+170,altSW+altTdShpFl+155,TDSstickIn-41>
        rotate -y*angleslngTdShp[1][0]
        translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>
}

//Bequilles
        box {<0,0,0><1,1,1>
        texture {
                             
                            pigment {
                              image_map {gif "textures\barbBeqMal_128.gif"      transmit    128, 1.0
                              } 
                              
                            } 
                            finish
                         {
                            ambient 0.25
                            diffuse 0.78
                            
                         }
                 }  
        scale <130,130*309/270,5>                 
        translate <pntA+50,altSW+altTdShpFl+60,TDSstickIn-40>
        rotate -y*angleslngTdShp[1][0]
        translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>
}





      

#declare xcm = TDSstickIn-20;
#declare ycm = 180 - 30;
#declare howclosed = 1.02;
#declare nrd = .5;
#declare textex = Tx_RedCurt;
//#declare textex = qRed;
#declare zplis = 1;        
object {
                curtain01(xcm,ycm,zplis,howclosed,nrd,textex,qMode)
                rotate -y*90      
                translate <pntA+2 ,altSW+altTdShpFl+180,0>
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>
        } 
        
/*
cylinder { // Cylndr001
          <0,0,0>, <1,0,0>, 1 
          material {
            Copper_Metal1
          }
          scale <TDSstickIn-20, 1, 1>
          rotate -y*90
          translate  <pntA,altSW+altTdShpFl+180,0.0>
          rotate -y*angleslngTdShp[1][0]
          translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>        
}
*/
        
#declare xcm = xShopDoorT;
#declare ycm = 180 - 30;
#declare howclosed = 1;
#declare nrd = 1;
#declare textex = Tx_RedCurt; 
//#declare textex = qRed;
#declare zplis = .3; 
       
object {
                curtain01(xcm,ycm,zplis,howclosed,nrd,textex,qMode)
                translate z*8
                rotate y*ToddDoorOpen      
                translate <txTdShpFrtH,altSW+altTdShpFl+180,0>
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>
        }  
        
        
///////// Front windows items  
/*
union {
        sphere {<0,0,0>,1 scale <12,16,16> pigment {color Pink}
                translate <pntA+100,altSW+altTdShpFl+yFootFront+20,TDSstickIn-30>
        }
        sphere {<0,0,0>,1 scale <12,16,16> pigment {color Gray40}
                translate <pntA+170,altSW+altTdShpFl+yFootFront+50,TDSstickIn-20>
        } 
        sphere {<0,0,0>,1 scale <12,16,16> pigment {color Pink}
                translate <pntA+220,altSW+altTdShpFl+yFootFront+30,TDSstickIn-20>
        }
        rotate -y*angleslngTdShp[1][0]
        translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>
} 
*/               

object {
        chalkboard
        scale 75
        rotate y*115
        translate <120,0,-225>
        rotate -y*angleslngTdShp[1][0]
        translate <angleslngTdShp[1][2],altSW,angleslngTdShp[1][3]>
}   

/*
object {Chatperche
        scale <-33,33,-33>*4
        rotate -y*90
        translate  <50,altSW+altTdShpFl+hTdShp+10, -45>
        rotate -y*angleslngTdShp[1][0]
        translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>
}       


object{
      Chienquiaboie
      scale <-53,53,-53>*4
        rotate y*90
        translate  <270,altSW , -200>
        rotate -y*angleslngTdShp[1][0]
        translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>
      }
*/
/////////// Sshop floor threshold
union {        

        intersection {
                cylinder {<cntCylX,altSW,cntCylZ>,<cntCylX,altSW+altTdShpFl,cntCylZ>,radCyl
                         }
                box {<pntA,0,TDSstickIn>,<pntB,3000,-TDSstickOut>}
                translate -z*eTdShpWall/2
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]> 
        }   
        
        prism {
            linear_sweep
            linear_spline
            0, // sweep the following shape from here ...
            altSW+altTdShpFl, // ... up through here
            5, // the number of points making up the shape ...
            TdShpC1*upf, TdShpC2*upf, TdShpC3*upf, TdShpC4*upf, TdShpC1*upf
            
            //translate y*(altSW+altTdShpFl)
        } 
        texture { texShopFloor rotate x * 90 scale <25,1,25> rotate -y*(45+10) } 
}    

        intersection {
                cylinder {<cntCylX,altSW,cntCylZ>,<cntCylX,altSW+altTdShpFl-.001,cntCylZ>,radCyl+5
                         }
                box {<pntA,0,TDSstickIn+5>,<pntB+5,3000,-(TDSstickOut+5)>}
                translate -z*eTdShpWall/2
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]> 
                texture {TWhitePlaster scale <22,10,15>}
        }
        object {CrenoRidgeSec
                //rotate z*90
                scale <xShopDoorT*1000,altTdShpFl,-(eTdShpWall+15)/2>
                texture { TWhitePlaster scale <22,10,15>}  
                translate <txTdShpFrtH,altSW,-30>
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>
                
}



////////////// Top placard of front window     
#declare yRbrd = 10;
#declare yBndc = 30;
#declare rSlRbrd = 1.5;

//*** Rebord bas 
union {
        intersection {
                cylinder {<cntCylX,altSW+altTdShpFl+yTdShpFrtH,cntCylZ>,<cntCylX,altSW+altTdShpFl+yTdShpFrtH+yRbrd,cntCylZ>,radCyl+5
                         }
                box {<pntA,0,TDSstickIn+5>,<pntB+10,3000,-(TDSstickOut+5)>}
                translate -z*eTdShpWall/2
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]> 
                
        }
         
        box {<(pntA+pntB)/2,altSW+altTdShpFl+yTdShpFrtH,TDSstickIn+5>,<0,altSW+altTdShpFl+yTdShpFrtH+yRbrd,-(TDSstickOut+5)>
                translate <0,0,-eTdShpWall/2>
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]> 
                
       } 
       #declare yCS = altSW+altTdShpFl+yTdShpFrtH + yRbrd - rSlRbrd;  
       
       cylinder  {<(pntA+pntB)/2, yCS, -(TDSstickOut+5)>, <0, yCS,-(TDSstickOut+5)>, rSlRbrd
                  translate <0,0,-eTdShpWall/2>
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>
       }
       intersection {
                torus  {
                        radCyl+5, rSlRbrd
                        translate <cntCylX,yCS,cntCylZ> 
                }
                
                box {<pntA,0,TDSstickIn+5>,<pntB+10,3000,-(TDSstickOut+5+rSlRbrd)>} 
                
                translate -z*eTdShpWall/2
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]> 
        } 
       
       #declare yCS = altSW+altTdShpFl+yTdShpFrtH+ rSlRbrd;  
       
       cylinder  {<(pntA+pntB)/2, yCS, -(TDSstickOut+5)>, <0, yCS,-(TDSstickOut+5)>, rSlRbrd
                  translate <0,0,-eTdShpWall/2>
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>
       }
       intersection {
                torus  {
                        radCyl+5, rSlRbrd
                        translate <cntCylX,yCS,cntCylZ> 
                }
                
                box {<pntA,0,TDSstickIn+5>,<pntB+10,3000,-(TDSstickOut+5+rSlRbrd)>} 
                
                translate -z*eTdShpWall/2
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]> 
        }
         
       texture {TBrushStrokLightBrownX scale <1,1,1> rotate -y* angleslngTdShp[1][0] * 1.5}     
       
       
}

//*** Rebord haut 
union {
        intersection {
                cylinder {<cntCylX,altSW+altTdShpFl+yTdShpFrtH+yRbrd+yBndc,cntCylZ>,<cntCylX,altSW+altTdShpFl+yTdShpFrtH+yRbrd+yBndc + yRbrd,cntCylZ>,radCyl+5
                         }
                box {<pntA,0,TDSstickIn+5>,<pntB+10,3000,-(TDSstickOut+5)>} 
                
                translate -z*eTdShpWall/2
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]> 
        }
         
        box {<(pntA+pntB)/2,altSW+altTdShpFl+yTdShpFrtH+yRbrd+yBndc,TDSstickIn+5>,<0,altSW+altTdShpFl+yTdShpFrtH+yRbrd+yBndc + yRbrd,-(TDSstickOut+5)>
                translate <0,0,-eTdShpWall/2>
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]> 
                
       }   
       
       #declare yCS = altSW+altTdShpFl+yTdShpFrtH+yRbrd+yBndc+yRbrd - rSlRbrd;  
       
       cylinder  {<(pntA+pntB)/2, yCS, -(TDSstickOut+5)>, <0, yCS,-(TDSstickOut+5)>, rSlRbrd
                  translate <0,0,-eTdShpWall/2>
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>
       }
       intersection {
                torus  {
                        radCyl+5, rSlRbrd
                        translate <cntCylX,yCS,cntCylZ> 
                }
                
                box {<pntA,0,TDSstickIn+5>,<pntB+10,3000,-(TDSstickOut+5+rSlRbrd)>} 
                
                translate -z*eTdShpWall/2
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]> 
        } 
       
       #declare yCS = altSW+altTdShpFl+yTdShpFrtH+yRbrd+yBndc+ rSlRbrd;  
       
       cylinder  {<(pntA+pntB)/2, yCS, -(TDSstickOut+5)>, <0, yCS,-(TDSstickOut+5)>, rSlRbrd
                  translate <0,0,-eTdShpWall/2>
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>
       }
       intersection {
                torus  {
                        radCyl+5, rSlRbrd
                        translate <cntCylX,yCS,cntCylZ> 
                }
                
                box {<pntA,0,TDSstickIn+5>,<pntB+10,3000,-(TDSstickOut+5+rSlRbrd)>} 
                
                translate -z*eTdShpWall/2
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]> 
        }
       
       texture {TBrushStrokLightBrownX scale <1,1,1> rotate -y* angleslngTdShp[1][0] * 1.5}
       
       
       
} 
//******* Bandeau central Todd 
       union {
        intersection {
                cylinder {<cntCylX,altSW+altTdShpFl+yTdShpFrtH+yRbrd,cntCylZ>,<cntCylX,altSW+altTdShpFl+yTdShpFrtH+yRbrd + yBndc,cntCylZ>,radCyl+3
                         }
                box {<pntA,0,TDSstickIn+5>,<pntB+6,3000,-(TDSstickOut+5)>}
                
                
        }
         
        box {<(pntA+pntB)/2,altSW+altTdShpFl+yTdShpFrtH+yRbrd,0>,<-0,altSW+altTdShpFl+yTdShpFrtH+yRbrd + yBndc,-(TDSstickOut+3)>
                
                
                
        }
        texture {texImg187STB scale <350,yBndc,1> translate <20,altSW+altTdShpFl+yTdShpFrtH+yRbrd,0>}
        translate <0,0,-eTdShpWall/2>
        rotate -y*angleslngTdShp[1][0]
        translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>
        
        
} 
/*
box {<0,altSW+altTdShpFl+yTdShpFrtH+4,TDSstickIn+5>,<xTdShpFrtH+30,altSW+hTdShp,0>
                translate <0,0,0>                                      
                texture {TWhitePlaster}
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]> 
                
       }
*/       
object {        poutre1 
                scale <xTdShpFrtH+30,19,10>
                translate <0,altSW+altTdShpFl+yTdShpFrtH+20,TDSstickIn+5>
                
                                                      
                texture {TWhitePlaster}
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]> 
                
       }         
///////////***************** EXTENSION BOULANG   
//***** Bandeau central
box {<-400,altSW+altTdShpFl+yTdShpFrtH+yRbrd,0>,<-0,altSW+altTdShpFl+yTdShpFrtH+yRbrd+yBndc,-(TDSstickOut+3)>
                
               // rotate -y*angleslngTdShp[1][0]
                //translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]> 
                
        
        texture {texImg188 scale <400,yBndc,1> translate <20,altSW+altTdShpFl+yTdShpFrtH+yRbrd,0>}
        translate <5,0,-eTdShpWall/2>
        rotate -y*angleslngTdShp[1][0]
        translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>   
} 

//****** Rebord bas 
box {<0,altSW+altTdShpFl+yTdShpFrtH,0>,<-400,altSW+altTdShpFl+yTdShpFrtH+yRbrd,-(TDSstickOut+5)>
                translate <0,0,-eTdShpWall/2>
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]> 
                texture {TBrushStrokPinkX scale <1,1,1> rotate -y* angleslngTdShp[1][0] * 1.5}
       } 
       
       
//****** Rebord haut       
box {<0,altSW+altTdShpFl+yTdShpFrtH+yRbrd+yBndc,0>,<-400,altSW+altTdShpFl+yTdShpFrtH+yRbrd+yBndc+yRbrd,-(TDSstickOut+5)>
                translate <0,0,-eTdShpWall/2>
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]> 
                texture {TBrushStrokPinkX scale <1,1,1> rotate -y* angleslngTdShp[1][0] * 1.5}
       }
       
#declare yCS = altSW+altTdShpFl+yTdShpFrtH+yRbrd+yBndc+yRbrd - rSlRbrd;  
       
       cylinder  {<0, yCS, -(TDSstickOut+5)>, <-400, yCS,-(TDSstickOut+5)>, rSlRbrd
                  translate <0,0,-eTdShpWall/2>
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]> 
                texture {TBrushStrokPinkX scale <1,1,1> rotate -y* angleslngTdShp[1][0] * 1.5}
       } 
#declare yCS = altSW+altTdShpFl+yTdShpFrtH+yRbrd+yBndc+ rSlRbrd;       
       cylinder  {<0, yCS, -(TDSstickOut+5)>, <-400, yCS,-(TDSstickOut+5)>, rSlRbrd
                  translate <0,0,-eTdShpWall/2>
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]> 
                texture {TBrushStrokPinkX scale <1,1,1> rotate -y* angleslngTdShp[1][0] * 1.5}
       }
       
#declare yCS = altSW+altTdShpFl+yTdShpFrtH+yRbrd - rSlRbrd;  
       
       cylinder  {<0, yCS, -(TDSstickOut+5)>, <-400, yCS,-(TDSstickOut+5)>, rSlRbrd
                  translate <0,0,-eTdShpWall/2>
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>  
                texture {TBrushStrokPinkX scale <1,1,1> rotate -y* angleslngTdShp[1][0] * 1.5}
       } 
#declare yCS = altSW+altTdShpFl+yTdShpFrtH + rSlRbrd;       
       cylinder  {<0, yCS, -(TDSstickOut+5)>, <-400, yCS,-(TDSstickOut+5)>, rSlRbrd
                  translate <0,0,-eTdShpWall/2>
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>    
                texture {TBrushStrokPinkX scale <1,1,1> rotate -y* angleslngTdShp[1][0] * 1.5}
       }                              
       
#declare spx=0;
#declare spy=0;

#declare thframe = 4.5;

#declare thbp = 3.5;     


#declare Tframe = texture {TframeY};
#declare typepatch = 1; 
#declare randseq = 15;


#declare swx=xShopDoorT;
#declare swy=yTdShpFrtH-yShopDoor;
#declare npx=2;
#declare npy=1;

object {britwindowpanel(npx,npy,spx,spy,swx,swy,thframe,thbp,perfactor,Tframe,typepatch,randseq)
        translate <txTdShpFrtH,altSW+altTdShpFl+yShopDoor,-eTdShpWall/2+thframe/2+2>
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]> 
} 


 

 



// PARAMETERS EXAMPLES FOR THE MACRO
//User defined size  

//Outer frame size      

#declare Tframe = texture {TframeY scale <1,1,1>};


#declare FWidth = xShopDoorT;
#declare FHeight = yShopDoor; 
#declare AngleOpen = ToddDoorOpen;

//Deepth of door frame (should fit with the wall thickness)
#declare FDeepth = 4;

//Deepth (or thickness) of door panel (z)
#declare DDeepth = 4; 

// how much the door goes deepin the frame from 0 to 1
#declare DShift = .9;


//thickness of door frame (x,y)
#declare FThick = 10; 

//width for side verticals
#declare VsWidth = 7;

//width for middle vertical
#declare VmWidth = 10;       

//Height of low and high transversals
#declare TeHeight = 8; 

//Height of middle low and high transversal
#declare TmHeight = 10; 
               
//Lock altitude above doors bottom will place the low transversal
//in such altitude the lock is at middle height of this transvrsal

//This transversal position will also determine the heights and altitudes of 
//low and middle panels  
#declare LckAlt = 105;  
#declare handlAng = - 2;
#declare lowPanelAlt = 55;

#declare dnpx=2;
#declare dnpy=4;

object {
        ShopDoor(FWidth, FHeight, FDeepth, FThick ,DDeepth, DShift, AngleOpen, VsWidth, VmWidth, TeHeight, TmHeight, LckAlt, handlAng, lowPanelAlt, TexShopDoorY, TframeY ,dnpx, dnpy)
        translate <txTdShpFrtH,altSW+altTdShpFl,-eTdShpWall/2+2>
        rotate -y*angleslngTdShp[1][0]
        translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>
}
 
cylinder {
        <txTdShpFrtH,altSW+altTdShpFl+yShopDoor,-eTdShpWall/2-.5>,
        <txTdShpFrtH+xShopDoorT,altSW+altTdShpFl+yShopDoor,-eTdShpWall/2-.4>,
        1.8
        texture {TBrushStrokLightBrownX scale <5,1,1>}
        rotate -y*angleslngTdShp[1][0]
        translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>

}        

cylinder {
        <txTdShpFrtH,altSW+altTdShpFl,-eTdShpWall/2-.5>,
        <txTdShpFrtH,altSW+altTdShpFl+yTdShpFrtH,-eTdShpWall/2-.7>,
        1.8
        texture {TBrushStrokLightBrownX scale <5,1,1> rotate z*90}
        rotate -y*angleslngTdShp[1][0]
        translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>

}
cylinder {
        <txTdShpFrtH+xShopDoorT-.5,altSW+altTdShpFl,-eTdShpWall/2-.7>,
        <txTdShpFrtH+xShopDoorT-.3,altSW+altTdShpFl+yTdShpFrtH,-eTdShpWall/2-.5>,
        1.8
        texture {TBrushStrokLightBrownX scale <5,1,1> rotate z*90}
        rotate -y*angleslngTdShp[1][0]
        translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>

} 

/*
object {
  obj_roughMan
  rotate y *  120
  translate <TdShpC2.u*upf+170,altSW,TdShpC2.v*upf-100>
} 
*/
#debug concat("*************************Front window","\n")
#declare nPane = 8;
#declare hPane = yFootFront;  

#declare npx=2;
#declare npy=1;


#declare Tframe = TframeW;
#declare typepatch = 2; 
#declare thframe = 3.8;
#declare thbp = 3.3;


#declare FrontShop = makeFrontShop(arcCyl,radCyl,nPane,hPane,npx,npy,thframe,thbp,perfactor,Tframe,typepatch)    
object {FrontShop
        translate <cntCylX,altSW+altTdShpFl,cntCylZ-eTdShpWall/2>
        rotate -y*angleslngTdShp[1][0]
        translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>
        }  
        
        
intersection {
                torus  {
                        radCyl+2.5, 1.5
                        translate <cntCylX,altSW+altTdShpFl+yFootFront,cntCylZ> 
                }
                
                box {<pntA-3,0,TDSstickIn+5>,<pntB+3,3000,-(TDSstickOut+7)>} 
                texture {TBrushStrokLightWhiteX scale <1,1,1>}
                translate -z*eTdShpWall/2
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>   
                
        }
                
        
#declare nPane = 8;
#declare hPane = yTdShpFrtH-yFootFront;  

#declare npx=1;
#declare npy=5;


#declare Tframe = TframeW;
#declare typepatch = 1; 
#declare thframe = 3.8;
#declare thbp = 3.3;


#declare FrontShop = makeFrontShop(arcCyl,radCyl,nPane,hPane,npx,npy,thframe,thbp,perfactor,Tframe,typepatch)    
object {FrontShop
        translate <cntCylX,altSW+altTdShpFl+yFootFront,cntCylZ-eTdShpWall/2>
        rotate -y*angleslngTdShp[1][0]
        translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>
        }   
        
        
        
         
/// Front panel on right corner   
#debug concat("*************************Front panel on right corner","\n")
#declare thframe = 3.13;
#declare swx=TDSstickIn;
#declare swy=yFootFront;
#declare npx=1;
#declare npy=1; 
 
#declare typepatch = 3;

object {britwindowpanel(npx,npy,spx,spy,swx,swy,thframe,thbp,perfactor,Tframe,typepatch,randseq)
                rotate -y*90
        translate <pntB,altSW+altTdShpFl,-eTdShpWall/2+0*thframe>
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]> 
}
        
#declare npx=1;
#declare npy=5;
#declare swy=yTdShpFrtH-yFootFront; 
#declare swx=TDSstickIn ;

#declare Tframe = TframeW;
#declare typepatch = 1; 
#declare thframe = 2;
#declare thbp = 2.1; 

object {britwindowpanel(npx,npy,spx,spy,swx,swy,thframe,thbp,perfactor,Tframe,typepatch,randseq)
                rotate -y*90
        translate <pntB,altSW+altTdShpFl+yFootFront,-eTdShpWall/2+0*thframe>
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]> 
} 
              

////// vertical junction oncornered front shop 
object {CrenoRidgeSec
                scale <hTdShp*1000,7.5,4.5>
                texture { TBrushStrokLightBrownX}  
                rotate z*90
                translate <pntB+2.5,altSW,TDSstickIn-eTdShpWall/4>
                rotate -y*angleslngTdShp[1][0]
                translate <angleslngTdShp[1][2],0,angleslngTdShp[1][3]>
                
}

/////////////////////////////
 
/////// 188 SHOP BAKERY 

#warning concat("+++++   188 BACKERY  +++++++ ",str(111,0,0),"\n")    
#declare srd3=0.04;
#declare typeWall=2;            // 1=box ; 2=ellipsoid
#declare pEllipsoid=0.07;        // usual ellipsoid parameter

#declare yWall=h188Shp;//+hf188Hse*3;              // wall height in y must be larger than the brick height
#declare eMortar=0.75;           // mortar thickness   

#declare eWall=e188ShpWall;             // mortar depth  
#declare zMortar=eWall-.2;           // mortar deepth
#declare xBrickMin=19;             // min brick size
#declare xBrickMax=21;             // max brick size
#declare yBrickMin=6.8;             // min brick height
#declare yBrickMax=7;             // max brick height
#declare seedWall=200;              // seed wall
#declare srd1=0.05;                  // randomness amount for brick position (0=no random)
#declare srd2=0.05;                  // randomness amount for brick rotation (0=no random)
#declare srdcol=0.3;                // randomness amount for color between stone(0=no random)  
#declare srdCrand = 0.7;            // randomness amount for color inside a stone
#declare patternWall=2;             // y color gradient for wall texture
                                    // 0=uniform color
                                    // 1=no color gradient
                                    // 2=from dark to light
                                    // 3=from light to dark     
                                    
#declare doMortar = 1;               // No mortar wishes 0


#declare fColBas  = fColSombre;
#declare fColHaut = fColClair; 
    

//door dimensions
#declare wSTDDoor = 140;  //Width of the door
#declare hSTDDoor = 222;  //Height .....                
#declare xSTDDoor1 = 160; //distance to left side of the wall
#declare ySTDDoor1 = altSW; // Alt of threshold     

//Windows dimensions
//Top door 
#declare xWin =   xTdShpFrtH;
#declare yWin =   y188ShpFrtH;
#declare txWinDoor = txTdShpFrtH;
#declare tyWinDoor = altSW + alt188ShpFl;  


#declare txWinSW1 = 380;
#declare tyWinSW1 = altSW + 200;
#declare xWin = xWin;
#declare yWinSW = 210;   

#declare wXinSep = 30;

        
         
#declare pigWall= rgb<0.89, 0.625, 0.456>*1.95;       
#declare difamb = <.5,.1>;
#declare txtMortar=TWhiteMortar; // mortar texture 

        
#declare modeImg=0;

#declare txtImgWall = texImgTdHse;

#declare angleslng188Shp = array[8][6]      
//188 Backery west wall    

#declare x1Wall= f188C1.u*upf;             // wall length in x
#declare x2Wall= f188C2.u*upf;             // wall length in x
#declare z1Wall= f188C1.v*upf;             // wall length in x
#declare z2Wall= f188C2.v*upf;             // wall length in x

/* 
#if (0=1)
        # declare f188ShpWWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*altSW
        }
#else      
        # declare f188ShpWWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*altSW
        }
#end 

*/
#if (modeImg=1000)
        # declare f188ShpWWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*altSW
        }
#end        
#if (0=0)      
        # declare f188ShpWWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*altSW
        }
#end

#if (modeImg=2000)
        GetWallParam(x1Wall,z1Wall,x2Wall, z2Wall)
        
        # declare f188ShpWWall = object{ murBriqueAlt  (lengthWall,yWall,eWall, xBrickMin, xBrickMax, yBrickMin, yBrickMax, eMortar, eWall-zMortar, srd1, srd2, srd3, srdcol, supAleX, supAleCol, supAleP, fColBas, fColHaut, fColMort, seedWall) 
                rotate -y *  angleWall
                translate <x1Wall,altSW,z1Wall>
        }
#end

#declare  angleslng188Shp[0][0] = angleWall;
#declare  angleslng188Shp[0][1] = lengthWall;
#declare  angleslng188Shp[0][2] = x1Wall;
#declare  angleslng188Shp[0][3] = z1Wall;   
#declare  angleslng188Shp[0][4] = x2Wall;
#declare  angleslng188Shp[0][5] = z2Wall;    
#declare txtLastWall = txtLastBrick;

object {f188ShpWWall}     


box {
        <0,0,0><angleslng188Shp[0][1],h188Shp,.3>
        translate z*eWall/2
        texture { TWhitePlaster}
        rotate -y *  angleslng188Shp[0][0]
        translate <x1Wall,altSW+0,z1Wall>
}
    


//188 Backery SOUTH Wall 
#declare x1Wall= f188C2.u*upf-eWall/2;             // wall length in x
#declare x2Wall= f188C3.u*upf+eWall/2;             // wall length in x
#declare z1Wall= f188C2.v*upf;             // wall length in x
#declare z2Wall= f188C3.v*upf;             // wall length in x
/*
#if (modeImg=1)
        # declare f188ShpSWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*altSW
        }
#else      
        # declare f188ShpSWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*altSW
        }
#end
*/
#if (modeImg=1)
        # declare f188ShpSWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW)
        }
#end        
#if (modeImg=0)      
        # declare f188ShpSWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW)
        }
#end

#if (modeImg=2)
        GetWallParam(x1Wall,z1Wall,x2Wall, z2Wall)
        
        # declare f188ShpSWall = object{ murBriqueAlt  (lengthWall,yWall,eWall, xBrickMin, xBrickMax, yBrickMin, yBrickMax, eMortar, eWall-zMortar, srd1, srd2, srd3, srdcol, supAleX, supAleCol, supAleP, fColBas, fColHaut, fColMort, seedWall) 
                rotate -y *  angleWall
                translate <x1Wall,altSW,z1Wall>
        }
#end

#declare  angleslng188Shp[1][0] = angleWall;
#declare  angleslng188Shp[1][1] = lengthWall;
#declare  angleslng188Shp[1][2] = x1Wall;
#declare  angleslng188Shp[1][3] = z1Wall;   
#declare  angleslng188Shp[1][4] = x2Wall;
#declare  angleslng188Shp[1][5] = z2Wall;   
 
#declare txtLastWall = txtLastBrick; 

// Plaster inside 
# declare f188ShpSWallUni = union {
        object {f188ShpSWall}
        box {
                <angleslng188Shp[1][1],0,0><angleslng188Shp[1][1],h188Shp,.3>
                translate z*eWall/2
                texture { TWhitePlaster scale <50,50,1>}
                rotate -y *  angleslng188Shp[1][0]
                translate <x1Wall,altSW+0,z1Wall>
        }
}
// opening door holes
#declare dif188ShpFrtH  =   box{
                <tx188ShpFrtH,altSW+ty188ShpFrtH-1,-eWall*1.001>,<tx188ShpFrtH + x188ShpFrtH,altSW+ty188ShpFrtH+y188ShpFrtH,eSTDWall*1.001>
                texture { TWhitePlaster  scale <50,50,1> rotate y*90}                    
                translate x*0
                rotate -y*angleslng188Shp[1][0] 
                translate<x1Wall,0,z1Wall>  
        }

difference {
        object {f188ShpSWallUni}
        object {dif188ShpFrtH}
}          


/// 188 bakery EAST Wall
#declare x1Wall= f188C3.u*upf;             // wall length in x
#declare x2Wall= f188C4.u*upf;             // wall length in x
#declare z1Wall= f188C3.v*upf;             // wall length in x
#declare z2Wall= f188C4.v*upf;             // wall length in x

#if (modeImg=1000)
        # declare f188ShpEWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*altSW
        }
#end        
#if (0=0)      
        # declare f188ShpEWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*altSW
        }
#end 
#if (modeImg=2000)
        GetWallParam(x1Wall,z1Wall,x2Wall, z2Wall)
        
        # declare f188ShpEWall = object{ murBriqueAlt  (lengthWall,yWall,eWall, xBrickMin, xBrickMax, yBrickMin, yBrickMax, eMortar, eWall-zMortar, srd1, srd2, srd3, srdcol, supAleX, supAleCol, supAleP, fColBas, fColHaut, fColMort, seedWall) 
                rotate -y *  angleWall
                translate <x1Wall,altSW,z1Wall>
        }
#end


#declare  angleslng188Shp[2][0] = angleWall;
#declare  angleslng188Shp[2][1] = lengthWall; 
#declare  angleslng188Shp[2][2] = x1Wall;
#declare  angleslng188Shp[2][3] = z1Wall;   
#declare  angleslng188Shp[2][4] = x2Wall;
#declare  angleslng188Shp[2][5] = z2Wall;   
#declare txtLastWall = txtLastBrick;   

# declare f188ShpEWallUni = union {
        box {
                <0,0,0><angleslng188Shp[2][1],h188Shp,.3>
                translate z*eWall/2
                texture { TWhitePlaster scale <50,50,1>}
                rotate -y *  angleslng188Shp[2][0]
                translate <x1Wall,altSW+0,z1Wall>
        }
        object {f188ShpEWall}    
} 

#declare dif188ShpFrtH2  =      box{<-.1,altSW+ty188ShpFrtH-1,-eWall*1.001>,<TDSstickIn-eSTDWall/4,altSW+ty188ShpFrtH+y188ShpFrtH,eSTDWall*1.001>
                /*
                texture {
                                brick texture {TWhiteMortar}, texture {txtLastWall} 
                                brick_size <xBrickMax,yBrickMax,eSTDWall>
                                //mortar eMortar
                                rotate y*90
                    } 
                */
                texture { TWhitePlaster  scale <50,50,1> rotate y*90}                    
                translate x*0
                rotate -y*angleslng188Shp[2][0] 
                translate<x1Wall,0,z1Wall>  
        }
        

//difference {
        object {f188ShpEWallUni}
//        object {dif188ShpFrtH2 }
//}

/// 188 Backery North Wall
#declare x1Wall= f188C4.u*upf;             // wall length in x
#declare x2Wall= f188C1.u*upf;             // wall length in x
#declare z1Wall= f188C4.v*upf;             // wall length in x
#declare z2Wall= f188C1.v*upf;             // wall length in x

#if (modeImg=1000)
        # declare f188ShpNWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*altSW
        }
#end
#if (0=0)      
        # declare f188ShpNWall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*altSW
        }
#end 
#if (modeImg=2000)
        GetWallParam(x1Wall,z1Wall,x2Wall, z2Wall)
        
        # declare f188ShpNWall = object{ murBriqueAlt  (lengthWall,yWall,eWall, xBrickMin, xBrickMax, yBrickMin, yBrickMax, eMortar, eWall-zMortar, srd1, srd2, srd3, srdcol, supAleX, supAleCol, supAleP, fColBas, fColHaut, fColMort, seedWall) 
                rotate -y *  angleWall
                translate <x1Wall,altSW,z1Wall>
        }
#end

#declare  angleslng188Shp[3][0] = angleWall;
#declare  angleslng188Shp[3][1] = lengthWall;    
#declare  angleslng188Shp[3][2] = x1Wall;
#declare  angleslng188Shp[3][3] = z1Wall;   
#declare  angleslng188Shp[3][4] = x2Wall;
#declare  angleslng188Shp[3][5] = z2Wall;   
#declare txtLastWall = txtLastBrick; 

object {f188ShpNWall}  
box {
        <0,0,0><angleslng188Shp[3][1],h188Shp,.3>
        translate z*eWall/2
        texture { TWhitePlaster}
        rotate -y *  angleslng188Shp[3][0]
        translate <x1Wall,altSW+0,z1Wall>
}


prism {
    linear_sweep
    linear_spline
    0, // sweep the following shape from here ...
    1, // ... up through here
    5, // the number of points making up the shape ...
    f188C1*upf, f188C2*upf, f188C3*upf, f188C4*upf, f188C1*upf
    texture { texImgPoutres rotate x * 90 scale <20,1,20> rotate -y* (angleslng188Shp[1][0]+90)}
    translate y*(altSW+h188Shp)
  }






////////////////////////////////////////////////////////////////////
//#declare txtImgWall = texImgWPBrick ; 


#declare indfl = 1;






#while (indfl < 4) 







#declare yWall = hf188Hse;   
#declare seedWall=200+indfl*107;     
#declare R1=seed(seedWall);

#if (patternWall=3)
        #declare patternWall=2;
        #declare fColBas  = fColSombre;
        #declare fColHaut = fColClair;
#else
        #declare patternWall=3;
        #declare fColBas  = fColClair;
        #declare fColHaut = fColSombre;        
#end        

#declare x1Wall= f188C1.u*upf - 1+2*rand(R1);             // wall length in x
#declare x2Wall= f188C2.u*upf - 1+2*rand(R1);             // wall length in x
#declare z1Wall= f188C1.v*upf - 1+2*rand(R1);             // wall length in x
#declare z2Wall= f188C2.v*upf - 1+2*rand(R1);             // wall length in x

/* 
#if (0=1)
        # declare f188Wall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+h188Shp+hf188Hse*(indfl-1))
        }
#else      
        # declare f188Wall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+h188Shp+hf188Hse*(indfl-1))
        }
#end
*/

#if (modeImg=1000)
        # declare f188Wall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+h188Shp+hf188Hse*(indfl-1))
        }
#end        
#if (0=0)      
        # declare f188Wall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+h188Shp+hf188Hse*(indfl-1))
        }
#end

#if (modeImg=2000)
        GetWallParam(x1Wall,z1Wall,x2Wall, z2Wall)
        
        # declare f188Wall = object{ murBriqueAlt  (lengthWall,yWall,eWall, xBrickMin, xBrickMax, yBrickMin, yBrickMax, eMortar, eWall-zMortar, srd1, srd2, srd3, srdcol, supAleX, supAleCol, supAleP, fColBas, fColHaut, fColMort, seedWall) 
                rotate -y *  angleWall
                translate <x1Wall,altSW+h188Shp+hf188Hse*(indfl-1),z1Wall>
        }
#end

#declare  angleWW = angleWall;
#declare  longWW  = lengthWall;    
#declare txtLastWall = txtLastBrick;

#declare f188WWallUni = union {
        object {f188Wall}     
        box {
                <0,0,0><longWW,yWall,.3>
                translate z*eWall/2
                texture { TWhitePlaster}
                rotate -y *  angleWW
                translate <x1Wall,altSW+h188Shp+hf188Hse*(indfl-1),z1Wall>
        }
}    

object {f188WWallUni} 











///////// SOUTH 188 house
#declare x1Wall= f188C2.u*upf-eWall/2 ;             // wall length in x
#declare x2Wall= f188C3.u*upf+eWall/2 ;             // wall length in x
#declare z1Wall=f188C2.v*upf ;             // wall length in x
#declare z2Wall= f188C3.v*upf;             // wall length in x

#if (modeImg=1)
        # declare f188Wall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+h188Shp+hf188Hse*(indfl-1))
        }
#end        
#if (modeImg=0)      
        # declare f188Wall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+h188Shp+hf188Hse*(indfl-1))
        }
#end

#if (modeImg=2)
        GetWallParam(x1Wall,z1Wall,x2Wall, z2Wall)
        
        # declare f188Wall = object{ murBriqueAlt  (lengthWall,yWall,eWall, xBrickMin, xBrickMax, yBrickMin, yBrickMax, eMortar, eWall-zMortar, srd1, srd2, srd3, srdcol, supAleX, supAleCol, supAleP, fColBas, fColHaut, fColMort, seedWall) 
                rotate -y *  angleWall
                translate <x1Wall,altSW+h188Shp+hf188Hse*(indfl-1),z1Wall>
        }
#end

#declare  angleWS = angleWall;
#declare  longWS  = lengthWall;    
#declare txtLastWall = txtLastBrick;

#declare f188WSallUni =  union {
        object {f188Wall}     
        box {
                <0,0,0><longWS,yWall,.3>
                translate z*eWall/2
                texture { TWhitePlaster} 
                
                rotate -y *  angleWS
                translate <x1Wall,altSW+h188Shp+hf188Hse*(indfl-1),z1Wall>
        }
        object {CrenoRidgeSec
                rotate z*90
                scale <xWindBlock/2,yWindBlock*1000,zWindBlock/2>
                texture { T187windblock scale <22,10,15>}  
                translate <(longWS-0)/2,0,0>
                rotate -y *  angleWS
                translate <x1Wall,altSW+h188Shp+hf188Hse*(indfl-1),z1Wall>
                
                
        } 
} 

difference {  
        object {f188WSallUni} 
        object {CrenoRidgeSec
                rotate z*90
                scale <xWindBlock/2-e188ShpWall,(yWindBlock-e188ShpWall)*1000,zWindBlock/2>
                texture { texImgWPBrick scale <22,10,15>}  
                translate <(longWS-0)/2,0,e188ShpWall>
                rotate -y *  angleWS
                translate <x1Wall,altSW+h188Shp+hf188Hse*(indfl-1),z1Wall>
                
                
        } 

        union {
                box {   <0,0,-zWindBlock*1.001>,<xWinFFTd,yWinFFTd,zWindBlock*1.001>  
                        translate <(longWS-xWindBlock)/2+txWinFFTd1,altSW+h188Shp+hf188Hse*(indfl-1)+tyWinFFTd,0>
                        texture {TWhitePlaster}
                        
                }
                box {   <0,0,-zWindBlock*1.001>,<xWinFFTd,yWinFFTd,zWindBlock*1.001>  
                        translate <(longWS-xWindBlock)/2+txWinFFTd2,altSW+h188Shp+hf188Hse*(indfl-1)+tyWinFFTd,0>
                        texture {TWhitePlaster}
                } 
                
                #declare indmoul = 1;
                #while (indmoul <=3)
                        #declare ctx = (longWS-xWindBlock)/2+xWindBlock/3 * (indmoul)-xWindBlock/6;//+ 0*lgMoulTdHse/2;        
                        
                                           
                        box {<-0.5,-0.5,-0.5>,<0.5,0.5,0.5> 
                                texture {TStoneStDunstan rotate y*45}
                                scale <3,htMoulTdHse+3,6>
                                
                                translate <ctx-lgMoulTdHse/2,altSW+h188Shp+tyWinFFTd/2.1+hf188Hse*(indfl-1),-zWindBlock/2>
                                
                        }  
                        box {<-0.5,-0.5,-0.5>,<0.5,0.5,0.5> 
                                texture {TStoneStDunstan rotate y*45}
                                scale <6,htMoulTdHse+6,3>
                                
                                translate <ctx-lgMoulTdHse/2,altSW+h188Shp+tyWinFFTd/2.1+hf188Hse*(indfl-1),-zWindBlock/2>
                                
                        }
                        
                        box {<-0.5,-0.5,-0.5>,<0.5,0.5,0.5> 
                                
                                scale <3,htMoulTdHse+3,6>
                                texture {TStoneStDunstan rotate y*45}
                                translate <ctx+lgMoulTdHse/2,altSW+h188Shp+tyWinFFTd/2.1+hf188Hse*(indfl-1),-zWindBlock/2>
                                
                        }
                        box {<-0.5,-0.5,-0.5>,<0.5,0.5,0.5> 
                                
                                scale <6,htMoulTdHse+6,3>
                                texture {TStoneStDunstan rotate y*45}
                                translate <ctx+lgMoulTdHse/2,altSW+h188Shp+tyWinFFTd/2.1+hf188Hse*(indfl-1),-zWindBlock/2>
                                
                        }
                        
                        
                        
                        box {<-0.5,-0.5,-0.5>,<0.5,0.5,0.5> 
                                
                                scale <lgMoulTdHse,3,6>
                                texture {TStoneStDunstan rotate y*45}
                                translate <ctx,altSW+h188Shp+tyWinFFTd/2.1+htMoulTdHse/2+hf188Hse*(indfl-1),-zWindBlock/2+0.01>
                                
                        }
                        box {<-0.5,-0.5,-0.5>,<0.5,0.5,0.5> 
                                
                                scale <lgMoulTdHse,6,3>
                                texture {TStoneStDunstan rotate y*45}
                                translate <ctx,altSW+h188Shp+tyWinFFTd/2.1+htMoulTdHse/2+hf188Hse*(indfl-1),-zWindBlock/2+0.01>
                                
                        }
                        
                         
                        box {<-0.5,-0.5,-0.5>,<0.5,0.5,0.5> 
                                
                                scale <lgMoulTdHse,6,3>
                                texture {TStoneStDunstan}
                                translate <ctx,altSW+h188Shp+tyWinFFTd/2.1-htMoulTdHse/2+hf188Hse*(indfl-1),-zWindBlock/2+0.01>
                                
                        }
                        box {<-0.5,-0.5,-0.5>,<0.5,0.5,0.5> 
                                
                                scale <lgMoulTdHse,3,6>
                                texture {TStoneStDunstan}
                                translate <ctx,altSW+h188Shp+tyWinFFTd/2.1-htMoulTdHse/2+hf188Hse*(indfl-1),-zWindBlock/2+0.01>
                                
                        }
                        /*
                        box {<-0.5,-0.5,-0.5>,<0.5,0.5,0.5> 
                                texture {TWhitePlaster}
                                scale <lgMoulTdHse,htMoulTdHse,2>
                                translate <ctx,altSW+h188Shp+tyWinFFTd/2.1-0*htMoulTdHse/2+hf188Hse*(indfl-1),-zWindBlock/2>
                                
                        }   
                        */
                        #declare indmoul = indmoul + 1;
                #end

                
                rotate -y *  angleWS
                translate <x1Wall,0,z1Wall>        
        } 
}  
      
#declare rebord = 2; 

object {CrenoRidgeSec
                //rotate z*90
                scale <(xWinFFTd+rebord)*1000*1.2,rebord*2,(e188ShpWall+rebord)/2>
                texture { TStoneStDunstan}  
                translate <(longWS-xWindBlock)/2+txWinFFTd1+xWinFFTd/2-(xWinFFTd+rebord)*1.2/2,tyWinFFTd,-(zWindBlock-e188ShpWall+7)/2>
                rotate -y *  angleWS
                translate <x1Wall,altSW+h188Shp+hf188Hse*(indfl-1),z1Wall>
                
                
}  

object {CrenoRidgeSec
                //rotate z*90
                scale <(xWinFFTd+rebord)*1000*1.2,rebord*2,(e188ShpWall+rebord)/2>
                texture { TStoneStDunstan}  
                translate <(longWS-xWindBlock)/2+txWinFFTd2+xWinFFTd/2-(xWinFFTd+rebord)*1.2/2,tyWinFFTd,-(zWindBlock-e188ShpWall+7)/2>
                rotate -y *  angleWS
                translate <x1Wall,altSW+h188Shp+hf188Hse*(indfl-1),z1Wall>
                
                
} 


object {CrenoRidgeSec
                //rotate z*90
                scale <(xWinFFTd+rebord)*1000*1.2,rebord*1.8,(e188ShpWall+rebord)/2>
                texture { TStoneStDunstan}  
                translate <(longWS-xWindBlock)/2+txWinFFTd1+xWinFFTd/2-(xWinFFTd+rebord)*1.2/2,tyWinFFTd+yWinFFTd,-(zWindBlock-e188ShpWall)/2>
                rotate -y *  angleWS
                translate <x1Wall,altSW+h188Shp+hf188Hse*(indfl-1),z1Wall>
                
                
}
object {CrenoRidgeSec
                //rotate z*90
                scale <(xWinFFTd+rebord)*1000*1.2,rebord*1.8,(e188ShpWall+rebord)/2>
                texture { TStoneStDunstan}  
                translate <(longWS-xWindBlock)/2+txWinFFTd2+xWinFFTd/2-(xWinFFTd+rebord)*1.2/2,tyWinFFTd+yWinFFTd,-(zWindBlock-e188ShpWall)/2>
                rotate -y *  angleWS
                translate <x1Wall,altSW+h188Shp+hf188Hse*(indfl-1),z1Wall>
                
                
}     
/*
object {CrenoRidgeSec
        rotate z*90
        scale <rebord,(yWinFFTd+rebord)*1000,(e188ShpWall+rebord)/2>
        texture { TStoneStDunstan}  
        translate <(longWS-xWindBlock)/2+txWinFFTd1,tyWinFFTd-0*rebord/2,-(zWindBlock-e188ShpWall)/2>
        rotate -y *  angleWS
        translate <x1Wall,altSW+h188Shp+hf188Hse*(indfl-1),z1Wall>
        
        
} 
object {CrenoRidgeSec
        rotate z*90
        scale <rebord,(yWinFFTd+rebord)*1000,(e188ShpWall+rebord)/2>
        texture { TStoneStDunstan}  
        translate <(longWS-xWindBlock)/2+txWinFFTd1+xWinFFTd,tyWinFFTd-0*rebord/2,-(zWindBlock-e188ShpWall)/2>
        rotate -y *  angleWS
        translate <x1Wall,altSW+h188Shp+hf188Hse*(indfl-1),z1Wall>
        
        
} 
object {CrenoRidgeSec
        rotate z*90
        scale <rebord,(yWinFFTd+rebord)*1000,(e188ShpWall+rebord)/2>
        texture { TStoneStDunstan}  
        translate <(longWS-xWindBlock)/2+txWinFFTd2,tyWinFFTd-0*rebord/2,-(zWindBlock-e188ShpWall)/2>
        rotate -y *  angleWS
        translate <x1Wall,altSW+h188Shp+hf188Hse*(indfl-1),z1Wall>
        
        
} 
object {CrenoRidgeSec
        rotate z*90
        scale <rebord,(yWinFFTd+rebord)*1000,(e188ShpWall+rebord)/2>
        texture { TStoneStDunstan}  
        translate <(longWS-xWindBlock)/2+txWinFFTd2+xWinFFTd,tyWinFFTd-0*rebord/2,-(zWindBlock-e188ShpWall)/2>
        rotate -y *  angleWS
        translate <x1Wall,altSW+h188Shp+hf188Hse*(indfl-1),z1Wall>
        
        
}  
*/
#if (indfl>0)
//Top Ridges between storeys
object {CrenoRidgeSec
                //rotate z*90
                scale <longWS*1000,rebord,(e188ShpWall+rebord*3)/2>
                texture { texImgTdHse rotate -x*45 scale <(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,1>}  
                translate <0*rebord/2,0,-0*(zWindBlock-e188ShpWall)/2>
                rotate -y *  angleWS
                translate <x1Wall,altSW+h188Shp+hf188Hse*(indfl),z1Wall>
                
} 
object {CrenoRidgeSec
                //rotate z*90
                scale <longWS*1000,rebord,(e188ShpWall+rebord*1.5)/2>
                texture { texImgTdHse rotate -x*45 scale <(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,1>}  
                translate <0*rebord/2,0,-0*(zWindBlock-e188ShpWall)/2>
                rotate -y *  angleWS
                translate <x1Wall,altSW+h188Shp+hf188Hse*(indfl)-5,z1Wall>
                
}

object {CrenoRidgeSec
                //rotate z*90
                scale <(xWindBlock+rebord*2)*1000,rebord,(e188ShpWall+rebord*3)/2>
                texture { texImgTdHse rotate -x*45 scale <(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,1>}  
                translate <(longWS-xWindBlock)/2-rebord,0,-(zWindBlock-e188ShpWall)/2>
                rotate -y *  angleWS
                translate <x1Wall,altSW+h188Shp+hf188Hse*(indfl),z1Wall>
                
} 
object {CrenoRidgeSec
                //rotate z*90
                scale <xWindBlock*1000,rebord,-(e188ShpWall+rebord*1.5)/2>
                texture { texImgTdHse rotate -x*45 scale <(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,1>}  
                translate <(longWS-xWindBlock)/2,0,-(zWindBlock-e188ShpWall)/2>
                rotate -y *  angleWS
                translate <x1Wall,altSW+h188Shp+hf188Hse*(indfl)-5,z1Wall>
                
}               
#end //if    

//////////// Windows on 188 storeys
//Test of britwindowpanel

//Outside dimension of the window 
#declare swcx = xWinFFTd-rebord; //cm Width made of 2 * case width +  panel width
#declare swcy = yWinFFTd-rebord; //cm height made of stool eigth + 2 * panel height - panel overlap  + case height 

//Dimensions for the case
#declare xycase = 8; //cm width of the case
#declare zcase =  e188ShpWall;//18; //cm deepth of the case       

//dimension for the stool
#declare ystool=4;   //cm height
#declare zstool= e188ShpWall*1.2;  //cm deepth
#declare xstool= swcx + 0 ;//7.5 cm wider on each side than the outside window dimension

//how thick is the panel frame
#declare thframe = 5;   //the panel frame has a square section of thframe cm side

//how thick are the patch frames square section too
#declare thbp = 3.8;     

// number of patches per panel
#declare npx = 3; //patches on width
#declare npy = 2; //patches on height for one panel (2 panels one above the other for a hung window 



//how open is the window. from 0 closed to 1 fully open
#declare howopen=0.0;  

//overlap between frames when window is fully closed
#declare rec = 4;


#declare Tframe = TframeW;
#declare typepatch = 1;

#declare trigopen = rand (R1);
#if (trigopen > .7)
        #declare  howopen= .3+rand (R1)*.7;
#end
#debug concat("howopen   :",str(howopen ,10,10),"\n")


//#declare angleAZ= 0;

#declare tbwp = hungwindow(howopen,xstool,ystool,zstool,xycase,zcase,rec, npx,npy, swcx,swcy,thframe,thbp,perfactor,Tframe,typepatch)
         


#object  {tbwp
        translate <(longWS-xWindBlock)/2+txWinFFTd1++rebord/2,tyWinFFTd+rebord/2,-e188ShpWall/1>
        rotate -y *  angleWS
        translate <x1Wall,altSW+h188Shp+hf188Hse*(indfl-1),z1Wall>
        } 

#declare trigopen = rand (R1);        
#declare howopen=0.0;  
#if (trigopen > .7)
        #declare  howopen= .3+rand (R1)*.7;
#end
#debug concat("howopen   :",str(howopen ,10,10),"\n")


//#declare angleAZ= 0;

#declare tbwp = hungwindow(howopen,xstool,ystool,zstool,xycase,zcase,rec, npx,npy, swcx,swcy,thframe,thbp,perfactor,Tframe,typepatch)


          
object  {tbwp
        translate <(longWS-xWindBlock)/2+txWinFFTd2+rebord/2,tyWinFFTd+rebord/2,-e188ShpWall/1>
        rotate -y *  angleWS
        translate <x1Wall,altSW+h188Shp+hf188Hse*(indfl-1),z1Wall>
        }        



#declare x1WJ=0;
#declare z1WJ=0;
#declare x2WJ= longWS-xWindBlock-20;
#declare z2WJ=0;

#if (modeImg=1)
        # declare fJWall = object{
           MakeWallTex(typeWall,pEllipsoid,x1WJ,z1WJ,x2WJ, z2WJ,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+h188Shp+hf188Hse*(indfl-1))
        }
#end
#if (modeImg=0)      
        # declare fJWall = object{
            MakeWallImg(x1WJ,z1WJ,x2WJ, z2WJ,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+h188Shp+hf188Hse*(indfl-1))
        }
#end
#if (modeImg=2)
        GetWallParam(x1WJ,z1WJ,x2WJ, z2WJ)
        
        # declare fJWall = object{ murBriqueAlt  (lengthWall,yWall,eWall, xBrickMin, xBrickMax, yBrickMin, yBrickMax, eMortar, eWall-zMortar, srd1, srd2, srd3, srdcol, supAleX, supAleCol, supAleP, fColBas, fColHaut, fColMort, seedWall) 
                rotate -y *  angleWall
                translate y*(altSW+h188Shp+hf188Hse*(indfl-1))
        }
#end

object { fJWall
         translate <(longWS-xWindBlock)/2 + xWindBlock, 0, -1>
         rotate -y *  angleWS
         translate <x1Wall,0 ,z1Wall>
}        




/// 188 House EAST Wall
#declare x1Wall= f188C3.u*upf - 1+2*rand(R1);             // wall length in x
#declare x2Wall= f188C4.u*upf - 1+2*rand(R1);             // wall length in x
#declare z1Wall= f188C3.v*upf - 1+2*rand(R1);             // wall length in x
#declare z2Wall= f188C4.v*upf - 1+2*rand(R1);             // wall length in x
/*
#if (0=1)
        # declare f188Wall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+h188Shp+hf188Hse*(indfl-1))
        }
#else      
        # declare f188Wall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+h188Shp+hf188Hse*(indfl-1))
        }
#end 
*/

#if (modeImg=1000)
        # declare f188Wall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+h188Shp+hf188Hse*(indfl-1))
        }
#end        
#if (0=0)      
        # declare f188Wall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+h188Shp+hf188Hse*(indfl-1))
        }
#end

#if (modeImg=2000)
        GetWallParam(x1Wall,z1Wall,x2Wall, z2Wall)
        
        # declare f188Wall = object{ murBriqueAlt  (lengthWall,yWall,eWall, xBrickMin, xBrickMax, yBrickMin, yBrickMax, eMortar, eWall-zMortar, srd1, srd2, srd3, srdcol, supAleX, supAleCol, supAleP, fColBas, fColHaut, fColMort, seedWall) 
                rotate -y *  angleWall
                translate <x1Wall,altSW+h188Shp+hf188Hse*(indfl-1),z1Wall>
        }
#end 

#declare  angleWE = angleWall;
#declare  longWE  = lengthWall;    
#declare txtLastWall = txtLastBrick;

#declare f188WEallUni =  union {
        object {f188Wall}     
        box {
                <0,0,0><longWE,yWall,.3>
                translate z*eWall/2
                texture { TWhitePlaster}
                rotate -y *  angleWE
                translate <x1Wall,altSW+h188Shp+hf188Hse*(indfl-1),z1Wall>
        }
}

   
        object {f188WEallUni}
               

       
        

/// 188 House North Wall
#declare x1Wall= f188C4.u*upf - 1+2*rand(R1);             // wall length in x
#declare x2Wall= f188C1.u*upf - 1+2*rand(R1);             // wall length in x
#declare z1Wall= f188C4.v*upf - 1+2*rand(R1);             // wall length in x
#declare z2Wall= f188C1.v*upf - 1+2*rand(R1);             // wall length in x
/*
#if (0=1)
        # declare f188Wall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+h188Shp+hf188Hse*(indfl-1))
        }
#else      
        # declare f188Wall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+h188Shp+hf188Hse*(indfl-1))
        }
#end
*/
#if (modeImg=1000)
        # declare f188Wall = object{
           MakeWallTex(typeWall,pEllipsoid,x1Wall,z1Wall,x2Wall, z2Wall,yWall,eMortar,zMortar,eWall,xBrickMin,xBrickMax,yBrickMin,yBrickMax,seedWall,srd1,srd2,srd3,srdcol,srdCrand, patternWall,pigWall,difamb,txtMortar,doMortar)
           translate y*(altSW+h188Shp+hf188Hse*(indfl-1))
        }
#end        
#if (0=0)      
        # declare f188Wall = object{
            MakeWallImg(x1Wall,z1Wall,x2Wall, z2Wall,yWall,eWall,(xBrickMin+xBrickMax)/2,(yBrickMin+yBrickMax)/2,txtImgWall)        
            translate y*(altSW+h188Shp+hf188Hse*(indfl-1))
        }
#end

#if (modeImg=2000)
        GetWallParam(x1Wall,z1Wall,x2Wall, z2Wall)
        
        # declare f188Wall = object{ murBriqueAlt  (lengthWall,yWall,eWall, xBrickMin, xBrickMax, yBrickMin, yBrickMax, eMortar, eWall-zMortar, srd1, srd2, srd3, srdcol, supAleX, supAleCol, supAleP, fColBas, fColHaut, fColMort, seedWall) 
                rotate -y *  angleWall
                translate <x1Wall,altSW+h188Shp+hf188Hse*(indfl-1),z1Wall>
        }
#end

#declare  angleWN = angleWall;
#declare  longWN  = lengthWall;    
#declare txtLastWall = txtLastBrick;

#declare f188WNallUni =  union {
        object {f188Wall}     
        box {
                <0,0,0><longWN,yWall,.3>
                translate z*eWall/2
                texture { TWhitePlaster}
                rotate -y *  angleWN
                translate <x1Wall,altSW+h188Shp+hf188Hse*(indfl-1),z1Wall>
        }
}

object {TdWNallUni}

prism {
    linear_sweep
    linear_spline
    0, // sweep the following shape from here ...
    1, // ... up through here
    5, // the number of points making up the shape ...
    f188C1*upf, f188C2*upf, f188C3*upf, f188C4*upf, f188C1*upf
    texture { texImgPoutres rotate x * 90 scale <20,1,20> rotate -y*(angleWS+90) translate x*270+5*indfl}
    translate y*(altSW+h188Shp+hf188Hse*(indfl))
  } 




 
        #declare indfl = indfl + 1;
#end              


///////////////////////////////////////////////////////////////////////////////
//Bakery Shop items

//Floor 
union{
        prism {
            linear_sweep
            linear_spline
            0, // sweep the following shape from here ...
            altSW+alt188ShpFl, // ... up through here
            5, // the number of points making up the shape ...
            f188C1*upf, f188C2*upf, f188C3*upf, f188C4*upf, f188C1*upf
            
            //translate y*(2000) 
            //texture { texBoulFloor rotate x * 90 scale <40,1,40> rotate -y*(angleslng188Shp[1][0]) }
        } 
        
        union{
        #declare wLogia = getLogia01(l188AngleRef,w188PntA,w188PntB,f188SstickOut);
                prism {
                    linear_sweep
                    linear_spline
                    0, // sweep the following shape from here ...
                    altSW+alt188ShpFl, // ... up through here
                    5, // the number of points making up the shape ...
                    <w188PntA,0>, <w188PntB,0>, <wLogia.z,-f188SstickOut>, <wLogia.y,-f188SstickOut>, <w188PntA,0> 
                    translate -z*(e188ShpWall/2) 
                    
                }
                 
        
        #declare eLogia = getLogia01(l188AngleRef,e188PntA,e188PntB,f188SstickOut);
                prism {
                    linear_sweep
                    linear_spline
                    0, // sweep the following shape from here ...
                    altSW+alt188ShpFl, // ... up through here
                    5, // the number of points making up the shape ...
                    <e188PntA,0>, <e188PntB,0>, <eLogia.z,-f188SstickOut>, <eLogia.y,-f188SstickOut>, <e188PntA,0>
                    translate  -z*e188ShpWall/2
                     
                    
                } 
                
                box{
                    <tx188ShpFrtH,0,-e188ShpWall/2>,<tx188ShpFrtH+x188ShpFrtH,altSW+alt188ShpFl,e188ShpWall/2>
                }
                                   
                
                rotate -y*angleslng188Shp[1][0]
                translate <angleslng188Shp[1][2],0,angleslng188Shp[1][3]>  
        } //logias +footstep 
        texture { texBoulFloor rotate x * 90 scale <40,1,40> rotate -y*angleslng188Shp[1][0]}           
} //inside floor

#declare xwlSide = wLogia.x;
//#declare xelSide = eLogia.x;
#declare wLogiaB = wLogia.z;
#declare eLogiaB = eLogia.z;
#declare wLogiaA = wLogia.y;
#declare eLogiaA = eLogia.y;





// Footstep a bit larger       

#declare egLogia = getLogia01(l188AngleRef,e188PntA-3,e188PntB+3,f188SstickOut+3);
        prism {
            linear_sweep
            linear_spline
            0, // sweep the following shape from here ...
            altSW+alt188ShpFl-0.1, // ... up through here
            5, // the number of points making up the shape ...
            <e188PntA-3,0>, <e188PntB+3,0>, <egLogia.z,-(f188SstickOut+3)>, <egLogia.y,-(f188SstickOut+3)>, <e188PntA,0>
            translate  -z*e188ShpWall/2
            rotate -y*angleslng188Shp[1][0]
            translate <angleslng188Shp[1][2],0,angleslng188Shp[1][3]> 
            texture { TWhitePlaster}
        }

#declare wgLogia = getLogia01(l188AngleRef,w188PntA-3,w188PntB+3,f188SstickOut+3);
        prism {
            linear_sweep
            linear_spline
            0, // sweep the following shape from here ...
            altSW+alt188ShpFl-0.1, // ... up through here
            5, // the number of points making up the shape ...
            <w188PntA-3,0>, <w188PntB+3,0>, <wgLogia.z,-(f188SstickOut+3)>, <wgLogia.y,-(f188SstickOut+3)>, <w188PntA,0>
            translate  -z*e188ShpWall/2
            rotate -y*angleslng188Shp[1][0]
            translate <angleslng188Shp[1][2],0,angleslng188Shp[1][3]> 
            texture { TWhitePlaster}
        } 
object {CrenoRidgeSec
                //rotate z*90
                scale <xShopDoorB*1000,altTdShpFl,-(e188ShpWall+15)/2>
                texture { TWhitePlaster scale <22,10,15>}  
                translate <tx188ShpFrtH+(x188ShpFrtH-xShopDoorB)/2 ,altSW,-30>
                rotate -y*angleslng188Shp[1][0]
                translate <angleslng188Shp[1][2],0,angleslng188Shp[1][3]>
                
}        
        
        
/// Front panels on 188 shop   
#debug concat("*************************Front panels on 188 backery shop","\n")
#declare thframe = 5;
#declare thbp = 3;
#declare swx=xwlSide;
#declare swy=yFootFront;
#declare npx=1;
#declare npy=1; 
 
#declare typepatch = 3;
#declare Tframe = TframeW;
#declare spx = 0;
#declare spy = 0;

// 4 Lower angle side panels

object {britwindowpanel(npx,npy,spx,spy,swx,swy,thframe,thbp,perfactor,Tframe,typepatch,randseq) 
                translate z*thframe
                rotate y*l188AngleRef
                translate <w188PntA,altSW+altTdShpFl,-e188ShpWall/2>
                
                rotate -y*angleslng188Shp[1][0]
                translate <angleslng188Shp[1][2],0,angleslng188Shp[1][3]> 
} 

object {britwindowpanel(npx,npy,spx,spy,swx,swy,thframe,thbp,perfactor,Tframe,typepatch,randseq) 
                translate z*thframe
                rotate -y*l188AngleRef
                translate <wLogiaB,altSW+altTdShpFl,-e188ShpWall/2 - f188SstickOut>
                
                rotate -y*angleslng188Shp[1][0]
                translate <angleslng188Shp[1][2],0,angleslng188Shp[1][3]> 
} 

object {britwindowpanel(npx,npy,spx,spy,swx,swy,thframe,thbp,perfactor,Tframe,typepatch,randseq) 
                translate z*thframe
                rotate y*l188AngleRef
                translate <e188PntA,altSW+altTdShpFl,-e188ShpWall/2>
                
                rotate -y*angleslng188Shp[1][0]
                translate <angleslng188Shp[1][2],0,angleslng188Shp[1][3]> 
} 

object {britwindowpanel(npx,npy,spx,spy,swx,swy,thframe,thbp,perfactor,Tframe,typepatch,randseq) 
                translate z*thframe
                rotate -y*l188AngleRef
                translate <eLogiaB,altSW+altTdShpFl,-e188ShpWall/2 - f188SstickOut>
                
                rotate -y*angleslng188Shp[1][0]
                translate <angleslng188Shp[1][2],0,angleslng188Shp[1][3]> 
}
        
#declare npx=1;
#declare npy=5;
#declare swy=yTdShpFrtH-yFootFront; 
#declare swx=xwlSide ;

#declare Tframe = TframeW;
#declare typepatch = 1; 
#declare thframe = 5;
#declare thbp = 3;    

// 4 upper angle side panels with glass

object {britwindowpanel(npx,npy,spx,spy,swx,swy,thframe,thbp,perfactor,Tframe,typepatch,randseq)
                translate z*thframe
                rotate y*l188AngleRef
                translate <w188PntA,altSW+altTdShpFl+yFootFront,-e188ShpWall/2>
                
                rotate -y*angleslng188Shp[1][0]
                translate <angleslng188Shp[1][2],0,angleslng188Shp[1][3]> 
} 
              
object {britwindowpanel(npx,npy,spx,spy,swx,swy,thframe,thbp,perfactor,Tframe,typepatch,randseq) 
                translate z*thframe
                rotate -y*l188AngleRef
                translate <wLogiaB,altSW+altTdShpFl+yFootFront,-e188ShpWall/2 - f188SstickOut>
                
                rotate -y*angleslng188Shp[1][0]
                translate <angleslng188Shp[1][2],0,angleslng188Shp[1][3]> 
} 

object {britwindowpanel(npx,npy,spx,spy,swx,swy,thframe,thbp,perfactor,Tframe,typepatch,randseq) 
                translate z*thframe
                rotate y*l188AngleRef
                translate <e188PntA,altSW+altTdShpFl+yFootFront,-e188ShpWall/2>
                
                rotate -y*angleslng188Shp[1][0]
                translate <angleslng188Shp[1][2],0,angleslng188Shp[1][3]> 
} 

object {britwindowpanel(npx,npy,spx,spy,swx,swy,thframe,thbp,perfactor,Tframe,typepatch,randseq) 
                translate z*thframe
                rotate -y*l188AngleRef
                translate <eLogiaB,altSW+altTdShpFl+yFootFront,-e188ShpWall/2 - f188SstickOut>
                
                rotate -y*angleslng188Shp[1][0]
                translate <angleslng188Shp[1][2],0,angleslng188Shp[1][3]> 
}

//2 front windows lower panels
#declare thframe = 5;
#declare thbp = 3;
#declare swx=wLogiaB-wLogiaA;
#declare swy=yFootFront;
#declare npx=2;
#declare npy=1; 
 
#declare typepatch = 3;
#declare Tframe = TframeW;
#declare spx = 0;
#declare spy = 0;

// 4 Lower angle side panels

object {britwindowpanel(npx,npy,spx,spy,swx,swy,thframe,thbp,perfactor,Tframe,typepatch,randseq) 
                
                translate <wLogiaA,altSW+altTdShpFl,-e188ShpWall/2+thframe-f188SstickOut>
                
                rotate -y*angleslng188Shp[1][0]
                translate <angleslng188Shp[1][2],0,angleslng188Shp[1][3]> 
} 

#declare swx=eLogiaB-eLogiaA;
object {britwindowpanel(npx,npy,spx,spy,swx,swy,thframe,thbp,perfactor,Tframe,typepatch,randseq) 
                
                translate <eLogiaA,altSW+altTdShpFl,-e188ShpWall/2+thframe-f188SstickOut>
                
                rotate -y*angleslng188Shp[1][0]
                translate <angleslng188Shp[1][2],0,angleslng188Shp[1][3]> 
}

#declare npx=2;
#declare npy=5;
#declare swy=yTdShpFrtH-yFootFront; 


#declare Tframe = TframeW;
#declare typepatch = 1; 
#declare thframe = 5;
#declare thbp = 3;    

// 4 upper front win panels with glass   

#declare swx=wLogiaB-wLogiaA;
object {britwindowpanel(npx,npy,spx,spy,swx,swy,thframe,thbp,perfactor,Tframe,typepatch,randseq)
                
                translate <wLogiaA,altSW+altTdShpFl+yFootFront,-e188ShpWall/2+thframe-f188SstickOut>
                
                rotate -y*angleslng188Shp[1][0]
                translate <angleslng188Shp[1][2],0,angleslng188Shp[1][3]> 
}

#declare swx=eLogiaB-eLogiaA;
object {britwindowpanel(npx,npy,spx,spy,swx,swy,thframe,thbp,perfactor,Tframe,typepatch,randseq)
                
                translate <eLogiaA,altSW+altTdShpFl+yFootFront,-e188ShpWall/2+thframe-f188SstickOut>
                
                rotate -y*angleslng188Shp[1][0]
                translate <angleslng188Shp[1][2],0,angleslng188Shp[1][3]> 
} 
//// The 188 bakery door and top door window
#declare thframe = 7.5;

#declare thbp = 2.1;     


#declare Tframe = TframeP;
#declare typepatch = 1; 
#declare randseq = 15;


#declare swx=xShopDoorB;
#declare swy=yTdShpFrtH-yShopDoor;
#declare npx=2;
#declare npy=1;

object {britwindowpanel(npx,npy,spx,spy,swx,swy,thframe,thbp,perfactor,Tframe,typepatch,randseq)
        translate <tx188ShpFrtH+(x188ShpFrtH-xShopDoorB)/2,altSW+alt188ShpFl+yShopDoor,-eTdShpWall/2+thframe>
                rotate -y*angleslng188Shp[1][0]
                translate <angleslng188Shp[1][2],0,angleslng188Shp[1][3]> 
} 


 

 



// PARAMETERS EXAMPLES FOR THE MACRO
//User defined size  

//Outer frame size
#declare FWidth = xShopDoorB;
#declare FHeight = yShopDoor; 
#declare AngleOpen = -00;

//Deepth of door frame (should fit with the wall thickness)
#declare FDeepth = 4+0*eTdShpWall;

//Deepth (or thickness) of door panel (z)
#declare DDeepth = 4; 

// how much the door goes deepin the frame from 0 to 1
#declare DShift = 0;


//thickness of door frame (x,y)
#declare FThick = 2; 

//width for side verticals
#declare VsWidth = 7;

//width for middle vertical
#declare VmWidth = 10;       

//Height of low and high transversals
#declare TeHeight = 8; 

//Height of middle low and high transversal
#declare TmHeight = 10; 
               
//Lock altitude above doors bottom will place the low transversal
//in such altitude the lock is at middle height of this transvrsal

//This transversal position will also determine the heights and altitudes of 
//low and middle panels  
#declare LckAlt = 105;   
#declare handlAng = 9;
#declare lowPanelAlt = 55;

#declare dnpx=2;
#declare dnpy=4;

object {
        ShopDoor(FWidth, FHeight, FDeepth, FThick ,DDeepth, DShift, AngleOpen, VsWidth, VmWidth, TeHeight, TmHeight, LckAlt, handlAng, lowPanelAlt, TexShopDoorP, TframeP ,dnpx, dnpy)
        translate <tx188ShpFrtH+(x188ShpFrtH-xShopDoorB)/2,altSW+altTdShpFl,-eTdShpWall/2>
                rotate -y*angleslng188Shp[1][0]
                translate <angleslng188Shp[1][2],0,angleslng188Shp[1][3]>
}  


//#declare cntCylX = getRCAll2 (0,1,.2).x;
//#declare cntCylZ = getRCAll2 (0,1,.2).y;
//#declare radCyl =  getRCAll2 (0,1,.2).z; 
//#declare arcCyl =  getRCAll2 (0,1,.2).t; 

//#debug concat("teta   :",str(arcCyl ,10,10),"\n")
//        #debug concat("rc   :",str(radCyl ,10,10),"\n")
//        #debug concat("uCtr   :",str(cntCylX ,10,10),"\n")
//        #debug concat("vCtr   :",str(cntCylZ ,10,10),"\n")   
  


 


///////// TEST   

union { 




     //intersection  {
        box     {
        <0,0,0>,<1,1,1> 
        //}
        //cylinder{
        // <cntCylX,0,cntCylZ>,<cntCylX,1,cntCylZ>,radCyl
        //}
        texture {texVtr01}
        scale<w188PntB - w188PntA,yTdShpFrtH-yFootFront-30 ,1>
        translate <w188PntA,altSW+altTdShpFl+yFootFront,0>
      }
        
         
     //intersection {
        box     {
        <0,0,0>,<1,1,1> 
        //}
        //cylinder{
        // <cntCylX,0,cntCylZ>,<cntCylX,1,cntCylZ>,radCyl
        //}
        texture {texVtr02}
        scale<e188PntB - e188PntA,yTdShpFrtH-yFootFront-30 ,1>
        translate <e188PntA,altSW+altTdShpFl+yFootFront,0>
      }  
        /*
        box     {
        <0,0,0>,<1,1,1>
                texture {Tboulangere}
                scale<200,200,1>
                translate <w188PntB-50,altSW+altTdShpFl,30>
        }   
        */
        box     {
        <0,0,0>,<1,1,1>
                texture {Tboulfond}
                scale<angleslng188Shp[1][1]-100,300,1>
                translate <w188PntA,altSW+altTdShpFl,300>
        } 
        rotate -y*angleslng188Shp[1][0]
        translate <angleslng188Shp[1][2],0,angleslng188Shp[1][3]> 

         
}
        #local fLum = 0.8;        // Niveau de luminosit du pigment (rel)
        #local fNorm = .2;            // Force de l'effet de surface     (rel)
        #local scNorm = <1,1,1>;            // Echelle de l'effet de surface   (rel ou vecteur <x,y,z>)
        #local fTurb = .7;            // Force de turbulence d'effet de surface   (rel ou vecteur <x,y,z>) 
        #local nType = 3;            // Type de normale
                                        // 1 = agate, 2 = crackle, 3 = cells, 4 = granite,   ....Autres =  bumps
        
        
        #local cmpR = .55;             // Composante rouge du pigment    (rel)
        #local cmpV = .30;            // Composante Verte du pigment    (rel)
        #local cmpB = .2;            // Composante Bleue du pigment    (rel)
        
        #local grainCol  = .4;        // Force du grain pigment   (rel)
        #local scCol  = <1,1,1>;             // Echelle du grain pigment   (rel ou vecteur <x,y,z>)
        
        #local fAmb  = .3;            //sensibilit Lumire ambiante  (rel)
        #local fDif  = .7;            //sensibilit Lumire diffuse  (rel)
        
        #local vRotTrans = <3,.5>;   // Rotation et translation texture  (vecteur <x,y,z>)   
        
        colvariable(fLum, nType, fNorm, scNorm, fTurb, cmpR, cmpV, cmpB, grainCol, scCol, fAmb, fDif, vRotTrans)









/// Facade au nord bord ouest eglise   
union {   

box {<0,0,0><1,1,.001>
texture {
                     
                    pigment {
                      image_map {gif "facades\makefacade02b.gif"     transmit    206, 1.0      
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 
         
scale <522,828,1>*1.25 
hollow
}

object {toiTer03 scale <522,800 ,30 >*1.25 
translate <-522, 752,0> *1.25 texture{texObj}}
rotate y*5  
translate <60*upf,altSW,58*upf>  
hollow  

}   


///// Facade face  l'glise
union {

box {<0,0,0><1,1,.001>
texture {
                     
                    pigment {
                      image_map {gif "facades\facadeface01.gif" 
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 
         
scale <-525,702,1>*1.45  

} 

object {toiTer03 scale <525,525 ,30 >*1.45 translate <-525, 652,0> *1.45 texture{texObj}}
rotate y*80  
translate <84*upf,altSW,31*upf>  
hollow  

}  

 

///// Facade Nord fleet street est eglise vers extremit est 
union {   
     union {
        box {<0,0,0><1,1,.001>
        texture {
                             
                            pigment {
                              image_map {gif "facades\71gtr198b.gif"       transmit    198, 1.0
                              } 
                              
                            } 
                            finish
                         {
                            ambient 0.25
                            diffuse 0.78
                            
                         }
                 } 
                 
        scale <390,802,1>*1.45 
        }
        
        //object {toiTer03 scale <-390,390,30 >*1.45 translate <390, 702,0> *1.45 texture{texObj}}
        hollow
        }          
        
        
        
        
        
    union {    
        box {<0,0,0><1,1,.001>
        texture {
                             
                            pigment {
                              image_map {gif "facades\71gtr192c.gif"       transmit    192, 1.0
                              } 
                              
                            } 
                            finish
                         {
                            ambient 0.25
                            diffuse 0.78
                            
                         }
                 } 
                 
        scale <390,802,1>*1.45    
        }
        //object {toiTer02 scale <390,390,30 >*1.45 translate y*702*1.45 texture{texObj}}
        
        rotate y*3 
        translate x* 390 *1.45 
        hollow
        
        
    }//union facade toiter
        
    union {  
    
        mesh {
    /* top side */
    triangle {
      <0,0,0>, <1,0,0>, <0,1,0>
      //texture { Red }
    }
    triangle {
      <1,0,0>, <0,1,0>, <1,1,0>
      //texture { Red }
    }

        texture {
                             
                            pigment {
                              image_map {tga "facades\71gtr192dalpha1.tga"     
                              } 
                              
                            } 
                            finish
                         {
                            ambient 0.25
                            diffuse 0.78
                            
                         }
                 } 
                 
        scale <495,802,10>*1.45
               
        
        }  
        
        //object {toiTer03 scale <495,495,30 >*1.25 translate y*802*1.25 texture{texObj}} 
              
        rotate y*5 
        translate <2 * 390 *1.45,0,-20>
        }//union

rotate -y  * 10
translate <84*upf,altSW,31*upf>    

}  



///// Facade fond de ruelle eglise 
union {
box {<0,0,0><1,1,.001>
texture {
                     
                    pigment {
                      image_map {gif "facades\makefacade02b.gif"     transmit    206, 1.0      
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 
         
scale <522,828,1>*1.25 
hollow
} 




object {toiTer03 scale <522,800 ,30 >*1.25
rotate y*30 
translate <0, 752,300> *1.25 texture{TStoneStDunstan} }  


object {toiTer02 scale <522,800 ,30 >*1.25
rotate y*30 
translate <500, 652,500> *1.25 texture{TStoneStDunstan} }
  





box {<0,0,0><1,1,.001>
texture {
                     
                    pigment {
                      image_map {gif "facades\makefacade02d.gif"     transmit    192, 1.0      
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 
         
scale <522,828,1>*1.25 
translate <-18*upf,0,5*upf>         
hollow
}
box {<0,0,0><1,1,.001>
texture {
                     
                    pigment {
                      image_map {gif "facades\makefacade02d.gif"     transmit    192, 1.0      
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 
         
scale <522,828,1>*1.25 
translate <-36*upf,0,10*upf>         
hollow
} 


rotate -y*12  
translate <-18*upf,altSW,58*upf>    

} 

#declare orgFacadesSud = <-32*upf,altSW,-50*upf>;

///// Facade Sud 1   vers Est                


#declare disxtorg =  0;


#declare jeudefacade1 = union {
box {<0,0,0><1,1,1>
texture {
                     
                    pigment {
                      image_map {gif "facades\makefacade02b.gif"      transmit    206, 1.0
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 
         
scale <530 ,800,0.003>*1.25
rotate -y*12  
no_image  
hollow  

}

#declare disxtorg =  525 * 1.25;


box {<0,0,0><1,1,1>
texture {
                     
                    pigment {
                      image_map {gif "facades\makemurconobl223b.gif"      transmit    223, 1.0
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 
         
scale <460,1200 ,0.003>*0.7 
translate x* disxtorg
rotate -y*12  
no_image  
hollow  

}

#declare disxtorg =  disxtorg + 450 * 0.7;




box {<0,0,0><1,1,1>
texture {
                     
                    pigment {
                      image_map {gif "facades\facade2et127.gif"      transmit    127, 1.0
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 
         
scale <330,914,0.003>* 0.85 
translate x* disxtorg
rotate -y*12  
no_image    
hollow
}   

#declare disxtorg = disxtorg + 325 * 0.85 ;

box {<0,0,0><1,1,1>
texture {
                     
                    pigment {
                      image_map {gif "facades\makefacade02d192.gif"      transmit    192, 1.0
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 
         
scale <590,1032,0.0030>* 0.92 
translate x* disxtorg
rotate -y*12  
    
hollow
} 



#declare disxtorg =  disxtorg + 576 * .92;

box {<0,0,0><1,1,1>
texture {
                     
                    pigment {
                      image_map {gif "facades\makefacade02d192.gif"      transmit    192, 1.0
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 
         
scale <580,1032,0.0030>* 0.92 
translate x* disxtorg
rotate -y*12  
    
hollow
} 

#declare disxtorg = disxtorg + 576 * 0.92 ;    

box {<0,0,0><1,1,1>
texture {
                     
                    pigment {
                      image_map {gif "facades\facade2et127.gif"      transmit    127, 1.0
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 
         
scale <325,914,0.001>* 0.85 
translate x*disxtorg
rotate -y*12  
    
hollow
}   

#declare disxtorg = disxtorg + 320 *.85; 

box {<0,0,0><1,1,1>
texture {
                     
                    pigment {
                      image_map {gif "facades\facade2et127.gif"      transmit    127, 1.0
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 
         
scale <325,914,0.001>* 0.85 
translate x* disxtorg
rotate -y*12  
    
hollow
}  

#declare disxtorg = disxtorg + 320 *.85; 

box {<0,0,0><1,1,1>
texture {
                     
                    pigment {
                      image_map {gif "facades\makefacade01c114.gif"      transmit    114, 1.0
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 
         
scale <576,1145,0.003>* 0.85 
translate x* disxtorg
rotate -y*12  
    
hollow
}  

#declare disxtorg = disxtorg + 320 *.85;             

box {<0,0,0><1,1,1>
texture {
                     
                    pigment {
                      image_map {gif "facades\makefacade02d192.gif"      transmit    192, 1.0
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 
         
scale <595,1032,0.0030>* 0.92 
translate x* disxtorg
rotate -y*12  
    
hollow
} 



#declare disxtorg =  disxtorg + 576 * .92;  


box {<0,0,0><1,1,1>
texture {
                     
                    pigment {
                      image_map {gif "facades\makemurconobl223c.gif"      transmit    223, 1.0
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 
         
scale <460,813 ,0.003>*0.7 
translate <disxtorg-50,0,-20>
rotate -y*12  
  
hollow  
}


#declare disxtorg = disxtorg + 460 *.7 - 20; 

box {<0,0,0><1,1,1>
texture {
                     
                    pigment {
                      image_map {gif "facades\makefacade02b.gif"      transmit    206, 1.0
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 
         
scale <530 ,800,0.003>*1.25
 
translate <disxtorg-60,0,20>
rotate -y*12 
 
  
hollow  

}


#declare disxtorg = disxtorg + 530 * 1.25 -60 ;    

box {<0,0,0><1,1,1>
texture {
                     
                    pigment {
                      image_map {gif "facades\facade2et127.gif"      transmit    127, 1.0
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 
         
scale <325,914,0.001>* 0.85 
translate x*disxtorg -40
rotate -y*12  
    
hollow
}   

#declare disxtorg = disxtorg + 325 *.85 - 80; 

box {<0,0,0><1,1,1>
texture {
                     
                    pigment {
                      image_map {gif "facades\facade2et127.gif"      transmit    127, 1.0
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 
         
scale <325,614,0.001>* 0.85 
translate x* disxtorg
rotate -y*12  
    
hollow
}

#declare disxtorg = disxtorg + 325 *.85 -40;           

box {<0,0,0><1,1,1>
texture {
                     
                    pigment {
                      image_map {gif "facades\makefacade02d192.gif"      transmit    192, 1.0
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 
         
scale <595,1032,0.0030>* 0.92 
translate x* disxtorg
rotate -y*12  
    
hollow
} 
  
#declare disxtorg = disxtorg + 595*.92 -40           ;

box {<0,0,0><1,1,1>
texture {
                     
                    pigment {
                      image_map {gif "facades\makefacade02d192.gif"      transmit    192, 1.0
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 
         
scale <595,862,0.0030>* 0.92 
translate x* disxtorg
rotate -y*12  
    
hollow
}   

#declare disxtorg = disxtorg + 320 *.85; 

box {<0,0,0><1,1,1>
texture {
                     
                    pigment {
                      image_map {gif "facades\makefacade01c114.gif"      transmit    114, 1.0
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 
         
scale <576,1145,0.003>* 0.85 
translate x* disxtorg
rotate -y*12  
    
hollow
}  

#declare disxtorg = disxtorg + 576 *.85 - 40;             

box {<0,0,0><1,1,1>
texture {
                     
                    pigment {
                      image_map {gif "facades\makefacade02d192.gif"      transmit    192, 1.0
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 
         
scale <595,1032,0.0030>* 0.92 
translate x* disxtorg
rotate -y*12  
    
hollow
} 



#declare disxtorg =  disxtorg + 576 * .92;  


box {<0,0,0><1,1,1>
texture {
                     
                    pigment {
                      image_map {gif "facades\makemurconobl223c.gif"      transmit    223, 1.0
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 
         
scale <460,813 ,0.003>*0.7 
translate <disxtorg-50,0,-20>
rotate -y*12  
  
hollow  
}


#declare disxtorg = disxtorg + 460 *.7 - 20; 

box {<0,0,0><1,1,1>
texture {
                     
                    pigment {
                      image_map {gif "facades\makefacade02d192.gif"      transmit    192, 1.0
                      } 
                      
                    } 
                    finish
                 {
                    ambient 0.25
                    diffuse 0.78
                    
                 }
         } 
         
scale <595,1032,0.0030>* 0.92 
translate x* disxtorg
rotate -y*12  
    
hollow
} 
}//union  jeudefacade1

object {jeudefacade1
        translate orgFacadesSud
}

#declare disxtorg =  disxtorg + 576 * .92;  

////////// FACADES Sud vers ouest
 
 
#declare jeudefacade2 = union { 
        #declare disxtorg =  0;
        
        box {<0,0,0><1,1,1>
        texture {
                             
                            pigment {
                              image_map {gif "facades\makemurconobl223b.gif"      transmit    223, 1.0
                              } 
                              
                            } 
                            finish
                         {
                            ambient 0.25
                            diffuse 0.78
                            
                         }
                 } 
                 
        scale <-460,813 ,0.003>*0.7 
        translate x*20
        rotate -y*12  
        //translate orgFacadesSud  
        hollow  
        
        }
        
        #declare disxtorg = disxtorg - 450 * 0.7;   
        
                    
        
        box {<0,0,0><1,1,1>
        texture {
                             
                            pigment {
                              image_map {gif "facades\makefacade02d192.gif"      transmit    192, 1.0
                              } 
                              
                            } 
                            finish
                         {
                            ambient 0.25
                            diffuse 0.78
                            
                         }
                 } 
                 
        scale <-595,1032,0.0030>* 0.92 
        translate <disxtorg+60,0,-10 >
        rotate -y*12  
        //translate orgFacadesSud    
        hollow
        } 
        
        #declare disxtorg = disxtorg - 595 *.92 + 60; 
        
        
        
        box {<0,0,0><1,1,1>
        texture {
                             
                            pigment {
                              image_map {gif "facades\makefacade01c114.gif"      transmit    114, 1.0
                              } 
                              
                            } 
                            finish
                         {
                            ambient 0.25
                            diffuse 0.78
                            
                         }
                 } 
                 
        scale <-576,1145,0.003>* 0.85 
        translate <disxtorg+160,0,-15 >
        rotate -y*20  
        //translate orgFacadesSud    
        hollow
        }  
        
        #declare disxtorg = disxtorg - 576 *.85 + 160; 
        
        
        box {<0,0,0><1,1,1>
        texture {
                             
                            pigment {
                              image_map {gif "facades\facade2et127.gif"      transmit    127, 1.0
                              } 
                              
                            } 
                            finish
                         {
                            ambient 0.25
                            diffuse 0.78
                            
                         }
                 } 
                 
        scale <-330,914,0.003>* 0.85 
        translate <disxtorg+40,0,-15 >
        rotate -y*20  
        //translate orgFacadesSud    
        hollow
        }   
}//union 

object {jeudefacade2 
        translate orgFacadesSud 
}

#declare orgfacadesNordVersOuest = <-47 * upf,0,-3*upf>;        
object {jeudefacade1 
        rotate y * 170 
        translate orgfacadesNordVersOuest
} 

object {jeudefacade2 
        rotate y * 90 
        translate orgfacadesNordVersOuest
}  

object {jeudefacade2 
        rotate y * 90 
        translate orgfacadesNordVersOuest
        translate <-100,0,1000>
}

object {jeudefacade1 
        rotate y * 170 
        translate orgFacadesSud  
        translate <disxtorg+40,0,-250 >
} 



#declare eCoin = 12; // Epaisseeur mur
#declare yCoin = hfTdHse * 3 ; // Hauteur mur  -rebords
#declare eMortier = 0.30; //Sparation pierres
#declare xBlocMin = 19;  
#declare xBlocMax = 21;
#declare yBlocMin = 6.8;
#declare yBlocMax = 7;     
#declare arTrans = .15;
#declare arLng = .03;   
#declare debord= .9 ;   

#declare aleColBloc = .15;
#declare alePosBloc = .1;
#declare alearnSec = .1;
#declare seedCoin = 200;
#declare fLumBas = .25;      
#declare fLumHaut = .20;        


        #declare fNorm = .03;            // Force de l'effet de surface     (rel)
        #declare scNorm = <.3,.3,-1>;            // Echelle de l'effet de surface   (rel ou vecteur <x,y,z>)
        #declare fTurb = .1;            // Force de turbulence d'effet de surface   (rel ou vecteur <x,y,z>) 
        #declare nType = 4;            // Type de normale
                                        // 1 = agate, 2 = crackle, 3 = cells, 4 = granite,   ....Autres =  bumps
//#declare pigWall=rgb<0.89,0.9,0.95>*1.5;        
        
        #declare cmpR = 0.89 * 1.5;             // Composante rouge du pigment    (rel)
        #declare cmpV = 0.60 * 1.5;            // Composante Verte du pigment    (rel)
        #declare cmpB = 0.451 * 1.5;            // Composante Bleue du pigment    (rel)
        
        #declare grainCol  = .3;        // Force du grain pigment   (rel)
        #declare scCol  = <1,1,1>;             // Echelle du grain pigment   (rel ou vecteur <x,y,z>)
        
        #declare fAmb  = .2;            //sensibilit Lumire ambiante  (rel)
        #declare fDif  = .8;            //sensibilit Lumire diffuse  (rel)
        
        #declare vRotTrans = <0,0>;   // Rotation et translation texture  (vecteur <x,y,z>)   





#declare pStart = 0;
#declare coinSTDC = object {coindemur(eCoin, yCoin, eMortier,debord, xBlocMin, xBlocMax, yBlocMin, yBlocMax, arTrans, arLng, aleColBloc,alePosBloc, alearnSec,seedCoin, fLumBas, fLumHaut, fNorm,scNorm,fTurb,nType,cmpR,cmpV,cmpB,grainCol,scCol,fAmb,fDif,vRotTrans,pStart)     }
object { coinSTDC rotate -y * angleCornTodd translate <TdShpC3.u*upf+17 , altSW+hTdShp , TdShpC3.v*upf - eTdShpWall /2 - 2 >}
 
                                








   


 

 



