#include "texturefleet.inc"


#declare Tiny = 1e-6;

#declare Blade=
difference{
	union{
		cone{<0,0,0.05-Tiny>, 4.5, <0,0, 0.2>, 2}
		cone{<0,0,-0.05+Tiny>, 4.5, <0,0,-0.2>, 2}
		cone{<0,0,-Tiny>, 5, <0,0, 0.05>, 4.5}
		cone{<0,0,0>, 5, <0,0,-0.05>, 4.5}
	}
	cylinder{<0,-3.5,-3.5>, <0,-3.5,3.5>, 2}
	cylinder{<0,3.5,-3.5>, <0,3.5,3.5>, 2}
	box {
		<0, -6, -1>, <6, 6, 1>
	}
    	texture{
		Chrome_Metal
		normal {
		bumps -0.05
		}
	}
}

/* Blade whithout sharp edge
#declare Blade=
difference{
	union{
		cone{<0,0,-Tiny>, 5, <0,0, 0.2>, 2}
		cone{<0,0,0>, 5, <0,0,-0.2>, 2}
	}
	cylinder{<0,-3.5,-3.5>, <0,-3.5,3.5>, 2}
	cylinder{<0,3.5,-3.5>, <0,3.5,3.5>, 2}
	box {
		<0, -6, -1>, <6, 6, 1>
	}
    	texture{
		Chrome_Metal
	}
}
*/

#declare Dec = union {
	sphere {
		<0, -1, -0.45>,0.2
	}
	sphere {
		<0, 0, -0.45>,0.2
	}
	sphere {
		<0, 1, -0.45>,0.2
	}
	texture{ Chrome_Metal }
}

#declare Part_Handle = union {
	cylinder{
		<0,1.5,0>,
		<0,-1.5,0>, 0.45
		texture{Chrome_Metal}
	}

	cylinder {
		<0, -3, 0>,
		<0, 15, 0>, 0.4
		texture {Dark_Wood scale 0.2}
	}
	sphere {
		<0, -3, 0>, 0.4
		texture { Chrome_Metal }
	}
	cone {
		<0, -3, 0>, 0.3
		<0, -5, 0>, 0.0
		texture { Chrome_Metal }
	}
	sphere {
		<0, 15, 0>, 0.4
		texture { Chrome_Metal }
	}
}

#declare Handle = union { 
	cylinder {
		<0, 10, 0>,
		<0, 15, 0>, 0.45
		texture { Tan_Wood scale 0.5}
	}
	cylinder {
		<0, 10, 0>,
		<0, 9.5, 0>, 0.45
		texture { Chrome_Metal}
	}
}

#declare Axe = union {
	object { Dec }
	object { Dec scale -z }
	object { Blade }
	object { Handle }
	object { Part_Handle }
}



// ************* Handle for window or drawer 14 units long 3 units wide
/*
// ****** textures ********
#declare Copper_Texture = 
   material  // Copper_Texture
   {   
      texture
      {      
         pigment
         {
            color rgb <0.72, 0.552067, 0.2>
         }      
         normal
         {
            wrinkles , 0.15
            scale  0.3
         }      
         finish
         {
            ambient 0.2
            diffuse 0.7
            brilliance 6.0
            phong 0.75
            phong_size 88.74
            specular 0.633067
            roughness 0.015033
            metallic 1.0
            reflection 0.2446
         }
      }
   }


#declare iron_Texture = 
   material  // iron_Texture
   {   
      texture
      {      
         pigment
         {
            color rgb <0.479149, 0.489549, 0.541651>
         }      
         normal
         {
            dents , 0.27
            scale  <0.05, 0.05, 0.001>
         }      
         finish
         {
            ambient 0.2
            diffuse 0.784167
            brilliance 6.315667
            phong 0.906467
            phong_size 88.74
            specular 0.633067
            roughness 0.233067
            metallic 0.99989
            reflection 0.050333
         }
      }
   }
*/

//
// ********  OBJECTS  *******
//

#declare dif_cyltoremb = difference {
  cylinder { // cyl_emb
    <0,0,1>, <0,0,0>, 1 
  }
  torus { // tre_difemb
    1.0, 0.5  rotate -x*90
    translate  1.0*z
  }
}
#declare tre_coude = intersection {
  torus { // Torus001
    1.5, 0.5  rotate -x*90
    rotate -90.0*x
  }
  plane { // plane_difhoriz
    z,0
    rotate -180.0*x
  }
  plane { // plane_diffvert
    z,0
    rotate -90.0*y
  }
  translate  <-1.5, 0.0, 1.0>
}
#declare unicoude = union {
  object { dif_cyltoremb }
  object { tre_coude }
  scale <1.5, 1.0, 1.0>
}
#declare dif_cyltoremb1 = difference {
  cylinder { // cyl_emb1
    <0,0,1>, <0,0,0>, 1 
  }
  torus { // tre_difemb1
    1.0, 0.5  rotate -x*90
    translate  1.0*z
  }
}
#declare tre_coude1 = intersection {
  torus { // Torus002
    1.5, 0.5  rotate -x*90
    rotate -90.0*x
  }
  plane { // plane_difhoriz1
    z,0
    rotate -180.0*x
  }
  plane { // plane_diffvert1
    z,0
    rotate -90.0*y
  }
  translate  <-1.5, 0.0, 1.0>
}
#declare unicoude1 = union {
  object { dif_cyltoremb1 }
  object { tre_coude1 }
  scale <1.5, 1.0, 1.0>
  rotate -180.0*z
  translate  -10.0*x
}
#declare unipng = union {
  superellipsoid { // sq_emb
    <1.0, 0.13>
    scale <2.0, 1.5, 1.0>
    translate  -0.495*z
  }
  object { unicoude }
  object { unicoude1 }
  superellipsoid { // sq_emb1
    <1.0, 0.13>
    scale <2.0, 1.5, 1.0>
    rotate -180.0*z
    translate  <-10.0, 0.0, -0.495>
  }
  cylinder { // Cylndr001
    <0,0,1>, <0,0,0>, 1 
    scale <1.0, 1.0, 5.0>
    scale <0.5, 0.5, 1.1>
    rotate -90.0*y
    translate  <-2.233621, 0.0, 2.5>
  }
}
#declare intersecpng = intersection {
  plane { // plane_diffhoremb
    z,0
    rotate -180.0*x
  }
  object { unipng }
}
#declare difpng = difference {
  object { intersecpng }
  cone { // Cone001
    <0,0,0>, 0.0, <0,0,1>, 0.5
    scale 0.5
    translate  <1.5, 0.0, 0.01>
  }
  cone { // Cone002
    <0,0,0>, 0.0, <0,0,1>, 0.5
    scale 0.5
    translate  <-8.5, 0.0, 0.01>
  }
  cone { // Cone003
    <0,0,0>, 0.0, <0,0,1>, 0.5
    scale 0.5
    translate  <-11.5, 0.0, 0.01>
  }
  cone { // Cone004
    <0,0,0>, 0.0, <0,0,1>, 0.5
    scale 0.5
    translate  <-1.5, 0.0, 0.01>
  }
  texture {
    Copper_Texture
  }
}
#declare dif_vis = difference {
  cone { // cone_vis
    <0,0,0>, 0.0, <0,0,1>, 0.5
    scale 0.5
    translate  <1.5, 0.0, 0.01>
  }
  box { // cube_vis
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.3, 1.0>
    rotate -30.0*z
    translate  <1.5, 0.0, 1.4>
  }
  texture {
    iron_Texture
  }
}
#declare dif_vis1 = difference {
  cone { // cone_vis1
    <0,0,0>, 0.0, <0,0,1>, 0.5
    scale 0.5
    translate  <1.5, 0.0, 0.01>
  }
  box { // cube_vis1
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.3, 1.0>
    rotate -43.0*z
    translate  <1.5, 0.0, 1.4>
  }
  texture {
    iron_Texture
  }
  translate  -10.0*x
}
#declare dif_vis2 = difference {
  cone { // cone_vis2
    <0,0,0>, 0.0, <0,0,1>, 0.5
    scale 0.5
    translate  <1.5, 0.0, 0.01>
  }
  box { // cube_vis2
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.3, 1.0>
    rotate -110.0*z
    translate  <1.5, 0.0, 1.4>
  }
  texture {
    iron_Texture
  }
  translate  -13.0*x
}
#declare dif_vis3 = difference {
  cone { // cone_vis3
    <0,0,0>, 0.0, <0,0,1>, 0.5
    scale 0.5
    translate  <1.5, 0.0, 0.01>
  }
  box { // cube_vis3
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.3, 1.0>
    rotate -155.0*z
    translate  <1.5, 0.0, 1.4>
  }
  texture {
    iron_Texture
  }
  translate  <-3.0, -0.0, 0.0>
}
#declare obj_handle = union { 
  object { difpng }
  object { dif_vis }
  object { dif_vis1 }
  object { dif_vis2 }
  object { dif_vis3 }
  rotate x*180   
  translate x*5
}              


///////////// straight Door handle Iron
//
// ********  OBJECTS  *******
//

#declare dif_cyltoremb = difference {
  cylinder { // cyl_emb
    <0,0,1>, <0,0,0>, 1 
    scale <0.8, 0.8, 1.0>
  }
  torus { // tre_difemb
    1.0, 0.5  rotate -x*90
    translate  1.0*z
  }
}
#declare tre_coude = intersection {
  torus { // Torus001
    1.5, 0.5  rotate -x*90
    rotate -90.0*x
  }
  plane { // plane_difhoriz
    z,0
    rotate -180.0*x
  }
  plane { // plane_diffvert
    z,0
    rotate -90.0*y
  }
  scale <1.0, 1.0, 0.7>
  translate  <-1.5, 0.0, 1.0>
}
#declare unicoude = union {
  object { dif_cyltoremb }
  object { tre_coude }
}
#declare unipng = union {
  superellipsoid { // sq_emb
    <1.0, 0.13>
    translate  -0.495*z
  }
  object { unicoude }
    cylinder {<0,0,0>,<0,0,1>, 0.5
    scale <0.7, 1.0, 9.0>
    rotate -90.0*y
    translate  <-1.5267, 0.0, 2.10442> 
    }
  
}
#declare intersecpng = intersection {
  plane { // plane_diffhoremb
    z,0
    rotate -180.0*x
  }
  object { unipng }
}
#declare difpng = difference {
  object { intersecpng }
  texture {
    irondark_Texture_1
  }
}
#declare uniPoignee = union {
  cone { // Cone001
    <0,0,0>, 0.688, <0,0,1>, 1.0
    scale <0.7, 1.0, 10>
    rotate -90.0*y
    translate  <-2.526736, 0.0, 2.10442>
  }
  sphere { // Sphere001
    <0,0,0>,1
    scale <0.5, 1.0, 0.7>
    translate  <-11.519577, 0.0, 2.10442>
  }
  texture {
    BallWood
  }
} 
#declare DoorHandleIr =union { // obj_png
  object { difpng }
  object { uniPoignee } 
  rotate x*180
}


//
// ********  OBJECTS  Door handle straight copper*******
//

#declare dif_cyltoremb = difference {
  cylinder { // cyl_emb
    <0,0,1>, <0,0,0>, 1 
    scale <0.8, 0.8, 1.0>
  }
  torus { // tre_difemb
    1.0, 0.5  rotate -x*90
    translate  1.0*z
  }
}
#declare tre_coude = intersection {
  torus { // Torus001
    1.5, 0.5  rotate -x*90
    rotate -90.0*x
  }
  plane { // plane_difhoriz
    z,0
    rotate -180.0*x
  }
  plane { // plane_diffvert
    z,0
    rotate -90.0*y
  }
  scale <1.0, 1.0, 0.7>
  translate  <-1.5, 0.0, 1.0>
}
#declare unicoude = union {
  object { dif_cyltoremb }
  object { tre_coude }
}
#declare unipng = union {
  superellipsoid { // sq_emb
    <1.0, 0.13>
    translate  -0.45*z
  }
  object { unicoude }
}
#declare intersecpng = intersection {
  plane { // plane_diffhoremb
    z,0
    rotate -180.0*x
  }
  object { unipng }
}
#declare difpng = difference {
  object { intersecpng }
  texture {
    Copper_Texture
  }
}
#declare uniPoignee = union {
  cone { // Cone001
    <0,0,0>, 0.688, <0,0,1>, 1
    scale <0.7, 1.0, 9.0>
    rotate -90.0*y
    translate  <-2.526736, 0.0, 2.10442>
  }
  cylinder {<0,0,0>,<0,0,1>, 0.5
    scale <0.7, 1.0, 9.0>
    rotate -90.0*y
    translate  <-1.5267, 0.0, 2.10442> 
    texture {
    Copper_Texture
  }
  }
  sphere { // Sphere001
    <0,0,0>,1
    scale <0.5, 1, 0.688>
    translate  <-11.519577, 0.0, 2.10442>
    texture {
    Copper_Texture
  }
  }
  texture {
    BallWood
  }
}
#declare DoorHandleCo = union { // obj_png
  object { difpng }
  object { uniPoignee }
  rotate x*180
} 


//ridges around screen                
#declare CrenoRidgeSec = intersection {
        superellipsoid {<.1,.1>}
        box {<0,-1.001,-1.001><0.001,1.001,1.001>}
}

//Man rough figure
#declare obj_roughMan = union {
  cone {<0,0,0>,5,<0,120,0>,15   scale <2,1,1>} 
  
  sphere {<0,0,0>,15  scale <2,1,1> translate y*120}
  blob {
    threshold .5
    sphere {<0,0,0>,20 2 scale <.8,1,.8> translate <0,155,-10>}
    cylinder {<0,0,0>,<0,160,-8>,8 2}
  }    
  pigment {rgb <.3,.3,.5>}
}   

//Woman rough figure
declare obj_roughWoman = union {

  cone {<0,0,0>,10,<0,120,0>,15   scale <1.8,1,1.2>}
  cone {<5,40,0>,0,<9,80,5>,12 }
  cone {<-5,40,0>,0,<-9,80,5>,12 }
  
  sphere {<0,0,0>,15   scale <1.8,1,1.2> translate y*120}  
  
  sphere {<0,0,0>,15  scale <.8,1,1> translate <-10,100,-8>}
  sphere {<0,0,0>,15  scale <.8,1,1> translate <10,100,-8>} 
  
  sphere {<0,0,0>,15  scale <1,1,1> translate <-9,80,5>}
  sphere {<0,0,0>,15  scale <1,1,1> translate <9,80,5>}
  
  sphere {<0,0,0>,20  scale <.8,1,.8> translate <0,155,-10>}
  cylinder {<0,0,0>,<0,160,-8>,8 } 
  
  
  
  
  pigment {color Pink}    
  scale 165/175
} 

//Woman rough figureB
declare obj_roughWomanB = union {

  //cone {<0,0,0>,10,<0,120,0>,15   scale <1.8,1,1.2>}
  cone {<5,40,0>,0,<9,80,5>,12 }
  cone {<-5,40,0>,0,<-9,80,5>,12 }
blob {
    threshold .5  
  sphere {<0,0,0>,15  2 scale <1.8,1,1.2> translate y*120}  
  
  sphere {<0,0,0>,15 2 scale <.8,1,1> translate <-10,105,-8>}
  sphere {<0,0,0>,15 2 scale <.8,1,1> translate <10,105,-8>} 
  
  cylinder {<0,10,0>,<0,120,0>,15 .9 scale <1.8,1,1.2>}
  
  
  sphere {<0,0,0>,15 1 scale <1,1,1> translate <-6,80,3>}
  sphere {<0,0,0>,15 1 scale <1,1,1> translate <6,80,3>}
  
  sphere {<0,0,0>,20 2 scale <.8,1,.8> translate <0,155,-10>}
  cylinder {<0,0,0>,<0,160,-8>,8 1} 
  scale <1.3,1,1.3>
}
  
  
  
  pigment {color Pink}    
  scale 165/175
}          

// cornered support
declare obj_cornsup = difference {
        intersection{
                union {
                        box             { <0,0,0>,<-2,1,-2>      }
                        cylinder        {<-2,0.0001,0>,<-2,.9999,0>,1       }
                        cylinder        {<0,0.0001,-2>,<0,.9999,-2>,1       }  
                }        
                box   { <0,-0.001,0>,<-3,1.001,-3> }
        }
        cylinder {<-2,-0.01,-2>,<-2,1.01,-2>,1}
        scale <0.333,1,0.33> // give a value 1 on alll dimensions
        translate -y* 0.5
        rotate -z*90
        rotate -x*90
        
}


/////////// St DUNSTAN CLOCK SUPPORT ///////////
//
// ********  OBJECTS  *******
//
//object {support_clock}



#declare Dif_Poutre_Corps = difference {
  box { // CubePoutreCorps
    <-1, -1, -1>, <1, 1, 1>
  }
  box { // CubeEvideCorps
    <-1, -1, -1>, <1, 1, 1>
    scale <1.01, 0.5, 1.01>
  }
  superellipsoid { // SuperQpzpos
    <0.2, 0.2>
    scale <10.0, 0.75, 0.75>
    translate  1.5*z
  }
  superellipsoid { // SuperQpzneg
    <0.2, 0.2>
    scale <10.0, 0.75, 0.75>
    rotate -90.0*x
    translate  -1.5*z
  }
  superellipsoid { // SuperQpyneg
    <0.2, 0.2>
    scale <10.0, 0.75, 0.75>
    rotate 180.0*x
    translate  -1.5*y
  }
  superellipsoid { // SuperQpypos
    <0.2, 0.2>
    scale <10.0, 0.75, 0.75>
    rotate 90.0*x
    translate  1.5*y
  }
}
#declare Uni_Poutre_CorpsHor = union {
  object { Dif_Poutre_Corps }
  cylinder { // CylNervextyneg
    <0,0,1>, <0,0,0>, 1 
    scale <0.15, 0.15, 2.0>
    rotate -90.0*y
    translate  <1.0, -0.65, 0.0>
  }
  cylinder { // CylNervextypos
    <0,0,1>, <0,0,0>, 1 
    scale <0.15, 0.15, 2.0>
    rotate -90.0*y
    translate  <1.0, 0.65, 0.0>
  }
  scale <10.5, 1.0, 1.0>
  rotate -90.0*x
  translate  -9.5*x
}
#declare dif_poutre_extremite = difference {
  box { // CubeemboutPoutre
    <-1, -1, -1>, <1, 1, 1>
  }
  superellipsoid { // SuperQzpos
    <1.0, 0.2>
    scale 0.75
    translate  1.5*z
  }
  superellipsoid { // SuperQypos
    <1.0, 0.2>
    scale 0.75
    rotate -90.0*x
    translate  1.5*y
  }
  superellipsoid { // SuperQZneg
    <1.0, 0.2>
    scale 0.75
    rotate 180.0*x
    translate  -1.5*z
  }
  superellipsoid { // SuperQyneg
    <1.0, 0.2>
    scale 0.75
    rotate 90.0*x
    translate  -1.5*y
  }
  box { // CubestrDemiEmbout
    <-1, -1, -1>, <1, 1, 1>
    scale 1.05
    translate  1.05*x
  }
  cylinder { // CylevideExtrem
    <0,0,1>, <0,0,0>, 1 
    scale <0.5, 0.5, 2.0>
    translate  -1.0*z
  }
  translate  -1.0*x
}
#declare Uni_Poutre_ExtremiteH = union {
  object { dif_poutre_extremite }
  sphere { // SphNervextyneg
    <0,0,0>,1
    scale 0.15
    translate  <-1.0, -0.65, 0.0>
  }
  sphere { // SphNervextypos
    <0,0,0>,1
    scale 0.15
    translate  <-1.0, 0.65, 0.0>
  }
  rotate -90.0*x
  translate  -19.0*x
}
#declare dif_poutre_extremite1 = difference {
  box { // CubeemboutPoutre1
    <-1, -1, -1>, <1, 1, 1>
  }
  superellipsoid { // SuperQzpos1
    <1.0, 0.2>
    scale 0.75
    translate  1.5*z
  }
  superellipsoid { // SuperQypos1
    <1.0, 0.2>
    scale 0.75
    rotate -90.0*x
    translate  1.5*y
  }
  superellipsoid { // SuperQZneg1
    <1.0, 0.2>
    scale 0.75
    rotate 180.0*x
    translate  -1.5*z
  }
  superellipsoid { // SuperQyneg1
    <1.0, 0.2>
    scale 0.75
    rotate 90.0*x
    translate  -1.5*y
  }
  box { // CubestrDemiEmbout1
    <-1, -1, -1>, <1, 1, 1>
    scale 1.05
    translate  1.05*x
  }
  cylinder { // CylevideExtrem1
    <0,0,1>, <0,0,0>, 1 
    scale <0.5, 0.5, 2.0>
    translate  -1.0*z
  }
  translate  -1.0*x
}
#declare Uni_Poutre_ExtremiteMur = union {
  object { dif_poutre_extremite1 }
  sphere { // SphNervextyneg1
    <0,0,0>,1
    scale 0.15
    translate  <-1.0, -0.65, 0.0>
  }
  sphere { // SphNervextypos1
    <0,0,0>,1
    scale 0.15
    translate  <-1.0, 0.65, 0.0>
  }
  rotate <-90.0, 0.0, 180.0>
}
#declare Uni_PoutreHor = union {
  object { Uni_Poutre_CorpsHor }
  object { Uni_Poutre_ExtremiteH }
  object { Uni_Poutre_ExtremiteMur }
  scale <0.8, 0.8, 0.5>
  translate  -0.2*y
}
#declare Dif_Poutre_Corps1 = difference {
  box { // CubePoutreCorps1
    <-1, -1, -1>, <1, 1, 1>
  }
  box { // CubeEvideCorps1
    <-1, -1, -1>, <1, 1, 1>
    scale <1.01, 0.5, 1.01>
  }
  superellipsoid { // SuperQpzpos1
    <0.2, 0.2>
    scale <10.0, 0.75, 0.75>
    translate  1.5*z
  }
  superellipsoid { // SuperQpzneg1
    <0.2, 0.2>
    scale <10.0, 0.75, 0.75>
    rotate -90.0*x
    translate  -1.5*z
  }
  superellipsoid { // SuperQpyneg1
    <0.2, 0.2>
    scale <10.0, 0.75, 0.75>
    rotate 180.0*x
    translate  -1.5*y
  }
  superellipsoid { // SuperQpypos1
    <0.2, 0.2>
    scale <10.0, 0.75, 0.75>
    rotate 90.0*x
    translate  1.5*y
  }
}
#declare Uni_Poutre_CorpsVert = union {
  object { Dif_Poutre_Corps1 }
  cylinder { // CylNervextyneg1
    <0,0,1>, <0,0,0>, 1 
    scale <0.15, 0.15, 2.0>
    rotate -90.0*y
    translate  <1.0, -0.65, 0.0>
  }
  cylinder { // CylNervextypos1
    <0,0,1>, <0,0,0>, 1 
    scale <0.15, 0.15, 2.0>
    rotate -90.0*y
    translate  <1.0, 0.65, 0.0>
  }
  scale <7.0, 1.0, 1.0>
  rotate <-90.0, 0.0, -90.0>
  translate  <1.0, -8.5, 0.0>
}
#declare dif_poutre_extremite3 = difference {
  box { // CubeemboutPoutre3
    <-1, -1, -1>, <1, 1, 1>
  }
  superellipsoid { // SuperQzpos3
    <1.0, 0.2>
    scale 0.75
    translate  1.5*z
  }
  superellipsoid { // SuperQypos3
    <1.0, 0.2>
    scale 0.75
    rotate -90.0*x
    translate  1.5*y
  }
  superellipsoid { // SuperQZneg3
    <1.0, 0.2>
    scale 0.75
    rotate 180.0*x
    translate  -1.5*z
  }
  superellipsoid { // SuperQyneg3
    <1.0, 0.2>
    scale 0.75
    rotate 90.0*x
    translate  -1.5*y
  }
  box { // CubestrDemiEmbout3
    <-1, -1, -1>, <1, 1, 1>
    scale 1.05
    translate  1.05*x
  }
  cylinder { // CylevideExtrem3
    <0,0,1>, <0,0,0>, 1 
    scale <0.5, 0.5, 2.0>
    translate  -1.0*z
  }
  translate  -1.0*x
}
#declare Uni_Poutre_ExtremiteBas = union {
  object { dif_poutre_extremite3 }
  sphere { // SphNervextyneg3
    <0,0,0>,1
    scale 0.15
    translate  <-1.0, -0.65, 0.0>
  }
  sphere { // SphNervextypos3
    <0,0,0>,1
    scale 0.15
    translate  <-1.0, 0.65, 0.0>
  }
  rotate <-90.0, 0.0, 90.0>
  translate  <1.0, -14.5, 0.0>
}
#declare dif_poutre_extremite2 = difference {
  box { // CubeemboutPoutre2
    <-1, -1, -1>, <1, 1, 1>
  }
  superellipsoid { // SuperQzpos2
    <1.0, 0.2>
    scale 0.75
    translate  1.5*z
  }
  superellipsoid { // SuperQypos2
    <1.0, 0.2>
    scale 0.75
    rotate -90.0*x
    translate  1.5*y
  }
  superellipsoid { // SuperQZneg2
    <1.0, 0.2>
    scale 0.75
    rotate 180.0*x
    translate  -1.5*z
  }
  superellipsoid { // SuperQyneg2
    <1.0, 0.2>
    scale 0.75
    rotate 90.0*x
    translate  -1.5*y
  }
  box { // CubestrDemiEmbout2
    <-1, -1, -1>, <1, 1, 1>
    scale 1.05
    translate  1.05*x
  }
  cylinder { // CylevideExtrem2
    <0,0,1>, <0,0,0>, 1 
    scale <0.5, 0.5, 2.0>
    translate  -1.0*z
  }
  translate  -1.0*x
}
#declare Uni_Poutre_ExtremiteHaut = union {
  object { dif_poutre_extremite2 }
  sphere { // SphNervextyneg2
    <0,0,0>,1
    scale 0.15
    translate  <-1.0, -0.65, 0.0>
  }
  sphere { // SphNervextypos2
    <0,0,0>,1
    scale 0.15
    translate  <-1.0, 0.65, 0.0>
  }
  rotate -90.0*z
  translate  <1.0, -3.0, 0.0>
}
#declare UniPoutreVert = union {
  object { Uni_Poutre_CorpsVert }
  object { Uni_Poutre_ExtremiteBas }
  object { Uni_Poutre_ExtremiteHaut }
  scale <0.8, 0.82, 0.5>
}
#declare Uni_CylToreHVg2 = union {
  cylinder { // Cyl_CylToreHg2
    <0,0,1>, <0,0,0>, 1 
  }
  torus { // Tor_CylToreHg2
    1.0, 0.05  rotate -x*90
    translate  0.075*z
  }
  torus { // Tor_CylToreVg2
    0.95, 0.025  rotate -x*90
  }
  translate  -3.0*x
}
#declare Uni_CylToreHV3 = union {
  cylinder { // Cyl_CylToreH3
    <0,0,1>, <0,0,0>, 1 
  }
  torus { // Tor_CylToreH3
    1.0, 0.05  rotate -x*90
    translate  0.075*z
  }
  torus { // Tor_CylToreV3
    0.95, 0.025  rotate -x*90
  }
  translate  3.0*x
}
#declare Uni_extremites2 = union {
  object { Uni_CylToreHVg2 }
  object { Uni_CylToreHV3 }
}
#declare Uni_CylToreHVEvideCtr4 = 
  cylinder { // Cyl_CylToreHctr4
    <0,0,1>, <0,0,0>, 1 
    scale <3.925, 3.925, 0.5>
  }

#declare Dif_CyltoreHVEvidCtr4 = difference {
  object { Uni_CylToreHVEvideCtr4 }
  cylinder { // CylndrctrEvideCtr4
    <0,0,1>, <0,0,0>, 1 
    scale <3.0, 3.0, 0.6>
    translate  -0.05*z
  }
  box { // Coupedemicentre4
    <-1, -1, -1>, <1, 1, 1>
    scale <4.1, 2.1, 1.0>
    translate  -2.1*y
  }
}
#declare difcentralMoule2 = 
  object { Dif_CyltoreHVEvidCtr4 
  translate  -0.5*z
}

#declare extremites2 = difference {
  object { Uni_extremites2 }
  object { difcentralMoule2 }
}
#declare Uni_CylToreHVEvideCtr5 = union {
  cylinder { // Cyl_CylToreHctr5
    <0,0,1>, <0,0,0>, 1 
    scale <4.0, 4.0, 0.5>
  }
  torus { // Tor_CylToreHctr2
    4.0, 0.05  rotate -x*90
    translate  0.075*z
  }
  torus { // Tor_CylToreVctr2
    3.95, 0.025  rotate -x*90
  }
  torus { // Tor_CylToreVctrInter2
    2.775, 0.025  rotate -x*90
    scale <1.1, 1.0, 1.0>
  }
}
#declare Dif_CyltoreHVEvidCtr5 = difference {
  object { Uni_CylToreHVEvideCtr5 }
  cylinder { // CylndrctrEvideCtr5
    <0,0,1>, <0,0,0>, 1 
    scale <3.0, 2.75, 0.6>
    translate  -0.05*z
  }
  box { // Coupedemicentre5
    <-1, -1, -1>, <1, 1, 1>
    scale <4.1, 2.1, 1.0>
    translate  -2.1*y
  }
}
#declare difcentral2 = difference {
  object { Dif_CyltoreHVEvidCtr5 }
  cylinder { // Cyl_CylToreHmouleg2
    <0,0,1>, <0,0,0>, 1 
    translate  <-3.0, 0.0, -1.0>
  }
  cylinder { // Cyl_CylToreHmouled2
    <0,0,1>, <0,0,0>, 1 
    translate  <3.0, 0.0, -1.0>
  }
}
#declare uni_demisupport2 = union {
  object { extremites2 }
  object { difcentral2 }
  superellipsoid { // SuperQ005
    <1.0, 0.5>
    scale <0.4, 0.4, 0.15>
    translate  <-3.0, 0.0, 0.1>
  }
  superellipsoid { // SuperQ006
    <1.0, 0.5>
    scale <0.4, 0.4, 0.15>
    translate  <3.0, 0.0, 0.1>
  }
}
#declare dif_tore_nerv4 = difference {
  torus { // Torus009
    3.65, 0.1  rotate -x*90
    translate  -0.05*z
  }
  box { // Cube005
    <-1, -1, -1>, <1, 1, 1>
    scale <4.1, 2.1, 1.0>
    translate  -2.1*y
  }
}
#declare dif_tore_nerv5 = difference {
  torus { // Torus012
    3.2, 0.1  rotate -x*90
    scale <1.05, 1.0, 1.0>
    translate  -0.05*z
  }
  box { // Cube006
    <-1, -1, -1>, <1, 1, 1>
    scale <4.1, 3.1, 1.0>
    translate  -2.0*y
  }
}
#declare dif_supportnerv2 = difference {
  object { uni_demisupport2 }
  object { dif_tore_nerv4 }
  torus { // Torus010
    0.6, 0.1  rotate -x*90
    translate  <-3.0, 0.0, -0.05>
  }
  torus { // Torus011
    0.6, 0.1  rotate -x*90
    translate  <3.0, 0.0, -0.05>
  }
  object { dif_tore_nerv5 }
}
#declare demisupportBas1 = difference {
  object { dif_supportnerv2 }
  box { // cubedelimitedemi2
    <-1, -1, -1>, <1, 1, 1>
    scale <4.1, 4.1, 1.0>
    translate  1.255*z
  }
  translate  -0.5*z
}
#declare Uni_CylToreHVg3 = union {
  cylinder { // Cyl_CylToreHg3
    <0,0,1>, <0,0,0>, 1 
  }
  torus { // Tor_CylToreHg3
    1.0, 0.05  rotate -x*90
    translate  0.075*z
  }
  torus { // Tor_CylToreVg3
    0.95, 0.025  rotate -x*90
  }
  translate  -3.0*x
}
#declare Uni_CylToreHV4 = union {
  cylinder { // Cyl_CylToreH4
    <0,0,1>, <0,0,0>, 1 
  }
  torus { // Tor_CylToreH4
    1.0, 0.05  rotate -x*90
    translate  0.075*z
  }
  torus { // Tor_CylToreV4
    0.95, 0.025  rotate -x*90
  }
  translate  3.0*x
}
#declare Uni_extremites3 = union {
  object { Uni_CylToreHVg3 }
  object { Uni_CylToreHV4 }
}
#declare Uni_CylToreHVEvideCtr6 = cylinder { 
    // Cyl_CylToreHctr6
    <0,0,1>, <0,0,0>, 1 
    scale <3.925, 3.925, 0.5>
  
}
#declare Dif_CyltoreHVEvidCtr6 = difference {
  object { Uni_CylToreHVEvideCtr6 }
  cylinder { // CylndrctrEvideCtr6
    <0,0,1>, <0,0,0>, 1 
    scale <3.0, 3.0, 0.6>
    translate  -0.05*z
  }
  box { // Coupedemicentre6
    <-1, -1, -1>, <1, 1, 1>
    scale <4.1, 2.1, 1.0>
    translate  -2.1*y
  }
}
#declare difcentralMoule3 = object { 
  Dif_CyltoreHVEvidCtr6 
  translate  -0.5*z
}
#declare extremites3 = difference {
  object { Uni_extremites3 }
  object { difcentralMoule3 }
}
#declare Uni_CylToreHVEvideCtr7 = union {
  cylinder { // Cyl_CylToreHctr7
    <0,0,1>, <0,0,0>, 1 
    scale <4.0, 4.0, 0.5>
  }
  torus { // Tor_CylToreHctr3
    4.0, 0.05  rotate -x*90
    translate  0.075*z
  }
  torus { // Tor_CylToreVctr3
    3.95, 0.025  rotate -x*90
  }
  torus { // Tor_CylToreVctrInter3
    2.775, 0.025  rotate -x*90
    scale <1.1, 1.0, 1.0>
  }
}
#declare Dif_CyltoreHVEvidCtr7 = difference {
  object { Uni_CylToreHVEvideCtr7 }
  cylinder { // CylndrctrEvideCtr7
    <0,0,1>, <0,0,0>, 1 
    scale <3.0, 2.75, 0.6>
    translate  -0.05*z
  }
  box { // Coupedemicentre7
    <-1, -1, -1>, <1, 1, 1>
    scale <4.1, 2.1, 1.0>
    translate  -2.1*y
  }
}
#declare difcentral3 = difference {
  object { Dif_CyltoreHVEvidCtr7 }
  cylinder { // Cyl_CylToreHmouleg3
    <0,0,1>, <0,0,0>, 1 
    translate  <-3.0, 0.0, -1.0>
  }
  cylinder { // Cyl_CylToreHmouled3
    <0,0,1>, <0,0,0>, 1 
    translate  <3.0, 0.0, -1.0>
  }
}
#declare uni_demisupport3 = union {
  object { extremites3 }
  object { difcentral3 }
  superellipsoid { // SuperQ007
    <1.0, 0.5>
    scale <0.4, 0.4, 0.15>
    translate  <-3.0, 0.0, 0.1>
  }
  superellipsoid { // SuperQ008
    <1.0, 0.5>
    scale <0.4, 0.4, 0.15>
    translate  <3.0, 0.0, 0.1>
  }
}
#declare dif_tore_nerv6 = difference {
  torus { // Torus013
    3.65, 0.1  rotate -x*90
    translate  -0.05*z
  }
  box { // Cube007
    <-1, -1, -1>, <1, 1, 1>
    scale <4.1, 2.1, 1.0>
    translate  -2.1*y
  }
}
#declare dif_tore_nerv7 = difference {
  torus { // Torus016
    3.2, 0.1  rotate -x*90
    scale <1.05, 1.0, 1.0>
    translate  -0.05*z
  }
  box { // Cube008
    <-1, -1, -1>, <1, 1, 1>
    scale <4.1, 3.1, 1.0>
    translate  -2.0*y
  }
}
#declare dif_supportnerv3 = difference {
  object { uni_demisupport3 }
  object { dif_tore_nerv6 }
  torus { // Torus014
    0.6, 0.1  rotate -x*90
    translate  <-3.0, 0.0, -0.05>
  }
  torus { // Torus015
    0.6, 0.1  rotate -x*90
    translate  <3.0, 0.0, -0.05>
  }
  object { dif_tore_nerv7 }
}
#declare demisupportHaut1 = difference {
  object { dif_supportnerv3 }
  box { // cubedelimitedemi3
    <-1, -1, -1>, <1, 1, 1>
    scale <4.1, 4.1, 1.0>
    translate  1.255*z
  }
  rotate -180.0*y
  translate  0.5*z
}
#declare Uni_SupportInf = union {
  object { demisupportBas1 }
  cylinder { // cyltorerfG1
    <0,0,1>, <0,0,0>, 1 
    scale <0.9, 0.9, 0.5>
    translate  <-3.0, 0.0, -0.25>
  }
  cylinder { // cyltorerfF1
    <0,0,1>, <0,0,0>, 1 
    scale <0.9, 0.9, 0.5>
    translate  <3.0, 0.0, -0.25>
  }
  object { demisupportHaut1 }
  rotate 180.0*z
  translate  <3.9, 0.6, 0.0>
}
#declare Uni_CylToreHVg = union {
  cylinder { // Cyl_CylToreHg
    <0,0,1>, <0,0,0>, 1 
  }
  torus { // Tor_CylToreHg
    1.0, 0.05  rotate -x*90
    translate  0.075*z
  }
  torus { // Tor_CylToreVg
    0.95, 0.025  rotate -x*90
  }
  translate  -3.0*x
}
#declare Uni_CylToreHV1 = union {
  cylinder { // Cyl_CylToreH1
    <0,0,1>, <0,0,0>, 1 
  }
  torus { // Tor_CylToreH1
    1.0, 0.05  rotate -x*90
    translate  0.075*z
  }
  torus { // Tor_CylToreV1
    0.95, 0.025  rotate -x*90
  }
  translate  3.0*x
}
#declare Uni_extremites = union {
  object { Uni_CylToreHVg }
  object { Uni_CylToreHV1 }
}
#declare Uni_CylToreHVEvideCtr1 = cylinder { 
    // Cyl_CylToreHctr1
    <0,0,1>, <0,0,0>, 1 
    scale <3.925, 3.925, 0.5>
  }

#declare Dif_CyltoreHVEvidCtr1 = difference {
  object { Uni_CylToreHVEvideCtr1 }
  cylinder { // CylndrctrEvideCtr1
    <0,0,1>, <0,0,0>, 1 
    scale <3.0, 3.0, 0.6>
    translate  -0.05*z
  }
  box { // Coupedemicentre1
    <-1, -1, -1>, <1, 1, 1>
    scale <4.1, 2.1, 1.0>
    translate  -2.1*y
  }
}
#declare difcentralMoule = object { 
  Dif_CyltoreHVEvidCtr1 
  translate  -0.5*z
}  


#declare extremites = difference {
  object { Uni_extremites }
  object { difcentralMoule }
}
#declare Uni_CylToreHVEvideCtr = union {
  cylinder { // Cyl_CylToreHctr
    <0,0,1>, <0,0,0>, 1 
    scale <4.0, 4.0, 0.5>
  }
  torus { // Tor_CylToreHctr
    4.0, 0.05  rotate -x*90
    translate  0.075*z
  }
  torus { // Tor_CylToreVctr
    3.95, 0.025  rotate -x*90
  }
  torus { // Tor_CylToreVctrInter
    2.775, 0.025  rotate -x*90
    scale <1.1, 1.0, 1.0>
  }
}
#declare Dif_CyltoreHVEvidCtr = difference {
  object { Uni_CylToreHVEvideCtr }
  cylinder { // CylndrctrEvideCtr
    <0,0,1>, <0,0,0>, 1 
    scale <3.0, 2.75, 0.6>
    translate  -0.05*z
  }
  box { // Coupedemicentre
    <-1, -1, -1>, <1, 1, 1>
    scale <4.1, 2.1, 1.0>
    translate  -2.1*y
  }
}
#declare difcentral = difference {
  object { Dif_CyltoreHVEvidCtr }
  cylinder { // Cyl_CylToreHmouleg
    <0,0,1>, <0,0,0>, 1 
    translate  <-3.0, 0.0, -1.0>
  }
  cylinder { // Cyl_CylToreHmouled
    <0,0,1>, <0,0,0>, 1 
    translate  <3.0, 0.0, -1.0>
  }
}
#declare uni_demisupport = union {
  object { extremites }
  object { difcentral }
  superellipsoid { // SuperQ001
    <1.0, 0.5>
    scale <0.4, 0.4, 0.15>
    translate  <-3.0, 0.0, 0.1>
  }
  superellipsoid { // SuperQ002
    <1.0, 0.5>
    scale <0.4, 0.4, 0.15>
    translate  <3.0, 0.0, 0.1>
  }
}
#declare dif_tore_nerv = difference {
  torus { // Torus001
    3.65, 0.1  rotate -x*90
    translate  -0.05*z
  }
  box { // Cube001
    <-1, -1, -1>, <1, 1, 1>
    scale <4.1, 2.1, 1.0>
    translate  -2.1*y
  }
}
#declare dif_tore_nerv1 = difference {
  torus { // Torus004
    3.2, 0.1  rotate -x*90
    scale <1.05, 1.0, 1.0>
    translate  -0.05*z
  }
  box { // Cube002
    <-1, -1, -1>, <1, 1, 1>
    scale <4.1, 3.1, 1.0>
    translate  -2.0*y
  }
}
#declare dif_supportnerv = difference {
  object { uni_demisupport }
  object { dif_tore_nerv }
  torus { // Torus002
    0.6, 0.1  rotate -x*90
    translate  <-3.0, 0.0, -0.05>
  }
  torus { // Torus003
    0.6, 0.1  rotate -x*90
    translate  <3.0, 0.0, -0.05>
  }
  object { dif_tore_nerv1 }
}
#declare demisupportBas = difference {
  object { dif_supportnerv }
  box { // cubedelimitedemi
    <-1, -1, -1>, <1, 1, 1>
    scale <4.1, 4.1, 1.0>
    translate  1.255*z
  }
  translate  -0.5*z
}
#declare Uni_CylToreHVg1 = union {
  cylinder { // Cyl_CylToreHg1
    <0,0,1>, <0,0,0>, 1 
  }
  torus { // Tor_CylToreHg1
    1.0, 0.05  rotate -x*90
    translate  0.075*z
  }
  torus { // Tor_CylToreVg1
    0.95, 0.025  rotate -x*90
  }
  translate  -3.0*x
}
#declare Uni_CylToreHV2 = union {
  cylinder { // Cyl_CylToreH2
    <0,0,1>, <0,0,0>, 1 
  }
  torus { // Tor_CylToreH2
    1.0, 0.05  rotate -x*90
    translate  0.075*z
  }
  torus { // Tor_CylToreV2
    0.95, 0.025  rotate -x*90
  }
  translate  3.0*x
}
#declare Uni_extremites1 = union {
  object { Uni_CylToreHVg1 }
  object { Uni_CylToreHV2 }
}
#declare Uni_CylToreHVEvideCtr2 = cylinder {
    // Cyl_CylToreHctr2
    <0,0,1>, <0,0,0>, 1 
    scale <3.925, 3.925, 0.5>
  }


#declare Dif_CyltoreHVEvidCtr2 = difference {
  object { Uni_CylToreHVEvideCtr2 }
  cylinder { // CylndrctrEvideCtr2
    <0,0,1>, <0,0,0>, 1 
    scale <3.0, 3.0, 0.6>
    translate  -0.05*z
  }
  box { // Coupedemicentre2
    <-1, -1, -1>, <1, 1, 1>
    scale <4.1, 2.1, 1.0>
    translate  -2.1*y
  }
}
#declare difcentralMoule1 = object {
  Dif_CyltoreHVEvidCtr2 
  translate  -0.5*z
}   

#declare extremites1 = difference {
  object { Uni_extremites1 }
  object { difcentralMoule1 }
}
#declare Uni_CylToreHVEvideCtr3 = union {
  cylinder { // Cyl_CylToreHctr3
    <0,0,1>, <0,0,0>, 1 
    scale <4.0, 4.0, 0.5>
  }
  torus { // Tor_CylToreHctr1
    4.0, 0.05  rotate -x*90
    translate  0.075*z
  }
  torus { // Tor_CylToreVctr1
    3.95, 0.025  rotate -x*90
  }
  torus { // Tor_CylToreVctrInter1
    2.775, 0.025  rotate -x*90
    scale <1.1, 1.0, 1.0>
  }
}
#declare Dif_CyltoreHVEvidCtr3 = difference {
  object { Uni_CylToreHVEvideCtr3 }
  cylinder { // CylndrctrEvideCtr3
    <0,0,1>, <0,0,0>, 1 
    scale <3.0, 2.75, 0.6>
    translate  -0.05*z
  }
  box { // Coupedemicentre3
    <-1, -1, -1>, <1, 1, 1>
    scale <4.1, 2.1, 1.0>
    translate  -2.1*y
  }
}
#declare difcentral1 = difference {
  object { Dif_CyltoreHVEvidCtr3 }
  cylinder { // Cyl_CylToreHmouleg1
    <0,0,1>, <0,0,0>, 1 
    translate  <-3.0, 0.0, -1.0>
  }
  cylinder { // Cyl_CylToreHmouled1
    <0,0,1>, <0,0,0>, 1 
    translate  <3.0, 0.0, -1.0>
  }
}
#declare uni_demisupport1 = union {
  object { extremites1 }
  object { difcentral1 }
  superellipsoid { // SuperQ003
    <1.0, 0.5>
    scale <0.4, 0.4, 0.15>
    translate  <-3.0, 0.0, 0.1>
  }
  superellipsoid { // SuperQ004
    <1.0, 0.5>
    scale <0.4, 0.4, 0.15>
    translate  <3.0, 0.0, 0.1>
  }
}
#declare dif_tore_nerv2 = difference {
  torus { // Torus005
    3.65, 0.1  rotate -x*90
    translate  -0.05*z
  }
  box { // Cube003
    <-1, -1, -1>, <1, 1, 1>
    scale <4.1, 2.1, 1.0>
    translate  -2.1*y
  }
}
#declare dif_tore_nerv3 = difference {
  torus { // Torus008
    3.2, 0.1  rotate -x*90
    scale <1.05, 1.0, 1.0>
    translate  -0.05*z
  }
  box { // Cube004
    <-1, -1, -1>, <1, 1, 1>
    scale <4.1, 3.1, 1.0>
    translate  -2.0*y
  }
}
#declare dif_supportnerv1 = difference {
  object { uni_demisupport1 }
  object { dif_tore_nerv2 }
  torus { // Torus006
    0.6, 0.1  rotate -x*90
    translate  <-3.0, 0.0, -0.05>
  }
  torus { // Torus007
    0.6, 0.1  rotate -x*90
    translate  <3.0, 0.0, -0.05>
  }
  object { dif_tore_nerv3 }
}
#declare demisupportHaut = difference {
  object { dif_supportnerv1 }
  box { // cubedelimitedemi1
    <-1, -1, -1>, <1, 1, 1>
    scale <4.1, 4.1, 1.0>
    translate  1.255*z
  }
  rotate -180.0*y
  translate  0.5*z
}
#declare Uni_SupportSup = union {
  object { demisupportBas }
  cylinder { // cyltorerfG
    <0,0,1>, <0,0,0>, 1 
    scale <0.9, 0.9, 0.5>
    translate  <-3.0, 0.0, -0.25>
  }
  cylinder { // cyltorerfF
    <0,0,1>, <0,0,0>, 1 
    scale <0.9, 0.9, 0.5>
    translate  <3.0, 0.0, -0.25>
  }
  object { demisupportHaut }
  translate  <-3.9, -0.6, 0.0>
}
#declare Uni_S_support = union {
  object { Uni_SupportInf }
  object { Uni_SupportSup }
  rotate -45.0*z
  translate  <-6.1, -7.25, 0.0>
}
#declare Uni_Support_sansEmb = union {
  object { Uni_PoutreHor }
  object { UniPoutreVert }
  object { Uni_S_support }
}
#declare cylembaseA1 = union {
  cylinder { // Cyl_CylToreHg5
    <0,0,1>, <0,0,0>, 1 
    scale <1.0, 1.0, 0.5>
  }
  torus { // Tor_CylToreHg5
    1.0, 0.05  rotate -x*90
    translate  0.075*z
  }
  torus { // Tor_CylToreVg5
    0.95, 0.025  rotate -x*90
  }
  superellipsoid { // SuperQ010
    <1.0, 0.4>
    scale <0.8, 0.8, 0.05>
  }
  torus { // Torus019
    0.55, 0.05  rotate -x*90
    scale <1.0, 1.0, 0.5>
    translate  -0.05*z
  }
}
#declare difcreux1 = difference {
  object { cylembaseA1 }
  sphere { // Sphere002
    <0,0,0>,1
    scale <0.78, 0.78, 0.5>
    translate  -0.433*z
  }
}
#declare Uni_CylembaseHaut = union {
  object { difcreux1 }
  torus { // Torus020
    0.05, 0.05  rotate -x*90
    scale <1.0, 1.0, 0.5>
    translate  0.05*z
  }
  rotate 180.0*x
  translate  0.5*z
}
#declare cylembaseA = union {
  cylinder { // Cyl_CylToreHg4
    <0,0,1>, <0,0,0>, 1 
    scale <1.0, 1.0, 0.5>
  }
  torus { // Tor_CylToreHg4
    1.0, 0.05  rotate -x*90
    translate  0.075*z
  }
  torus { // Tor_CylToreVg4
    0.95, 0.025  rotate -x*90
  }
  superellipsoid { // SuperQ009
    <1.0, 0.4>
    scale <0.8, 0.8, 0.05>
  }
  torus { // Torus017
    0.55, 0.05  rotate -x*90
    scale <1.0, 1.0, 0.5>
    translate  -0.05*z
  }
}
#declare difcreux = difference {
  object { cylembaseA }
  sphere { // Sphere001
    <0,0,0>,1
    scale <0.78, 0.78, 0.5>
    translate  -0.433*z
  }
}
#declare Uni_CylembaseBas = union {
  object { difcreux }
  torus { // Torus018
    0.05, 0.05  rotate -x*90
    scale <1.0, 1.0, 0.5>
    translate  0.05*z
  }
  translate  -0.5*z
}
#declare UniCylembase = union {
  object { Uni_CylembaseHaut }
  object { Uni_CylembaseBas }
}
#declare DifCylembase = difference {
  object { UniCylembase }
  torus { // Torus021
    1.0, 0.2  rotate -x*90
    scale <1.0, 1.0, 0.75>
  }
  box { // Cube009
    <-1, -1, -1>, <1, 1, 1>
    scale <1.1, 1.0, 1.0>
    translate  1.0*y
  }
}
#declare Uni_Embase = union {
  object { DifCylembase }
  superellipsoid { // sqEmbptt
    <0.05, 0.05>
    scale <1.1, 0.05, 0.6>
    translate  0.05*y
  }
  superellipsoid { // sqEmbgrd
    <0.05, 0.05>
    scale <1.125, 0.0625, 0.625>
    translate  0.15*y
  }
  scale <1.8, 1.8, 1.0>
  translate  <-0.5, -13.8, 0.0>
} 

#declare support_clock = union { // Uni_Support
  object { Uni_Support_sansEmb }
  object { Uni_Embase }
  material {
    DMF_Brushed_Aluminum
  }
  scale 1/16
translate <-1.5/16,-.5/16,0>
rotate -y*90
} 

//// Objects for the clock
//////// NEEDLES ////////////////////////////////////    
#declare Tex_Rapide = 
   material  // PDB_Tex_C
   {   
      texture
      {      
         pigment
         {
            color rgb <0.427067, 0.489567, 0.4479>
         }      
         finish
         {
            ambient 0.15
            specular 0.309333
            roughness 0.006177
         }
      }
   }



#declare Obj_Spine_Aig = prism { // aiguille
  linear_sweep
  cubic_spline
  -0.2,0.0
  12  // control points
  <-4.997346, 0.009289>,
  <-4.614482, -0.052541>,
  <-2.369427, -0.097665>,
  <-0.162469, -0.332474>,
  <0.316598, -0.163743>,
  <0.322025, 0.195113>,
  <-0.173085, 0.336108>,
  <-2.380042, 0.140127>,
  <-4.61316, 0.062018>,
  <-4.997346, 0.009289>,
  <-4.614482, -0.052541>,
  <-2.369427, -0.097665>
  rotate -x*90

}


#declare Obj_Axe_Aig = cylinder { // axe
  <0,0,1>, <0,0,0>, 1 

  scale <0.5, 0.5, 0.2>
}




#declare Obj_Fleche_Aig = prism { // fleche
  linear_sweep
  cubic_spline
  -0.2,0.0
  14  // control points
  <-4.997346, 0.009289>,
  <-4.614482, -0.052541>,
  <-2.369427, -0.097665>,
  <-0.390769, -0.311719>,
  <-0.20583, -0.276581>,
  <-0.658866, -0.142989>,
  <-0.653439, 0.13285>,
  <-0.201655, 0.26589>,
  <-0.385819, 0.320542>,
  <-2.380042, 0.140127>,
  <-4.61316, 0.062018>,
  <-4.997346, 0.009289>,
  <-4.614482, -0.052541>,
  <-2.369427, -0.097665>
  rotate -x*90

  scale <0.2, 0.7, 1.0>
  translate  -3.5*x
}


#declare Obj_Aiguille02_Min =    
        union {
	        object{Obj_Spine_Aig}
	        object{Obj_Fleche_Aig}
	        object{Obj_Axe_Aig}
	        
	        material {
    		        Tex_Rapide
  	        }
  	        scale .183  
  	        translate -z*.2 * 0.183
	}
	
#declare Obj_Aiguille02_Hre =    
        union {
	        object{Obj_Spine_Aig scale<.75,0,0>}
	        object{Obj_Fleche_Aig translate <.75,0,0>}
	        object{Obj_Axe_Aig}
	        
	        material {
    		        Tex_Rapide
  	        }
  	        scale .183
  	        translate -z*.2 * 0.183 *2
	}	
	
	
//Objets pour Aiguille 04 (vide)  

//point sur fleche
#declare Obj_Pnt_Fleche04 = cylinder { // pfl04
  <0,0,1>, <0,0,0>, 1 
  
  scale 0.2
  translate  -3.9*x
}   

//videment pointe sur fleche 
#declare Obj_PntEvid_Fleche04 = cylinder { // pflEvid04
  <0,0,1>, <0,0,0>, 1         
  
  scale <0.11, 0.11, 0.21>
  translate  <-3.9, 0.0, -0.001>
}


//corp Aiguille
#declare Obj_Spine_Aig04 = prism { // aiguille04
  linear_sweep
  cubic_spline
  -0.2,0.0
  12  // control points
  <-4.997346, 0.009289>,
  <-4.614482, -0.052541>,
  <-2.537436, -0.177248>,
  <-0.852558, -0.46219>,
  <-0.368302, -0.262327>,
  <-0.352498, 0.267754>,
  <-0.873551, 0.522899>,
  <-2.512681, 0.202025>,
  <-4.61316, 0.062018>,
  <-4.997346, 0.009289>,
  <-4.614482, -0.052541>,
  <-2.537436, -0.177248>
  rotate -x*90

}

//Axe de rotation aiguille
#declare Obj_Axe_Aig04 = cylinder { // axe04
  <0,0,1>, <0,0,0>, 1 
  scale <0.5, 0.5, 0.2>
}



//Fleche de l'aiguille
#declare Obj_Fleche_Aig04 = prism { // fleche04
  linear_sweep
  cubic_spline
  -0.2,0.0
  14  // control points
  <-4.997346, 0.009289>,
  <-4.614482, -0.052541>,
  <-2.369427, -0.097665>,
  <-0.665767, -0.389549>,
  <-0.221396, -0.31809>,
  <-0.658866, -0.117045>,
  <-0.653439, 0.13285>,
  <-0.206843, 0.328154>,
  <-0.640062, 0.44507>,
  <-2.380042, 0.140127>,
  <-4.61316, 0.062018>,
  <-4.997346, 0.009289>,
  <-4.614482, -0.052541>,
  <-2.369427, -0.097665>
  rotate -x*90

  scale <0.2, 0.7, 1.0>
  translate  -3.2*x
}

//Evidement corp de l'aiguille
#declare Obj_FlecheEvid_Aig04 = prism { // aiguilleEvid04
  linear_sweep
  cubic_spline
  -0.2,0.0
  12  // control points
  <-4.997346, 0.009289>,
  <-4.614482, -0.052541>,
  <-2.537436, -0.177248>,
  <-0.852558, -0.46219>,
  <-0.368302, -0.262327>,
  <-0.352498, 0.267754>,
  <-0.873551, 0.522899>,
  <-2.512681, 0.202025>,
  <-4.61316, 0.062018>,
  <-4.997346, 0.009289>,
  <-4.614482, -0.052541>,
  <-2.537436, -0.177248>
  rotate -x*90

  scale <0.5, 0.5, 1.1>
  translate  <-0.45, 0.0, -0.01>
}

#declare Obj_Aiguille04_Min = 
        difference {   
                union {
        	        object{Obj_Spine_Aig04}
        	        object{Obj_Fleche_Aig04}
        	        object{Obj_Axe_Aig04} 
        	        object{Obj_Pnt_Fleche04}
        	}
        	object{Obj_FlecheEvid_Aig04}
        	object{Obj_PntEvid_Fleche04}       
	        material {
    		        Tex_Rapide
  	        }
  	        scale .183  
  	        translate -z*.2 * 0.183
	}
	
#declare Obj_Aiguille04_Hre =    
        difference {   
                union {
        	        object{Obj_Spine_Aig04 scale<.75,0,0>}
        	        object{Obj_Fleche_Aig04 translate <1,0,0>}
        	        object{Obj_Axe_Aig04}
        	        object{Obj_Pnt_Fleche04 translate <1,0,0>}
	        }
	        object{Obj_FlecheEvid_Aig04 scale<.75,0,0>}
        	object{Obj_PntEvid_Fleche04 translate <1,0,0>}
	        material {
    		        Tex_Rapide
  	        }
  	        scale .183
  	        translate -z*(.2 * 0.183 *2+.01)
	}

//////  DIAL //////////////////////////////////////////
#declare Tex_Rapide555 = material  // PDB_Tex_C
                {   
                      texture
                      {      
                         pigment
                         {
                            color rgb <5.427067, 5.489567, 5.4479>*.4
                         }      
                         finish
                         {
                            ambient 0.15
                            specular 0.309333
                            roughness 0.006177
                         }
                      }
                }//mat 
        



#declare CLcadrannoir = .7;
#declare Tex_cadrannoir = 
   texture
   {   
      pigment
      {
         bozo
         color_map
         {
            [ 0.0     rgbft <0.31, 0.31, 0.31, 0.0, 0.0> * CLcadrannoir ]
            [ 1.0     rgbft <0.21, 0.21, 0.21, 0.0>  * CLcadrannoir]
         }
         turbulence 0.6
         omega 0.8
         lambda 3.0
         ramp_wave
      }   
      normal
      {
         bumps , .11
         scale  <0.1, 0.1, .1>

      }   
      finish
      {
         ambient 0.05
         specular 0.35
         reflection 0.15
      }
   }




#declare Bronze_Texture = 
   material  // Bronze_Texture
   {   
      texture
      {      
         pigment
         {
            color rgb <0.55, 0.47, 0.14>
         }      
         finish
         {
            ambient 0.25
            diffuse 0.7
            brilliance 6.0
            phong 0.75
            phong_size 80.0
            reflection 0.25
         }
      }
   }
   
#declare Tex_BrightGold = texture {

        pigment { BrightGold }
                     finish
                 {
                    ambient 0.15
                    diffuse 0.7
                    brilliance 6.0
                    phong 0.75
                    phong_size 10.0
                    reflection 0.25
                 }
                 normal
                 {
                 bumps , .2
                 scale  <0.05, 0.05, .1>
                 }   
}

// Cadran disque plat

#declare cadran01 = cylinder {<0,0,0><0,0,.3>,1
       material  // PDB_Tex_C
   {   
      texture
      {      
         pigment
         {
            color rgb <5.427067, 5.489567, 5.4479>
         }      
         finish
         {
            ambient 0.15
            specular 0.309333
            roughness 0.006177
         }
      }
   }
}

// Cadran disque bombe

#declare raycad02 = 1 ;
#declare cyl02 = cylinder {<0,0,0><0,0,.3>,raycad02}  
#declare raysphere02 = 10;   

#declare ArrChiffres = array[13][2][2] 
#declare ArrChiffres[1][0][0] = "I";
#declare ArrChiffres[2][0][0] = "II";
#declare ArrChiffres[3][0][0] = "III";
#declare ArrChiffres[4][0][0] = "IV";
#declare ArrChiffres[5][0][0] = "V";
#declare ArrChiffres[6][0][0] = "VI";
#declare ArrChiffres[7][0][0] = "VII";
#declare ArrChiffres[8][0][0] = "VIII";
#declare ArrChiffres[9][0][0] = "IX";
#declare ArrChiffres[10][0][0] = "X";
#declare ArrChiffres[11][0][0] = "XI";
#declare ArrChiffres[12][0][0] = "XII"; 

#declare ArrChiffres[1][0][1] = "-.19";
#declare ArrChiffres[2][0][1] = "-.4";
#declare ArrChiffres[3][0][1] = "-.69";
#declare ArrChiffres[4][0][1] = "-.69";
#declare ArrChiffres[5][0][1] = "-.53";
#declare ArrChiffres[6][0][1] = "-.75";
#declare ArrChiffres[7][0][1] = "-1.12";
#declare ArrChiffres[8][0][1] = "-1.25";
#declare ArrChiffres[9][0][1] = "-.70";
#declare ArrChiffres[10][0][1] = "-.50";
#declare ArrChiffres[11][0][1] = "-.79";
#declare ArrChiffres[12][0][1] = "-1.02";

#declare ArrChiffres[1][1][0] = "1";
#declare ArrChiffres[2][1][0] = "2";
#declare ArrChiffres[3][1][0] = "3";
#declare ArrChiffres[4][1][0] = "4";
#declare ArrChiffres[5][1][0] = "5";
#declare ArrChiffres[6][1][0] = "6";
#declare ArrChiffres[7][1][0] = "7";
#declare ArrChiffres[8][1][0] = "8";
#declare ArrChiffres[9][1][0] = "9";
#declare ArrChiffres[10][1][0] = "10";
#declare ArrChiffres[11][1][0] = "11";
#declare ArrChiffres[12][1][0] = "12";






#declare cadran02 =
union { 
intersection {
        cylinder {<0,0,0><0,0,.3>,1}//cyl
        sphere {<0,0,raysphere02>,raysphere02 texture {blanclum}} 
        sphere {<0,0,-raysphere02+.3>,raysphere02 texture {blanclum}}
        texture {Tex_cadrannoir} 
        
}//intersec 
torus { 1, .01    texture { Tex_BrightGold } scale .99 rotate x * 90 translate z *.058}
torus { 1, .01    texture { Tex_BrightGold } scale .92 rotate x * 90 translate z *.050}
torus { 1, .01    texture { Tex_BrightGold } scale .7 rotate x * 90 translate z *.027} 
torus { 1, .015    texture { Tex_BrightGold } scale 1 rotate x * 90 translate z *.062}
intersection {
        cylinder {<0,0,0>,<0,0,-.1>,.05}
        sphere {<0,0,00>,0.15 translate <0,0,.05>}
        texture {Tex_cadrannoir }
        finish { reflection .35 specular .2 } 
}




#declare Index = 1;
#while(Index <= 60)

  cylinder { <0,0,0>,<0,.07,0>,.004 
     pigment { BrightGold }
     finish { reflection .35 specular .2 }
    
    
    
    
    rotate x * 5
    translate <0,.92,.045>
    rotate -z * Index * 360 / 60
  } 

  #declare Index = Index + 1;
#end 

#declare Index = 1;
#while(Index <= 12)

  text {
    ttf "timrom.ttf" ArrChiffres[Index][0][0] .2, 0
    texture { Tex_BrightGold }
    
    scale 1/.69
    translate x*val(ArrChiffres[Index][0][1])
    scale .13
    rotate x * 5
    translate <0,.75,.02>
    rotate -z * Index * 360 / 12
  } 

  #declare Index = Index + 1;
#end  
}//union Cadran
 


///////Poignee ronde porte et extremite tringle

        // Lock objects
        #declare CSG002 = union {
          sphere { // Sphere001
            <0,0,0>,1
            scale <1.2, 1.2, 0.95>
          }
          torus { // Torus001
            0.867, 0.5  rotate -x*90
          }
          torus { // Torus003
            1.333, 0.136  rotate -x*90
          }
        }
        #declare CSG001 = difference {
          object { CSG002 }
          torus { // Torus002
            0.721, 0.213  rotate -x*90
            translate  0.682889*z
          }
          torus { // Torus004
            1.216, 0.021  rotate -x*90
            translate  -0.347022*z
          }
        }
        #declare CSG003 = intersection {
          object { CSG001 }
          sphere { // Sphere002
            <0,0,0>,1
            scale 3.0
            translate  <0.0, 0.022861, 2.160371>
          }
        }   
        
        #declare copperknob = union { // CSG004
          object { CSG003 }
          superellipsoid { // SuperQ001
            <1.0, 0.121>
            scale <0.4, 0.4, 1.5>
            translate  0.640844*z
          }
          translate -z*1.5
          texture {
            Copper_Texture
          }
        }






#declare poutre1 = union { // BezPtch001
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.166686, -16.202761, -0.443737>, <-2.279157, -16.202761, -2.075164>, <-2.354485, -16.202761, -2.295165>, <-1.610363, -16.202761, -2.294079>, 
      <-2.166686, -14.177415, -0.443737>, <-2.279157, -14.177415, -2.075164>, <-2.354485, -14.177415, -2.295165>, <-1.610363, -14.177415, -2.294079>, 
      <-2.166686, -12.152070, -0.443737>, <-2.279157, -12.152070, -2.075164>, <-2.354485, -12.152070, -2.295165>, <-1.610363, -12.152070, -2.294079>, 
      <-2.166686, -10.126725, -0.443737>, <-2.279157, -10.126725, -2.075164>, <-2.354485, -10.126725, -2.295165>, <-1.610363, -10.126725, -2.294079>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.166686, -10.126725, -0.443737>, <-2.279157, -10.126725, -2.075164>, <-2.354485, -10.126725, -2.295165>, <-1.610363, -10.126725, -2.294079>, 
      <-2.166686, -8.101380, -0.443737>, <-2.279157, -8.101380, -2.075164>, <-2.354485, -8.101380, -2.295165>, <-1.610363, -8.101380, -2.294079>, 
      <-2.166686, -6.076035, -0.443737>, <-2.279157, -6.076035, -2.075164>, <-2.354485, -6.076035, -2.295165>, <-1.610363, -6.076035, -2.294079>, 
      <-2.166686, -4.050690, -0.443737>, <-2.279157, -4.050690, -2.075164>, <-2.354485, -4.050690, -2.295165>, <-1.610363, -4.050690, -2.294079>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.166686, -4.050690, -0.443737>, <-2.279157, -4.050690, -2.075164>, <-2.354485, -4.050690, -2.295165>, <-1.610363, -4.050690, -2.294079>, 
      <-2.166686, -2.025345, -0.443737>, <-2.279157, -2.025345, -2.075164>, <-2.354485, -2.025345, -2.295165>, <-1.610363, -2.025345, -2.294079>, 
      <-2.166686, 0.000000, -0.443737>, <-2.279157, 0.000000, -2.075164>, <-2.354485, 0.000000, -2.295165>, <-1.610363, 0.000000, -2.294079>, 
      <-2.166686, 2.025345, -0.443737>, <-2.279157, 2.025345, -2.075164>, <-2.354485, 2.025345, -2.295165>, <-1.610363, 2.025345, -2.294079>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.166686, 2.025345, -0.443737>, <-2.279157, 2.025345, -2.075164>, <-2.354485, 2.025345, -2.295165>, <-1.610363, 2.025345, -2.294079>, 
      <-2.166686, 4.050690, -0.443737>, <-2.279157, 4.050690, -2.075164>, <-2.354485, 4.050690, -2.295165>, <-1.610363, 4.050690, -2.294079>, 
      <-2.166686, 6.076035, -0.443737>, <-2.279157, 6.076035, -2.075164>, <-2.354485, 6.076035, -2.295165>, <-1.610363, 6.076035, -2.294079>, 
      <-2.166686, 8.101380, -0.443737>, <-2.279157, 8.101380, -2.075164>, <-2.354485, 8.101380, -2.295165>, <-1.610363, 8.101380, -2.294079>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.166686, 8.101380, -0.443737>, <-2.279157, 8.101380, -2.075164>, <-2.354485, 8.101380, -2.295165>, <-1.610363, 8.101380, -2.294079>, 
      <-2.166686, 10.126725, -0.443737>, <-2.279157, 10.126725, -2.075164>, <-2.354485, 10.126725, -2.295165>, <-1.610363, 10.126725, -2.294079>, 
      <-2.166686, 12.152070, -0.443737>, <-2.279157, 12.152070, -2.075164>, <-2.354485, 12.152070, -2.295165>, <-1.610363, 12.152070, -2.294079>, 
      <-2.166686, 14.177415, -0.443737>, <-2.279157, 14.177415, -2.075164>, <-2.354485, 14.177415, -2.295165>, <-1.610363, 14.177415, -2.294079>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.610363, -16.202761, -2.294079>, <-0.866242, -16.202761, -2.292994>, <0.133758, -16.202761, -2.292994>, <1.133758, -16.202761, -2.292994>, 
      <-1.610363, -14.177415, -2.294079>, <-0.866242, -14.177415, -2.292994>, <0.133758, -14.177415, -2.292994>, <1.133758, -14.177415, -2.292994>, 
      <-1.610363, -12.152070, -2.294079>, <-0.866242, -12.152070, -2.292994>, <0.133758, -12.152070, -2.292994>, <1.133758, -12.152070, -2.292994>, 
      <-1.610363, -10.126725, -2.294079>, <-0.866242, -10.126725, -2.292994>, <0.133758, -10.126725, -2.292994>, <1.133758, -10.126725, -2.292994>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.610363, -10.126725, -2.294079>, <-0.866242, -10.126725, -2.292994>, <0.133758, -10.126725, -2.292994>, <1.133758, -10.126725, -2.292994>, 
      <-1.610363, -8.101380, -2.294079>, <-0.866242, -8.101380, -2.292994>, <0.133758, -8.101380, -2.292994>, <1.133758, -8.101380, -2.292994>, 
      <-1.610363, -6.076035, -2.294079>, <-0.866242, -6.076035, -2.292994>, <0.133758, -6.076035, -2.292994>, <1.133758, -6.076035, -2.292994>, 
      <-1.610363, -4.050690, -2.294079>, <-0.866242, -4.050690, -2.292994>, <0.133758, -4.050690, -2.292994>, <1.133758, -4.050690, -2.292994>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.610363, -4.050690, -2.294079>, <-0.866242, -4.050690, -2.292994>, <0.133758, -4.050690, -2.292994>, <1.133758, -4.050690, -2.292994>, 
      <-1.610363, -2.025345, -2.294079>, <-0.866242, -2.025345, -2.292994>, <0.133758, -2.025345, -2.292994>, <1.133758, -2.025345, -2.292994>, 
      <-1.610363, 0.000000, -2.294079>, <-0.866242, 0.000000, -2.292994>, <0.133758, 0.000000, -2.292994>, <1.133758, 0.000000, -2.292994>, 
      <-1.610363, 2.025345, -2.294079>, <-0.866242, 2.025345, -2.292994>, <0.133758, 2.025345, -2.292994>, <1.133758, 2.025345, -2.292994>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.610363, 2.025345, -2.294079>, <-0.866242, 2.025345, -2.292994>, <0.133758, 2.025345, -2.292994>, <1.133758, 2.025345, -2.292994>, 
      <-1.610363, 4.050690, -2.294079>, <-0.866242, 4.050690, -2.292994>, <0.133758, 4.050690, -2.292994>, <1.133758, 4.050690, -2.292994>, 
      <-1.610363, 6.076035, -2.294079>, <-0.866242, 6.076035, -2.292994>, <0.133758, 6.076035, -2.292994>, <1.133758, 6.076035, -2.292994>, 
      <-1.610363, 8.101380, -2.294079>, <-0.866242, 8.101380, -2.292994>, <0.133758, 8.101380, -2.292994>, <1.133758, 8.101380, -2.292994>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.610363, 8.101380, -2.294079>, <-0.866242, 8.101380, -2.292994>, <0.133758, 8.101380, -2.292994>, <1.133758, 8.101380, -2.292994>, 
      <-1.610363, 10.126725, -2.294079>, <-0.866242, 10.126725, -2.292994>, <0.133758, 10.126725, -2.292994>, <1.133758, 10.126725, -2.292994>, 
      <-1.610363, 12.152070, -2.294079>, <-0.866242, 12.152070, -2.292994>, <0.133758, 12.152070, -2.292994>, <1.133758, 12.152070, -2.292994>, 
      <-1.610363, 14.177415, -2.294079>, <-0.866242, 14.177415, -2.292994>, <0.133758, 14.177415, -2.292994>, <1.133758, 14.177415, -2.292994>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <1.133758, -16.202761, -2.292994>, <2.133758, -16.202761, -2.292994>, <2.020468, -16.202761, -2.234851>, <2.021087, -16.202761, -1.234851>, 
      <1.133758, -14.177415, -2.292994>, <2.133758, -14.177415, -2.292994>, <2.020468, -14.177415, -2.234851>, <2.021087, -14.177415, -1.234851>, 
      <1.133758, -12.152070, -2.292994>, <2.133758, -12.152070, -2.292994>, <2.020468, -12.152070, -2.234851>, <2.021087, -12.152070, -1.234851>, 
      <1.133758, -10.126725, -2.292994>, <2.133758, -10.126725, -2.292994>, <2.020468, -10.126725, -2.234851>, <2.021087, -10.126725, -1.234851>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <1.133758, -10.126725, -2.292994>, <2.133758, -10.126725, -2.292994>, <2.020468, -10.126725, -2.234851>, <2.021087, -10.126725, -1.234851>, 
      <1.133758, -8.101380, -2.292994>, <2.133758, -8.101380, -2.292994>, <2.020468, -8.101380, -2.234851>, <2.021087, -8.101380, -1.234851>, 
      <1.133758, -6.076035, -2.292994>, <2.133758, -6.076035, -2.292994>, <2.020468, -6.076035, -2.234851>, <2.021087, -6.076035, -1.234851>, 
      <1.133758, -4.050690, -2.292994>, <2.133758, -4.050690, -2.292994>, <2.020468, -4.050690, -2.234851>, <2.021087, -4.050690, -1.234851>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <1.133758, -4.050690, -2.292994>, <2.133758, -4.050690, -2.292994>, <2.020468, -4.050690, -2.234851>, <2.021087, -4.050690, -1.234851>, 
      <1.133758, -2.025345, -2.292994>, <2.133758, -2.025345, -2.292994>, <2.020468, -2.025345, -2.234851>, <2.021087, -2.025345, -1.234851>, 
      <1.133758, 0.000000, -2.292994>, <2.133758, 0.000000, -2.292994>, <2.020468, 0.000000, -2.234851>, <2.021087, 0.000000, -1.234851>, 
      <1.133758, 2.025345, -2.292994>, <2.133758, 2.025345, -2.292994>, <2.020468, 2.025345, -2.234851>, <2.021087, 2.025345, -1.234851>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <1.133758, 2.025345, -2.292994>, <2.133758, 2.025345, -2.292994>, <2.020468, 2.025345, -2.234851>, <2.021087, 2.025345, -1.234851>, 
      <1.133758, 4.050690, -2.292994>, <2.133758, 4.050690, -2.292994>, <2.020468, 4.050690, -2.234851>, <2.021087, 4.050690, -1.234851>, 
      <1.133758, 6.076035, -2.292994>, <2.133758, 6.076035, -2.292994>, <2.020468, 6.076035, -2.234851>, <2.021087, 6.076035, -1.234851>, 
      <1.133758, 8.101380, -2.292994>, <2.133758, 8.101380, -2.292994>, <2.020468, 8.101380, -2.234851>, <2.021087, 8.101380, -1.234851>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <1.133758, 8.101380, -2.292994>, <2.133758, 8.101380, -2.292994>, <2.020468, 8.101380, -2.234851>, <2.021087, 8.101380, -1.234851>, 
      <1.133758, 10.126725, -2.292994>, <2.133758, 10.126725, -2.292994>, <2.020468, 10.126725, -2.234851>, <2.021087, 10.126725, -1.234851>, 
      <1.133758, 12.152070, -2.292994>, <2.133758, 12.152070, -2.292994>, <2.020468, 12.152070, -2.234851>, <2.021087, 12.152070, -1.234851>, 
      <1.133758, 14.177415, -2.292994>, <2.133758, 14.177415, -2.292994>, <2.020468, 14.177415, -2.234851>, <2.021087, 14.177415, -1.234851>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.021087, -16.202761, -1.234851>, <2.021705, -16.202761, -0.234851>, <2.022324, -16.202761, 0.765149>, <2.022942, -16.202761, 1.765148>, 
      <2.021087, -14.177415, -1.234851>, <2.021705, -14.177415, -0.234851>, <2.022324, -14.177415, 0.765149>, <2.022942, -14.177415, 1.765148>, 
      <2.021087, -12.152070, -1.234851>, <2.021705, -12.152070, -0.234851>, <2.022324, -12.152070, 0.765149>, <2.022942, -12.152070, 1.765148>, 
      <2.021087, -10.126725, -1.234851>, <2.021705, -10.126725, -0.234851>, <2.022324, -10.126725, 0.765149>, <2.022942, -10.126725, 1.765148>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.021087, -10.126725, -1.234851>, <2.021705, -10.126725, -0.234851>, <2.022324, -10.126725, 0.765149>, <2.022942, -10.126725, 1.765148>, 
      <2.021087, -8.101380, -1.234851>, <2.021705, -8.101380, -0.234851>, <2.022324, -8.101380, 0.765149>, <2.022942, -8.101380, 1.765148>, 
      <2.021087, -6.076035, -1.234851>, <2.021705, -6.076035, -0.234851>, <2.022324, -6.076035, 0.765149>, <2.022942, -6.076035, 1.765148>, 
      <2.021087, -4.050690, -1.234851>, <2.021705, -4.050690, -0.234851>, <2.022324, -4.050690, 0.765149>, <2.022942, -4.050690, 1.765148>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.021087, -4.050690, -1.234851>, <2.021705, -4.050690, -0.234851>, <2.022324, -4.050690, 0.765149>, <2.022942, -4.050690, 1.765148>, 
      <2.021087, -2.025345, -1.234851>, <2.021705, -2.025345, -0.234851>, <2.022324, -2.025345, 0.765149>, <2.022942, -2.025345, 1.765148>, 
      <2.021087, 0.000000, -1.234851>, <2.021705, 0.000000, -0.234851>, <2.022324, 0.000000, 0.765149>, <2.022942, 0.000000, 1.765148>, 
      <2.021087, 2.025345, -1.234851>, <2.021705, 2.025345, -0.234851>, <2.022324, 2.025345, 0.765149>, <2.022942, 2.025345, 1.765148>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.021087, 2.025345, -1.234851>, <2.021705, 2.025345, -0.234851>, <2.022324, 2.025345, 0.765149>, <2.022942, 2.025345, 1.765148>, 
      <2.021087, 4.050690, -1.234851>, <2.021705, 4.050690, -0.234851>, <2.022324, 4.050690, 0.765149>, <2.022942, 4.050690, 1.765148>, 
      <2.021087, 6.076035, -1.234851>, <2.021705, 6.076035, -0.234851>, <2.022324, 6.076035, 0.765149>, <2.022942, 6.076035, 1.765148>, 
      <2.021087, 8.101380, -1.234851>, <2.021705, 8.101380, -0.234851>, <2.022324, 8.101380, 0.765149>, <2.022942, 8.101380, 1.765148>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.021087, 8.101380, -1.234851>, <2.021705, 8.101380, -0.234851>, <2.022324, 8.101380, 0.765149>, <2.022942, 8.101380, 1.765148>, 
      <2.021087, 10.126725, -1.234851>, <2.021705, 10.126725, -0.234851>, <2.022324, 10.126725, 0.765149>, <2.022942, 10.126725, 1.765148>, 
      <2.021087, 12.152070, -1.234851>, <2.021705, 12.152070, -0.234851>, <2.022324, 12.152070, 0.765149>, <2.022942, 12.152070, 1.765148>, 
      <2.021087, 14.177415, -1.234851>, <2.021705, 14.177415, -0.234851>, <2.022324, 14.177415, 0.765149>, <2.022942, 14.177415, 1.765148>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.022942, -16.202761, 1.765148>, <2.023561, -16.202761, 2.765148>, <1.804811, -16.202761, 2.748096>, <0.805007, -16.202761, 2.728311>, 
      <2.022942, -14.177415, 1.765148>, <2.023561, -14.177415, 2.765148>, <1.804811, -14.177415, 2.748096>, <0.805007, -14.177415, 2.728311>, 
      <2.022942, -12.152070, 1.765148>, <2.023561, -12.152070, 2.765148>, <1.804811, -12.152070, 2.748096>, <0.805007, -12.152070, 2.728311>, 
      <2.022942, -10.126725, 1.765148>, <2.023561, -10.126725, 2.765148>, <1.804811, -10.126725, 2.748096>, <0.805007, -10.126725, 2.728311>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.022942, -10.126725, 1.765148>, <2.023561, -10.126725, 2.765148>, <1.804811, -10.126725, 2.748096>, <0.805007, -10.126725, 2.728311>, 
      <2.022942, -8.101380, 1.765148>, <2.023561, -8.101380, 2.765148>, <1.804811, -8.101380, 2.748096>, <0.805007, -8.101380, 2.728311>, 
      <2.022942, -6.076035, 1.765148>, <2.023561, -6.076035, 2.765148>, <1.804811, -6.076035, 2.748096>, <0.805007, -6.076035, 2.728311>, 
      <2.022942, -4.050690, 1.765148>, <2.023561, -4.050690, 2.765148>, <1.804811, -4.050690, 2.748096>, <0.805007, -4.050690, 2.728311>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.022942, -4.050690, 1.765148>, <2.023561, -4.050690, 2.765148>, <1.804811, -4.050690, 2.748096>, <0.805007, -4.050690, 2.728311>, 
      <2.022942, -2.025345, 1.765148>, <2.023561, -2.025345, 2.765148>, <1.804811, -2.025345, 2.748096>, <0.805007, -2.025345, 2.728311>, 
      <2.022942, 0.000000, 1.765148>, <2.023561, 0.000000, 2.765148>, <1.804811, 0.000000, 2.748096>, <0.805007, 0.000000, 2.728311>, 
      <2.022942, 2.025345, 1.765148>, <2.023561, 2.025345, 2.765148>, <1.804811, 2.025345, 2.748096>, <0.805007, 2.025345, 2.728311>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.022942, 2.025345, 1.765148>, <2.023561, 2.025345, 2.765148>, <1.804811, 2.025345, 2.748096>, <0.805007, 2.025345, 2.728311>, 
      <2.022942, 4.050690, 1.765148>, <2.023561, 4.050690, 2.765148>, <1.804811, 4.050690, 2.748096>, <0.805007, 4.050690, 2.728311>, 
      <2.022942, 6.076035, 1.765148>, <2.023561, 6.076035, 2.765148>, <1.804811, 6.076035, 2.748096>, <0.805007, 6.076035, 2.728311>, 
      <2.022942, 8.101380, 1.765148>, <2.023561, 8.101380, 2.765148>, <1.804811, 8.101380, 2.748096>, <0.805007, 8.101380, 2.728311>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <2.022942, 8.101380, 1.765148>, <2.023561, 8.101380, 2.765148>, <1.804811, 8.101380, 2.748096>, <0.805007, 8.101380, 2.728311>, 
      <2.022942, 10.126725, 1.765148>, <2.023561, 10.126725, 2.765148>, <1.804811, 10.126725, 2.748096>, <0.805007, 10.126725, 2.728311>, 
      <2.022942, 12.152070, 1.765148>, <2.023561, 12.152070, 2.765148>, <1.804811, 12.152070, 2.748096>, <0.805007, 12.152070, 2.728311>, 
      <2.022942, 14.177415, 1.765148>, <2.023561, 14.177415, 2.765148>, <1.804811, 14.177415, 2.748096>, <0.805007, 14.177415, 2.728311>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.805007, -16.202761, 2.728311>, <-0.194797, -16.202761, 2.708526>, <-2.159665, -16.202761, 3.189323>, <-2.141709, -16.202761, 2.189484>, 
      <0.805007, -14.177415, 2.728311>, <-0.194797, -14.177415, 2.708526>, <-2.159665, -14.177415, 3.189323>, <-2.141709, -14.177415, 2.189484>, 
      <0.805007, -12.152070, 2.728311>, <-0.194797, -12.152070, 2.708526>, <-2.159665, -12.152070, 3.189323>, <-2.141709, -12.152070, 2.189484>, 
      <0.805007, -10.126725, 2.728311>, <-0.194797, -10.126725, 2.708526>, <-2.215379, -10.126725, 2.966466>, <-2.197423, -10.126725, 1.966627>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.805007, -10.126725, 2.728311>, <-0.194797, -10.126725, 2.708526>, <-2.215379, -10.126725, 2.966466>, <-2.197423, -10.126725, 1.966627>, 
      <0.805007, -8.101380, 2.728311>, <-0.194797, -8.101380, 2.708526>, <-2.271094, -8.101380, 2.743609>, <-2.253137, -8.101380, 1.743770>, 
      <0.805007, -6.076035, 2.728311>, <-0.194797, -6.076035, 2.708526>, <-2.271094, -6.076035, 2.743609>, <-2.253137, -6.076035, 1.743770>, 
      <0.805007, -4.050690, 2.728311>, <-0.194797, -4.050690, 2.708526>, <-2.271094, -4.050690, 2.743609>, <-2.253137, -4.050690, 1.743770>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.805007, -4.050690, 2.728311>, <-0.194797, -4.050690, 2.708526>, <-2.271094, -4.050690, 2.743609>, <-2.253137, -4.050690, 1.743770>, 
      <0.805007, -2.025345, 2.728311>, <-0.194797, -2.025345, 2.708526>, <-2.271094, -2.025345, 2.743609>, <-2.253137, -2.025345, 1.743770>, 
      <0.805007, 0.000000, 2.728311>, <-0.194797, 0.000000, 2.708526>, <-2.271094, 0.000000, 2.743609>, <-2.253137, 0.000000, 1.743770>, 
      <0.805007, 2.025345, 2.728311>, <-0.194797, 2.025345, 2.708526>, <-2.271094, 2.025345, 2.743609>, <-2.253137, 2.025345, 1.743770>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.805007, 2.025345, 2.728311>, <-0.194797, 2.025345, 2.708526>, <-2.271094, 2.025345, 2.743609>, <-2.253137, 2.025345, 1.743770>, 
      <0.805007, 4.050690, 2.728311>, <-0.194797, 4.050690, 2.708526>, <-2.271094, 4.050690, 2.743609>, <-2.253137, 4.050690, 1.743770>, 
      <0.805007, 6.076035, 2.728311>, <-0.194797, 6.076035, 2.708526>, <-2.271094, 6.076035, 2.743609>, <-2.253137, 6.076035, 1.743770>, 
      <0.805007, 8.101380, 2.728311>, <-0.194797, 8.101380, 2.708526>, <-2.215379, 8.101380, 2.966466>, <-2.197423, 8.101380, 1.966627>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.805007, 8.101380, 2.728311>, <-0.194797, 8.101380, 2.708526>, <-2.215379, 8.101380, 2.966466>, <-2.197423, 8.101380, 1.966627>, 
      <0.805007, 10.126725, 2.728311>, <-0.194797, 10.126725, 2.708526>, <-2.159665, 10.126725, 3.189323>, <-2.141709, 10.126725, 2.189484>, 
      <0.805007, 12.152070, 2.728311>, <-0.194797, 12.152070, 2.708526>, <-2.159665, 12.152070, 3.189323>, <-2.141709, 12.152070, 2.189484>, 
      <0.805007, 14.177415, 2.728311>, <-0.194797, 14.177415, 2.708526>, <-2.159665, 14.177415, 3.189323>, <-2.141709, 14.177415, 2.189484>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.141709, -16.202761, 2.189484>, <-2.123752, -16.202761, 1.189645>, <-2.456053, -16.202755, -2.249232>, <-1.364082, -16.202755, -2.281428>, 
      <-2.141709, -14.177415, 2.189484>, <-2.123752, -14.177415, 1.189645>, <-2.456088, -14.177411, -2.248399>, <-1.364117, -14.177411, -2.280595>, 
      <-2.141709, -12.152070, 2.189484>, <-2.123752, -12.152070, 1.189645>, <-2.456123, -12.152066, -2.247565>, <-1.364152, -12.152066, -2.279762>, 
      <-2.197423, -10.126725, 1.966627>, <-2.179467, -10.126725, 0.966788>, <-2.456158, -10.126722, -2.246732>, <-1.364187, -10.126722, -2.278929>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.197423, -10.126725, 1.966627>, <-2.179467, -10.126725, 0.966788>, <-2.456158, -10.126722, -2.246732>, <-1.364187, -10.126722, -2.278929>, 
      <-2.253137, -8.101380, 1.743770>, <-2.235181, -8.101380, 0.743931>, <-2.456193, -8.101377, -2.245899>, <-1.364222, -8.101377, -2.278095>, 
      <-2.253137, -6.076035, 1.743770>, <-2.235181, -6.076035, 0.743931>, <-2.456228, -6.076033, -2.245066>, <-1.364257, -6.076033, -2.277262>, 
      <-2.253137, -4.050690, 1.743770>, <-2.235181, -4.050690, 0.743931>, <-2.456263, -4.050689, -2.244232>, <-1.364292, -4.050689, -2.276429>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.253137, -4.050690, 1.743770>, <-2.235181, -4.050690, 0.743931>, <-2.456263, -4.050689, -2.244232>, <-1.364292, -4.050689, -2.276429>, 
      <-2.253137, -2.025345, 1.743770>, <-2.235181, -2.025345, 0.743931>, <-2.456298, -2.025344, -2.243399>, <-1.364328, -2.025344, -2.275596>, 
      <-2.253137, 0.000000, 1.743770>, <-2.235181, 0.000000, 0.743931>, <-2.456334, 0.000000, -2.242566>, <-1.364363, 0.000000, -2.274762>, 
      <-2.253137, 2.025345, 1.743770>, <-2.235181, 2.025345, 0.743931>, <-2.456369, 2.025344, -2.241733>, <-1.364398, 2.025344, -2.273929>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.253137, 2.025345, 1.743770>, <-2.235181, 2.025345, 0.743931>, <-2.456369, 2.025344, -2.241733>, <-1.364398, 2.025344, -2.273929>, 
      <-2.253137, 4.050690, 1.743770>, <-2.235181, 4.050690, 0.743931>, <-2.456404, 4.050689, -2.240899>, <-1.364433, 4.050689, -2.273096>, 
      <-2.253137, 6.076035, 1.743770>, <-2.235181, 6.076035, 0.743931>, <-2.456439, 6.076033, -2.240066>, <-1.364468, 6.076033, -2.272263>, 
      <-2.197423, 8.101380, 1.966627>, <-2.179467, 8.101380, 0.966788>, <-2.456474, 8.101377, -2.239233>, <-1.364503, 8.101377, -2.271429>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.197423, 8.101380, 1.966627>, <-2.179467, 8.101380, 0.966788>, <-2.456474, 8.101377, -2.239233>, <-1.364503, 8.101377, -2.271429>, 
      <-2.141709, 10.126725, 2.189484>, <-2.123752, 10.126725, 1.189645>, <-2.456509, 10.126722, -2.238400>, <-1.364538, 10.126722, -2.270596>, 
      <-2.141709, 12.152070, 2.189484>, <-2.123752, 12.152070, 1.189645>, <-2.456544, 12.152066, -2.237566>, <-1.364573, 12.152066, -2.269763>, 
      <-2.141709, 14.177415, 2.189484>, <-2.123752, 14.177415, 1.189645>, <-2.456579, 14.177411, -2.236733>, <-1.364608, 14.177411, -2.268930>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.364082, -16.202755, -2.281428>, <-0.272111, -16.202755, -2.313625>, <0.727003, -16.202755, -2.271536>, <1.726117, -16.202755, -2.229447>, 
      <-1.364117, -14.177411, -2.280595>, <-0.272146, -14.177411, -2.312792>, <0.726968, -14.177411, -2.270703>, <1.726082, -14.177411, -2.228614>, 
      <-1.364152, -12.152066, -2.279762>, <-0.272181, -12.152066, -2.311959>, <0.726933, -12.152066, -2.269869>, <1.726047, -12.152066, -2.227780>, 
      <-1.364187, -10.126722, -2.278929>, <-0.272216, -10.126722, -2.311125>, <0.726898, -10.126722, -2.269036>, <1.726011, -10.126722, -2.226947>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.364187, -10.126722, -2.278929>, <-0.272216, -10.126722, -2.311125>, <0.726898, -10.126722, -2.269036>, <1.726011, -10.126722, -2.226947>, 
      <-1.364222, -8.101377, -2.278095>, <-0.272251, -8.101377, -2.310292>, <0.726862, -8.101377, -2.268203>, <1.725976, -8.101377, -2.226114>, 
      <-1.364257, -6.076033, -2.277262>, <-0.272286, -6.076033, -2.309459>, <0.726827, -6.076033, -2.267370>, <1.725941, -6.076033, -2.225281>, 
      <-1.364292, -4.050689, -2.276429>, <-0.272322, -4.050689, -2.308626>, <0.726792, -4.050689, -2.266536>, <1.725906, -4.050689, -2.224447>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.364292, -4.050689, -2.276429>, <-0.272322, -4.050689, -2.308626>, <0.726792, -4.050689, -2.266536>, <1.725906, -4.050689, -2.224447>, 
      <-1.364328, -2.025344, -2.275596>, <-0.272357, -2.025344, -2.307792>, <0.726757, -2.025344, -2.265703>, <1.725871, -2.025344, -2.223614>, 
      <-1.364363, 0.000000, -2.274762>, <-0.272392, 0.000000, -2.306959>, <0.726722, 0.000000, -2.264870>, <1.725836, 0.000000, -2.222781>, 
      <-1.364398, 2.025344, -2.273929>, <-0.272427, 2.025344, -2.306126>, <0.726687, 2.025344, -2.264037>, <1.725801, 2.025344, -2.221948>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.364398, 2.025344, -2.273929>, <-0.272427, 2.025344, -2.306126>, <0.726687, 2.025344, -2.264037>, <1.725801, 2.025344, -2.221948>, 
      <-1.364433, 4.050689, -2.273096>, <-0.272462, 4.050689, -2.305293>, <0.726652, 4.050689, -2.263203>, <1.725766, 4.050689, -2.221114>, 
      <-1.364468, 6.076033, -2.272263>, <-0.272497, 6.076033, -2.304459>, <0.726617, 6.076033, -2.262370>, <1.725731, 6.076033, -2.220281>, 
      <-1.364503, 8.101377, -2.271429>, <-0.272532, 8.101377, -2.303626>, <0.726582, 8.101377, -2.261537>, <1.725696, 8.101377, -2.219448>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.364503, 8.101377, -2.271429>, <-0.272532, 8.101377, -2.303626>, <0.726582, 8.101377, -2.261537>, <1.725696, 8.101377, -2.219448>, 
      <-1.364538, 10.126722, -2.270596>, <-0.272567, 10.126722, -2.302793>, <0.726547, 10.126722, -2.260704>, <1.725660, 10.126722, -2.218615>, 
      <-1.364573, 12.152066, -2.269763>, <-0.272602, 12.152066, -2.301960>, <0.726511, 12.152066, -2.259870>, <1.725625, 12.152066, -2.217781>, 
      <-1.364608, 14.177411, -2.268930>, <-0.272637, 14.177411, -2.301126>, <0.726476, 14.177411, -2.259037>, <1.725590, 14.177411, -2.216948>
    }
  }
  rotate z*90
  translate x*14.2
  scale <1/30,1/2.1,1/2.5>
}





#declare uTronc = union {
  cylinder { // trlichen
    <0,0,1>, <0,0,0>, 1 
    material {
      lichen
    }
    scale <1.01, 1.01, 4.0>
  }
  cylinder { // tronc
    <0,0,1>, <0,0,0>, 1 
    material {
      boisBollard
    }
    scale <1.0, 1.0, 10.0>
  }
}
#declare diftete = difference {
  cylinder { // cyldiftete
    <0,0,1>, <0,0,0>, 1 
    scale <1.0, 1.0, 1.2>
    translate  11.0*z
  }
  torus { // trdiftete
    1.25, 0.75  rotate -x*90
    translate  12.0*z
  }
  translate  -1.0*z
}
#declare CSG004 = intersection {
  box { // Cube003
    <-1, -1, -1>, <1, 1, 1>
    translate  -1.0*z
  }
  torus { // Torus003
    0.5, 0.1  rotate -x*90
    rotate -90.0*x
  }
  scale <1.0, 1.0, 1.5>
  translate  <1.852042, 0.0, 11.0>
}
#declare CSG005 = intersection {
  box { // Cube004
    <-1, -1, -1>, <1, 1, 1>
    scale 3.0
    translate  <3.0, 0.0, 13.0>
  }
  torus { // Torus004
    1.36, 0.1  rotate -x*90
    rotate -90.0*x
    translate  10.0*z
  }
  translate  <1.0, 0.0, 1.0>
}
#declare uCrochG = union {
  sphere { // Sphere002
    <0,0,0>,1
    scale <0.35, 0.2, 0.35>
    translate  <1.582619, 0.0, 11.0>
  }
  object { CSG004 }
  object { CSG005 }
  material {
    Streaky_Steel_Metal
  }
  scale <1.0, 1.0, 0.6>
  rotate <0.0, -10.0, 180.0>
  translate  <-1.11595, 0.0, 4.726377>
}
#declare CSG002 = intersection {
  box { // Cube002
    <-1, -1, -1>, <1, 1, 1>
    translate  -1.0*z
  }
  torus { // Torus001
    0.5, 0.1  rotate -x*90
    rotate -90.0*x
  }
  scale <1.0, 1.0, 1.5>
  translate  <1.852042, 0.0, 11.0>
}
#declare CSG001 = intersection {
  box { // Cube001
    <-1, -1, -1>, <1, 1, 1>
    scale 3.0
    translate  <3.0, 0.0, 13.0>
  }
  torus { // Torus002
    1.36, 0.1  rotate -x*90
    rotate -90.0*x
    translate  10.0*z
  }
  translate  <1.0, 0.0, 1.0>
}
#declare uCrochD = union {
  sphere { // Sphere001
    <0,0,0>,1
    scale <0.35, 0.2, 0.35>
    translate  <1.582619, 0.0, 11.0>
  }
  object { CSG002 }
  object { CSG001 }
  material {
    Streaky_Steel_Metal
  }
  scale <1.0, 1.0, 0.6>
  rotate -10.0*y
  translate  <1.181594, 0.0, 4.726377>
}
#declare uClousH = union {
  superellipsoid { // SuperQ001
    <0.1, 0.1>
    material {
      Streaky_Steel_Metal
    }
    scale <1.2, 0.1, 0.1>
    rotate -1.7*x
  }
  superellipsoid { // SuperQ002
    <0.1, 0.1>
    material {
      Streaky_Steel_Metal
    }
    scale <1.2, 0.1, 0.1>
    rotate <1.0, 0.0, -30.0>
    translate  0.015*z
  }
  superellipsoid { // SuperQ003
    <0.1, 0.1>
    material {
      Streaky_Steel_Metal
    }
    scale <1.2, 0.1, 0.1>
    rotate <-1.5, 0.0, -59.0>
  }
  superellipsoid { // SuperQ004
    <0.1, 0.1>
    material {
      Streaky_Steel_Metal
    }
    scale <1.2, 0.1, 0.1>
    rotate <0.5, 0.0, -91.0>
    translate  -0.02*z
  }
  superellipsoid { // SuperQ005
    <0.1, 0.1>
    material {
      Streaky_Steel_Metal
    }
    scale <1.2, 0.1, 0.1>
    rotate <-1.7, 0.0, -118.0>
  }
  superellipsoid { // SuperQ006
    <0.1, 0.1>
    material {
      Streaky_Steel_Metal
    }
    scale <1.2, 0.1, 0.1>
    rotate <2.0, 0.0, -150.0>
    translate  0.01*z
  }
  translate  9.5*z
}
#declare uTete = union {
  sphere { // sphtete
    <0,0,0>,1
    scale 1.15
    translate  12.2*z
  }
  object { diftete }
  superellipsoid { // sqtete
    <1.0, 0.2>
    scale <1.1, 1.1, 0.2>
    translate  10.030506*z
  }
  cylinder { // cylcoltete
    <0,0,1>, <0,0,0>, 1 
    scale <1.1, 1.1, 1.0>
    translate  9.0*z
  }
  object { uCrochG }
  object { uCrochD }
  object { uClousH }
  material {
    Rusty_Iron1
  }
}



#declare uClousB = union {
  superellipsoid { // SuperQ007
    <0.1, 0.1>
    material {
      Streaky_Steel_Metal
    }
    scale <1.2, 0.1, 0.1>
    rotate -1.7*x
  }
  superellipsoid { // SuperQ008
    <0.1, 0.1>
    material {
      Streaky_Steel_Metal
    }
    scale <1.2, 0.1, 0.1>
    rotate <1.0, 0.0, -30.0>
    translate  0.015*z
  }
  superellipsoid { // SuperQ009
    <0.1, 0.1>
    material {
      Streaky_Steel_Metal
    }
    scale <1.2, 0.1, 0.1>
    rotate <-1.5, 0.0, -59.0>
  }
  superellipsoid { // SuperQ010
    <0.1, 0.1>
    material {
      Streaky_Steel_Metal
    }
    scale <1.2, 0.1, 0.1>
    rotate <0.5, 0.0, -91.0>
    translate  -0.02*z
  }
  superellipsoid { // SuperQ011
    <0.1, 0.1>
    material {
      Streaky_Steel_Metal
    }
    scale <1.2, 0.1, 0.1>
    rotate <-1.7, 0.0, -118.0>
  }
  superellipsoid { // SuperQ012
    <0.1, 0.1>
    material {
      Streaky_Steel_Metal
    }
    scale <1.2, 0.1, 0.1>
    rotate <2.0, 0.0, -150.0>
    translate  0.01*z
  }
  scale 1.1
  translate  0.466697*z
} 


#declare uEmbase = union { // uEmbase
  cone { // embase
    <0,0,0>, 1.35, <0,0,1>, 1.05
    material {
      Rusty_Iron1
    }
  }
  object { uClousB }
  cylinder { // embCylCim
    <0,0,1>, <0,0,-1>, 1 
    material {
      CimentTrace
    }
    scale <2.2, 2.2, 0.01>
  }
  cone { // embConecim
    <0,0,0>, 1.7, <0,0,1>, 0.0
    material {
      CimentBase
    }
    scale <1.0, 1.0, 0.5>
  }
  cone { // Cone001
    <0,0,0>, 1.7, <0,0,1>, 0.8
    material {
      CimentTrace
    }
    scale <1.0, 1.0, 0.42>
  }
}  

#declare uBollard = union { // uBollard
  object { uTronc }
  object { uTete }
}

# declare objBollard = union {
  object {uBollard}
  object {uEmbase}
  
  rotate <-90,0,0>
  scale 1/13.3333
}         
/************************ Fin d'objet Bollard  *******/

/////// BOLLARD 02 //////////////////////////////////////
#declare difTroncBas = difference {
  cylinder { // tronc
    <0,0,1>, <0,0,0>, 1 
    scale <1.0, 1.0, 3.0>
  }
  torus { // TordifTroncBas
    7.925, 7.075  rotate -x*90
    translate  1.5*z
  }
  material {
    Bronze_Metal_D2  
    scale .01
  }
}
#declare difTronc = difference {
  cone { // Cone002
    <0,0,0>, 1.0, <0,0,1>, 0.7
    scale <1.0, 1.0, 6.0>
    translate  3.0*z
  }
  torus { // TordifTronc
    40.325, 39.675  rotate -x*90
    translate  8.0*z
  }
  material {
    Bronze_Metal_D1 
    scale .01
  }
}
#declare uTronc = union {
  cylinder { // trlichen
    <0,0,1>, <0,0,0>, 1 
    material {
      lichen  
      scale .1
    }
    scale <0.99, 0.99, 0.6>
  }
  object { difTroncBas }
  torus { // torebas
    1.0, 0.1  rotate -x*90
    material {
      Bronze_Metal_C 
      scale .1
    }
    translate  3.0*z
  }
  torus { // torehaut
    0.7, 0.1  rotate -x*90
    material {
      Bronze_Metal_C    
      scale .1
    }
    translate  9.0*z
  }
  object { difTronc }
}
#declare diftete = difference {
  cylinder { // cyldiftete
    <0,0,1>, <0,0,0>, 1 
    scale <0.7, 0.7, 1.2>
    translate  11.0*z
  }
  torus { // trdiftete
    1.0, 1.0  rotate -x*90
    translate  12.0*z
  }
  translate  -1.0*z
}
#declare difctete = difference {
  cylinder { // cylcoltete
    <0,0,1>, <0,0,0>, 1 
    scale <0.7, 0.7, 1.0>
    translate  9.0*z
  }
  torus { // Torus001
    3.825, 3.175  rotate -x*90
    translate  9.5*z
  }
}
#declare uTete = union {
  sphere { // sphtete
    <0,0,0>,1
    scale 0.3
    translate  10.7*z
  }
  object { diftete }
  superellipsoid { // sqtete
    <1.0, 0.2>
    scale <0.7, 0.7, 0.2>
    translate  9.925331*z
  }
  torus { // toretete
    0.7, 0.1  rotate -x*90
    material {
      Bronze_Metal_C 
      scale .1
    }
    scale <1.05, 1.05, 1.0>
    translate  10.0*z
  }
  object { difctete }
  material {
    Bronze_Metal_C
    scale .1
  }
}



#declare uClousB = union {
  superellipsoid { // SuperQ007
    <0.1, 0.1>
    scale <1.2, 0.1, 0.1>
    rotate -1.7*x
  }
  superellipsoid { // SuperQ008
    <0.1, 0.1>
    scale <1.2, 0.1, 0.1>
    rotate <1.0, 0.0, -30.0>
    translate  0.015*z
  }
  superellipsoid { // SuperQ009
    <0.1, 0.1>
    scale <1.2, 0.1, 0.1>
    rotate <-1.5, 0.0, -59.0>
  }
  superellipsoid { // SuperQ010
    <0.1, 0.1>
    scale <1.2, 0.1, 0.1>
    rotate <0.5, 0.0, -91.0>
    translate  -0.02*z
  }
  superellipsoid { // SuperQ011
    <0.1, 0.1>
    scale <1.2, 0.1, 0.1>
    rotate <-1.7, 0.0, -118.0>
  }
  superellipsoid { // SuperQ012
    <0.1, 0.1>
    scale <1.2, 0.1, 0.1>
    rotate <2.0, 0.0, -150.0>
    translate  0.01*z
  }
  material {
    Rusty_Iron1
  }
  translate  0.3*z
}
#declare uEmbase2 = union { // uEmbase
  cone { // embase
    <0,0,0>, 1.3, <0,0,1>, 1.0
    material {
      Bronze_Metal_D3 
      scale .1
    }
    scale <1.0, 1.0, 0.5>
  }
  cylinder { // embCylCim
    <0,0,1>, <0,0,0>, 1 
    material {
      CimentTrace
    }
    scale <2.2, 2.2, 0.02>
  }
  cone { // embConecim
    <0,0,0>, 1.7, <0,0,1>, 0.0
    material {
      CimentBase
    }
    scale <1.0, 1.0, 0.5>
  }
  cone { // Cone001
    <0,0,0>, 1.6, <0,0,1>, 0.7
    material {
      CimentTrace
    }
    scale <1.0, 1.0, 0.42>
  }
  object { uClousB }
}




#declare uBollard2 = union { // uBollard
  object { uTronc }
  object { uTete }
} 

# declare objBollard2 = union {
  object {uBollard2}
  object {uEmbase2}
  
  rotate <-90,0,0>
  scale 1/11
}         
/************* Bollard 2 **************************/


///////// BARBER POLE APPLIC ///////////////////////
#declare barberpoleapplic = union { // objBarberPole
  sphere { // Sphere002
    <0,0,0>,1
    material {
      BleuRad
    }
    scale 1.1
    translate  7.5*z
  }
  cylinder { // Cylndr001
    <0,0,1>, <0,0,0>, 1 
    material {
      barberpole02
    }
    scale <1.0, 1.0, 7.0>
  }
  torus { // Torus001
    0.9, 0.2  rotate -x*90
    material {
      BlancRad
    }
  }
  sphere { // Sphere001
    <0,0,0>,1
    material {
      RougeRad
    }
    scale 1.11
    
    translate  -0.5*z
  }
  torus { // Torus002
    0.9, 0.2  rotate -x*90
    material {
      BlancRad
    }
    translate  7.0*z
  }
  scale 0.1
  rotate 90.0*x
  //rotate -160 * y  
 
}

/******   barber pole applic  ***************/  

//////// SUPPORT EFFORT VERTICAL //////////////////
#declare supportVL = union {

        torus { // torredec
          0.11, 0.02  rotate -x*90
          material {
            Rusty_IronSup1
          }
          rotate -90.0*y
          translate  <0.0, -0.163376, 0.167469>
        }
        
        
        intersection { // intRenf
          torus { // torrenf
            0.5, 0.02  rotate -x*90
            rotate -90.0*y
          }
          box { // cubeInterrenf
            <-1, -1, -1>, <1, 1, 1>
            translate  <0.0, 1.0, -1.0>
          }
          material {
            Rusty_IronSup1
          }
          scale <1.5, 1.3, 2.2>
          translate  <0.0, -0.679792, 1.105485>
        }
        
        
        superellipsoid { // sqEmboutV
          <0.1, 0.1>
          material {
            Rusty_IronSup1
          }
          scale <0.04, 0.025, 0.05>
          rotate -90.0*x
          translate  -0.7*y
        }
        
        
        union { // uTigeV
          superellipsoid { // sqTigeRenf1
            <0.1, 0.1>
            scale <0.08, 0.025, 0.5>
            translate  0.5*z
          }
          superellipsoid { // sqTige1
            <0.1, 0.1>
            scale <0.05, 0.05, 0.5>
            translate  0.5*z
          }
          material {
            Rusty_IronSup1
          }
          scale <0.5, 1.0, 0.7>
          rotate 90.0*x
        }
        
        
        union { // uTigeH
          superellipsoid { // sqTigeRenf
            <0.1, 0.1>
            scale <0.08, 0.025, 0.5>
            translate  0.5*z
          }
          superellipsoid { // sqTige
            <0.1, 0.1>
            scale <0.05, 0.05, 0.5>
            translate  0.5*z
          }
          material {
            Rusty_IronSup1
          }
          scale <0.5, 1.0, 1.5>
          translate  -0.05*z
        }
        
        
        superellipsoid { // sqEmboutH
          <0.1, 0.1>
          material {
            Rusty_IronSup1
          }
          scale <0.04, 0.025, 0.05>
          translate  1.45*z
        }  

        rotate y*180
} 
//object {supportVL}       
/********* Fin Support vertical ******************/     

//////// SUPPORT EFFORT Horizontal //////////////////
#declare supportHL = union {
        intersection { // intRenf1
          torus { // torrenf1
            0.5, 0.02  rotate -x*90
            rotate -90.0*y
          }
          box { // cubeInterrenf1
            <-1, -1, -1>, <1, 1, 1>
            translate  <0.0, 1.0, -1.0>
          }
          material {
            Rusty_IronSup1
          }
          scale <1.5, 1.3, 2.2>
          rotate -180.0*z
          translate  <0.0, 0.6797, 1.10549>
        }
        
        
        union { // uTigeH
          superellipsoid { // sqTigeRenf
            <0.1, 0.1>
            scale <0.08, 0.025, 0.5>
            translate  0.5*z
          }
          superellipsoid { // sqTige
            <0.1, 0.1>
            scale <0.05, 0.05, 0.5>
            translate  0.5*z
          }
          material {
            Rusty_IronSup1
          }
          scale <0.37, 1.0, 0.5>
          translate  0.95*z
        }
        
        
        
        
        torus { // torredec
          0.21, 0.02  rotate -x*90
          material {
            Rusty_IronSup1
          }
          rotate -90.0*y
          translate  0.236877*z
        }
        
        
        intersection { // intRenf
          torus { // torrenf
            0.5, 0.02  rotate -x*90
            rotate -90.0*y
          }
          box { // cubeInterrenf
            <-1, -1, -1>, <1, 1, 1>
            translate  <0.0, 1.0, -1.0>
          }
          material {
            Rusty_IronSup1
          }
          scale <1.5, 1.3, 2.2>
          translate  <0.0, -0.679792, 1.105485>
        }
        
        
        superellipsoid { // sqEmboutV
          <0.1, 0.1>
          material {
            Rusty_IronSup1
          }
          scale <0.04, 0.025, 0.05>
          rotate -90.0*x
          translate  -0.7*y
        }
        
        
        union { // uTigeV
          superellipsoid { // sqTigeRenf1
            <0.1, 0.1>
            scale <0.08, 0.025, 0.5>
          }
          superellipsoid { // sqTige1
            <0.1, 0.1>
            scale <0.05, 0.05, 0.5>
          }
          material {
            Rusty_IronSup1
          }
          scale <0.5, 1.0, 1.42>
          rotate 90.0*x
        }
        
        
        superellipsoid { // sqEmboutH
          <0.1, 0.1>
          material {
            Rusty_IronSup1
          }
          scale <0.03, 0.025, 0.05>
          translate  1.45*z
        }
        rotate z * 90
        rotate y*180
}
/********* Fin Supporthorizontal ******************/   


////////// PANNEAU BABIER //////////////////////////////
#declare iCorpsTass3 = intersection {
  superellipsoid { // sqSecTass3
    <0.2, 0.1>
    translate  0.05*z
  }
  box { // cbCoupeTasse3
    <-1, -1, -1>, <1, 1, 1>
    scale <1.05, 1.05, 0.05>
    translate  0.05*z
  }
  scale <1.0, 1.0, 200.0>
  translate  <0.0, -1.0, 1.0>
}
#declare uTasseau3 = union {
  object { iCorpsTass3 }
  superellipsoid { // sqBTassHaut3
    <0.2, 0.1>
    translate  <0.0, -1.0, 21.0>
  }
  superellipsoid { // sqBtassBas3
    <0.2, 0.1>
    translate  <0.0, -1.0, 1.0>
  }
  material {
    MontantBois
  }
  scale <1.0, 1.0, 1.45>
  rotate 90.0*y
  translate  <-1.0, 0.0, 49.5>
}
#declare iCorpsTass = intersection {
  superellipsoid { // sqSecTass
    <0.2, 0.1>
    translate  0.05*z
  }
  box { // cbCoupeTasse
    <-1, -1, -1>, <1, 1, 1>
    scale <1.05, 1.05, 0.05>
    translate  0.05*z
  }
  scale <1.0, 1.0, 200.0>
  translate  <0.0, -1.0, 1.0>
}
#declare uTasseau = union {
  object { iCorpsTass }
  superellipsoid { // sqBTassHaut
    <0.2, 0.1>
    translate  <0.0, -1.0, 21.0>
  }
  superellipsoid { // sqBtassBas
    <0.2, 0.1>
    translate  <0.0, -1.0, 1.0>
  }
  material {
    MontantBois
  }
  scale <1.0, 1.0, 2.3>
}
#declare iCorpsTass2 = intersection {
  superellipsoid { // sqSecTass2
    <0.2, 0.1>
    translate  0.05*z
  }
  box { // cbCoupeTasse2
    <-1, -1, -1>, <1, 1, 1>
    scale <1.05, 1.05, 0.05>
    translate  0.05*z
  }
  scale <1.0, 1.0, 200.0>
  translate  <0.0, -1.0, 1.0>
}
#declare uTasseau2 = union {
  object { iCorpsTass2 }
  superellipsoid { // sqBTassHaut2
    <0.2, 0.1>
    translate  <0.0, -1.0, 21.0>
  }
  superellipsoid { // sqBtassBas2
    <0.2, 0.1>
    translate  <0.0, -1.0, 1.0>
  }
  texture {
    BallWood
  }
  scale <1.0, 1.0, 1.35>
  rotate 90.0*y
  translate  8.0*z
}
#declare iCorpsTass1 = intersection {
  superellipsoid { // sqSecTass1
    <0.2, 0.1>
    translate  0.05*z
  }
  box { // cbCoupeTasse1
    <-1, -1, -1>, <1, 1, 1>
    scale <1.05, 1.05, 0.05>
    translate  0.05*z
  }
  scale <1.0, 1.0, 200.0>
  translate  <0.0, -1.0, 1.0>
}
#declare uTasseau1 = union {
  object { iCorpsTass1 }
  superellipsoid { // sqBTassHaut1
    <0.2, 0.1>
    translate  <0.0, -1.0, 21.0>
  }
  superellipsoid { // sqBtassBas1
    <0.2, 0.1>
    translate  <0.0, -1.0, 1.0>
  }
  material {
    MontantBois
  }
  scale <1.0, 1.0, 2.3>
  translate  30.0*x
}
#declare uCharniere = union {
  cylinder { // cylAxeG
    <0,0,1>, <0,0,0>, 1 
    material {
      Feroxyde
    }
    scale <0.2, 0.2, 4.0>
    rotate 90.0*y
    translate  5.0*x
  }
  cylinder { // cylAxeD
    <0,0,1>, <0,0,0>, 1 
    material {
      Feroxyde
    }
    scale <0.2, 0.2, 4.0>
    rotate 90.0*y
    translate  20.0*x
  }
  cylinder { // cylGondD
    <0,0,1>, <0,0,0>, 1 
    material {
      charnieres
    }
    scale <0.5, 0.5, 4.0>
    rotate 90.0*y
    translate  18.0*x
  }
  cylinder { // cylGondG
    <0,0,1>, <0,0,0>, 1 
    material {
      charnieres
    }
    scale <0.5, 0.5, 4.0>
    rotate 90.0*y
    translate  3.5*x
  }
  translate  50.5*z
}
#declare uEtaiG = union {
  cylinder { // cylEtaiG1
    <0,0,1>, <0,0,0>, 1 
    material {
      Feroxyde
    }
    scale <0.75, 0.75, 0.1>
    rotate -90.0*y
    translate  <-1.0, 6.5, 0.0>
  }
  box { // cubEtai
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 3.75, 0.75>
    translate  <-1.05, 2.75, 0.0>
  }
  cylinder { // cylEtaiG
    <0,0,1>, <0,0,0>, 1 
    material {
      Feroxyde
    }
    scale <0.75, 0.75, 0.1>
    rotate -90.0*y
    translate  <-1.0, -1.0, 0.0>
  }
  material {
    charnieres
  }
  rotate 17.0*x
  translate  25.3*z
}
#declare uEtaiG1 = union {
  cylinder { // cylEtaiG2
    <0,0,1>, <0,0,0>, 1 
    material {
      Feroxyde
    }
    scale <0.75, 0.75, 0.1>
    rotate -90.0*y
    translate  <-1.0, 6.5, 0.0>
  }
  box { // cubEtai1
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 3.75, 0.75>
    translate  <-1.05, 2.75, 0.0>
  }
  cylinder { // cylEtaiG3
    <0,0,1>, <0,0,0>, 1 
    material {
      Feroxyde
    }
    scale <0.75, 0.75, 0.1>
    rotate -90.0*y
    translate  <-1.0, -1.0, 0.0>
  }
  material {
    charnieres
  }
  rotate 17.5*x
  translate  <32.3, 0.0, 25.3>
} 


#declare panneau = union { // panneau
  object { uTasseau3 }
  object { uTasseau }
  object { uTasseau2 }
  object { uTasseau1 }
  box { // ardoise
    <-0, -0, -0>, <1, 1, 1>
    material {
      panneauImg
    }
    scale <30.0, 0.5, 40.0>
    translate  <0.0, -1.0, 9.0>
  } 
  
    box { // ardoiseF
    <-0, -0, -0>, <1, 1, 1>
    material {
      panneauFnd
    }
    scale <30.0, 0.5, 40.0>
    translate  <0.0, -0.95, 9.0>
  }
  
  
  object { uCharniere }
  cylinder { // cylConsG
    <0,0,1>, <0,0,0>, 1 
    material {
      Feroxyde
    }
    scale <0.3, 0.3, 0.5>
    rotate -90.0*y
    translate  <-0.9, -1.0, 25.0>
  }
  cylinder { // cylConsD
    <0,0,1>, <0,0,0>, 1 
    material {
      Feroxyde
    }
    scale <0.3, 0.3, 0.5>
    rotate 90.0*y
    translate  <31.0, -1.0, 25.0>
  }

  object { uEtaiG }
  object { uEtaiG1 }
  rotate -15.0*x
}
#declare chalkboard = union {
        object {panneau}

        object {panneau
          
          rotate z * -180.0
          translate  <30.0, 1*26.15, 0.0>
        }
        scale <-1,1,1> * 1/33
        rotate -x*90
        translate <.95,0,.5>
}
/******** Fin Panneau Barbier **********************************/

 

////////////////* CLOCHE D'HORLOGE St Dunstan *********/  
#declare uSup060 = union {
  box { // sup060
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 1.0>
    translate  1.0*z
  }
  rotate <-0.0, 20.0, -60.0>
}
#declare uSup180 = union {
  box { // sup180
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 1.0>
    translate  1.0*z
  }
  rotate <0.0, 20.0, 180.0>
}
#declare uSup300 = union {
  box { // sup300
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 1.0>
    translate  1.0*z
  }
  rotate <-0.0, 20.0, 60.0>
}
#declare uSupportCloche = union { // uSupportCloche
  object { uSup060 }
  object { uSup180 }
  object { uSup300 }
  material {
    Rusty_Iron
  }
  scale <1.0, 1.0, 1.6>
}//uSupportCloche


#declare RotSweep001 = lathe {
  cubic_spline
  7  // control points
  <2.134585, -2.893584>,
  <1.57, -2.7>,
  <1.076682, -2.136933>,
  <0.678013, -1.313576>,
  <0.529734, -0.349374>,
  <0.0, 0.0>,
  <-0.399061, -0.541471>
  rotate <90,0,90>
}
#declare uCloche = union { // uCloche
  sphere { // Sphere001
    <0,0,0>,1
    scale 0.15
    translate  0.05*z
  }
  torus { // Torus003
    0.55, 0.05  rotate -x*90
    translate  -0.421726*z
  }
  torus { // Torus002
    1.0, 0.05  rotate -x*90
    translate  -2.0*z
  }
  torus { // Torus001
    1.55, 0.05  rotate -x*90
    translate  -2.736747*z
  }
  object { RotSweep001 }
  material {
    BELL
  }
  //rotate -x * 90  
  //translate y*-1
}//uCloche


#declare uClocheSup = union {
    object {uSupportCloche} 
    object {uCloche} 
    scale .33333
    rotate -x * 90  
        
}    

/************ Fin Cloche d'horloge St Dunstan *********/          


////////////////////////////////////////////////////////
//
// TOITURES GROSSIERES


#declare toiTer03 = prism { // TransSweep001
  linear_sweep
  linear_spline
  -1.0,0.0
  50  // control points
  <0.0, 0.0>,
  <1.0, 0.0>,
  <0.999183, 0.110414>,
  <0.910313, 0.10972>,
  <0.909554, 0.163702>,
  <0.918877, 0.164635>,
  <0.91788, 0.176715>,
  <0.884651, 0.176412>,
  <0.861475, 0.176258>,
  <0.834288, 0.176002>,
  <0.826676, 0.219727>,
  <0.799608, 0.220876>,
  <0.791879, 0.176359>,
  <0.77064, 0.176296>,
  <0.763597, 0.21863>,
  <0.737757, 0.219199>,
  <0.733891, 0.17667>,
  <0.711756, 0.176664>,
  <0.705484, 0.220906>,
  <0.673909, 0.219988>,
  <0.669539, 0.177599>,
  <0.634206, 0.177729>,
  <0.625732, 0.177136>,
  <0.619402, 0.161839>,
  <0.629368, 0.161456>,
  <0.629849, 0.100494>,
  <0.502005, 0.098946>,
  <0.503845, 0.141902>,
  <0.514145, 0.142771>,
  <0.515405, 0.157689>,
  <0.421257, 0.157398>,
  <0.420566, 0.139938>,
  <0.427655, 0.140491>,
  <0.429329, 0.101294>,
  <0.321313, 0.100967>,
  <0.320405, 0.196621>,
  <0.330405, 0.196621>,
  <0.330405, 0.226621>,
  <0.307099, 0.224554>,
  <0.272364, 0.224966>,
  <0.258856, 0.224525>,
  <0.219465, 0.226621>,
  <0.200405, 0.226621>,
  <0.200405, 0.196621>,
  <0.210405, 0.196621>,
  <0.210405, 0.104288>,
  <0.130393, 0.088874>,
  <0.041677, 0.056988>,
  <-0.001317, 0.056957>,
  <0.0, 0.0>
  rotate -x*90
  
}



#declare toiTer02 = prism { // TransSweep001
  linear_sweep
  linear_spline
  -1.0,0.0
  35  // control points
  <0.0, 0.0>,
  <1.0, 0.0>,
  <1.001417, 0.054564>,
  <0.910313, 0.053871>,
  <0.910149, 0.176715>,
  <0.634206, 0.177729>,
  <0.634317, 0.05358>,
  <0.504239, 0.054266>,
  <0.503845, 0.141902>,
  <0.514145, 0.142771>,
  <0.515405, 0.157689>,
  <0.421257, 0.157398>,
  <0.420566, 0.139938>,
  <0.427655, 0.140491>,
  <0.427095, 0.052147>,
  <0.321313, 0.051819>,
  <0.320405, 0.196621>,
  <0.330405, 0.196621>,
  <0.330405, 0.226621>,
  <0.307099, 0.224554>,
  <0.301332, 0.29026>,
  <0.273903, 0.292382>,
  <0.272364, 0.224966>,
  <0.258856, 0.224525>,
  <0.254059, 0.279511>,
  <0.22413, 0.28105>,
  <0.219465, 0.226621>,
  <0.200405, 0.226621>,
  <0.200405, 0.196621>,
  <0.210405, 0.196621>,
  <0.210405, 0.104288>,
  <0.099118, 0.104512>,
  <0.097527, 0.056988>,
  <-0.001317, 0.056957>,
  <0.0, 0.0>
  rotate -x*90
  
}



////////// Miroir rectangulaire cadre bois 1 * 1.6   
//
// ********  MATERIALS  *******
//

#declare Ballwoodmir = 
   material  // Ballwoodmir
   {   
      texture
      {      
         pigment
         {
            wood
            color_map
            {
               [ 0.0     rgbft <0.888, 0.6, 0.3, 0.0, 0.0> ]
               [ 0.1     rgbft <0.888, 0.6, 0.3, 0.0, 0.0> ]
               [ 0.9     rgbft <0.7, 0.35, 0.2, 0.0, 0.0> ]
               [ 1.0     rgbft <0.7, 0.35, 0.2, 0.0, 0.0> ]
            }
            turbulence 0.06
            octaves 3
            ramp_wave
            scale  <0.05, 0.75, 1.0>
            rotate -45.0 * z
         }
      }
   }


//  $MRY$: 'MIRROR'


#declare MIRRORMir = 
   material  // MIRROR
   {   
      texture
      {      
         pigment
         {
            marble
            color_map
            {
               [ 0.0     rgbft <0.25886, 0.44114, 0.25886, 0.0, 0.0> ]
               [ 0.8     rgbft <0.114065, 0.185935, 0.114065, 0.0, 0.0> ]
               [ 0.8     rgbft <0.25886, 0.44114, 0.25886, 0.0, 0.0> ]
               [ 1.0     rgbft <0.082293, 0.117707, 0.082293, 0.0, 0.0> ]
            }
            turbulence 1.8
            ramp_wave
         }      
         normal
         {
            bumps , 0.2
            scale  0.2
         }      
         finish
         {
            ambient 0.1
            reflection
            {
               0.6 , 0.6
               fresnel  off
               falloff  1.0
               exponent 1.0
               metallic 0.0
            }
         }
      }
   }




//
// ********  OBJECTS  *******
//



# declare glacemir = superellipsoid { // SuperQ001
  <0.1, 0.1>
  material {
    MIRRORMir
  }
  scale <10.0, 16.0, 0.3>
  rotate -90.0*x
}


#declare IntCentral3 = intersection {
  superellipsoid { // SQCentral3
    <0.2, 0.001>
    scale <1.0, 1.0, 16.0>
  }
  box { // Cube004
    <-1, -1, -1>, <1, 1, 1>
    scale <1.1, 1.1, 1.0>
  }
  scale <1.0, 1.0, 10.0>
}




#declare cadremir = union {
        union { // UTasseau10B1
          superellipsoid { // SQExtr7
            <0.2, 0.1>
            translate  10.0*z
          }
          superellipsoid { // SQExtr8
            <0.2, 0.1>
            translate  -10.0*z
          }
          object { IntCentral3 }
          material {
            Ballwoodmir
          }
          rotate -90.0*y
          translate  16.0*z
        }
        
        
        #declare IntCentral2 = intersection {
          superellipsoid { // SQCentral2
            <0.2, 0.001>
            scale <1.0, 1.0, 16.0>
          }
          box { // Cube003
            <-1, -1, -1>, <1, 1, 1>
            scale <1.1, 1.1, 1.0>
          }
          scale <1.0, 1.0, 10.0>
        }
        union { // UTasseau10B
          superellipsoid { // SQExtr5
            <0.2, 0.1>
            translate  10.0*z
          }
          superellipsoid { // SQExtr6
            <0.2, 0.1>
            translate  -10.0*z
          }
          object { IntCentral2 }
          material {
            Ballwoodmir
          }
          rotate -90.0*y
          translate  -16.0*z
        }
        
        
        #declare IntCentral1 = intersection {
          superellipsoid { // SQCentral1
            <0.2, 0.001>
            scale <1.0, 1.0, 16.0>
          }
          box { // Cube002
            <-1, -1, -1>, <1, 1, 1>
            scale <1.1, 1.1, 1.0>
          }
          scale <1.0, 1.0, 16.0>
        }
        union { // UTasseau16G
          superellipsoid { // SQExtr3
            <0.2, 0.1>
            translate  16.0*z
          }
          superellipsoid { // SQExtr4
            <0.2, 0.1>
            translate  -16.0*z
          }
          object { IntCentral1 }
          material {
            Ballwoodmir
          }
          translate  -10.0*x
        }
        
        
        #declare IntCentral = intersection {
          superellipsoid { // SQCentral
            <0.2, 0.001>
            scale <1.0, 1.0, 16.0>
          }
          box { // Cube001
            <-1, -1, -1>, <1, 1, 1>
            scale <1.1, 1.1, 1.0>
          }
          scale <1.0, 1.0, 16.0>
        }
        union { // UTasseau16D
          superellipsoid { // SQExtr1
            <0.2, 0.1>
            translate  16.0*z
          }
          superellipsoid { // SQExtr2
            <0.2, 0.1>
            translate  -16.0*z
          }
          object { IntCentral }
          material {
            Ballwoodmir
          }
          translate  10.0*x
        }
}

#declare MiroirRect = union {
        object {cadremir} 
        object {glacemir}  
        scale .1
        rotate x*90
}        



////////// Miroir rectangulaire cadre FerBlanc 1 * 1.6   
//
// ********  MATERIALS  *******
//




#declare MIRRORMir = 
   material  // MIRROR
   {   
      texture
      {      
         pigment
         {
            marble
            color_map
            {
               [ 0.0     rgbft <0.25886, 0.44114, 0.25886, 0.0, 0.0> ]
               [ 0.8     rgbft <0.114065, 0.185935, 0.114065, 0.0, 0.0> ]
               [ 0.8     rgbft <0.25886, 0.44114, 0.25886, 0.0, 0.0> ]
               [ 1.0     rgbft <0.082293, 0.117707, 0.082293, 0.0, 0.0> ]
            }
            turbulence 1.8
            ramp_wave
         }      
         normal
         {
            bumps , 0.2
            scale  0.2
         }      
         finish
         {
            ambient 0.1
            reflection
            {
               0.6 , 0.6
               fresnel  off
               falloff  1.0
               exponent 1.0
               metallic 0.0
            }
         }
      }
   }




//
// ********  OBJECTS  *******
//



# declare glacemirFB = superellipsoid { // SuperQ001
  <0.1, 0.1>
  material {
    MIRRORMir
  }
  scale <10.0, 16.0, 0.3>
  rotate -90.0*x
}


#declare IntCentral3 = intersection {
  superellipsoid { // SQCentral3
    <0.2, 0.001>
    scale <1.0, 1.0, 16.0>
  }
  box { // Cube004
    <-1, -1, -1>, <1, 1, 1>
    scale <1.1, 1.1, 1.0>
  }
  scale <1.0, 1.0, 10.0>
}




#declare cadremirFB = union {
        union { // UTasseau10B1
          superellipsoid { // SQExtr7
            <0.2, 0.1>
            translate  10.0*z
          }
          superellipsoid { // SQExtr8
            <0.2, 0.1>
            translate  -10.0*z
          }
          object { IntCentral3 }
          texture {
            Texferblanc
          }
          rotate -90.0*y
          translate  16.0*z
        }
        
        
        #declare IntCentral2 = intersection {
          superellipsoid { // SQCentral2
            <0.2, 0.001>
            scale <1.0, 1.0, 16.0>
          }
          box { // Cube003
            <-1, -1, -1>, <1, 1, 1>
            scale <1.1, 1.1, 1.0>
          }
          scale <1.0, 1.0, 10.0>
        }
        union { // UTasseau10B
          superellipsoid { // SQExtr5
            <0.2, 0.1>
            translate  10.0*z
          }
          superellipsoid { // SQExtr6
            <0.2, 0.1>
            translate  -10.0*z
          }
          object { IntCentral2 }
          texture {
            Texferblanc
          }
          rotate -90.0*y
          translate  -16.0*z
        }
        
        
        #declare IntCentral1 = intersection {
          superellipsoid { // SQCentral1
            <0.2, 0.001>
            scale <1.0, 1.0, 16.0>
          }
          box { // Cube002
            <-1, -1, -1>, <1, 1, 1>
            scale <1.1, 1.1, 1.0>
          }
          scale <1.0, 1.0, 16.0>
        }
        union { // UTasseau16G
          superellipsoid { // SQExtr3
            <0.2, 0.1>
            translate  16.0*z
          }
          superellipsoid { // SQExtr4
            <0.2, 0.1>
            translate  -16.0*z
          }
          object { IntCentral1 }
          texture {
            Texferblanc
          }
          translate  -10.0*x
        }
        
        
        #declare IntCentral = intersection {
          superellipsoid { // SQCentral
            <0.2, 0.001>
            scale <1.0, 1.0, 16.0>
          }
          box { // Cube001
            <-1, -1, -1>, <1, 1, 1>
            scale <1.1, 1.1, 1.0>
          }
          scale <1.0, 1.0, 16.0>
        }
        union { // UTasseau16D
          superellipsoid { // SQExtr1
            <0.2, 0.1>
            translate  16.0*z
          }
          superellipsoid { // SQExtr2
            <0.2, 0.1>
            translate  -16.0*z
          }
          object { IntCentral }
          texture {
            Texferblanc
          }
          translate  10.0*x
        }
}

#declare MiroirRectFB = union {
        object {cadremirFB} 
        object {glacemirFB}  
        scale .1
        rotate x*90
}        



////////// Miroir rectangulaire cadre Cuivre 1 * 1.6   
//
// ********  MATERIALS  *******
//




#declare MIRRORMir = 
   material  // MIRROR
   {   
      texture
      {      
         pigment
         {
            marble
            color_map
            {
               [ 0.0     rgbft <0.25886, 0.44114, 0.25886, 0.0, 0.0> ]
               [ 0.8     rgbft <0.114065, 0.185935, 0.114065, 0.0, 0.0> ]
               [ 0.8     rgbft <0.25886, 0.44114, 0.25886, 0.0, 0.0> ]
               [ 1.0     rgbft <0.082293, 0.117707, 0.082293, 0.0, 0.0> ]
            }
            turbulence 1.8
            ramp_wave
         }      
         normal
         {
            bumps , 0.2
            scale  0.2
         }      
         finish
         {
            ambient 0.1
            reflection
            {
               0.6 , 0.6
               fresnel  off
               falloff  1.0
               exponent 1.0
               metallic 0.0
            }
         }
      }
   }




//
// ********  OBJECTS  *******
//



# declare glacemirCu = superellipsoid { // SuperQ001
  <0.1, 0.1>
  material {
    MIRRORMir
  }
  scale <10.0, 16.0, 0.3>
  rotate -90.0*x
}


#declare IntCentral3 = intersection {
  superellipsoid { // SQCentral3
    <0.2, 0.001>
    scale <1.0, 1.0, 16.0>
  }
  box { // Cube004
    <-1, -1, -1>, <1, 1, 1>
    scale <1.1, 1.1, 1.0>
  }
  scale <1.0, 1.0, 10.0>
}




#declare cadremirCu = union {
        union { // UTasseau10B1
          superellipsoid { // SQExtr7
            <0.2, 0.1>
            translate  10.0*z
          }
          superellipsoid { // SQExtr8
            <0.2, 0.1>
            translate  -10.0*z
          }
          object { IntCentral3 }
          texture {
            Copper_Texture
          }
          rotate -90.0*y
          translate  16.0*z
        }
        
        
        #declare IntCentral2 = intersection {
          superellipsoid { // SQCentral2
            <0.2, 0.001>
            scale <1.0, 1.0, 16.0>
          }
          box { // Cube003
            <-1, -1, -1>, <1, 1, 1>
            scale <1.1, 1.1, 1.0>
          }
          scale <1.0, 1.0, 10.0>
        }
        union { // UTasseau10B
          superellipsoid { // SQExtr5
            <0.2, 0.1>
            translate  10.0*z
          }
          superellipsoid { // SQExtr6
            <0.2, 0.1>
            translate  -10.0*z
          }
          object { IntCentral2 }
          texture {
            Copper_Texture
          }
          rotate -90.0*y
          translate  -16.0*z
        }
        
        
        #declare IntCentral1 = intersection {
          superellipsoid { // SQCentral1
            <0.2, 0.001>
            scale <1.0, 1.0, 16.0>
          }
          box { // Cube002
            <-1, -1, -1>, <1, 1, 1>
            scale <1.1, 1.1, 1.0>
          }
          scale <1.0, 1.0, 16.0>
        }
        union { // UTasseau16G
          superellipsoid { // SQExtr3
            <0.2, 0.1>
            translate  16.0*z
          }
          superellipsoid { // SQExtr4
            <0.2, 0.1>
            translate  -16.0*z
          }
          object { IntCentral1 }
          texture {
            Copper_Texture
          }
          translate  -10.0*x
        }
        
        
        #declare IntCentral = intersection {
          superellipsoid { // SQCentral
            <0.2, 0.001>
            scale <1.0, 1.0, 16.0>
          }
          box { // Cube001
            <-1, -1, -1>, <1, 1, 1>
            scale <1.1, 1.1, 1.0>
          }
          scale <1.0, 1.0, 16.0>
        }
        union { // UTasseau16D
          superellipsoid { // SQExtr1
            <0.2, 0.1>
            translate  16.0*z
          }
          superellipsoid { // SQExtr2
            <0.2, 0.1>
            translate  -16.0*z
          }
          object { IntCentral }
          texture {
            Copper_Texture
          }
          translate  10.0*x
        }
}

#declare MiroirRectCu = union {
        object {cadremirCu} 
        object {glacemirCu}  
        scale .1
        rotate x*90
}        


////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// Objet Torchebal ///////////////////////////////////////////////
//
#declare coltorchbl = rgb <0.3,0.5,0.85>; 
#declare coltorchrz =  rgb <0.7,0.35,0.5>; 
#declare coltorchgr =  rgb <0.99,0.95,0.99>;    

#declare pigtorch =   pigment {checker coltorchgr,  coltorchbl  turbulence 0.075 scale 0.7}

#declare textorchsup =   texture{
        pigment {pigtorch  }      
        rotate -z*5
        normal {bumps .05 scale <0.2,3,1> turbulence 0.1}
        finish {crand 0.08 diffuse 0.8 ambient 0.4}
} 

#declare textorchmed =   texture{
        pigment {pigtorch  scale .8}      
        rotate z*1
        normal {bumps .05 scale <0.2,5,1>}
        finish {crand 0.08 diffuse 0.75 ambient 0.35}
}        


#declare textorchinf =   texture{
        pigment {pigtorch scale .9 }      
        rotate -z*1.5
        normal {bumps .05 scale <0.2,5,1>}
        finish {crand 0.08 diffuse 0.72 ambient 0.33}
}
//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//   

#declare torchebal = union {

union { // BezPtch004
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.454561, -6.866567, 0.657273>, <-2.454561, -6.870971, 0.675311>, <-1.698175, -6.927813, 0.772885>, <-0.773703, -6.927813, 0.772885>, 
      <-2.454561, 1.082831, 0.613496>, <-2.454561, 1.066867, 0.624690>, <-1.698175, 1.053806, 0.633849>, <-0.773703, 1.053806, 0.633849>, 
      <-2.454561, 1.797146, 0.820458>, <-2.454561, 1.779531, 0.800686>, <-1.698175, 1.765119, 0.784509>, <-0.773703, 1.765119, 0.784509>, 
      <-3.051296, -6.765423, 0.866081>, <-3.054486, -6.796076, 0.858918>, <-2.118512, -6.918855, 0.853057>, <-1.163202, -7.038267, 0.853057>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.773703, -6.927813, 0.772885>, <0.150769, -6.927813, 0.772885>, <0.907156, -6.870971, 0.675311>, <0.907156, -6.866567, 0.657273>, 
      <-0.773703, 1.053806, 0.633849>, <0.150769, 1.053806, 0.633849>, <0.907156, 1.066867, 0.624690>, <0.907156, 1.082831, 0.613496>, 
      <-0.773703, 1.765119, 0.784509>, <0.150769, 1.765119, 0.784509>, <0.907156, 1.779531, 0.800686>, <0.907156, 1.797146, 0.820458>, 
      <-1.163202, -7.038267, 0.853057>, <-0.207892, -7.157678, 0.853057>, <0.733303, -7.230300, 0.858918>, <0.736494, -7.199647, 0.866081>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.907156, -6.866567, 0.657273>, <0.907156, -6.862163, 0.639235>, <0.150769, -6.858559, 0.624477>, <-0.773703, -6.858559, 0.624477>, 
      <0.907156, 1.082831, 0.613496>, <0.907156, 1.098795, 0.602302>, <0.150769, 1.111856, 0.593143>, <-0.773703, 1.111856, 0.593143>, 
      <0.907156, 1.797146, 0.820458>, <0.907156, 1.814761, 0.840230>, <0.150769, 1.829173, 0.856408>, <-0.773703, 1.829173, 0.856408>, 
      <0.736494, -7.199647, 0.866081>, <0.739685, -7.168995, 0.873245>, <-0.196289, -7.046216, 0.879105>, <-1.151600, -6.926804, 0.879105>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.773703, -6.858559, 0.624477>, <-1.698175, -6.858559, 0.624477>, <-2.454561, -6.862163, 0.639235>, <-2.454561, -6.866567, 0.657273>, 
      <-0.773703, 1.111856, 0.593143>, <-1.698175, 1.111856, 0.593143>, <-2.454561, 1.098795, 0.602302>, <-2.454561, 1.082831, 0.613496>, 
      <-0.773703, 1.829173, 0.856408>, <-1.698175, 1.829173, 0.856408>, <-2.454561, 1.814761, 0.840230>, <-2.454561, 1.797146, 0.820458>, 
      <-1.151600, -6.926804, 0.879105>, <-2.106910, -6.807393, 0.879105>, <-3.048105, -6.734771, 0.873245>, <-3.051296, -6.765423, 0.866081>
    }
  }
   texture {textorchsup    }
  scale <0.806574, 0.806677, 6.926638>
  rotate -180.0*y
  translate  <-8.888058, -9.190841, 5.574769>
}


union { // BezPtch003
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.454561, -6.866567, 0.657273>, <-2.454561, -6.870971, 0.675311>, <-1.698175, -6.927813, 0.772885>, <-0.773703, -6.927813, 0.772885>, 
      <-2.454561, 1.082831, 0.613496>, <-2.454561, 1.066867, 0.624690>, <-1.698175, 1.053806, 0.633849>, <-0.773703, 1.053806, 0.633849>, 
      <-2.454561, 1.797146, 0.820458>, <-2.454561, 1.779531, 0.800686>, <-1.698175, 1.765119, 0.784509>, <-0.773703, 1.765119, 0.784509>, 
      <-2.454561, -6.502974, 0.866081>, <-2.454561, -6.533791, 0.858918>, <-1.698175, -6.559006, 0.853057>, <-0.773703, -6.559006, 0.853057>
    } 
    
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.773703, -6.927813, 0.772885>, <0.150769, -6.927813, 0.772885>, <0.907156, -6.870971, 0.675311>, <0.907156, -6.866567, 0.657273>, 
      <-0.773703, 1.053806, 0.633849>, <0.150769, 1.053806, 0.633849>, <0.907156, 1.066867, 0.624690>, <0.907156, 1.082831, 0.613496>, 
      <-0.773703, 1.765119, 0.784509>, <0.150769, 1.765119, 0.784509>, <0.907156, 1.779531, 0.800686>, <0.907156, 1.797146, 0.820458>, 
      <-0.773703, -6.559006, 0.853057>, <0.150769, -6.559006, 0.853057>, <0.907156, -6.533791, 0.858918>, <0.907156, -6.502974, 0.866081>
    }
    
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.907156, -6.866567, 0.657273>, <0.907156, -6.862163, 0.639235>, <0.150769, -6.858559, 0.624477>, <-0.773703, -6.858559, 0.624477>, 
      <0.907156, 1.082831, 0.613496>, <0.907156, 1.098795, 0.602302>, <0.150769, 1.111856, 0.593143>, <-0.773703, 1.111856, 0.593143>, 
      <0.907156, 1.797146, 0.820458>, <0.907156, 1.814761, 0.840230>, <0.150769, 1.829173, 0.856408>, <-0.773703, 1.829173, 0.856408>, 
      <0.907156, -6.502974, 0.866081>, <0.907156, -6.472156, 0.873245>, <0.150769, -6.446941, 0.879105>, <-0.773703, -6.446941, 0.879105>
    }
     
  }
  /*
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.773703, -6.858559, 0.624477>, <-1.698175, -6.858559, 0.624477>, <-2.454561, -6.862163, 0.639235>, <-2.454561, -6.866567, 0.657273>, 
      <-0.773703, 1.111856, 0.593143>, <-1.698175, 1.111856, 0.593143>, <-2.454561, 1.098795, 0.602302>, <-2.454561, 1.082831, 0.613496>, 
      <-0.773703, 1.829173, 0.856408>, <-1.698175, 1.829173, 0.856408>, <-2.454561, 1.814761, 0.840230>, <-2.454561, 1.797146, 0.820458>, 
      <-0.773703, -6.446941, 0.879105>, <-1.698175, -6.446941, 0.879105>, <-2.454561, -6.472156, 0.873245>, <-2.454561, -6.502974, 0.866081>
    }
    pigment {rgb<1,.5,.2>}
  }
  */
  
  
    object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.773703, -6.858559, 0.624477>, <-1.698175, -6.858559, 0.624477>, <-2.454561, -6.862163, 0.639235>, <-2.454561, -6.866567, 0.657273>, 
      <-0.773703, 1.111856, 0.593143>, <-1.698175, 1.111856, 0.593143>, <-2.454561, 1.098795, 0.602302>, <-1.554561, 1.082831, 0.613496>, 
      <-0.773703, 1.829173, 0.856408>, <-1.698175, 1.829173, 0.856408>, <-2.454561, 1.814761, 0.840230>, <-3.4754561, 1.797146, 0.820458>, 
      <-0.773703, -6.446941, 0.879105>, <-1.698175, -6.446941, 0.879105>, <-2.454561, -6.472156, 0.873245>, <-2.624561, -6.502974, 0.866081>
    }
    //pigment {rgb<1,.5,.2>}
  }

  texture {textorchmed}
  scale <1.0, 1.077472, 6.926638>
  rotate -180.0*y
  translate  <-8.036985, -9.122145, 5.804223>
}


union { // BezPtch002
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.454561, -6.919805, 0.740089>, <-2.454561, -6.924209, 0.758127>, <-1.698175, -6.927813, 0.772885>, <-0.773703, -6.927813, 0.772885>, 
      <-2.454561, 1.082831, 0.704593>, <-2.454561, 1.066867, 0.715787>, <-1.698175, 1.053806, 0.724946>, <-0.773703, 1.053806, 0.724946>, 
      <-2.454561, 1.797146, 0.911555>, <-2.454561, 1.779531, 0.891783>, <-1.698175, 1.765119, 0.875606>, <-0.773703, 1.765119, 0.875606>, 
      <-2.454561, -6.502974, 0.866081>, <-2.454561, -6.533791, 0.858918>, <-1.698175, -6.559006, 0.853057>, <-0.773703, -6.559006, 0.853057>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.773703, -6.927813, 0.772885>, <0.150769, -6.927813, 0.772885>, <0.907156, -6.924209, 0.758127>, <0.907156, -6.919805, 0.740089>, 
      <-0.773703, 1.053806, 0.724946>, <0.150769, 1.053806, 0.724946>, <0.907156, 1.066867, 0.715787>, <0.907156, 1.082831, 0.704593>, 
      <-0.773703, 1.765119, 0.875606>, <0.150769, 1.765119, 0.875606>, <0.907156, 1.779531, 0.891783>, <0.907156, 1.797146, 0.911555>, 
      <-0.773703, -6.559006, 0.853057>, <0.150769, -6.559006, 0.853057>, <0.907156, -6.533791, 0.858918>, <0.907156, -6.502974, 0.866081>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.907156, -6.919805, 0.740089>, <0.907156, -6.915401, 0.722051>, <0.150769, -6.911798, 0.707292>, <-0.773703, -6.911798, 0.707292>, 
      <1.007156, 1.082831, 0.704593>, <0.907156, 1.098795, 0.693399>, <0.150769, 1.111856, 0.684241>, <-0.773703, 1.111856, 0.684241>, 
      <1.17156, 1.797146, 0.911555>, <0.907156, 1.814761, 0.931328>, <0.150769, 1.829173, 0.947505>, <-0.773703, 1.829173, 0.947505>, 
      <0.909156, -6.502974, 0.866081>, <0.907156, -6.472156, 0.873245>, <0.150769, -6.446941, 0.879105>, <-0.773703, -6.446941, 0.879105>
    }
   
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.773703, -6.911798, 0.707292>, <-1.698175, -6.911798, 0.707292>, <-2.454561, -6.915401, 0.722051>, <-2.454561, -6.919805, 0.740089>, 
      <-0.773703, 1.111856, 0.684241>, <-1.698175, 1.111856, 0.684241>, <-2.454561, 1.098795, 0.693399>, <-2.454561, 1.082831, 0.704593>, 
      <-0.773703, 1.829173, 0.947505>, <-1.698175, 1.829173, 0.947505>, <-2.454561, 1.814761, 0.931328>, <-2.454561, 1.797146, 0.911555>, 
      <-0.773703, -6.446941, 0.879105>, <-1.698175, -6.446941, 0.879105>, <-2.454561, -6.472156, 0.873245>, <-2.454561, -6.502974, 0.866081>
    }
  }
  texture {textorchinf}
  scale <1.0, 1.077472, 6.926638>
  translate  <-6.885954, -9.294236, -4.958233>
} 
rotate y*5
scale 3
translate <24,30,-5>
}

// Fin d'objet torchebal




//////////////////////////////////
///
// TASSE DE THE /////////////////
//
#declare tassedethe = union {//objet tassedethe
union  { // Tasse
   difference { //anse
        sphere_sweep {  //anse
          cubic_spline
          
          9  // control points 
          /*
          <0.083898, 0.402962, 0>, 0.15,
          <-0.46568, -0.235366, 0>, 0.15,
          <-0.237694, -0.723725, 0>, 0.15,
          <0.51769, -0.641959, 0>, 0.15,
          */
          <1, 0, 0>, 0.25,
          <0.85, -0.218576, 0>, 0.22,
          <0.484035, -0.404171, 0>, 0.17,
          <-0.102368, -0.507595, 0>, 0.15,
          <-0.213465, -0.119903, 0>, 0.15,
          <0.252498, 0.339295, 0>, 0.15,
          <0.754006, 0.529943, 0>, 0.15,
          <1.22, 0.558274, 0>, 0.30
          
          ,
          <1.347024, 0.921069, 0> 0.15
          
          /*
          ,
          <0.549017, 0.651252>,
          <0.083898, 0.402962>,
          <-0.46568, -0.235366>,
          <-0.237694, -0.723725>
          
          */
          //rotate -x*90 
          
        }
        box{<-.26,-.30,-.26>,<.26,.30,.26>rotate -z*12 translate<0.95, -0.318576, 0> } 
        box{<-.30,-.35,-.30>,<.30,.35,.30>rotate -z*25 translate<1.30, 0.5, 0> }
        material {
            porcelblancheInt
        }
        
        
        
        rotate -90.0*x
        translate  <-2.937734, -0.25, 1.114313>
        
        
        
     }   
         
        lathe { // TasseIntrieur
          cubic_spline
          22  // control points
          <0.0, -2.480223>,
          <0.0, -0.585923>,
          <0.342239, -0.490565>,
          <0.895873, -0.481476>,
          <0.979445, -0.316902>,
          <1.179062, -0.211753>,
          <1.623278, 0.149086>,
          <1.98295, 0.572366>,
          <2.229855, 1.080773>,
          <2.326171, 1.508682>,
          <2.338503, 1.941154>,
          <2.198135, 1.941951>,
          <2.194164, 1.512667>,
          <2.084158, 1.073362>,
          <1.912357, 0.71111>,
          <1.654605, 0.36879>,
          <1.301819, 0.011104>,
          <1.036514, -0.120598>,
          <0.787517, -0.22311>,
          <0.375699, -0.223844>,
          <0.0, -0.245372>,
          <0.0, -0.27452>
          rotate <90,0,90>
          material {
            porcelblancheInt
          }
          scale 0.995
          translate  -0.086371*z
        }
        
       
        lathe { // the
          cubic_spline
          14  // control points
          <0.0, 1.280483>,
          <0.0, 1.451297>,
          <1.924224, 1.418365>,
          <2.149793, 1.539102>,
          <2.145822, 1.23873>,
          <2.084158, 1.073362>,
          <1.912357, 0.71111>,
          <1.654605, 0.36879>,
          <1.301819, 0.011104>,
          <1.036514, -0.120598>,
          <0.787517, -0.22311>,
          <0.375699, -0.223844>,
          <0.0, -0.245372>,
          <0.0, -0.27452>
          rotate <90,0,90>
          material {
            theMtxt
          }
          translate  -0.086371*z
        }
        
        
        torus { // Torus001 Dorure tasse
          2.27, 0.07  rotate -x*90
          material {
            Gold_Metal
          }
          translate  1.851574*z
        }
        
        
        lathe { // Tasse
          cubic_spline
          22  // control points
          <0.0, -2.480223>,
          <0.0, -0.585923>,
          <0.342239, -0.490565>,
          <0.895873, -0.481476>,
          <0.979445, -0.316902>,
          <1.179062, -0.211753>,
          <1.623278, 0.149086>,
          <1.98295, 0.572366>,
          <2.229855, 1.080773>,
          <2.326171, 1.508682>,
          <2.338503, 1.941154>,
          <2.198135, 1.941951>,
          <2.194164, 1.512667>,
          <2.084158, 1.073362>,
          <1.912357, 0.71111>,
          <1.654605, 0.36879>,
          <1.301819, 0.011104>,
          <1.036514, -0.120598>,
          <0.787517, -0.22311>,
          <0.375699, -0.223844>,
          <0.0, -0.245372>,
          <0.0, -0.27452>
          rotate <90,0,90>
          material {
            porcelblanche
          }
          translate  -0.086371*z
        }

rotate -x*90
}//union Tasse + th



union { //soucoupe 
        lathe { // RotSweep002  Dorure
          cubic_spline
          7  // control points
          <2.728371, -0.510801>,
          <3.171562, -0.294489>,
          <3.1968, -0.196253>,
          <3.138264, -0.187651>,
          <3.070152, -0.193322>,
          <3.020272, -0.225702>,
          <2.837738, -0.311947>
          rotate <90,0,90>
          material {
            Gold_Metal
          }
          scale <1.003, 1.003, 1.005>
        }
        
        
        
        
        lathe { // Soucoupe
          cubic_spline
          18  // control points
          <0.0, -1.148647>,
          <0.0, -0.717693>,
          <1.219752, -0.830665>,
          <1.673382, -0.822829>,
          <1.867389, -0.702763>,
          <2.728371, -0.510801>,
          <3.171562, -0.294489>,
          <3.1968, -0.1998>,
          <3.080778, -0.203934>,
          <2.837738, -0.311947>,
          <2.632549, -0.369363>,
          <2.520413, -0.417138>,
          <2.329995, -0.44848>,
          <1.78701, -0.482242>,
          <1.116672, -0.501151>,
          <0.919808, -0.56672>,
          <0.0, -0.553497>,
          <0.0, -0.550691>
          rotate <90,0,90>
          material {
            porcelblanche
          }
        }
        
        superellipsoid { // Sucre2
  <0.05, 0.05>
  material {
    matSucreBlanc
  }
  scale <0.6, 0.32, 0.23>
  rotate <-13.077501, 6.061999, 50.250462>
  translate  <1.565729, -1.795928, -0.156675>
}


superellipsoid { // Sucre1
  <0.03, 0.05>
  material {
    matSucreBlanc
  }
  scale <0.6, 0.33, 0.24>
  rotate -10.327124*x
  translate  <-0.102296, -2.376438, -0.156675>
}


#declare BezPtch002 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <-0.001000, 0.790829, -3.726110>, <-0.001000, 0.790829, -3.726108>, <-0.001001, 0.790830, -3.726106>, <-0.001004, 0.790829, -3.726107>, 
      <-0.000999, 0.790842, -3.726110>, <-0.001000, 0.790855, -3.726108>, <-0.001001, 0.790830, -3.726106>, <-0.001003, 0.790830, -3.726107>, 
      <1.338540, 0.786218, -3.568112>, <1.331470, 0.784515, -3.606099>, <1.330087, 0.784636, -3.606012>, <0.111403, 0.784494, -3.551073>, 
      <1.846546, 0.888477, -2.090278>, <1.806287, 0.945348, -2.132837>, <1.699942, 1.112463, -2.130834>, <0.138058, 1.422934, -2.139361>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <-0.001004, 0.790829, -3.726107>, <-0.001007, 0.790829, -3.726107>, <-0.001008, 0.790830, -3.726107>, <-0.001008, 0.790829, -3.726110>, 
      <-0.001003, 0.790830, -3.726107>, <-0.001006, 0.790830, -3.726107>, <-1.112521, 0.789122, -3.505290>, <-0.556765, 0.790117, -3.615731>, 
      <0.111403, 0.784494, -3.551073>, <-1.107281, 0.784351, -3.496135>, <-1.112256, 0.788927, -3.503516>, <-1.124636, 0.788690, -3.520499>, 
      <0.138058, 1.422934, -2.139361>, <-1.423826, 1.733405, -2.140038>, <-1.768661, 0.839565, -2.133816>, <-1.784743, 0.835634, -2.142475>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <-0.001008, 0.790829, -3.726110>, <-0.001008, 0.790829, -3.726112>, <-0.001006, 0.790830, -3.726114>, <-0.001004, 0.790830, -3.726114>, 
      <-0.556765, 0.790117, -3.615731>, <-0.001009, 0.791113, -3.726171>, <-0.001007, 0.790831, -3.726110>, <-0.001003, 0.790851, -3.726110>, 
      <-1.124636, 0.788690, -3.520499>, <-1.137015, 0.788454, -3.537483>, <-1.147915, 1.260981, -3.551198>, <0.105857, 1.252357, -3.567985>, 
      <-1.784743, 0.835634, -2.142475>, <-1.800825, 0.831704, -2.151134>, <-1.691486, 1.552477, -2.099636>, <0.103384, 1.561714, -2.097459>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <-0.001004, 0.790830, -3.726114>, <-0.001001, 0.790830, -3.726113>, <-0.001001, 0.790829, -3.726112>, <-0.001000, 0.790829, -3.726110>, 
      <-0.001003, 0.790851, -3.726110>, <-0.001000, 0.790871, -3.726110>, <-0.000999, 0.790829, -3.726113>, <-0.000999, 0.790842, -3.726110>, 
      <0.105857, 1.252357, -3.567985>, <1.359628, 1.243732, -3.584773>, <1.345611, 0.787921, -3.530126>, <1.338540, 0.786218, -3.568112>, 
      <0.103384, 1.561714, -2.097459>, <1.898254, 1.570951, -2.095281>, <1.886804, 0.831606, -2.047719>, <1.846546, 0.888477, -2.090278>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <1.846546, 0.888477, -2.090278>, <1.806287, 0.945348, -2.132837>, <1.699942, 1.112463, -2.130834>, <0.138058, 1.422934, -2.139361>, 
      <2.354551, 0.990736, -0.612444>, <2.281104, 1.106181, -0.659576>, <2.069796, 1.440291, -0.655656>, <0.164713, 2.061375, -0.719798>, 
      <2.263869, 0.984274, 1.116405>, <2.246992, 0.982337, 1.116137>, <2.274845, 0.978807, 1.116535>, <0.088042, 0.976326, 1.117207>, 
      <1.317881, 0.931363, 1.877537>, <1.309080, 0.912375, 1.873031>, <1.314410, 0.776732, 1.874350>, <0.020679, 0.776292, 1.874029>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <0.138058, 1.422934, -2.139361>, <-1.423826, 1.733405, -2.140038>, <-1.768661, 0.839565, -2.133816>, <-1.784743, 0.835634, -2.142475>, 
      <0.164713, 2.061375, -0.719798>, <-1.740370, 2.682459, -0.783941>, <-2.425066, 0.890204, -0.764116>, <-2.444850, 0.882579, -0.764450>, 
      <0.088042, 0.976326, 1.117207>, <-2.098760, 0.973845, 1.117878>, <-2.210655, 0.973575, 1.118086>, <-2.231783, 0.973761, 1.117901>, 
      <0.020679, 0.776292, 1.874029>, <-1.273052, 0.775853, 1.873708>, <-1.331901, 0.903901, 1.872740>, <-1.336408, 0.924861, 1.876995>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <-1.784743, 0.835634, -2.142475>, <-1.800825, 0.831704, -2.151134>, <-1.691486, 1.552477, -2.099636>, <0.103384, 1.561714, -2.097459>, 
      <-2.444850, 0.882579, -0.764450>, <-2.464634, 0.874953, -0.764785>, <-2.235057, 1.843973, -0.648075>, <0.100912, 1.871072, -0.626932>, 
      <-2.231783, 0.973761, 1.117901>, <-2.252911, 0.973948, 1.117716>, <-2.189722, 1.798316, 1.096272>, <0.040037, 1.837523, 1.101367>, 
      <-1.336408, 0.924861, 1.876995>, <-1.340915, 0.945821, 1.881250>, <-1.312114, 1.424549, 1.869971>, <0.006023, 1.444798, 1.873163>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <0.103384, 1.561714, -2.097459>, <1.898254, 1.570951, -2.095281>, <1.886804, 0.831606, -2.047719>, <1.846546, 0.888477, -2.090278>, 
      <0.100912, 1.871072, -0.626932>, <2.436880, 1.898170, -0.605790>, <2.427998, 0.875291, -0.565311>, <2.354551, 0.990736, -0.612444>, 
      <0.040037, 1.837523, 1.101367>, <2.269796, 1.876730, 1.106462>, <2.280747, 0.986212, 1.116674>, <2.263869, 0.984274, 1.116405>, 
      <0.006023, 1.444798, 1.873163>, <1.324159, 1.465048, 1.876356>, <1.326681, 0.950352, 1.882042>, <1.317881, 0.931363, 1.877537>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <1.317881, 0.931363, 1.877537>, <1.309080, 0.912375, 1.873031>, <1.314410, 0.776732, 1.874350>, <0.020679, 0.776292, 1.874029>, 
      <0.371892, 0.878452, 2.638668>, <0.371169, 0.842413, 2.629925>, <0.353976, 0.574657, 2.632165>, <-0.046684, 0.576258, 2.630852>, 
      <0.534421, 0.525233, 3.046314>, <0.533698, 0.484082, 3.046658>, <0.516505, 0.297589, 3.048218>, <-0.017494, 0.297589, 3.048218>, 
      <0.523056, 0.136234, 4.030220>, <0.522332, 0.109057, 4.038463>, <0.505139, -0.118073, 4.039243>, <0.004860, -0.118073, 4.048513>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <0.020679, 0.776292, 1.874029>, <-1.273052, 0.775853, 1.873708>, <-1.331901, 0.903901, 1.872740>, <-1.336408, 0.924861, 1.876995>, 
      <-0.046684, 0.576258, 2.630852>, <-0.447343, 0.577860, 2.629538>, <-0.453146, 0.834227, 2.627394>, <-0.441033, 0.875961, 2.636089>, 
      <-0.017494, 0.297589, 3.048218>, <-0.551493, 0.297589, 3.048218>, <-0.557296, 0.472693, 3.046753>, <-0.545183, 0.519539, 3.046362>, 
      <0.004860, -0.118073, 4.048513>, <-0.495419, -0.118073, 4.057782>, <-0.501222, 0.097667, 4.057050>, <-0.489109, 0.130540, 4.048783>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <-1.336408, 0.924861, 1.876995>, <-1.340915, 0.945821, 1.881250>, <-1.312114, 1.424549, 1.869971>, <0.006023, 1.444798, 1.873163>, 
      <-0.441033, 0.875961, 2.636089>, <-0.428920, 0.917695, 2.644784>, <-0.434506, 1.050782, 2.643671>, <-0.027992, 1.052074, 2.644960>, 
      <-0.545183, 0.519539, 3.046362>, <-0.533070, 0.566385, 3.045970>, <-0.538656, 0.816779, 3.043875>, <0.001198, 0.819673, 3.043851>, 
      <-0.489109, 0.130540, 4.048783>, <-0.476996, 0.163412, 4.040517>, <-0.482583, 0.413811, 4.039470>, <0.023552, 0.416705, 4.030188>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <0.006023, 1.444798, 1.873163>, <1.324159, 1.465048, 1.876356>, <1.326681, 0.950352, 1.882042>, <1.317881, 0.931363, 1.877537>, 
      <-0.027992, 1.052074, 2.644960>, <0.378523, 1.053365, 2.646249>, <0.372615, 0.914491, 2.647411>, <0.371892, 0.878452, 2.638668>, 
      <0.001198, 0.819673, 3.043851>, <0.541052, 0.822566, 3.043827>, <0.535145, 0.566385, 3.045970>, <0.534421, 0.525233, 3.046314>, 
      <0.023552, 0.416705, 4.030188>, <0.529686, 0.419598, 4.020906>, <0.523779, 0.163412, 4.021978>, <0.523056, 0.136234, 4.030220>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <0.523056, 0.136234, 4.030220>, <0.522332, 0.109057, 4.038463>, <0.505139, -0.118073, 4.039243>, <0.004860, -0.118073, 4.048513>, 
      <0.511690, -0.252765, 5.014127>, <0.510966, -0.265969, 5.030268>, <0.493773, -0.533735, 5.030268>, <0.027214, -0.533735, 5.048807>, 
      <0.494107, -0.268549, 5.649687>, <0.493383, -0.265969, 5.648717>, <0.476190, -0.533735, 5.648717>, <0.027840, -0.533735, 5.638895>, 
      <0.460991, -0.234904, 6.146105>, <0.460267, -0.265969, 6.145620>, <0.443074, -0.533735, 6.145620>, <0.020555, -0.533735, 6.139117>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <0.004860, -0.118073, 4.048513>, <-0.495419, -0.118073, 4.057782>, <-0.501222, 0.097667, 4.057050>, <-0.489109, 0.130540, 4.048783>, 
      <0.027214, -0.533735, 5.048807>, <-0.439345, -0.533735, 5.067346>, <-0.445149, -0.277359, 5.067346>, <-0.433036, -0.258460, 5.051205>, 
      <0.027840, -0.533735, 5.638895>, <-0.420510, -0.533735, 5.629073>, <-0.426313, -0.277359, 5.629073>, <-0.419584, -0.274244, 5.630043>, 
      <0.020555, -0.533735, 6.139117>, <-0.401964, -0.533735, 6.132614>, <-0.407767, -0.277359, 6.132614>, <-0.398346, -0.240598, 6.133099>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <-0.489109, 0.130540, 4.048783>, <-0.476996, 0.163412, 4.040517>, <-0.482583, 0.413811, 4.039470>, <0.023552, 0.416705, 4.030188>, 
      <-0.433036, -0.258460, 5.051205>, <-0.420923, -0.239560, 5.035064>, <-0.426509, 0.010843, 5.035064>, <0.045906, 0.013737, 5.016525>, 
      <-0.419584, -0.274244, 5.630043>, <-0.412855, -0.271130, 5.631013>, <-0.418442, -0.020726, 5.631013>, <0.041148, -0.017832, 5.640835>, 
      <-0.398346, -0.240598, 6.133099>, <-0.388925, -0.203838, 6.133584>, <-0.416047, 0.046566, 6.119557>, <0.025787, 0.049459, 6.133073>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <0.023552, 0.416705, 4.030188>, <0.529686, 0.419598, 4.020906>, <0.523779, 0.163412, 4.021978>, <0.523056, 0.136234, 4.030220>, 
      <0.045906, 0.013737, 5.016525>, <0.518320, 0.016630, 4.997986>, <0.512413, -0.239560, 4.997986>, <0.511690, -0.252765, 5.014127>, 
      <0.041148, -0.017832, 5.640835>, <0.500737, -0.014939, 5.650656>, <0.494830, -0.271130, 5.650656>, <0.494107, -0.268549, 5.649687>, 
      <0.025787, 0.049459, 6.133073>, <0.467621, 0.052353, 6.146590>, <0.461714, -0.203838, 6.146590>, <0.460991, -0.234904, 6.146105>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <0.460991, -0.234904, 6.146105>, <0.460267, -0.265969, 6.145620>, <0.443074, -0.533735, 6.145620>, <0.020555, -0.533735, 6.139117>, 
      <0.427875, -0.201258, 6.642523>, <0.427151, -0.265969, 6.642523>, <0.409958, -0.533735, 6.642523>, <0.013271, -0.533735, 6.639339>, 
      <0.411406, -0.201258, 7.306876>, <0.410683, -0.265969, 7.306876>, <0.393490, -0.533735, 7.306876>, <-0.000253, -0.533735, 7.317746>, 
      <0.414037, -0.165890, 7.630973>, <0.413313, -0.265969, 7.630973>, <0.396120, -0.533735, 7.630973>, <-0.000801, -0.533735, 7.662844>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <0.020555, -0.533735, 6.139117>, <-0.401964, -0.533735, 6.132614>, <-0.407767, -0.277359, 6.132614>, <-0.398346, -0.240598, 6.133099>, 
      <0.013271, -0.533735, 6.639339>, <-0.383417, -0.533735, 6.636156>, <-0.389221, -0.277359, 6.636156>, <-0.377107, -0.206952, 6.636156>, 
      <-0.000253, -0.533735, 7.317746>, <-0.393996, -0.533735, 7.328616>, <-0.399799, -0.277359, 7.328616>, <-0.387686, -0.206952, 7.328616>, 
      <-0.000801, -0.533735, 7.662844>, <-0.397721, -0.533735, 7.694715>, <-0.403525, -0.277359, 7.694715>, <-0.391412, -0.171585, 7.694715>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <-0.398346, -0.240598, 6.133099>, <-0.388925, -0.203838, 6.133584>, <-0.416047, 0.046566, 6.119557>, <0.025787, 0.049459, 6.133073>, 
      <-0.377107, -0.206952, 6.636156>, <-0.364994, -0.136546, 6.636156>, <-0.413653, 0.113857, 6.608101>, <0.010426, 0.116751, 6.625312>, 
      <-0.387686, -0.206952, 7.328616>, <-0.375573, -0.136546, 7.328616>, <-0.381159, 0.113857, 7.429779>, <0.018439, 0.116751, 7.418909>, 
      <-0.391412, -0.171585, 7.694715>, <-0.379298, -0.065811, 7.694715>, <-0.384885, 0.184593, 7.795878>, <0.017891, 0.187486, 7.764007>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <0.025787, 0.049459, 6.133073>, <0.467621, 0.052353, 6.146590>, <0.461714, -0.203838, 6.146590>, <0.460991, -0.234904, 6.146105>, 
      <0.010426, 0.116751, 6.625312>, <0.434505, 0.119645, 6.642523>, <0.428598, -0.136546, 6.642523>, <0.427875, -0.201258, 6.642523>, 
      <0.018439, 0.116751, 7.418909>, <0.418037, 0.119645, 7.408038>, <0.412130, -0.136546, 7.306876>, <0.411406, -0.201258, 7.306876>, 
      <0.017891, 0.187486, 7.764007>, <0.420667, 0.190380, 7.732136>, <0.414760, -0.065811, 7.630973>, <0.414037, -0.165890, 7.630973>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <0.414037, -0.165890, 7.630973>, <0.413313, -0.265969, 7.630973>, <0.396120, -0.533735, 7.630973>, <-0.000801, -0.533735, 7.662844>, 
      <0.416667, -0.130522, 7.955071>, <0.415943, -0.265969, 7.955071>, <0.398751, -0.533735, 7.955071>, <-0.001348, -0.533735, 8.007942>, 
      <0.416667, -0.130522, 8.455071>, <0.415943, -0.265969, 8.455071>, <0.398751, -0.533735, 8.455071>, <-0.001348, -0.533735, 8.507942>, 
      <0.416667, -0.130522, 8.955071>, <0.415943, -0.265969, 8.955071>, <0.398751, -0.533735, 8.955071>, <-0.001348, -0.533735, 9.007942>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <-0.000801, -0.533735, 7.662844>, <-0.397721, -0.533735, 7.694715>, <-0.403525, -0.277359, 7.694715>, <-0.391412, -0.171585, 7.694715>, 
      <-0.001348, -0.533735, 8.007942>, <-0.401447, -0.533735, 8.060814>, <-0.407250, -0.277359, 8.060814>, <-0.395137, -0.136217, 8.060814>, 
      <-0.001348, -0.533735, 8.507942>, <-0.401447, -0.533735, 8.560814>, <-0.407250, -0.277359, 8.560814>, <-0.395137, -0.136217, 8.560814>, 
      <-0.001348, -0.533735, 9.007942>, <-0.401447, -0.533735, 9.060814>, <-0.407250, -0.277359, 9.060814>, <-0.395137, -0.136217, 9.060814>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <-0.391412, -0.171585, 7.694715>, <-0.379298, -0.065811, 7.694715>, <-0.384885, 0.184593, 7.795878>, <0.017891, 0.187486, 7.764007>, 
      <-0.395137, -0.136217, 8.060814>, <-0.383024, 0.004924, 8.060814>, <-0.388611, 0.255328, 8.161977>, <0.017343, 0.258222, 8.109105>, 
      <-0.395137, -0.136217, 8.560814>, <-0.383024, 0.004924, 8.560814>, <-0.388611, 0.255328, 8.661977>, <0.017343, 0.258222, 8.609105>, 
      <-0.395137, -0.136217, 9.060814>, <-0.383024, 0.004924, 9.060814>, <-0.388611, 0.255328, 9.111396>, <0.017343, 0.258222, 9.058524>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <0.017891, 0.187486, 7.764007>, <0.420667, 0.190380, 7.732136>, <0.414760, -0.065811, 7.630973>, <0.414037, -0.165890, 7.630973>, 
      <0.017343, 0.258222, 8.109105>, <0.423298, 0.261115, 8.056233>, <0.417390, 0.004924, 7.955071>, <0.416667, -0.130522, 7.955071>, 
      <0.017343, 0.258222, 8.609105>, <0.423298, 0.261115, 8.556233>, <0.417390, 0.004924, 8.455071>, <0.416667, -0.130522, 8.455071>, 
      <0.017343, 0.258222, 9.058524>, <0.423298, 0.261115, 9.005652>, <0.417390, 0.004924, 8.955071>, <0.416667, -0.130522, 8.955071>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <0.416667, -0.130522, 8.955071>, <0.415943, -0.265969, 8.955071>, <0.398751, -0.533735, 8.955071>, <-0.001348, -0.533735, 9.007942>, 
      <0.416667, -0.130522, 9.455071>, <0.415943, -0.265969, 9.455071>, <0.398751, -0.533735, 9.455071>, <-0.001348, -0.533735, 9.507942>, 
      <0.416667, -0.130522, 9.955071>, <0.415943, -0.265969, 9.955071>, <0.398751, -0.533735, 9.955071>, <-0.001348, -0.533735, 10.007942>, 
      <0.416667, -0.130522, 10.455071>, <0.415943, -0.265969, 10.455071>, <0.398751, -0.533735, 10.455071>, <-0.018867, -0.533735, 10.507942>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <-0.001348, -0.533735, 9.007942>, <-0.401447, -0.533735, 9.060814>, <-0.407250, -0.277359, 9.060814>, <-0.395137, -0.136217, 9.060814>, 
      <-0.001348, -0.533735, 9.507942>, <-0.401447, -0.533735, 9.560814>, <-0.407250, -0.277359, 9.560814>, <-0.395137, -0.136217, 9.560814>, 
      <-0.001348, -0.533735, 10.007942>, <-0.401447, -0.533735, 10.060814>, <-0.407250, -0.277359, 10.060814>, <-0.395137, -0.136217, 10.060814>, 
      <-0.018867, -0.533735, 10.507942>, <-0.436485, -0.533735, 10.560814>, <-0.442288, -0.277359, 10.560814>, <-0.430175, -0.136217, 10.560814>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <-0.395137, -0.136217, 9.060814>, <-0.383024, 0.004924, 9.060814>, <-0.388611, 0.255328, 9.111396>, <0.017343, 0.258222, 9.058524>, 
      <-0.395137, -0.136217, 9.560814>, <-0.383024, 0.004924, 9.560814>, <-0.388611, 0.255328, 9.560814>, <0.017343, 0.258222, 9.507942>, 
      <-0.395137, -0.136217, 10.060814>, <-0.383024, 0.004924, 10.060814>, <-0.388611, 0.255328, 10.060814>, <0.017343, 0.258222, 10.007942>, 
      <-0.430175, -0.136217, 10.560814>, <-0.418062, 0.004924, 10.560814>, <-0.423648, 0.255328, 10.560814>, <-0.000175, 0.258222, 10.507942>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <0.017343, 0.258222, 9.058524>, <0.423298, 0.261115, 9.005652>, <0.417390, 0.004924, 8.955071>, <0.416667, -0.130522, 8.955071>, 
      <0.017343, 0.258222, 9.507942>, <0.423298, 0.261115, 9.455071>, <0.417390, 0.004924, 9.455071>, <0.416667, -0.130522, 9.455071>, 
      <0.017343, 0.258222, 10.007942>, <0.423298, 0.261115, 9.955071>, <0.417390, 0.004924, 9.955071>, <0.416667, -0.130522, 9.955071>, 
      <-0.000175, 0.258222, 10.507942>, <0.423298, 0.261115, 10.455071>, <0.417390, 0.004924, 10.455071>, <0.416667, -0.130522, 10.455071>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <0.416667, -0.130522, 10.455071>, <0.415943, -0.265969, 10.455071>, <0.398751, -0.533735, 10.455071>, <-0.018867, -0.533735, 10.507942>, 
      <0.416667, -0.130522, 10.955071>, <0.415943, -0.265969, 10.955071>, <0.398751, -0.533735, 10.955071>, <-0.036386, -0.533735, 11.007942>, 
      <0.416667, -0.130522, 11.455071>, <0.415943, -0.265969, 11.455071>, <0.398751, -0.533735, 11.455071>, <-0.036386, -0.533735, 11.507942>, 
      <0.416667, -0.130522, 11.955071>, <0.415943, -0.265969, 11.955071>, <0.398751, -0.533735, 11.955071>, <-0.036386, -0.533735, 12.007942>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <-0.018867, -0.533735, 10.507942>, <-0.436485, -0.533735, 10.560814>, <-0.442288, -0.277359, 10.560814>, <-0.430175, -0.136217, 10.560814>, 
      <-0.036386, -0.533735, 11.007942>, <-0.471523, -0.533735, 11.060814>, <-0.477326, -0.277359, 11.060814>, <-0.465213, -0.136217, 11.060814>, 
      <-0.036386, -0.533735, 11.507942>, <-0.471523, -0.533735, 11.560814>, <-0.477326, -0.277359, 11.560814>, <-0.465213, -0.136217, 11.560814>, 
      <-0.036386, -0.533735, 12.007942>, <-0.471523, -0.533735, 12.060814>, <-0.477326, -0.277359, 12.060814>, <-0.465213, -0.136217, 12.060814>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <-0.430175, -0.136217, 10.560814>, <-0.418062, 0.004924, 10.560814>, <-0.423648, 0.255328, 10.560814>, <-0.000175, 0.258222, 10.507942>, 
      <-0.465213, -0.136217, 11.060814>, <-0.453100, 0.004924, 11.060814>, <-0.458686, 0.255328, 11.060814>, <-0.017694, 0.258222, 11.007942>, 
      <-0.465213, -0.136217, 11.560814>, <-0.453100, 0.004924, 11.560814>, <-0.458686, 0.255328, 11.560814>, <-0.017694, 0.258222, 11.507942>, 
      <-0.465213, -0.136217, 12.060814>, <-0.453100, 0.004924, 12.060814>, <-0.458686, 0.255328, 12.060814>, <-0.017694, 0.258222, 12.007942>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <-0.000175, 0.258222, 10.507942>, <0.423298, 0.261115, 10.455071>, <0.417390, 0.004924, 10.455071>, <0.416667, -0.130522, 10.455071>, 
      <-0.017694, 0.258222, 11.007942>, <0.423298, 0.261115, 10.955071>, <0.417390, 0.004924, 10.955071>, <0.416667, -0.130522, 10.955071>, 
      <-0.017694, 0.258222, 11.507942>, <0.423298, 0.261115, 11.455071>, <0.417390, 0.004924, 11.455071>, <0.416667, -0.130522, 11.455071>, 
      <-0.017694, 0.258222, 12.007942>, <0.423298, 0.261115, 11.955071>, <0.417390, 0.004924, 11.955071>, <0.416667, -0.130522, 11.955071>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <0.416667, -0.130522, 11.955071>, <0.415943, -0.265969, 11.955071>, <0.398751, -0.533735, 11.955071>, <-0.036386, -0.533735, 12.007942>, 
      <0.416667, -0.130522, 12.455071>, <0.415943, -0.265969, 12.455071>, <0.398751, -0.533735, 12.455071>, <-0.036386, -0.533735, 12.507942>, 
      <0.416667, -0.130522, 12.955071>, <0.415943, -0.265969, 12.955071>, <0.398751, -0.533735, 12.955071>, <-0.036386, -0.533735, 13.007942>, 
      <0.416667, -0.130522, 13.455071>, <0.415943, -0.265969, 13.455071>, <0.398751, -0.533735, 13.455071>, <-0.036386, -0.533735, 13.507942>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <-0.036386, -0.533735, 12.007942>, <-0.471523, -0.533735, 12.060814>, <-0.477326, -0.277359, 12.060814>, <-0.465213, -0.136217, 12.060814>, 
      <-0.036386, -0.533735, 12.507942>, <-0.471523, -0.533735, 12.560814>, <-0.477326, -0.277359, 12.560814>, <-0.465213, -0.136217, 12.560814>, 
      <-0.036386, -0.533735, 13.007942>, <-0.471523, -0.533735, 13.060814>, <-0.477326, -0.277359, 13.060814>, <-0.465213, -0.136217, 13.060814>, 
      <-0.036386, -0.533735, 13.507942>, <-0.471523, -0.533735, 13.560814>, <-0.477326, -0.277359, 13.560814>, <-0.465213, -0.136217, 13.560814>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <-0.465213, -0.136217, 12.060814>, <-0.453100, 0.004924, 12.060814>, <-0.458686, 0.255328, 12.060814>, <-0.017694, 0.258222, 12.007942>, 
      <-0.465213, -0.136217, 12.560814>, <-0.453100, 0.004924, 12.560814>, <-0.458686, 0.255328, 12.560814>, <-0.017694, 0.258222, 12.507942>, 
      <-0.465213, -0.136217, 13.060814>, <-0.453100, 0.004924, 13.060814>, <-0.458686, 0.255328, 13.060814>, <-0.017694, 0.258222, 13.007942>, 
      <-0.465213, -0.136217, 13.560814>, <-0.453100, 0.004924, 13.560814>, <-0.458686, 0.255328, 13.560814>, <-0.017694, 0.258222, 13.507942>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <-0.017694, 0.258222, 12.007942>, <0.423298, 0.261115, 11.955071>, <0.417390, 0.004924, 11.955071>, <0.416667, -0.130522, 11.955071>, 
      <-0.017694, 0.258222, 12.507942>, <0.423298, 0.261115, 12.455071>, <0.417390, 0.004924, 12.455071>, <0.416667, -0.130522, 12.455071>, 
      <-0.017694, 0.258222, 13.007942>, <0.423298, 0.261115, 12.955071>, <0.417390, 0.004924, 12.955071>, <0.416667, -0.130522, 12.955071>, 
      <-0.017694, 0.258222, 13.507942>, <0.423298, 0.261115, 13.455071>, <0.417390, 0.004924, 13.455071>, <0.416667, -0.130522, 13.455071>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <0.416667, -0.130522, 13.455071>, <0.415943, -0.265969, 13.455071>, <0.398751, -0.533735, 13.455071>, <-0.036386, -0.533735, 13.507942>, 
      <0.416667, -0.130522, 13.955071>, <0.415943, -0.265969, 13.955071>, <0.398751, -0.533735, 13.955071>, <-0.036386, -0.533735, 14.007942>, 
      <0.416667, -0.130522, 14.455071>, <0.415943, -0.265969, 14.455071>, <0.398751, -0.533735, 14.455071>, <-0.013937, -0.533735, 14.507942>, 
      <0.514477, -0.130522, 15.060814>, <0.513753, -0.265969, 15.060814>, <0.496560, -0.533735, 15.060814>, <0.034968, -0.533735, 15.060814>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <-0.036386, -0.533735, 13.507942>, <-0.471523, -0.533735, 13.560814>, <-0.477326, -0.277359, 13.560814>, <-0.465213, -0.136217, 13.560814>, 
      <-0.036386, -0.533735, 14.007942>, <-0.471523, -0.533735, 14.060814>, <-0.477326, -0.277359, 14.060814>, <-0.465213, -0.136217, 14.060814>, 
      <-0.013937, -0.533735, 14.507942>, <-0.426625, -0.533735, 14.560814>, <-0.432428, -0.277359, 14.560814>, <-0.420315, -0.136217, 14.560814>, 
      <0.034968, -0.533735, 15.060814>, <-0.426625, -0.533735, 15.060814>, <-0.432428, -0.277359, 15.060814>, <-0.420315, -0.136217, 15.060814>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <-0.465213, -0.136217, 13.560814>, <-0.453100, 0.004924, 13.560814>, <-0.458686, 0.255328, 13.560814>, <-0.017694, 0.258222, 13.507942>, 
      <-0.465213, -0.136217, 14.060814>, <-0.453100, 0.004924, 14.060814>, <-0.458686, 0.255328, 14.060814>, <-0.017694, 0.258222, 14.007942>, 
      <-0.420315, -0.136217, 14.560814>, <-0.408202, 0.004924, 14.560814>, <-0.413788, 0.255328, 14.560814>, <0.004755, 0.258222, 14.507942>, 
      <-0.420315, -0.136217, 15.060814>, <-0.408202, 0.004924, 15.060814>, <-0.413788, 0.255328, 15.060814>, <0.053659, 0.258222, 15.060814>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0001 u_steps 3 v_steps 3,
      <-0.017694, 0.258222, 13.507942>, <0.423298, 0.261115, 13.455071>, <0.417390, 0.004924, 13.455071>, <0.416667, -0.130522, 13.455071>, 
      <-0.017694, 0.258222, 14.007942>, <0.423298, 0.261115, 13.955071>, <0.417390, 0.004924, 13.955071>, <0.416667, -0.130522, 13.955071>, 
      <0.004755, 0.258222, 14.507942>, <0.423298, 0.261115, 14.455071>, <0.417390, 0.004924, 14.455071>, <0.416667, -0.130522, 14.455071>, 
      <0.053659, 0.258222, 15.060814>, <0.521107, 0.261115, 15.060814>, <0.515200, 0.004924, 15.060814>, <0.514477, -0.130522, 15.060814>
    }
  }
  material {
    Chrome_MetalM
  }
  photons {
    collect off
  }
  rotate -86.387589*x
}
#declare Handle = union {
  sphere { // Sphere001
    <0,0,0>,1
    photons {
      collect off
    }
    translate  1.0*z
  }
  cone { // Cone001
    <0,0,0>, 0.7, <0,0,1>, 1.0
    photons {
      collect off
    }
    scale <1.0, 1.0, 2.0>
    translate  -1.0*z
  }
  material {
    Material1_2
  }
  photons {
    collect off
  }
  scale <0.880095, 0.789828, 5.571128>
  rotate -87.364792*x
  translate  <-0.009279, 11.519853, 0.809877>
}
#declare CSG003 = difference {
  cone { // Cone002
    <0,0,0>, 0.8, <0,0,1>, 1.0
    material {
      Chrome_MetalM
    }
    photons {
      collect off
    }
    scale <0.617233, 0.567146, 1.059248>
    rotate -87.360001*x
    translate  <0.105454, 4.895467, 0.499366>
  }
  plane { // Plane002
    z,0
    photons {
      collect off
    }
    rotate <-39.003571, 0.0, -0.0>
    translate  <0.0, 4.884674, 0.188093>
  }
  plane { // Plane001
    z,0
    photons {
      collect off
    }
    rotate <-137.17334, 0.0, -0.0>
    translate  <0.0, 4.884096, 0.724925>
  }
  material {
    Chrome_MetalM
  }
  photons {
    collect off
  }
  translate  -0.096401*x
}
union { // The_Spoon
  object { BezPtch002 }
  cylinder { // Cylndr002
    <0,0,1>, <0,0,0>, 1 
    material {
      T_Chrome_5B
    }
    photons {
      collect off
    }
    scale <0.25, 0.25, 1.019387>
    rotate 1.04416*x
    translate  <0.0, 17.970232, 0.874395>
  }
  cylinder { // Cylndr003
    <0,0,1>, <0,0,0>, 1 
    material {
      Material1_2
    }
    photons {
      collect off
    }
    scale <0.15, 0.15, 0.59>
    rotate 9.218768*x
    translate  <0.0, 5.553611, 0.479855>
  }
  cylinder { // Cylndr001
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_MetalM
    }
    photons {
      collect off
    }
    scale <0.25, 0.25, 1.019387>
    rotate 3.241049*x
    translate  <0.0, 7.727119, 0.222044>
  }
  object { Handle }
  object { CSG003 }
  photons {
    collect off
  }
  scale <0.3, 0.25, 0.3>
  rotate <-9.436683, -6.9467, 26.109537>
  translate  <2.964622, -1.077273, 0.297242>
}







 
        
        rotate -90*x

}// Soucoupe et dorure 

scale 0.33
rotate y*210  
translate y* 0.27
}// objet tassedethe

/////////////////////////////////////////


/// ETAGERE
#declare difCarreCylCreux = difference {
  box { // Cube001
    <-1, -1, -1>, <1, 1, 1>
    scale <3.0, 3.0, 0.1>
    translate  0.1*z
  }
  cylinder { // Cylndr003
    <0,0,1>, <0,0,0>, 1 
    scale <2.0, 2.0, 0.22>
    translate  <3.0, 3.0, -0.001>
  }
}
#declare uDifBoxToreCreux = union {
  object { difCarreCylCreux }
  torus { // Torus003
    2.0, 0.1  rotate -x*90
    translate  <3.0, 3.0, 0.1>
  }
}
#declare intUDifBoxToreCreux = intersection {
  box { // Cube002
    <-1, -1, -1>, <1, 1, 1>
    scale <3.0, 3.0, 0.11>
    translate  0.099*z
  }
  object { uDifBoxToreCreux }
}
#declare ucylToreBosse1 = union {
  cylinder { // Cylndr002
    <0,0,1>, <0,0,0>, 1 
    scale <2.0, 2.0, 0.2>
  }
  torus { // Torus002
    2.0, 0.1  rotate -x*90
    translate  0.1*z
  }
  translate  <3.0, -1.0, 0.0>
}
#declare ucylToreBosse = union {
  cylinder { // Cylndr001
    <0,0,1>, <0,0,0>, 1 
    scale <2.0, 2.0, 0.2>
  }
  torus { // Torus001
    2.0, 0.1  rotate -x*90
    translate  0.1*z
  }
  translate  <-1.0, 3.0, 0.0>
}
#declare CSG001 = union {
  object { intUDifBoxToreCreux }
  object { ucylToreBosse1 }
  object { ucylToreBosse }
}
#declare HautEtagere = intersection { // hautEtagere
  object { CSG001 }
  box { // Cube003
    <-1, -1, -1>, <1, 1, 1>
    scale <4.2, 4.0, 0.11>
    translate  <1.0, 3.0, 0.099>
  }
  material {
    Yellow_Pine1 rotate <90,0,90> 
  }
}



#declare Etagere = union {
  box { // Cube008
    <-1, -1, -1>, <1, 1, 1>
    material {
      Yellow_Pine1
    }
    photons {
      collect off
    }
    scale <3.0, 1.0, 56.0>
    rotate <-90.0, -90.0, 0.0>
    translate  <-2.0, -57.0, 0.0>
  }
  box { // Cube009
    <-1, -1, -1>, <1, 1, 1>
    material {
      Yellow_Pine1
    }
    photons {
      collect off
    }
    scale <3.0, 1.0, 56.0>
    rotate <-90.0, -90.0, 0.0>
    translate  <-2.0, -57.0, -36.0>
  }
  box { // Cube010
    <-1, -1, -1>, <1, 1, 1>
    material {
      Yellow_Pine1
    }
    photons {
      collect off
    }
    scale <3.0, 1.0, 56.0>
    rotate <-90.0, -90.0, 0.0>
    translate  <-2.0, -57.0, 36.0>
  }
  box { // Cube011
    <-1, -1, -1>, <1, 1, 1>
    material {
      Yellow_Pine1
    }
    photons {
      collect off
    }
    scale <3.0, 1.0, 56.0>
    rotate <-90.0, -90.0, 0.0>
    translate  <-2.0, -57.0, 69.0>
  }
  box { // Cube012
    <-1, -1, -1>, <1, 1, 1>
    material {
      Yellow_Pine1
    }
    photons {
      collect off
    }
    scale <3.0, 1.0, 56.0>
    rotate <-90.0, -90.0, 0.0>
    translate  <-2.0, -57.0, -69.0>
  }
  box { // Cube019
    <-1, -1, -1>, <1, 1, 1>
    material {
      Yellow_Pine1
    }
    photons {
      collect off
    }
    scale <3.0, 1.0, 6.0>
    rotate -90.0*y
    translate  <9.0, -114.0, -69.0>
  }
  box { // Cube018
    <-1, -1, -1>, <1, 1, 1>
    material {
      Yellow_Pine1
    }
    photons {
      collect off
    }
    scale <3.0, 1.0, 6.0>
    rotate -90.0*y
    translate  <9.0, -114.0, -36.0>
  }
  box { // Cube017
    <-1, -1, -1>, <1, 1, 1>
    material {
      Yellow_Pine1
    }
    photons {
      collect off
    }
    scale <3.0, 1.0, 6.0>
    rotate -90.0*y
    translate  <9.0, -114.0, 0.0>
  }
  box { // Cube016
    <-1, -1, -1>, <1, 1, 1>
    material {
      Yellow_Pine1
    }
    photons {
      collect off
    }
    scale <3.0, 1.0, 6.0>
    rotate -90.0*y
    translate  <9.0, -114.0, 36.0>
  }
  box { // Cube015
    <-1, -1, -1>, <1, 1, 1>
    material {
      Yellow_Pine1
    }
    photons {
      collect off
    }
    scale <3.0, 1.0, 6.0>
    rotate -90.0*y
    translate  <9.0, -114.0, 69.0>
  }
  box { // Cube014
    <-1, -1, -1>, <1, 1, 1>
    material {
      Yellow_Pine1
    }
    photons {
      collect off
    }
    scale <3.0, 1.0, 72.0>
    translate  <18.0, -114.0, 0.0>
  }
  box { // Cube013
    <-1, -1, -1>, <1, 1, 1>
    material {
      Yellow_Pine1
    }
    photons {
      collect off
    }
    scale <3.0, 1.0, 72.0>
    translate  -114.0*y
  }
  box { // Cube007
    <-1, -1, -1>, <1, 1, 1>
    material {
      Yellow_Pine1
    }
    photons {
      collect off
    }
    scale <3.0, 1.0, 6.0>
    rotate -90.0*y
    translate  <9.0, 0.0, -69.0>
  }
  box { // Cube006
    <-1, -1, -1>, <1, 1, 1>
    material {
      Yellow_Pine1
    }
    photons {
      collect off
    }
    scale <3.0, 1.0, 6.0>
    rotate -90.0*y
    translate  <9.0, 0.0, -36.0>
  }
  box { // Cube005
    <-1, -1, -1>, <1, 1, 1>
    material {
      Yellow_Pine1
    }
    photons {
      collect off
    }
    scale <3.0, 1.0, 6.0>
    rotate -90.0*y
    translate  9.0*x
  }
  box { // Cube004
    <-1, -1, -1>, <1, 1, 1>
    material {
      Yellow_Pine1
    }
    photons {
      collect off
    }
    scale <3.0, 1.0, 6.0>
    rotate -90.0*y
    translate  <9.0, 0.0, 36.0>
  }
  box { // Cube003
    <-1, -1, -1>, <1, 1, 1>
    material {
      Yellow_Pine1
    }
    photons {
      collect off
    }
    scale <3.0, 1.0, 6.0>
    rotate -90.0*y
    translate  <9.0, 0.0, 69.0>
  }
  box { // Cube002
    <-1, -1, -1>, <1, 1, 1>
    material {
      Yellow_Pine1
    }
    photons {
      collect off
    }
    scale <3.0, 1.0, 72.0>
    translate  18.0*x
  }
  box { // Cube001
    <-1, -1, -1>, <1, 1, 1>
    material {
      Yellow_Pine1
    }
    photons {
      collect off
    }
    scale <3.0, 1.0, 72.0>
  }
  box { // Cube024
    <-1, -1, -1>, <1, 1, 1>
    material {
      Yellow_Pine1
    }
    photons {
      collect off
    }
    scale <12.0, 1.0, 56.0>
    rotate -90.0*x
    translate  <9.0, -57.0, 65.0>
  }
  box { // Cube023
    <-1, -1, -1>, <1, 1, 1>
    material {
      Yellow_Pine1
    }
    photons {
      collect off
    }
    scale <12.0, 1.0, 56.0>
    rotate -90.0*x
    translate  <9.0, -57.0, -71.0>
  }
  box { // Cube022
    <-1, -1, -1>, <1, 1, 1>
    material {
      Yellow_Pine1
    }
    photons {
      collect off
    }
    scale <12.0, 1.0, 56.0>
    rotate -90.0*x
    translate  <9.0, -57.0, -40.0>
  }
  box { // Cube020
    <-1, -1, -1>, <1, 1, 1>
    material {
      Yellow_Pine1
    }
    photons {
      collect off
    }
    scale <12.0, 1.0, 56.0>
    rotate -90.0*x
    translate  <9.0, -57.0, -4.0>
  }
  box { // Cube021
    <-1, -1, -1>, <1, 1, 1>
    material {
      Yellow_Pine1
    }
    photons {
      collect off
    }
    scale <12.0, 1.0, 56.0>
    rotate -90.0*x
    translate  <9.0, -57.0, 32.0>
  }
  cylinder { // CylBordEtage
    <0,0,1>, <0,0,0>, 1 
    material {
      Yellow_Pine1
    }
    scale <0.5, 1.4, 115.0>
    rotate -90.0*x
    translate  <20.849408, -113.853389, -70.669957>
  }
  cylinder { // CylBordEtage1
    <0,0,1>, <0,0,0>, 1 
    material {
      Yellow_Pine1
    }
    scale <0.5, 1.4, 115.0>
    rotate -90.0*x
    translate  <20.849408, -113.853389, -39.857101>
  }
  cylinder { // CylBordEtage2
    <0,0,1>, <0,0,0>, 1 
    material {
      Yellow_Pine1
    }
    scale <0.5, 1.4, 115.0>
    rotate -90.0*x
    translate  <20.849408, -113.853389, -4.533765>
  }
  cylinder { // CylMontantVert
    <0,0,1>, <0,0,0>, 1 
    material {
      Yellow_Pine1
    }
    scale <0.75, 1.4, 143.75> /////////// MONTANT VERTCAL 
    translate  <20.849408, -113.547466, -71.763929>
  }
  cylinder { // CylBordEtage3
    <0,0,1>, <0,0,0>, 1 
    material {
      Yellow_Pine1
    }
    scale <0.5, 1.4, 115.0>
    rotate -90.0*x
    translate  <20.849408, -113.853389, 32.057099>
  }
}
#declare Bookend9 = difference {
  cylinder { // Cylndr033
    <0,0,1>, <0,0,0>, 1 
    material {
      RedTxr_2
    }
    photons {
      collect off
    }
    scale <0.1, 0.2, 2.0>
    rotate <-90.0, 0.0, -90.0>
    translate  <-1.003321, 0.900579, -0.19045>
  }
  cylinder { // Cylndr034
    <0,0,1>, <0,0,0>, 1 
    material {
      RedTxr_2
    }
    photons {
      collect off
    }
    scale <0.1, 0.2, 2.4>
    rotate <-90.0, 0.0, -90.0>
    translate  <-1.2, 0.864794, -0.190799>
  }
  photons {
    collect off
  }
  scale <12.0, 12.0, 14.0>
  rotate 45.0*z
  translate  <17.571628, -38.790322, 2.895443>
}
#declare RedBook8 = union {
  object { Bookend9 }
  box { // Bookcover9
    <-1, -1, -1>, <1, 1, 1>
    material {
      RedTxr_2
    }
    photons {
      collect off
    }
    scale <12.0, 10.799999, 0.14>
    rotate 45.0*z
    translate  <27.571628, -38.790322, 2.895443>
  }
  box { // Bookback9
    <-1, -1, -1>, <1, 1, 1>
    material {
      RedTxr_2
    }
    photons {
      collect off
    }
    scale <12.0, 10.799999, 0.14>
    rotate 45.0*z
    translate  <17.571628, -38.790322, -2.424557>
  }
  box { // Pages8
    <-1, -1, -1>, <1, 1, 1>
    material {
      PagesTxr_2
    }
    photons {
      collect off
    }
    scale <11.4, 10.799999, 2.52>
    rotate 45.0*z
    translate  <17.36043, -38.579124, 0.24716>
  }
  cylinder { // pagesend8
    <0,0,1>, <0,0,0>, 1 
    material {
      PagesTxr_2
    }
    photons {
      collect off
    }
    scale <1.2, 2.66, 22.799999>
    rotate <-90.0, 0.0, -45.0>
    translate  <2.016725, -39.343481, 0.171372>
  }
  cylinder { // Cylndr035
    <0,0,1>, <0,0,0>, 1 
    material {
      Gold_metalbook
    }
    photons {
      collect off
    }
    scale <1.2, 2.8, 0.24>
    rotate <-90.0, 0.0, -45.0>
    translate  <2.26418, -38.756381, 0.229145>
  }
  cylinder { // Cylndr036
    <0,0,1>, <0,0,0>, 1 
    material {
      Gold_metalbook
    }
    photons {
      collect off
    }
    scale <1.2, 2.8, 0.24>
    rotate <-90.0, 0.0, -45.0>
    translate  <5.658293, -35.362268, 0.229145>
  }
}
#declare Bookend8 = difference {
  cylinder { // Cylndr029
    <0,0,1>, <0,0,0>, 1 
    material {
      BrownTxr_1
    }
    photons {
      collect off
    }
    scale <0.1, 0.2, 2.0>
    rotate <-90.0, 0.0, -90.0>
    translate  <-1.028098, 0.900579, -0.19818>
  }
  cylinder { // Cylndr030
    <0,0,1>, <0,0,0>, 1 
    material {
      RedTxr_2
    }
    photons {
      collect off
    }
    scale <0.1, 0.2, 2.4>
    rotate <-90.0, 0.0, -90.0>
    translate  <-1.2, 0.864794, -0.190799>
  }
  photons {
    collect off
  }
  scale <12.0, 12.0, 14.0>
  rotate <180.0, 70.0, 90.0>
  translate  <10.141797, -108.241383, 8.049352>
}
#declare uToddBook = union {
  box { // Bookcover8
    <-1, -1, -1>, <1, 1, 1>
    material {
      BrownTxr_1
    }
    photons {
      collect off
    }
    scale <12.0, 10.799999, 0.14>
    rotate <180.0, 70.0, 90.0>
    translate  <10.141797, -108.241383, 8.049352>
  }
  box { // Bookback8
    <-1, -1, -1>, <1, 1, 1>
    material {
      BrownTxr_1
    }
    photons {
      collect off
    }
    scale <12.0, 10.799999, 0.14>
    rotate <180.0, 70.0, 90.0>
    translate  <10.141797, -103.242218, 9.868899>
  }
  object { Bookend8 }
  box { // Pages7
    <-1, -1, -1>, <1, 1, 1>
    material {
      PagesTxr_2
    }
    photons {
      collect off
    }
    scale <11.4, 10.799999, 2.52>
    rotate <180.0, 70.0, 90.0>
    translate  <10.440475, -105.752811, 8.955118>
  }
  cylinder { // pagesend7
    <0,0,1>, <0,0,0>, 1 
    material {
      PagesTxr_2
    }
    photons {
      collect off
    }
    scale <1.2, 2.66, 22.799999>
    rotate <160.0, -0.0, 180.0>
    translate  <20.749631, -109.577244, 19.684251>
  }
  cylinder { // Cylndr031
    <0,0,1>, <0,0,0>, 1 
    material {
      Gold_metalbook
    }
    photons {
      collect off
    }
    scale <1.2, 2.8, 0.24>
    rotate <160.0, -0.0, 180.0>
    translate  <20.989797, -109.4297, 19.10996>
  }
  cylinder { // Cylndr032
    <0,0,1>, <0,0,0>, 1 
    material {
      Gold_metalbook
    }
    photons {
      collect off
    }
    scale <1.2, 2.8, 0.24>
    rotate <160.0, -0.0, 180.0>
    translate  <20.989797, -107.788003, 14.599435>
  }
  text {   // TText001
    ttf      "Timesi.ttf",
    "Sweeney",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    material {
      Gold_metalbook
    }
    scale <1.166667, 0.875059, 0.979525>
    rotate <90.0, -20.0, 90.0>
    translate  <21.54463, -110.798568, 16.747711>
  }

  text {   // TText002
    ttf      "Timesi.ttf",
    "Todd",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    material {
      Gold_metalbook
    }
    scale <0.944246, 0.809354, 0.809354>
    rotate <90.0, -20.0, 90.0>
    translate  <23.483993, -109.474942, 16.215706>
  }

  text {   // TText003
    ttf      "Timesi.ttf",
    "Flatt & Frd",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    material {
      Gold_metalbook
    }
    scale <0.56, 0.853346, 0.84>
    rotate <90.0, -20.0, 90.0>
    translate  <21.38525, -103.878392, 0.039815>
  }

}
#declare Bookend1 = difference {
  cylinder { // Cylndr001
    <0,0,1>, <0,0,0>, 1 
    material {
      RedTxr_2
    }
    photons {
      collect off
    }
    scale <0.1, 0.2, 2.0>
    rotate <-90.0, 0.0, -90.0>
    translate  <-1.003321, 0.900579, -0.19045>
  }
  cylinder { // Cylndr002
    <0,0,1>, <0,0,0>, 1 
    material {
      RedTxr_2
    }
    photons {
      collect off
    }
    scale <0.1, 0.2, 2.4>
    rotate <-90.0, 0.0, -90.0>
    translate  <-1.2, 0.864794, -0.190799>
  }
  photons {
    collect off
  }
  scale <12.0, 12.0, 14.0>
  rotate <-90.0, 90.0, -180.0>
  translate  <10.041945, -112.42926, 45.283859>
}
#declare uTitreFleet1 = union {
  text {   // TXTFleetstreet1
    ttf      "Georgia.ttf",
    "Fleet Street's",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    material {
      TitreTxr
    }
    scale <0.8, 1.5, 1.5>
    rotate <90.0, 0.0, 90.0>
    translate  <20.789044, -110.780168, -17.205999>
  }

  text {   // TXTSecrets1
    ttf      "Georgia.ttf",
    "secrets and",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    material {
      TitreTxr
    }
    scale <0.8, 1.5, 1.5>
    rotate <90.0, 0.0, 90.0>
    translate  <20.789044, -110.554691, -18.558861>
  }

  text {   // TXTmysteries1
    ttf      "Georgia.ttf",
    "mysteries",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    material {
      TitreTxr
    }
    scale <0.8, 1.5, 1.5>
    rotate <90.0, 0.0, 90.0>
    translate  <20.789044, -110.095127, -19.899257>
  }

  text {   // TXTmalzedt1
    ttf      "Georgia.ttf",
    "Malcolm edt.",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    material {
      TitreTxr
    }
    scale <0.7, 1.1, 1.5>
    rotate <90.0, 0.0, 90.0>
    translate  <20.789044, -110.540658, -37.163595>
  }

  scale <0.96, 0.91, 0.99996>
  rotate <-0.0, 0.0, -0.0>
  translate  <0.778545, -11.3, 71.735055>
}

#declare RedBook0 = union {
  box { // Bookcover1
    <-1, -1, -1>, <1, 1, 1>
    material {
      RedTxr_2
    }
    photons {
      collect off
    }
    scale <12.0, 10.799999, 0.14>
    rotate <-90.0, 90.0, 0.0>
    translate  <10.036401, -112.423038, 45.353044>
  }
  box { // Bookback1
    <-1, -1, -1>, <1, 1, 1>
    material {
      RedTxr_2
    }
    photons {
      collect off
    }
    scale <12.0, 10.799999, 0.14>
    rotate <-90.0, 90.0, 0.0>
    translate  <10.036401, -107.103038, 45.353044>
  }
  object { Bookend1 }
  box { // Pages
    <-1, -1, -1>, <1, 1, 1>
    material {
      PagesTxr_2
    }
    photons {
      collect off
    }
    scale <11.4, 10.799999, 2.52>
    rotate <-90.0, 90.0, 0.0>
    translate  <10.33508, -109.774756, 45.353044>
  }
  cylinder { // pagesend
    <0,0,1>, <0,0,0>, 1 
    material {
      PagesTxr_2
    }
    photons {
      collect off
    }
    scale <1.2, 2.66, 22.799999>
    rotate <180.0, -0.0, 180.0>
    translate  <20.184144, -109.698967, 56.743164>
  }
  cylinder { // Cylndr003
    <0,0,1>, <0,0,0>, 1 
    material {
      Gold_metalbook
    }
    photons {
      collect off
    }
    scale <1.2, 2.8, 0.24>
    rotate <180.0, -0.0, 180.0>
    translate  <20.884401, -109.756741, 56.153044>
  }
  cylinder { // Cylndr004
    <0,0,1>, <0,0,0>, 1 
    material {
      Gold_metalbook
    }
    photons {
      collect off
    }
    scale <1.2, 2.8, 0.24>
    rotate <180.0, -0.0, 180.0>
    translate  <20.884401, -109.756741, 51.353044>
  }
  object { uTitreFleet1 }
}
#declare Bookend7 = difference {
  cylinder { // Cylndr025
    <0,0,1>, <0,0,0>, 1 
    material {
      FleetBookTxr
    }
    photons {
      collect off
    }
    scale <0.1, 0.2, 2.0>
    rotate <-90.0, 0.0, -90.0>
    translate  <-1.003321, 0.900579, -0.19045>
  }
  cylinder { // Cylndr026
    <0,0,1>, <0,0,0>, 1 
    material {
      RedTxr_2
    }
    photons {
      collect off
    }
    scale <0.1, 0.2, 2.4>
    rotate <-90.0, 0.0, -90.0>
    translate  <-1.2, 0.864794, -0.190799>
  }
  photons {
    collect off
  }
  scale <12.0, 12.0, 14.0>
  rotate <90.0, 90.0, 0.0>
  translate  0.112811*x
}
#declare uTitreFleet = union {
  text {   // TXTFleetstreet
    ttf      "Georgia.ttf",
    "Fleet Street's",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    scale <0.8, 1.5, 1.5>
    rotate <90.0, 0.0, 90.0>
    translate  <20.789044, -110.780168, -17.205999>
  }

  text {   // TXTSecrets
    ttf      "Georgia.ttf",
    "secrets and",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    scale <0.8, 1.5, 1.5>
    rotate <90.0, 0.0, 90.0>
    translate  <20.789044, -110.554691, -18.558861>
  }

  text {   // TXTmysteries
    ttf      "Georgia.ttf",
    "mysteries",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    scale <0.8, 1.5, 1.5>
    rotate <90.0, 0.0, 90.0>
    translate  <20.789044, -110.095127, -19.899257>
  }

  rotate <-0.0, -0.0, 0.0>
  translate  <-40.531281, 113.275481, 30.577159>
}
#declare InterTitreH = intersection {
  object { uTitreFleet }
  cylinder { // CylGalbeTitre
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <1.2, 2.66, 4.5>
    rotate <180.0, -0.0, 0.0>
    translate  <-19.437884, 4.783528, 14.692974>
  }
  translate  <30.727096, -2.137123, -4.963612>
}
#declare uTitreFleet2 = union {
  text {   // TXTFleetstreet2
    ttf      "Georgia.ttf",
    "Malcolm's Edt",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    scale <0.7, 1.5, 1.5>
    rotate <90.0, 0.0, 90.0>
    translate  <20.789044, -110.780168, -17.205999>
  }

  rotate <-0.0, -0.0, 0.0>
  translate  <-40.531281, 113.275481, 30.577159>
}
#declare InterTitreB = intersection {
  object { uTitreFleet2 }
  cylinder { // CylGalbeTitre1
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <1.2, 2.66, 4.5>
    rotate <180.0, -0.0, 0.0>
    translate  <-19.437884, 4.783528, 14.692974>
  }
  translate  <30.727096, -2.137123, -23.971641>
}
#declare UtitreHB = union {
  object { InterTitreH }
  object { InterTitreB }
  material {
    TitreTxr
  }
  translate  -0.138999*x
}
#declare uGreenBook = union {
  box { // Bookcover7
    <-1, -1, -1>, <1, 1, 1>
    material {
      FleetBookTxr
    }
    photons {
      collect off
    }
    scale <12.0, 10.799999, 0.14>
    rotate <90.0, 90.0, 0.0>
    translate  <-0.00529, 5.25521, 0.156228>
  }
  box { // Bookback7
    <-1, -1, -1>, <1, 1, 1>
    material {
      FleetBookTxr
    }
    photons {
      collect off
    }
    scale <12.0, 10.799999, 0.14>
    rotate <90.0, 90.0, 0.0>
    translate  <0.031326, 0.024623, 0.085537>
  }
  object { Bookend7 }
  box { // Pages6
    <-1, -1, -1>, <1, 1, 1>
    material {
      PagesTxr_2
    }
    photons {
      collect off
    }
    scale <11.4, 10.799999, 2.52>
    rotate <90.0, 90.0, 0.0>
    translate  <-0.005401, 2.69401, 0.173076>
  }
  cylinder { // pagesend6
    <0,0,1>, <0,0,0>, 1 
    material {
      PagesTxr_2
    }
    photons {
      collect off
    }
    scale <1.2, 2.66, 22.799999>
    rotate <180.0, 0.0, 0.0>
    translate  <10.551178, 2.70522, 10.904444>
  }
  cylinder { // Cylndr027
    <0,0,1>, <0,0,0>, 1 
    material {
      Gold_metalbook
    }
    photons {
      collect off
    }
    scale <1.2, 2.8, 0.24>
    rotate <180.0, 0.0, 0.0>
    translate  <11.016498, 2.647449, -8.885748>
  }
  cylinder { // Cylndr028
    <0,0,1>, <0,0,0>, 1 
    material {
      Gold_metalbook
    }
    photons {
      collect off
    }
    scale <1.2, 2.8, 0.24>
    rotate <180.0, 0.0, 0.0>
    translate  <11.016498, 2.647449, 10.108103>
  }
  cylinder { // Cylndr038
    <0,0,1>, <0,0,0>, 1 
    material {
      Gold_metalbook
    }
    photons {
      collect off
    }
    scale <1.2, 2.8, 0.24>
    rotate <180.0, 0.0, 0.0>
    translate  <10.935524, 2.647447, 4.954448>
  }
  object { UtitreHB }
  rotate -0.0*y
  translate  <9.018018, -111.760615, -27.023981>
}
#declare Bookend10 = difference {
  cylinder { // Cylndr037
    <0,0,1>, <0,0,0>, 1 
    material {
      FairyBookTxr
    }
    photons {
      collect off
    }
    scale <0.1, 0.2, 2.0>
    rotate <-90.0, 0.0, -90.0>
    translate  <-1.003321, 0.900579, -0.19045>
  }
  cylinder { // Cylndr039
    <0,0,1>, <0,0,0>, 1 
    material {
      FairyBookTxr
    }
    photons {
      collect off
    }
    scale <0.1, 0.2, 2.4>
    rotate <-90.0, 0.0, -90.0>
    translate  <-1.2, 0.864794, -0.190799>
  }
  photons {
    collect off
  }
  scale <12.0, 12.0, 14.0>
  rotate <90.0, 90.0, 0.0>
  translate  0.112811*x
}
#declare uTitreFleet3 = union {
  text {   // TXTFleetstreet3
    ttf      "Georgia.ttf",
    "Fairies tales",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    scale <0.8, 1.5, 1.5>
    rotate <90.0, 0.0, 90.0>
    translate  <20.789044, -110.780168, -17.205999>
  }

  text {   // TXTSecrets2
    ttf      "Georgia.ttf",
    "and",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    scale <0.8, 1.5, 1.5>
    rotate <90.0, 0.0, 90.0>
    translate  <20.789044, -109.295588, -18.558861>
  }

  text {   // TXTmysteries2
    ttf      "Georgia.ttf",
    "Legends",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    scale <0.8, 1.5, 1.5>
    rotate <90.0, 0.0, 90.0>
    translate  <20.789044, -110.095127, -19.899257>
  }

  rotate <-0.0, -0.0, 0.0>
  translate  <-40.531281, 113.275481, 30.577159>
}
#declare InterTitreH1 = intersection {
  object { uTitreFleet3 }
  cylinder { // CylGalbeTitre2
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <1.2, 2.66, 4.5>
    rotate <180.0, -0.0, 0.0>
    translate  <-19.437884, 4.783528, 14.692974>
  }
  translate  <30.727096, -2.137123, -4.963612>
}
#declare uTitreFleet4 = union {
  text {   // TXTFleetstreet4
    ttf      "Georgia.ttf",
    "Malcolm's Edt",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    scale <0.7, 1.5, 1.5>
    rotate <90.0, 0.0, 90.0>
    translate  <20.789044, -110.780168, -17.205999>
  }

  rotate <-0.0, -0.0, 0.0>
  translate  <-40.531281, 113.275481, 30.577159>
}
#declare InterTitreB1 = intersection {
  object { uTitreFleet4 }
  cylinder { // CylGalbeTitre3
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <1.2, 2.66, 4.5>
    rotate <180.0, -0.0, 0.0>
    translate  <-19.437884, 4.783528, 14.692974>
  }
  translate  <30.727096, -2.137123, -23.971641>
}
#declare UtitreHB1 = union {
  object { InterTitreH1 }
  object { InterTitreB1 }
  material {
    TitreTxr
  }
  translate  -0.138999*x
}
#declare uFairyBook = union {
  box { // Bookcover10
    <-1, -1, -1>, <1, 1, 1>
    material {
      FairyBookTxr
    }
    photons {
      collect off
    }
    scale <12.0, 10.799999, 0.14>
    rotate <90.0, 90.0, 0.0>
    translate  <-0.00529, 5.25521, 0.156228>
  }
  box { // Bookback10
    <-1, -1, -1>, <1, 1, 1>
    material {
      FairyBookTxr
    }
    photons {
      collect off
    }
    scale <12.0, 10.799999, 0.14>
    rotate <90.0, 90.0, 0.0>
    translate  <0.031326, 0.024623, 0.085537>
  }
  object { Bookend10 }
  box { // Pages9
    <-1, -1, -1>, <1, 1, 1>
    material {
      PagesTxr_2
    }
    photons {
      collect off
    }
    scale <11.4, 10.799999, 2.52>
    rotate <90.0, 90.0, 0.0>
    translate  <-0.005401, 2.69401, 0.173076>
  }
  cylinder { // pagesend9
    <0,0,1>, <0,0,0>, 1 
    material {
      PagesTxr_2
    }
    photons {
      collect off
    }
    scale <1.2, 2.66, 22.799999>
    rotate <180.0, 0.0, 0.0>
    translate  <10.551178, 2.70522, 10.904444>
  }
  cylinder { // Cylndr040
    <0,0,1>, <0,0,0>, 1 
    material {
      Gold_metalbook
    }
    photons {
      collect off
    }
    scale <1.2, 2.8, 0.24>
    rotate <180.0, 0.0, 0.0>
    translate  <11.016498, 2.647449, -8.885748>
  }
  cylinder { // Cylndr041
    <0,0,1>, <0,0,0>, 1 
    material {
      Gold_metalbook
    }
    photons {
      collect off
    }
    scale <1.2, 2.8, 0.24>
    rotate <180.0, 0.0, 0.0>
    translate  <11.016498, 2.647449, 10.108103>
  }
  cylinder { // Cylndr042
    <0,0,1>, <0,0,0>, 1 
    material {
      Gold_metalbook
    }
    photons {
      collect off
    }
    scale <1.2, 2.8, 0.24>
    rotate <180.0, 0.0, 0.0>
    translate  <10.935524, 2.647447, 4.954448>
  }
  object { UtitreHB1 }
  rotate -0.0*y
  translate  <9.018018, -105.622484, -27.023981>
}






///////////////////////////////////////////////////////////////////////
#declare Bookend10b = difference {
  cylinder { // Cylndr037
    <0,0,1>, <0,0,0>, 1 
    material {
      Sombrafbooktxr
    }
    photons {
      collect off
    }
    scale <0.1, 0.2, 2.0>
    rotate <-90.0, 0.0, -90.0>
    translate  <-1.003321, 0.900579, -0.19045>
  }
  cylinder { // Cylndr039
    <0,0,1>, <0,0,0>, 1 
    material {
      Sombrafbooktxr
    }
    photons {
      collect off
    }
    scale <0.1, 0.2, 2.4>
    rotate <-90.0, 0.0, -90.0>
    translate  <-1.2, 0.864794, -0.190799>
  }
  photons {
    collect off
  }
  scale <12.0, 12.0, 14.0>
  rotate <90.0, 90.0, 0.0>
  translate  0.112811*x
}
#declare uTitreFleet3b = union {
  text {   // TXTFleetstreet3
    ttf      "Georgia.ttf",
    "Eclairage",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    scale <0.8, 1.5, 1.5>
    rotate <90.0, 0.0, 90.0>
    translate  <20.789044, -110.3, -17.205999>
  }

  text {   // TXTSecrets2
    ttf      "Georgia.ttf",
    "d'une sombre ",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    scale <0.8, 1.5, 1.5>
    rotate <90.0, 0.0, 90.0>
    translate  <20.789044, -111.0, -18.558861>
  }

  text {   // TXTmysteries2
    ttf      "Georgia.ttf",
    "Legende",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    scale <0.8, 1.5, 1.5>
    rotate <90.0, 0.0, 90.0>
    translate  <20.789044, -110.095127, -19.899257>
  }

  rotate <-0.0, -0.0, 0.0>
  translate  <-40.531281, 113.275481, 30.577159>
}
#declare InterTitreH1b = intersection {
  object { uTitreFleet3b }
  cylinder { // CylGalbeTitre2
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <1.2, 2.66, 4.5>
    rotate <180.0, -0.0, 0.0>
    translate  <-19.437884, 4.783528, 14.692974>
  }
  translate  <30.727096, -2.137123, -4.963612>
}



#declare uTitreFleet4b = union {
  text {   // TXTFleetstreet4
    ttf      "Georgia.ttf",
    " Pierre",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    scale <1.1, 1.5, 1.5>
    rotate <90.0, 0.0, 90.0>
    translate  <20.789044, -110.480168, -16>
  }
  text {   // TXTFleetstreet4
    ttf      "Georgia.ttf",
    "Dupont",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    scale <1.1, 1.5, 1.5>
    rotate <90.0, 0.0, 90.0>
    translate  <20.789044, -110.480168, -17.205999>
  }

  rotate <-0.0, -0.0, 0.0>
  translate  <-40.531281, 113.275481, 30.577159>
}
#declare InterTitreB1b = intersection {
  object { uTitreFleet4b }
  cylinder { // CylGalbeTitre3
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <1.2, 3, 4.5>
    rotate <180.0, -0.0, 0.0>
    translate  <-19.437884, 4.783528, 16.692974>
  }
  translate  <30.727096, -2.137123, -23.971641>
}
#declare UtitreHB1b = union {
  object { InterTitreH1b }
  object { InterTitreB1b }
  material {
    TitreTxr
  }
  translate  -0.138999*x
}
#declare uSombrLegendeBook = union {
  box { // Bookcover10
    <-1, -1, -1>, <1, 1, 1>
    material {
      Sombrafbooktxr
    }
    photons {
      collect off
    }
    scale <12.0, 10.799999, 0.14>
    rotate <90.0, 90.0, 0.0>
    translate  <-0.00529, 5.25521, 0.156228>
  }
  box { // Bookback10
    <-1, -1, -1>, <1, 1, 1>
    material {
      Sombrafbooktxr
    }
    photons {
      collect off
    }
    scale <12.0, 10.799999, 0.14>
    rotate <90.0, 90.0, 0.0>
    translate  <0.031326, 0.024623, 0.085537>
  }
  object { Bookend10b }
  box { // Pages9
    <-1, -1, -1>, <1, 1, 1>
    material {
      PagesTxr_2
    }
    photons {
      collect off
    }
    scale <11.4, 10.799999, 2.52>
    rotate <90.0, 90.0, 0.0>
    translate  <-0.005401, 2.69401, 0.173076>
  }
  cylinder { // pagesend9
    <0,0,1>, <0,0,0>, 1 
    material {
      PagesTxr_2
    }
    photons {
      collect off
    }
    scale <1.2, 2.66, 22.799999>
    rotate <180.0, 0.0, 0.0>
    translate  <10.551178, 2.70522, 10.904444>
  }
  cylinder { // Cylndr040
    <0,0,1>, <0,0,0>, 1 
    material {
      Gold_metalbook
    }
    photons {
      collect off
    }
    scale <1.2, 2.8, 0.24>
    rotate <180.0, 0.0, 0.0>
    translate  <11.016498, 2.647449, -7.885748>
  }
  cylinder { // Cylndr041
    <0,0,1>, <0,0,0>, 1 
    material {
      Gold_metalbook
    }
    photons {
      collect off
    }
    scale <1.2, 2.8, 0.24>
    rotate <180.0, 0.0, 0.0>
    translate  <11.016498, 2.647449, 10.108103>
  }
  cylinder { // Cylndr042
    <0,0,1>, <0,0,0>, 1 
    material {
      Gold_metalbook
    }
    photons {
      collect off
    }
    scale <1.2, 2.8, 0.24>
    rotate <180.0, 0.0, 0.0>
    translate  <10.935524, 2.647447, 4.954448>
  }
  object { UtitreHB1b }
  rotate -0.0*y
  translate  <9.018018, -105.622484, 45.023981>
}










#declare BezPtchPapier = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-3.125072, -5.375106, 2.812365>, <-2.114811, -4.987488, 2.808584>, <-1.115139, -5.013103, 2.808705>, <-0.057570, -5.006412, 2.787490>, 
      <-3.114611, -4.971591, 1.808510>, <-2.114939, -4.997206, 1.808631>, <-1.115267, -5.022822, 1.808752>, <-0.057634, -5.011411, 1.787514>, 
      <-3.114739, -4.981310, 0.808557>, <-2.115067, -5.006925, 0.808678>, <-1.000000, -5.000279, 0.766275>, <0.000000, -5.000279, 0.766275>, 
      <-3.076359, -3.485346, 0.411276>, <-2.076687, -3.510961, 0.411397>, <-1.000000, -3.500140, 0.383138>, <0.000000, -3.500140, 0.383138>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-3.076359, -3.485346, 0.411276>, <-2.076687, -3.510961, 0.411397>, <-1.000000, -3.500140, 0.383138>, <0.000000, -3.500140, 0.383138>, 
      <-3.037978, -1.989382, 0.013995>, <-2.038306, -2.014997, 0.014116>, <-1.000000, -2.000000, 0.000000>, <0.000000, -2.000000, 0.000000>, 
      <-3.012363, -0.989755, 0.004556>, <-2.012691, -1.015370, 0.004677>, <-1.000000, -1.000000, 0.000000>, <0.000000, -1.000000, 0.000000>, 
      <-2.986739, 0.010514, 0.063047>, <-1.987067, -0.015101, 0.063168>, <-1.000000, 0.000000, 0.067934>, <0.000000, 0.000000, 0.067934>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.986739, 0.010514, 0.063047>, <-1.987067, -0.015101, 0.063168>, <-1.000000, 0.000000, 0.067934>, <0.000000, 0.000000, 0.067934>, 
      <-2.961116, 1.010783, 0.121538>, <-1.961444, 0.985167, 0.121659>, <-1.000000, 1.000000, 0.135867>, <0.000000, 1.000000, 0.135867>, 
      <-2.935500, 2.010410, 0.112099>, <-1.935828, 1.984794, 0.112219>, <-1.000000, 2.000000, 0.135867>, <0.000000, 2.000000, 0.135867>, 
      <-2.909893, 3.009396, 0.034728>, <-1.910221, 2.983780, 0.034849>, <-1.000000, 3.000000, 0.067934>, <0.000000, 3.000000, 0.067934>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.909893, 3.009396, 0.034728>, <-1.910221, 2.983780, 0.034849>, <-1.000000, 3.000000, 0.067934>, <0.000000, 3.000000, 0.067934>, 
      <-2.884286, 4.008382, -0.042642>, <-1.884614, 3.982767, -0.042521>, <-1.000000, 4.000000, 0.000000>, <0.000000, 4.000000, 0.000000>, 
      <-2.867175, 4.953613, -0.176495>, <-1.874859, 4.929330, -0.055165>, <-1.021871, 4.946580, 0.117508>, <-0.010935, 4.973290, 0.058754>, 
      <-2.780595, 5.331446, -0.652977>, <-1.821032, 5.896957, -0.301746>, <-0.992877, 5.917552, -0.119921>, <0.003562, 5.958776, -0.059961>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.057570, -5.006412, 2.787490>, <1.000000, -4.999721, 2.766275>, <2.000000, -4.999721, 2.766275>, <3.000000, -4.999721, 2.766275>, 
      <-0.057634, -5.011411, 1.787514>, <1.000000, -5.000000, 1.766275>, <2.000000, -5.000000, 1.766275>, <3.000000, -5.000000, 1.766275>, 
      <0.000000, -5.000279, 0.766275>, <1.000000, -5.000279, 0.766275>, <2.000000, -5.000279, 0.766275>, <3.000000, -5.000279, 0.766275>, 
      <0.000000, -3.500140, 0.383138>, <1.000000, -3.500140, 0.383138>, <2.000000, -3.500140, 0.383138>, <2.996021, -3.499125, 0.399533>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -3.500140, 0.383138>, <1.000000, -3.500140, 0.383138>, <2.000000, -3.500140, 0.383138>, <2.996021, -3.499125, 0.399533>, 
      <0.000000, -2.000000, 0.000000>, <1.000000, -2.000000, 0.000000>, <2.000000, -2.000000, 0.000000>, <2.992041, -1.997971, 0.032791>, 
      <0.000000, -1.000000, 0.000000>, <1.000000, -1.000000, 0.000000>, <2.000000, -1.000000, 0.000000>, <3.024694, -0.998577, 0.020758>, 
      <0.000000, 0.000000, 0.067934>, <1.000000, 0.000000, 0.067934>, <2.000000, 0.000000, 0.067934>, <3.057359, 0.001635, 0.076654>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, 0.000000, 0.067934>, <1.000000, 0.000000, 0.067934>, <2.000000, 0.000000, 0.067934>, <3.057359, 0.001635, 0.076654>, 
      <0.000000, 1.000000, 0.135867>, <1.000000, 1.000000, 0.135867>, <2.000000, 1.000000, 0.135867>, <3.090025, 1.001847, 0.132550>, 
      <0.000000, 2.000000, 0.135867>, <1.000000, 2.000000, 0.135867>, <2.000000, 2.000000, 0.135867>, <3.122677, 2.001241, 0.120518>, 
      <0.000000, 3.000000, 0.067934>, <1.000000, 3.000000, 0.067934>, <2.000000, 3.000000, 0.067934>, <3.155316, 2.999818, 0.040556>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, 3.000000, 0.067934>, <1.000000, 3.000000, 0.067934>, <2.000000, 3.000000, 0.067934>, <3.155316, 2.999818, 0.040556>, 
      <0.000000, 4.000000, 0.000000>, <1.000000, 4.000000, 0.000000>, <2.000000, 4.000000, 0.000000>, <3.187955, 3.998395, -0.039405>, 
      <-0.010935, 4.973290, 0.058754>, <1.000000, 5.000000, 0.000000>, <2.000000, 5.000000, 0.000000>, <3.220608, 4.997789, -0.051438>, 
      <0.003562, 5.958776, -0.059961>, <1.000000, 6.000000, 0.000000>, <2.000000, 6.000000, 0.000000>, <3.192419, 5.842257, -0.212970>
    }
  }
  material {
    PagesTxr
  }
  scale <-1.8, -1.6, -3.0>
  rotate <90.0, -0.0, 77.532181>
  //translate  <27.448806, -106.910578, -47.218399> 
  //translate  <25.448806, -104.910578, -45.6>
  translate  <25.448806, -104.910578, -46.10>
}
#declare uEtagerLivres = union {
  object { Etagere }
  object { RedBook8 translate <-10,-40,0> }
  object { RedBook8 translate  <-10,-40,5> rotate z*2}
  object { HautEtagere rotate x*90 scale <4.2,13,2> 
          //translate  <9.018018, -105.622484, 45.023981>}
          translate  <-0, -112.4, 74>}

  object { uToddBook }
  object { RedBook0 }
  object { uGreenBook }
  object { uFairyBook }
  object { uSombrLegendeBook}
  object { BezPtchPapier }
  scale 0.0085
  scale <1,-1,1>
  translate  <0, -1, .6> 
  rotate <-90,90,0>
}
///////////Fin de l'etagre /////////////////////////////////////////////////////////////////////////////

////////// Pebrok ///////////////////////////////////////
#declare rayonSphere = 150;
#declare focaleLent  =  rayonSphere *99/100; //rapprocher de 1 pour rduire l'arrondi des baleines   
#declare sclzSphere =   .043;   //reduire pour plier plus   
#declare deportBaleines = -0.5; 
#declare RayonBaleines =  rayonSphere * 0.001;    
#declare aleaPosBaleineD =  0.1;   //Positionnement diametre
#declare aleaPosBaleineR =  4;    //Positionnement angulaire

//Rayon du parapluie ouvert
#declare rayonPebrok =  sqrt(rayonSphere*rayonSphere - focaleLent*focaleLent);
#declare rayonCrosse = rayonPebrok /35;
#declare rayonCrosseG = rayonPebrok /7;
#declare deportCrosse = (rayonSphere  - focaleLent) * 3.2;  
#declare deportBague = 10;


//Maintien du pepin ferme
#declare baguePebrok = cylinder {<0,rayonCrosse,0>,
                             <0,-rayonCrosse,0>,
                             (rayonSphere  - focaleLent)*.95
                             translate y*deportBague * .5 
                             texture {tex_ToileBague rotate x*5  scale <2,.3,2>}
                          }  
                          
#declare btnPebrok = union {
       sphere { <0,0,0>,rayonCrosse/2 
           scale <1,1,0.1>
           
       } 
       torus {
           rayonCrosse/2, rayonCrosse/15
           rotate x * 90
       } 
       translate <0, deportBague * .5,-(rayonSphere  - focaleLent)*.95>   
       rotate y*40
       texture {tex_baleine}
}                                 
                          


#declare crossePebrok = union { 
                          //manche
                          cylinder {<0,deportCrosse,0>,
                             <0,-deportCrosse,0>,
                             rayonCrosse 
                             texture {tex_crosse}
                          } 
                          //bague sue la crosse
                          union {
                                  cylinder {
                                     <0,rayonCrosse*1.9-deportCrosse,0>, 
                                     <0,-deportCrosse,0>,
                                     rayonCrosse*1.1  
                                     
                                     
                                  }
                                  torus {
                                     rayonCrosse*1.1, rayonCrosse/7
                                     translate y * (rayonCrosse*1.9-deportCrosse)   
                                  }
                                  
                                  torus {
                                     rayonCrosse*1.1 , rayonCrosse/7
                                     translate y * -deportCrosse  
                                  }
                                  translate y*rayonCrosse*0
                                  texture {tex_baleine}
                          }                                   
                          //pomeau
                          difference {
                                torus { 
                                   rayonCrosseG,rayonCrosse
                                   rotate x*-90  // so we can see it from the top
                                   translate < rayonCrosseG,0,0>
                                }
                                box { 
                                   <-rayonCrosse*1.01, 0, -rayonCrosse*1.01>, 
                                   <rayonCrosseG*2+rayonCrosse*1.01, rayonCrosse+rayonCrosseG*1.01, rayonCrosse*1.01> 
                                }
                          texture {tex_crosse}
                          translate -y*deportCrosse
                          }
                          sphere { 
                             <0,0,0>,rayonCrosse   
                             translate <rayonCrosseG*2,-deportCrosse,0>
                             texture {tex_crosse} 
                          }
  }

 
 
 
#declare pointePebrok = union {  
                        sphere {<0,0,0>,1
                          scale <RayonBaleines*1.5,(rayonSphere  - focaleLent)*2,RayonBaleines*1.5>  
                          translate <0,rayonPebrok-(rayonSphere  - focaleLent)+deportBague,0>  
                          texture {tex_baleine}
                        }
                        cone {  <0,0,0>,RayonBaleines*1.9,
                                <0,RayonBaleines* 4,0>,RayonBaleines*1.6 
                                translate <0,rayonPebrok-(rayonSphere  - focaleLent)+deportBague+ .5 ,0>
                                texture {tex_crosse}
                        }
                        torus { RayonBaleines*1.9,RayonBaleines/3
                                translate <0,rayonPebrok-(rayonSphere  - focaleLent)+deportBague+ .5 ,0>
                                texture {tex_baleine}
                        }
                        torus { RayonBaleines*1.6,RayonBaleines/3
                                translate <0,rayonPebrok-(rayonSphere  - focaleLent)+deportBague+ .5+RayonBaleines* 4 ,0>
                                texture {tex_baleine}
                        }
                        
                }

                
                 

#declare lentille = intersection {
        sphere {<0,0,0>,rayonSphere scale <0,0,sclzSphere> translate <focaleLent,0,0>}
        sphere {<0,0,0>,rayonSphere scale <0,0,sclzSphere> translate <-focaleLent,0,0>} 
        texture {tex_ToilePebrok scale <1,3,1>}
}

        

# declare nbrBaleines = 12;  
# declare iBaleine = 0;  

#declare initrand = seed(150);

#declare formeToilePebrok =  union  {
        #while ( iBaleine <  nbrBaleines /2 )
                object {lentille rotate <0,360 *iBaleine / (nbrBaleines )+ rand(initrand) * aleaPosBaleineR,0>} 
                # declare iBaleine = iBaleine + 1;
        #end
        
}



#declare toilePebrok =  difference  {
        union {
            object {formeToilePebrok scale <1.05,0.7,1.05>}
            object {formeToilePebrok translate y*deportBague}
        }
        object {formeToilePebrok translate <0,-(rayonSphere  - focaleLent),0>}  
        sphere {<0,0,0>,rayonSphere*1.01  - focaleLent texture {tex_ToilePebrok } scale <.85,1.5,.85> translate<0,-(rayonSphere  - focaleLent)- 1.1,0>}
        
}


# declare iBaleine = 0;
#declare armBaleinesPebrok =  union  {
        #while ( iBaleine <  nbrBaleines  ) 
           union {
                cylinder {<0,0,0>,
                          <0,(rayonSphere  - focaleLent),0>,
                          RayonBaleines  
                          
                }
                sphere {
                        <0,0,0>,
                        RayonBaleines * 1.2
                          
                       } 
                rotate -z*3
                translate <-(rayonSphere  - focaleLent)*.83,-deportBaleines,0>  
                texture {tex_baleine} 
                rotate <0,360 *iBaleine / (nbrBaleines )-rand(initrand)* aleaPosBaleineR  ,rand(initrand)* aleaPosBaleineR>
           }
                        
           # declare iBaleine = iBaleine + 1;
        #end
        
}


cylinder {<-400,0,0>,<400,0,0>,.01  } 
cylinder {<-400,0,0>,<400,0,0>,.01 rotate y * 90 }
cylinder {<-400,-1,0>,<400,-1,0>,.01  }

declare objPebrok = union {
        object{toilePebrok}
        object{armBaleinesPebrok }
        object{pointePebrok} 
        object{crossePebrok}
        object{baguePebrok} 
        object{btnPebrok}
        translate <-rayonCrosseG,deportCrosse+rayonCrosseG-rayonCrosse,0> 
        scale .025
        rotate -z*180
} //objet pebrok
////////////////////////////////////////////////////////////////////////////////////////////////



/////// BOUTEILLE DE GIN //////////

#declare intCulExt = intersection {
  superellipsoid { // sqCulExt
    <0.25, 0.5>
  }
  box { // boxCulExt
    <-1, -1, -1>, <1, 1, 1>
    scale <1.01, 1.01, 0.51>
    translate  -0.5*z
  }
  scale <1.0, 1.0, 0.5>
}
#declare intCorpsExt = intersection {
  superellipsoid { // sqCorrpsExt
    <0.25, 0.05>
  }
  box { // boxCorpsExt
    <-1, -1, -1>, <1, 1, 1>
    scale <1.01, 1.01, 0.05>
  }
  scale <1.0, 1.0, 40.0>
  translate  1.999*z
}
#declare intTeteExt = intersection {
  superellipsoid { // sqTetExt
    <0.25, 0.85>
    scale <1.0, 1.0, 0.7>
  }
  box { // boxTeteExt
    <-1, -1, -1>, <1, 1, 1>
    scale <1.01, 1.01, 0.5>
    translate  0.5*z
  }
  translate  3.998*z
}
#declare intEtiquette = intersection {
  box { // boxCorpsExt3
    <-1, -1, -1>, <1, 1, 1>
    scale <1.01, 1.01, 0.05>
  }
  box { // boxEtiquette
    <-1, -1, -1>, <1, 1, 1>
    
    scale <0.7, 0.015, 0.025>
    translate  -0.992639*y
  }
  superellipsoid { // sqCorrpsExt3
    <0.25, 0.05>
  }
  
  scale <1.0, 1.0, 40.0>
  material {
       T_EtiquetteGin
       //scale <1.2, 1, 1.6>  
       //rotate y*180 
       //translate <.5,0,-.6>
       
       scale <1.4, 1, 1.85>  
       rotate y*180 
       translate <.65,0,-1>
    }
  rotate -0.5*y
  translate  <0.0, -0.01, 2.1>
}
#declare uBouteilleExt = merge {
  object { intCulExt }
  object { intCorpsExt }
  object { intTeteExt }
  object { intEtiquette }
  scale <1.0, 0.7, 1.0>
}
#declare rsGoulot = lathe {
  quadratic_spline
  15  // control points
  <3.553086, -1.863669>,
  <2.320882, -1.862399>,
  <2.005684, -0.969435>,
  <2.005684, -0.970622>,
  <2.005684, 0.87924>,
  <2.019831, 1.45581>,
  <2.256623, 1.789671>,
  <2.256623, 2.130309>,
  <2.163916, 2.416595>,
  <1.861928, 2.570743>,
  <1.573872, 2.560775>,
  <1.376593, 2.415017>,
  <1.271815, 2.032263>,
  <1.304686, -1.047249>,
  <1.311108, -1.873342>
  rotate <90,0,90>
  scale 0.15
  translate  4.950781*z
}
#declare uBouteilleGoulot = merge {
  object { uBouteilleExt }
  object { rsGoulot }
}
#declare intCulExt1 = intersection {
  superellipsoid { // sqCulExt1
    <0.25, 0.5>
  }
  box { // boxCulExt1
    <-1, -1, -1>, <1, 1, 1>
    scale <1.01, 1.01, 0.51>
    translate  -0.5*z
  }
  scale <1.0, 1.0, 0.51>
  translate  0.005*z
}
#declare intCorpsExt1 = intersection {
  superellipsoid { // sqCorrpsExt1
    <0.25, 0.05>
  }
  box { // boxCorpsExt1
    <-1, -1, -1>, <1, 1, 1>
    scale <1.01, 1.01, 0.05>
  }
  scale <1.0, 1.0, 40.0>
  translate  1.999*z
}
#declare intTeteExt1 = intersection {
  superellipsoid { // sqTetExt1
    <0.25, 0.85>
    scale <1.0, 1.0, 0.7>
  }
  box { // boxTeteExt1
    <-1, -1, -1>, <1, 1, 1>
    scale <1.01, 1.01, 0.5>
    translate  0.5*z
  }
  translate  3.998*z
}
#declare uBouteilleInt = merge {
  object { intCulExt1 }
  object { intCorpsExt1 }
  object { intTeteExt1 }
  scale <0.8, 0.6, 0.9>
  translate  0.293554*z
}
#declare uBouteilleComplet = difference {
  object { uBouteilleGoulot }
  object { uBouteilleInt }
  cylinder { // cylGoulotINT
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 1.0>
    translate  4.0*z
  }
  material {
    T_VerreBouteilleGin
  }
}
#declare intCulExt2 = intersection {
  superellipsoid { // sqCulExt2
    <0.25, 0.5>
  }
  box { // boxCulExt2
    <-1, -1, -1>, <1, 1, 1>
    scale <1.01, 1.01, 0.51>
    translate  -0.5*z
  }
  scale <1.0, 1.0, 0.5>
}
#declare intCorpsExt2 = intersection {
  superellipsoid { // sqCorrpsExt2
    <0.25, 0.05>
  }
  box { // boxCorpsExt2
    <-1, -1, -1>, <1, 1, 1>
    scale <1.01, 1.01, 0.05>
  }
  scale <1.0, 1.0, 33.0>
  //translate  1.227167*z
  translate  1.55*z
}
#declare uLiquideGin = merge {
  object { intCulExt2 }
  object { intCorpsExt2 }
  material {
    T_Gin
  }
  scale <0.805, 0.605, 0.905>
  translate  0.293554*z
}

#declare objBouteilleGin = union { // uBouteilledegin
  object { uBouteilleComplet }
  object { uLiquideGin }
  cone { // conBouchon
    <0,0,0>, 0.17, <0,0,.95>, 0.22
    material {
      T_BouchonGin
    }
    scale <1.1, 1.1, 0.7>
    translate  4.9*z
  }
  translate  0.5*z
  rotate <-90,180,0>
}

//////// Fin de bouteille de Gin ////////////////////////



